/*

--	FILE:	 GiantEarthMap
--  made by Genghis Kai for civ4,
--  imported to civ5, edited by Hornigas for "Play The World"
--  imported and edited for civ6
--  imported to civ7 by Gedemon (2025)

*/

console.log("loading giant-earth-data.js");


export function GetMap() {

	let MapToConvert = [];
	for (let i = 0; i <= 179; i++) {
		MapToConvert[i] = [];
	}
	
	// Map Data (from Civ6 WB)
	// MapToConvert[x][y] = {civ6TerrainType, civ6FeatureTypes, civ6ContinentType, {{IsNEOfRiver, flow}, {IsWOfRiver, flow}, {IsNWOfRiver, flow}}, {Civ6ResourceType, num}, {IsNEOfCliff, IsWOfCliff, IsNWOfCliff} }

MapToConvert[179][0]=["TERRAIN_SNOW",-1,"CONTINENT_ANTARCTICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                     ;
MapToConvert[178][0]=["TERRAIN_SNOW",-1,"CONTINENT_ANTARCTICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                     ;
MapToConvert[177][0]=["TERRAIN_SNOW",-1,"CONTINENT_ANTARCTICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                     ;
MapToConvert[176][0]=["TERRAIN_SNOW",-1,"CONTINENT_ANTARCTICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                     ;
MapToConvert[175][0]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[174][0]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[173][0]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[172][0]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[171][0]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[170][0]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[169][0]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[168][0]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[167][0]=["TERRAIN_SNOW",-1,"CONTINENT_ANTARCTICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                     ;
MapToConvert[166][0]=["TERRAIN_SNOW_HILLS",-1,"CONTINENT_ANTARCTICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[165][0]=["TERRAIN_SNOW",-1,"CONTINENT_ANTARCTICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                     ;
MapToConvert[164][0]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[163][0]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[162][0]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[161][0]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[160][0]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[159][0]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[158][0]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[157][0]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[156][0]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[155][0]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[154][0]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[153][0]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[152][0]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[151][0]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[150][0]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[149][0]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[148][0]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[147][0]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[146][0]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[145][0]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[144][0]=["TERRAIN_SNOW",-1,"CONTINENT_ANTARCTICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                     ;
MapToConvert[143][0]=["TERRAIN_SNOW",-1,"CONTINENT_ANTARCTICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                     ;
MapToConvert[142][0]=["TERRAIN_SNOW",-1,"CONTINENT_ANTARCTICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                     ;
MapToConvert[141][0]=["TERRAIN_SNOW_HILLS",-1,"CONTINENT_ANTARCTICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[140][0]=["TERRAIN_SNOW",-1,"CONTINENT_ANTARCTICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                     ;
MapToConvert[139][0]=["TERRAIN_SNOW",-1,"CONTINENT_ANTARCTICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                     ;
MapToConvert[138][0]=["TERRAIN_SNOW_HILLS",-1,"CONTINENT_ANTARCTICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[137][0]=["TERRAIN_SNOW_HILLS",-1,"CONTINENT_ANTARCTICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[136][0]=["TERRAIN_SNOW",-1,"CONTINENT_ANTARCTICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                     ;
MapToConvert[135][0]=["TERRAIN_SNOW",-1,"CONTINENT_ANTARCTICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                     ;
MapToConvert[134][0]=["TERRAIN_SNOW",-1,"CONTINENT_ANTARCTICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                     ;
MapToConvert[133][0]=["TERRAIN_SNOW",-1,"CONTINENT_ANTARCTICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                     ;
MapToConvert[132][0]=["TERRAIN_SNOW",-1,"CONTINENT_ANTARCTICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                     ;
MapToConvert[131][0]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[130][0]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[129][0]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[128][0]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[127][0]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[126][0]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[125][0]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[124][0]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[123][0]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[122][0]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[121][0]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[120][0]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[119][0]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[118][0]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[117][0]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[116][0]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[115][0]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[114][0]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[113][0]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[112][0]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[111][0]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[110][0]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[109][0]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[108][0]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[107][0]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[106][0]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[105][0]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[104][0]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[103][0]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[102][0]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[101][0]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[100][0]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[99][0]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                              ;
MapToConvert[98][0]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                              ;
MapToConvert[97][0]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                              ;
MapToConvert[96][0]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                              ;
MapToConvert[95][0]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                              ;
MapToConvert[94][0]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                              ;
MapToConvert[93][0]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                              ;
MapToConvert[92][0]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                              ;
MapToConvert[91][0]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                              ;
MapToConvert[90][0]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                              ;
MapToConvert[89][0]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                              ;
MapToConvert[88][0]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                              ;
MapToConvert[87][0]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                              ;
MapToConvert[86][0]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                              ;
MapToConvert[85][0]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                              ;
MapToConvert[84][0]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                              ;
MapToConvert[83][0]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                              ;
MapToConvert[82][0]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                              ;
MapToConvert[81][0]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                              ;
MapToConvert[80][0]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                              ;
MapToConvert[79][0]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                              ;
MapToConvert[78][0]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                              ;
MapToConvert[77][0]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                              ;
MapToConvert[76][0]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                              ;
MapToConvert[75][0]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                              ;
MapToConvert[74][0]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                              ;
MapToConvert[73][0]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                              ;
MapToConvert[72][0]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                              ;
MapToConvert[71][0]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                              ;
MapToConvert[70][0]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                              ;
MapToConvert[69][0]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                              ;
MapToConvert[68][0]=["TERRAIN_SNOW",-1,"CONTINENT_ANTARCTICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                      ;
MapToConvert[67][0]=["TERRAIN_SNOW",-1,"CONTINENT_ANTARCTICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                      ;
MapToConvert[66][0]=["TERRAIN_SNOW",-1,"CONTINENT_ANTARCTICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                      ;
MapToConvert[65][0]=["TERRAIN_SNOW_HILLS",-1,"CONTINENT_ANTARCTICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[64][0]=["TERRAIN_SNOW",-1,"CONTINENT_ANTARCTICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                      ;
MapToConvert[63][0]=["TERRAIN_SNOW",-1,"CONTINENT_ANTARCTICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                      ;
MapToConvert[62][0]=["TERRAIN_SNOW_HILLS",-1,"CONTINENT_ANTARCTICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[61][0]=["TERRAIN_SNOW",-1,"CONTINENT_ANTARCTICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                      ;
MapToConvert[60][0]=["TERRAIN_SNOW_HILLS",-1,"CONTINENT_ANTARCTICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[59][0]=["TERRAIN_SNOW",-1,"CONTINENT_ANTARCTICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                      ;
MapToConvert[58][0]=["TERRAIN_SNOW",-1,"CONTINENT_ANTARCTICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                      ;
MapToConvert[57][0]=["TERRAIN_SNOW",-1,"CONTINENT_ANTARCTICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                      ;
MapToConvert[56][0]=["TERRAIN_SNOW",-1,"CONTINENT_ANTARCTICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                      ;
MapToConvert[55][0]=["TERRAIN_SNOW_HILLS",-1,"CONTINENT_ANTARCTICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[54][0]=["TERRAIN_SNOW",-1,"CONTINENT_ANTARCTICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                      ;
MapToConvert[53][0]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                              ;
MapToConvert[52][0]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                              ;
MapToConvert[51][0]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                              ;
MapToConvert[50][0]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                              ;
MapToConvert[49][0]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                              ;
MapToConvert[48][0]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                              ;
MapToConvert[47][0]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                              ;
MapToConvert[46][0]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                              ;
MapToConvert[45][0]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                              ;
MapToConvert[44][0]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                              ;
MapToConvert[43][0]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                              ;
MapToConvert[42][0]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                              ;
MapToConvert[41][0]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                              ;
MapToConvert[40][0]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                              ;
MapToConvert[39][0]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                              ;
MapToConvert[38][0]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                              ;
MapToConvert[37][0]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                              ;
MapToConvert[36][0]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                              ;
MapToConvert[35][0]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                              ;
MapToConvert[34][0]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                              ;
MapToConvert[33][0]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                              ;
MapToConvert[32][0]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                              ;
MapToConvert[31][0]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                              ;
MapToConvert[30][0]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                              ;
MapToConvert[29][0]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                              ;
MapToConvert[28][0]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                              ;
MapToConvert[27][0]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                              ;
MapToConvert[26][0]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                              ;
MapToConvert[25][0]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                              ;
MapToConvert[24][0]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                              ;
MapToConvert[23][0]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                              ;
MapToConvert[22][0]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                              ;
MapToConvert[21][0]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                              ;
MapToConvert[20][0]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                              ;
MapToConvert[19][0]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                              ;
MapToConvert[18][0]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                              ;
MapToConvert[17][0]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                              ;
MapToConvert[16][0]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                              ;
MapToConvert[15][0]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                              ;
MapToConvert[14][0]=["TERRAIN_SNOW",-1,"CONTINENT_ANTARCTICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                      ;
MapToConvert[13][0]=["TERRAIN_SNOW",-1,"CONTINENT_ANTARCTICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                      ;
MapToConvert[12][0]=["TERRAIN_SNOW_HILLS",-1,"CONTINENT_ANTARCTICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[11][0]=["TERRAIN_SNOW",-1,"CONTINENT_ANTARCTICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                      ;
MapToConvert[10][0]=["TERRAIN_SNOW",-1,"CONTINENT_ANTARCTICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                      ;
MapToConvert[9][0]=["TERRAIN_SNOW_HILLS",-1,"CONTINENT_ANTARCTICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[8][0]=["TERRAIN_SNOW",-1,"CONTINENT_ANTARCTICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[7][0]=["TERRAIN_SNOW",-1,"CONTINENT_ANTARCTICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[6][0]=["TERRAIN_SNOW",-1,"CONTINENT_ANTARCTICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[5][0]=["TERRAIN_SNOW_HILLS",-1,"CONTINENT_ANTARCTICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[4][0]=["TERRAIN_SNOW",-1,"CONTINENT_ANTARCTICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[3][0]=["TERRAIN_SNOW_HILLS",-1,"CONTINENT_ANTARCTICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[2][0]=["TERRAIN_SNOW",-1,"CONTINENT_ANTARCTICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[1][0]=["TERRAIN_SNOW",-1,"CONTINENT_ANTARCTICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[0][0]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                               ;
MapToConvert[179][1]=["TERRAIN_SNOW",-1,"CONTINENT_ANTARCTICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                     ;
MapToConvert[178][1]=["TERRAIN_SNOW_HILLS",-1,"CONTINENT_ANTARCTICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[177][1]=["TERRAIN_SNOW_HILLS",-1,"CONTINENT_ANTARCTICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[176][1]=["TERRAIN_SNOW",-1,"CONTINENT_ANTARCTICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                     ;
MapToConvert[175][1]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[174][1]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[173][1]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[172][1]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[171][1]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[170][1]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[169][1]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[168][1]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[167][1]=["TERRAIN_SNOW_HILLS",-1,"CONTINENT_ANTARCTICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,1],-1]                                                               ;
MapToConvert[166][1]=["TERRAIN_SNOW_HILLS",-1,"CONTINENT_ANTARCTICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[165][1]=["TERRAIN_SNOW",-1,"CONTINENT_ANTARCTICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                     ;
MapToConvert[164][1]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[163][1]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[162][1]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[161][1]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[160][1]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[159][1]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[158][1]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[157][1]=["TERRAIN_TUNDRA_HILLS",-1,"CONTINENT_PATAGONIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,1,1],-1]                                                              ;
MapToConvert[156][1]=["TERRAIN_TUNDRA_HILLS",-1,"CONTINENT_PATAGONIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,1],-1]                                                              ;
MapToConvert[155][1]=["TERRAIN_TUNDRA_HILLS",-1,"CONTINENT_PATAGONIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                              ;
MapToConvert[154][1]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[153][1]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[152][1]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[151][1]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[150][1]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[149][1]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[148][1]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[147][1]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[146][1]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[145][1]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[144][1]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[143][1]=["TERRAIN_SNOW",-1,"CONTINENT_ANTARCTICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                     ;
MapToConvert[142][1]=["TERRAIN_SNOW_HILLS",-1,"CONTINENT_ANTARCTICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[141][1]=["TERRAIN_SNOW_HILLS",-1,"CONTINENT_ANTARCTICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[140][1]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[139][1]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[138][1]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[137][1]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[136][1]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[135][1]=["TERRAIN_SNOW",-1,"CONTINENT_ANTARCTICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                     ;
MapToConvert[134][1]=["TERRAIN_SNOW_HILLS",-1,"CONTINENT_ANTARCTICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[133][1]=["TERRAIN_SNOW_HILLS",-1,"CONTINENT_ANTARCTICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[132][1]=["TERRAIN_SNOW_HILLS",-1,"CONTINENT_ANTARCTICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[131][1]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[130][1]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[129][1]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[128][1]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[127][1]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[126][1]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[125][1]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[124][1]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[123][1]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[122][1]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[121][1]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[120][1]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[119][1]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[118][1]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[117][1]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[116][1]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[115][1]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[114][1]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[113][1]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[112][1]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[111][1]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[110][1]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[109][1]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[108][1]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[107][1]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[106][1]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[105][1]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_FISH",1],[0,0,0],-1]                                                                           ;
MapToConvert[104][1]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[103][1]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[102][1]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[101][1]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[100][1]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[99][1]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[98][1]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[97][1]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[96][1]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[95][1]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[94][1]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[93][1]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[92][1]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[91][1]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[90][1]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[89][1]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[88][1]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[87][1]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                              ;
MapToConvert[86][1]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[85][1]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[84][1]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[83][1]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                              ;
MapToConvert[82][1]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[81][1]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                              ;
MapToConvert[80][1]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                              ;
MapToConvert[79][1]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[78][1]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[77][1]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[76][1]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                              ;
MapToConvert[75][1]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                              ;
MapToConvert[74][1]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                              ;
MapToConvert[73][1]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                              ;
MapToConvert[72][1]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[71][1]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                              ;
MapToConvert[70][1]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[69][1]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                              ;
MapToConvert[68][1]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                              ;
MapToConvert[67][1]=["TERRAIN_SNOW_HILLS",-1,"CONTINENT_ANTARCTICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[66][1]=["TERRAIN_SNOW_HILLS",-1,"CONTINENT_ANTARCTICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[65][1]=["TERRAIN_SNOW_HILLS",-1,"CONTINENT_ANTARCTICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[64][1]=["TERRAIN_SNOW",-1,"CONTINENT_ANTARCTICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                      ;
MapToConvert[63][1]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[62][1]=["TERRAIN_SNOW",-1,"CONTINENT_ANTARCTICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                      ;
MapToConvert[61][1]=["TERRAIN_SNOW_HILLS",-1,"CONTINENT_ANTARCTICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[60][1]=["TERRAIN_SNOW_HILLS",-1,"CONTINENT_ANTARCTICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[59][1]=["TERRAIN_SNOW_HILLS",-1,"CONTINENT_ANTARCTICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[58][1]=["TERRAIN_SNOW",-1,"CONTINENT_ANTARCTICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                      ;
MapToConvert[57][1]=["TERRAIN_SNOW_HILLS",-1,"CONTINENT_ANTARCTICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[56][1]=["TERRAIN_SNOW_HILLS",-1,"CONTINENT_ANTARCTICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[55][1]=["TERRAIN_SNOW_HILLS",-1,"CONTINENT_ANTARCTICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[54][1]=["TERRAIN_SNOW",-1,"CONTINENT_ANTARCTICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                      ;
MapToConvert[53][1]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[52][1]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[51][1]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                              ;
MapToConvert[50][1]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                              ;
MapToConvert[49][1]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[48][1]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                              ;
MapToConvert[47][1]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                              ;
MapToConvert[46][1]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                              ;
MapToConvert[45][1]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[44][1]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[43][1]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                              ;
MapToConvert[42][1]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                              ;
MapToConvert[41][1]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[40][1]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[39][1]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[38][1]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[37][1]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[36][1]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[35][1]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[34][1]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[33][1]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[32][1]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[31][1]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[30][1]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[29][1]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[28][1]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[27][1]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[26][1]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[25][1]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[24][1]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[23][1]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[22][1]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[21][1]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[20][1]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[19][1]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[18][1]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[17][1]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[16][1]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[15][1]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[14][1]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[13][1]=["TERRAIN_SNOW",-1,"CONTINENT_ANTARCTICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                      ;
MapToConvert[12][1]=["TERRAIN_SNOW",-1,"CONTINENT_ANTARCTICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                      ;
MapToConvert[11][1]=["TERRAIN_SNOW",-1,"CONTINENT_ANTARCTICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                      ;
MapToConvert[10][1]=["TERRAIN_SNOW",-1,"CONTINENT_ANTARCTICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                      ;
MapToConvert[9][1]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                               ;
MapToConvert[8][1]=["TERRAIN_SNOW_HILLS",-1,"CONTINENT_ANTARCTICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                 ;
MapToConvert[7][1]=["TERRAIN_SNOW_HILLS",-1,"CONTINENT_ANTARCTICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[6][1]=["TERRAIN_SNOW_HILLS",-1,"CONTINENT_ANTARCTICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[5][1]=["TERRAIN_SNOW",-1,"CONTINENT_ANTARCTICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[4][1]=["TERRAIN_SNOW_HILLS",-1,"CONTINENT_ANTARCTICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[3][1]=["TERRAIN_SNOW_HILLS",-1,"CONTINENT_ANTARCTICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[2][1]=["TERRAIN_SNOW",-1,"CONTINENT_ANTARCTICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[1][1]=["TERRAIN_SNOW",-1,"CONTINENT_ANTARCTICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[0][1]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                               ;
MapToConvert[179][2]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                             ;
MapToConvert[178][2]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,1],-1]                                                                             ;
MapToConvert[177][2]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                                        ;
MapToConvert[176][2]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[175][2]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[174][2]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[173][2]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[172][2]=["TERRAIN_TUNDRA",-1,"CONTINENT_ANTARCTICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[171][2]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[170][2]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[169][2]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[168][2]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[167][2]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,1],-1]                                                                                        ;
MapToConvert[166][2]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                                        ;
MapToConvert[165][2]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[164][2]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[163][2]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[162][2]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[161][2]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[160][2]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[159][2]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[158][2]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                                        ;
MapToConvert[157][2]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                                        ;
MapToConvert[156][2]=["TERRAIN_TUNDRA",-1,"CONTINENT_PATAGONIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_FURS",1],[0,0,0],-1]                                                       ;
MapToConvert[155][2]=["TERRAIN_TUNDRA_HILLS","FEATURE_FOREST","CONTINENT_PATAGONIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                ;
MapToConvert[154][2]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[153][2]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[152][2]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[151][2]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[150][2]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[149][2]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[148][2]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[147][2]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[146][2]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[145][2]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[144][2]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[143][2]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[142][2]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[141][2]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[140][2]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[139][2]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[138][2]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[137][2]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[136][2]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[135][2]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[134][2]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[133][2]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[132][2]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[131][2]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[130][2]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[129][2]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[128][2]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[127][2]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[126][2]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[125][2]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[124][2]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[123][2]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[122][2]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[121][2]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[120][2]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[119][2]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[118][2]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[117][2]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[116][2]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[115][2]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[114][2]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[113][2]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[112][2]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[111][2]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[110][2]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[109][2]=["TERRAIN_GRASS",-1,"CONTINENT_ZEALANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,1],-1]                                                                     ;
MapToConvert[108][2]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_ZEALANDIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_DEER",1],[0,0,0],-1]                                         ;
MapToConvert[107][2]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_ZEALANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                      ;
MapToConvert[106][2]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[105][2]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[104][2]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[103][2]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[102][2]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[101][2]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[100][2]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[99][2]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[98][2]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[97][2]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[96][2]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[95][2]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[94][2]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[93][2]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[92][2]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[91][2]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[90][2]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[89][2]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[88][2]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[87][2]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[86][2]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[85][2]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[84][2]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[83][2]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[82][2]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[81][2]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[80][2]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[79][2]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[78][2]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[77][2]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[76][2]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[75][2]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                              ;
MapToConvert[74][2]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[73][2]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[72][2]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[71][2]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[70][2]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[69][2]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[68][2]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[67][2]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                              ;
MapToConvert[66][2]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                              ;
MapToConvert[65][2]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                              ;
MapToConvert[64][2]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[63][2]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                              ;
MapToConvert[62][2]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                                         ;
MapToConvert[61][2]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,1],-1]                                                                              ;
MapToConvert[60][2]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,1],-1]                                                                                         ;
MapToConvert[59][2]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                                         ;
MapToConvert[58][2]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                              ;
MapToConvert[57][2]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,1],-1]                                                                              ;
MapToConvert[56][2]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,1],-1]                                                                                         ;
MapToConvert[55][2]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                                         ;
MapToConvert[54][2]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[53][2]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[52][2]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[51][2]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[50][2]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[49][2]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[48][2]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[47][2]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[46][2]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[45][2]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[44][2]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[43][2]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[42][2]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[41][2]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[40][2]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[39][2]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[38][2]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[37][2]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[36][2]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[35][2]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[34][2]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[33][2]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[32][2]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[31][2]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[30][2]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[29][2]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[28][2]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[27][2]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[26][2]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[25][2]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[24][2]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[23][2]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[22][2]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[21][2]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[20][2]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[19][2]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[18][2]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[17][2]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[16][2]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[15][2]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[14][2]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[13][2]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                                         ;
MapToConvert[12][2]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                                         ;
MapToConvert[11][2]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                                         ;
MapToConvert[10][2]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                                         ;
MapToConvert[9][2]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                               ;
MapToConvert[8][2]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                               ;
MapToConvert[7][2]=["TERRAIN_SNOW",-1,"CONTINENT_ANTARCTICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[6][2]=["TERRAIN_SNOW",-1,"CONTINENT_ANTARCTICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[5][2]=["TERRAIN_SNOW",-1,"CONTINENT_ANTARCTICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[4][2]=["TERRAIN_SNOW",-1,"CONTINENT_ANTARCTICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[3][2]=["TERRAIN_SNOW",-1,"CONTINENT_ANTARCTICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[2][2]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                               ;
MapToConvert[1][2]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                               ;
MapToConvert[0][2]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                               ;
MapToConvert[179][3]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[178][3]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[177][3]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[176][3]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[175][3]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[174][3]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[173][3]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[172][3]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[171][3]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[170][3]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[169][3]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[168][3]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[167][3]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[166][3]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[165][3]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[164][3]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[163][3]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[162][3]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[161][3]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[160][3]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[159][3]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[158][3]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[157][3]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[156][3]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[155][3]=["TERRAIN_TUNDRA",-1,"CONTINENT_PATAGONIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                    ;
MapToConvert[154][3]=["TERRAIN_TUNDRA",-1,"CONTINENT_PATAGONIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_OIL",1],[1,0,0],-1]                                                        ;
MapToConvert[153][3]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                        ;
MapToConvert[152][3]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[151][3]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[150][3]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[149][3]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[148][3]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[147][3]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[146][3]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[145][3]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[144][3]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[143][3]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[142][3]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[141][3]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[140][3]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[139][3]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[138][3]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[137][3]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[136][3]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[135][3]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[134][3]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[133][3]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[132][3]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[131][3]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[130][3]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[129][3]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[128][3]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[127][3]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[126][3]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[125][3]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[124][3]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[123][3]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[122][3]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[121][3]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[120][3]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[119][3]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[118][3]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[117][3]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[116][3]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[115][3]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[114][3]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[113][3]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[112][3]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[111][3]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[110][3]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[109][3]=["TERRAIN_GRASS",-1,"CONTINENT_ZEALANDIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SHEEP",1],[0,0,0],-1]                                                       ;
MapToConvert[108][3]=["TERRAIN_GRASS",-1,"CONTINENT_ZEALANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                     ;
MapToConvert[107][3]=["TERRAIN_GRASS",-1,"CONTINENT_ZEALANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                     ;
MapToConvert[106][3]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[105][3]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[104][3]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[103][3]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[102][3]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[101][3]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[100][3]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[99][3]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[98][3]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[97][3]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[96][3]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[95][3]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[94][3]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[93][3]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[92][3]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[91][3]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[90][3]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[89][3]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[88][3]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[87][3]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[86][3]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[85][3]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[84][3]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[83][3]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[82][3]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[81][3]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[80][3]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[79][3]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[78][3]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[77][3]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[76][3]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[75][3]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[74][3]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[73][3]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[72][3]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[71][3]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[70][3]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[69][3]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[68][3]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[67][3]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                              ;
MapToConvert[66][3]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                              ;
MapToConvert[65][3]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[64][3]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[63][3]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[62][3]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[61][3]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[60][3]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[59][3]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[58][3]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[57][3]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                              ;
MapToConvert[56][3]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                              ;
MapToConvert[55][3]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[54][3]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[53][3]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[52][3]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[51][3]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[50][3]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[49][3]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[48][3]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[47][3]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[46][3]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[45][3]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[44][3]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[43][3]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[42][3]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[41][3]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[40][3]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[39][3]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[38][3]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[37][3]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[36][3]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[35][3]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[34][3]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[33][3]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[32][3]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[31][3]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[30][3]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[29][3]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[28][3]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[27][3]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[26][3]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[25][3]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[24][3]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[23][3]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[22][3]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[21][3]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[20][3]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[19][3]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[18][3]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[17][3]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[16][3]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[15][3]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[14][3]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[13][3]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[12][3]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[11][3]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[10][3]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                              ;
MapToConvert[9][3]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                               ;
MapToConvert[8][3]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                               ;
MapToConvert[7][3]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                               ;
MapToConvert[6][3]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                               ;
MapToConvert[5][3]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                               ;
MapToConvert[4][3]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                               ;
MapToConvert[3][3]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                               ;
MapToConvert[2][3]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                               ;
MapToConvert[1][3]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                               ;
MapToConvert[0][3]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                               ;
MapToConvert[179][4]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[178][4]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[177][4]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[176][4]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[175][4]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[174][4]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[173][4]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[172][4]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[171][4]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[170][4]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[169][4]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[168][4]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[167][4]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[166][4]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[165][4]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[164][4]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[163][4]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[162][4]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[161][4]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_PATAGONIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,1,0],-1]                                                      ;
MapToConvert[160][4]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                        ;
MapToConvert[159][4]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[158][4]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[157][4]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[156][4]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_PATAGONIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                              ;
MapToConvert[155][4]=["TERRAIN_TUNDRA_HILLS","FEATURE_FOREST","CONTINENT_PATAGONIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                ;
MapToConvert[154][4]=["TERRAIN_TUNDRA",-1,"CONTINENT_PATAGONIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                    ;
MapToConvert[153][4]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[152][4]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[151][4]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[150][4]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[149][4]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[148][4]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[147][4]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[146][4]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[145][4]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[144][4]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[143][4]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[142][4]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[141][4]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[140][4]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[139][4]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[138][4]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[137][4]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[136][4]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[135][4]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[134][4]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[133][4]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[132][4]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[131][4]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[130][4]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[129][4]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[128][4]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[127][4]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[126][4]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[125][4]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[124][4]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[123][4]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[122][4]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[121][4]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[120][4]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[119][4]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[118][4]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[117][4]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[116][4]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[115][4]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[114][4]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[113][4]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[112][4]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_FISH",1],[0,0,0],-1]                                                                           ;
MapToConvert[111][4]=["TERRAIN_GRASS",-1,"CONTINENT_ZEALANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                     ;
MapToConvert[110][4]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_ZEALANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[109][4]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_ZEALANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[108][4]=["TERRAIN_GRASS",-1,"CONTINENT_ZEALANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                     ;
MapToConvert[107][4]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[106][4]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[105][4]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[104][4]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[103][4]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[102][4]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[101][4]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[100][4]=["TERRAIN_TUNDRA",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_OIL",1],[0,0,0],-1]                                                        ;
MapToConvert[99][4]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                         ;
MapToConvert[98][4]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[97][4]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[96][4]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[95][4]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[94][4]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[93][4]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[92][4]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[91][4]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[90][4]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[89][4]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[88][4]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[87][4]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[86][4]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[85][4]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[84][4]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[83][4]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[82][4]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[81][4]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[80][4]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[79][4]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[78][4]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[77][4]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[76][4]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[75][4]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[74][4]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[73][4]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[72][4]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                              ;
MapToConvert[71][4]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[70][4]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[69][4]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[68][4]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[67][4]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[66][4]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[65][4]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[64][4]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[63][4]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[62][4]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[61][4]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[60][4]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[59][4]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[58][4]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[57][4]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[56][4]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[55][4]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[54][4]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[53][4]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[52][4]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[51][4]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[50][4]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[49][4]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[48][4]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[47][4]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[46][4]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[45][4]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[44][4]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[43][4]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[42][4]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[41][4]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[40][4]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[39][4]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[38][4]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[37][4]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[36][4]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[35][4]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[34][4]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[33][4]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[32][4]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[31][4]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[30][4]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[29][4]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[28][4]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[27][4]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[26][4]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[25][4]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[24][4]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[23][4]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[22][4]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[21][4]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[20][4]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[19][4]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[18][4]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[17][4]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[16][4]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[15][4]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[14][4]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[13][4]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[12][4]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[11][4]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[10][4]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[9][4]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                          ;
MapToConvert[8][4]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                               ;
MapToConvert[7][4]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                               ;
MapToConvert[6][4]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                               ;
MapToConvert[5][4]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                               ;
MapToConvert[4][4]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                               ;
MapToConvert[3][4]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                               ;
MapToConvert[2][4]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                               ;
MapToConvert[1][4]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                          ;
MapToConvert[0][4]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                          ;
MapToConvert[179][5]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[178][5]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[177][5]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[176][5]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[175][5]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[174][5]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[173][5]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[172][5]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[171][5]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[170][5]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[169][5]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[168][5]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[167][5]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[166][5]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[165][5]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[164][5]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[163][5]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[162][5]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[161][5]=["TERRAIN_PLAINS",-1,"CONTINENT_PATAGONIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SHEEP",1],[0,0,1],-1]                                                      ;
MapToConvert[160][5]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[159][5]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[158][5]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[157][5]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[156][5]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_PATAGONIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                              ;
MapToConvert[155][5]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_PATAGONIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_COAL",1],[0,0,0],-1]                                                 ;
MapToConvert[154][5]=["TERRAIN_TUNDRA_HILLS","FEATURE_FOREST","CONTINENT_PATAGONIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                ;
MapToConvert[153][5]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_CRABS",1],[0,0,1],-1]                                                                          ;
MapToConvert[152][5]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[151][5]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[150][5]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[149][5]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[148][5]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[147][5]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[146][5]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[145][5]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[144][5]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[143][5]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[142][5]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[141][5]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[140][5]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[139][5]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[138][5]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[137][5]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[136][5]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[135][5]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[134][5]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[133][5]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[132][5]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[131][5]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[130][5]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[129][5]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[128][5]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[127][5]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[126][5]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[125][5]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[124][5]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[123][5]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[122][5]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[121][5]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[120][5]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[119][5]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[118][5]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[117][5]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[116][5]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[115][5]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[114][5]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[113][5]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[112][5]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[111][5]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                                        ;
MapToConvert[110][5]=["TERRAIN_GRASS",-1,"CONTINENT_ZEALANDIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_WHEAT",1],[0,1,0],-1]                                                       ;
MapToConvert[109][5]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_ZEALANDIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_IRON",1],[0,0,0],-1]                                   ;
MapToConvert[108][5]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_CRABS",1],[0,0,0],-1]                                                                          ;
MapToConvert[107][5]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[106][5]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[105][5]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[104][5]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[103][5]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[102][5]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[101][5]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[100][5]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                       ;
MapToConvert[99][5]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                ;
MapToConvert[98][5]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[97][5]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[96][5]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[95][5]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[94][5]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[93][5]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[92][5]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[91][5]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[90][5]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[89][5]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[88][5]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[87][5]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[86][5]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[85][5]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[84][5]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[83][5]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[82][5]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[81][5]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[80][5]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[79][5]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[78][5]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[77][5]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[76][5]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[75][5]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[74][5]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[73][5]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[72][5]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[71][5]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                              ;
MapToConvert[70][5]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[69][5]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[68][5]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[67][5]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[66][5]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[65][5]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[64][5]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[63][5]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[62][5]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[61][5]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[60][5]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[59][5]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[58][5]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[57][5]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[56][5]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[55][5]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[54][5]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[53][5]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[52][5]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[51][5]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[50][5]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[49][5]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[48][5]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[47][5]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[46][5]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[45][5]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[44][5]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[43][5]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[42][5]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[41][5]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[40][5]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[39][5]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[38][5]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[37][5]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[36][5]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[35][5]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[34][5]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[33][5]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[32][5]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[31][5]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[30][5]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[29][5]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[28][5]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[27][5]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[26][5]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[25][5]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[24][5]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[23][5]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[22][5]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[21][5]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[20][5]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[19][5]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[18][5]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[17][5]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[16][5]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[15][5]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[14][5]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[13][5]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[12][5]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[11][5]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[10][5]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[9][5]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                          ;
MapToConvert[8][5]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                          ;
MapToConvert[7][5]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                          ;
MapToConvert[6][5]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                          ;
MapToConvert[5][5]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                          ;
MapToConvert[4][5]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                          ;
MapToConvert[3][5]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                          ;
MapToConvert[2][5]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                          ;
MapToConvert[1][5]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                          ;
MapToConvert[0][5]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                          ;
MapToConvert[179][6]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[178][6]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[177][6]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[176][6]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[175][6]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[174][6]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[173][6]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[172][6]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[171][6]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[170][6]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[169][6]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[168][6]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[167][6]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[166][6]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[165][6]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[164][6]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[163][6]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[162][6]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[161][6]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[160][6]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[159][6]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[158][6]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[157][6]=["TERRAIN_PLAINS",-1,"CONTINENT_PATAGONIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_WHEAT",1],[0,1,1],-1]                                                      ;
MapToConvert[156][6]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_PATAGONIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_IRON",1],[0,0,0],-1]                                                 ;
MapToConvert[155][6]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_PATAGONIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[154][6]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_PATAGONIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                      ;
MapToConvert[153][6]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[152][6]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[151][6]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[150][6]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[149][6]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[148][6]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[147][6]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[146][6]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[145][6]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[144][6]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[143][6]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[142][6]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[141][6]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[140][6]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[139][6]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[138][6]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[137][6]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[136][6]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[135][6]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[134][6]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[133][6]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[132][6]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[131][6]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[130][6]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[129][6]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[128][6]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[127][6]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[126][6]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[125][6]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[124][6]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[123][6]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[122][6]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[121][6]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[120][6]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[119][6]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[118][6]=["TERRAIN_GRASS",-1,"CONTINENT_ZEALANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                     ;
MapToConvert[117][6]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[116][6]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[115][6]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[114][6]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[113][6]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[112][6]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[111][6]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_ZEALANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                               ;
MapToConvert[110][6]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_ZEALANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[109][6]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                                        ;
MapToConvert[108][6]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[107][6]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[106][6]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[105][6]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[104][6]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[103][6]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[102][6]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[101][6]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[100][6]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                                        ;
MapToConvert[99][6]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[98][6]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[97][6]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[96][6]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[95][6]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[94][6]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[93][6]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[92][6]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[91][6]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[90][6]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[89][6]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[88][6]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[87][6]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[86][6]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[85][6]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[84][6]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[83][6]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[82][6]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[81][6]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[80][6]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[79][6]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[78][6]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[77][6]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[76][6]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[75][6]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[74][6]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[73][6]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[72][6]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[71][6]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[70][6]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[69][6]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[68][6]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                              ;
MapToConvert[67][6]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[66][6]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[65][6]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[64][6]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[63][6]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[62][6]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[61][6]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[60][6]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[59][6]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[58][6]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[57][6]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[56][6]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[55][6]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[54][6]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[53][6]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[52][6]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[51][6]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[50][6]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[49][6]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[48][6]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[47][6]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[46][6]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[45][6]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[44][6]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[43][6]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[42][6]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[41][6]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[40][6]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[39][6]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[38][6]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[37][6]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[36][6]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[35][6]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[34][6]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[33][6]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[32][6]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[31][6]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[30][6]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[29][6]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[28][6]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[27][6]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[26][6]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[25][6]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_FISH",1],[0,0,0],-1]                                                                            ;
MapToConvert[24][6]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[23][6]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_CRABS",1],[0,0,0],-1]                                                                           ;
MapToConvert[22][6]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[21][6]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[20][6]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[19][6]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[18][6]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[17][6]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[16][6]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[15][6]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[14][6]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[13][6]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[12][6]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[11][6]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[10][6]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[9][6]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                          ;
MapToConvert[8][6]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                          ;
MapToConvert[7][6]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                          ;
MapToConvert[6][6]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                          ;
MapToConvert[5][6]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                          ;
MapToConvert[4][6]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                          ;
MapToConvert[3][6]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                          ;
MapToConvert[2][6]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                          ;
MapToConvert[1][6]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                          ;
MapToConvert[0][6]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                          ;
MapToConvert[179][7]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[178][7]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[177][7]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[176][7]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[175][7]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[174][7]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[173][7]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[172][7]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[171][7]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[170][7]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[169][7]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[168][7]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[167][7]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[166][7]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[165][7]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[164][7]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[163][7]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[162][7]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[161][7]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[160][7]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[159][7]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[158][7]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_WHALES",1],[0,0,0],-1]                                                                         ;
MapToConvert[157][7]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                                        ;
MapToConvert[156][7]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_PATAGONIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                ;
MapToConvert[155][7]=["TERRAIN_PLAINS",-1,"CONTINENT_PATAGONIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[154][7]=["TERRAIN_PLAINS",-1,"CONTINENT_PATAGONIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[153][7]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                                        ;
MapToConvert[152][7]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[151][7]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[150][7]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[149][7]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[148][7]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[147][7]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[146][7]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[145][7]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[144][7]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[143][7]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[142][7]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[141][7]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[140][7]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[139][7]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[138][7]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[137][7]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[136][7]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[135][7]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[134][7]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[133][7]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[132][7]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[131][7]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[130][7]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[129][7]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[128][7]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[127][7]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[126][7]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[125][7]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[124][7]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[123][7]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[122][7]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[121][7]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[120][7]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[119][7]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[118][7]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[117][7]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[116][7]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[115][7]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[114][7]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[113][7]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[112][7]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[111][7]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_ZEALANDIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_COPPER",1],[0,0,0],-1]                                                ;
MapToConvert[110][7]=["TERRAIN_GRASS_HILLS","FEATURE_JUNGLE","CONTINENT_ZEALANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[109][7]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[108][7]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[107][7]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_WHALES",1],[0,0,0],-1]                                                                         ;
MapToConvert[106][7]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[105][7]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[104][7]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[103][7]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[102][7]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[101][7]=["TERRAIN_GRASS",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,1],-1]                                                                     ;
MapToConvert[100][7]=["TERRAIN_GRASS",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                     ;
MapToConvert[99][7]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_DEER",1],[0,0,1],-1]                                           ;
MapToConvert[98][7]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[97][7]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[96][7]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[95][7]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[94][7]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[93][7]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[92][7]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[91][7]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[90][7]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[89][7]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[88][7]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[87][7]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[86][7]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[85][7]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[84][7]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[83][7]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[82][7]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[81][7]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[80][7]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[79][7]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[78][7]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[77][7]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[76][7]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[75][7]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[74][7]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[73][7]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[72][7]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[71][7]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[70][7]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[69][7]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[68][7]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                              ;
MapToConvert[67][7]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[66][7]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[65][7]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[64][7]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[63][7]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[62][7]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[61][7]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[60][7]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[59][7]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[58][7]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[57][7]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[56][7]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[55][7]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[54][7]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[53][7]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[52][7]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[51][7]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[50][7]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[49][7]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[48][7]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[47][7]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[46][7]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[45][7]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[44][7]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[43][7]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[42][7]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[41][7]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[40][7]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[39][7]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[38][7]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[37][7]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[36][7]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[35][7]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[34][7]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[33][7]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[32][7]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[31][7]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[30][7]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[29][7]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[28][7]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[27][7]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_SOUTH_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                              ;
MapToConvert[26][7]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_SOUTH_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                    ;
MapToConvert[25][7]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_SOUTH_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                     ;
MapToConvert[24][7]=["TERRAIN_GRASS",-1,"CONTINENT_SOUTH_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,1],-1]                                                                   ;
MapToConvert[23][7]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_OIL",1],[0,0,0],-1]                                                                             ;
MapToConvert[22][7]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_CRABS",1],[0,0,0],-1]                                                                           ;
MapToConvert[21][7]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[20][7]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[19][7]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[18][7]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[17][7]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[16][7]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[15][7]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[14][7]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[13][7]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[12][7]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[11][7]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[10][7]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[9][7]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                          ;
MapToConvert[8][7]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                          ;
MapToConvert[7][7]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                          ;
MapToConvert[6][7]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                          ;
MapToConvert[5][7]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                          ;
MapToConvert[4][7]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                          ;
MapToConvert[3][7]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                          ;
MapToConvert[2][7]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                          ;
MapToConvert[1][7]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                          ;
MapToConvert[0][7]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                          ;
MapToConvert[179][8]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[178][8]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[177][8]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[176][8]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[175][8]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[174][8]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[173][8]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[172][8]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[171][8]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[170][8]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[169][8]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[168][8]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[167][8]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[166][8]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[165][8]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[164][8]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[163][8]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[162][8]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[161][8]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[160][8]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[159][8]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[158][8]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[157][8]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_PATAGONIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                ;
MapToConvert[156][8]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_PATAGONIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_STONE",1],[0,0,0],-1]                                                ;
MapToConvert[155][8]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_PATAGONIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[154][8]=["TERRAIN_TUNDRA",-1,"CONTINENT_PATAGONIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_DEER",1],[0,0,0],-1]                                                       ;
MapToConvert[153][8]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                        ;
MapToConvert[152][8]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[151][8]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[150][8]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[149][8]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[148][8]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[147][8]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[146][8]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[145][8]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[144][8]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[143][8]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[142][8]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[141][8]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[140][8]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[139][8]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[138][8]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[137][8]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[136][8]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[135][8]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[134][8]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[133][8]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[132][8]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[131][8]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[130][8]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[129][8]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[128][8]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[127][8]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[126][8]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[125][8]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[124][8]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[123][8]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[122][8]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[121][8]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[120][8]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[119][8]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[118][8]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[117][8]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[116][8]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[115][8]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[114][8]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[113][8]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_ZEALANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                       ;
MapToConvert[112][8]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[111][8]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                                        ;
MapToConvert[110][8]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[109][8]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[108][8]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[107][8]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[106][8]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[105][8]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[104][8]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[103][8]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[102][8]=["TERRAIN_GRASS",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_WHEAT",1],[0,0,0],-1]                                                       ;
MapToConvert[101][8]=["TERRAIN_GRASS_MOUNTAIN","FEATURE_FOREST","CONTINENT_AUSTRALIA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                               ;
MapToConvert[100][8]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                       ;
MapToConvert[99][8]=["TERRAIN_GRASS",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                      ;
MapToConvert[98][8]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,1],-1]                                                        ;
MapToConvert[97][8]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[96][8]=["TERRAIN_PLAINS",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                     ;
MapToConvert[95][8]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[94][8]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_WHALES",1],[0,0,0],-1]                                                                          ;
MapToConvert[93][8]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[92][8]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[91][8]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[90][8]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[89][8]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[88][8]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[87][8]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[86][8]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[85][8]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[84][8]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[83][8]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[82][8]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[81][8]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[80][8]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[79][8]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[78][8]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[77][8]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[76][8]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[75][8]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[74][8]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[73][8]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[72][8]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[71][8]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[70][8]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[69][8]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[68][8]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[67][8]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[66][8]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[65][8]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[64][8]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[63][8]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[62][8]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[61][8]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[60][8]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[59][8]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[58][8]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[57][8]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[56][8]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[55][8]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[54][8]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[53][8]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[52][8]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[51][8]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[50][8]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[49][8]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[48][8]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[47][8]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[46][8]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[45][8]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[44][8]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[43][8]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[42][8]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[41][8]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[40][8]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[39][8]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[38][8]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[37][8]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[36][8]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[35][8]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[34][8]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[33][8]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[32][8]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[31][8]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[30][8]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[29][8]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[28][8]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_SOUTH_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,1],-1]                                              ;
MapToConvert[27][8]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_SOUTH_AFRICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_DIAMONDS",1],[0,0,0],-1]                                           ;
MapToConvert[26][8]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_SOUTH_AFRICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_WINE",1],[0,0,0],-1]                                        ;
MapToConvert[25][8]=["TERRAIN_GRASS",-1,"CONTINENT_SOUTH_AFRICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_IVORY",1],[0,0,0],-1]                                                     ;
MapToConvert[24][8]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[23][8]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[22][8]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[21][8]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[20][8]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[19][8]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[18][8]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[17][8]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[16][8]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[15][8]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[14][8]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[13][8]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[12][8]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[11][8]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[10][8]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[9][8]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                          ;
MapToConvert[8][8]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                          ;
MapToConvert[7][8]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                          ;
MapToConvert[6][8]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                          ;
MapToConvert[5][8]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                          ;
MapToConvert[4][8]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                          ;
MapToConvert[3][8]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                          ;
MapToConvert[2][8]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                          ;
MapToConvert[1][8]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                          ;
MapToConvert[0][8]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                          ;
MapToConvert[179][9]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[178][9]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[177][9]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[176][9]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[175][9]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[174][9]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[173][9]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[172][9]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[171][9]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[170][9]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[169][9]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[168][9]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[167][9]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[166][9]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[165][9]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[164][9]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[163][9]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[162][9]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[161][9]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[160][9]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[159][9]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[158][9]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[157][9]=["TERRAIN_PLAINS",-1,"CONTINENT_PATAGONIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_OIL",1],[0,0,1],-1]                                                        ;
MapToConvert[156][9]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_PATAGONIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                ;
MapToConvert[155][9]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_PATAGONIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                              ;
MapToConvert[154][9]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_PATAGONIA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                                            ;
MapToConvert[153][9]=["TERRAIN_PLAINS",-1,"CONTINENT_PATAGONIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_WHEAT",1],[1,0,0],-1]                                                      ;
MapToConvert[152][9]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                        ;
MapToConvert[151][9]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[150][9]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[149][9]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[148][9]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[147][9]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[146][9]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[145][9]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[144][9]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[143][9]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[142][9]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[141][9]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[140][9]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[139][9]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[138][9]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[137][9]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[136][9]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[135][9]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[134][9]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[133][9]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[132][9]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[131][9]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[130][9]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[129][9]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[128][9]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[127][9]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[126][9]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[125][9]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[124][9]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[123][9]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[122][9]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[121][9]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[120][9]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[119][9]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[118][9]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[117][9]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[116][9]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[115][9]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[114][9]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[113][9]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_ZEALANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                       ;
MapToConvert[112][9]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_ZEALANDIA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[111][9]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_ZEALANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                               ;
MapToConvert[110][9]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                        ;
MapToConvert[109][9]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[108][9]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[107][9]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[106][9]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[105][9]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[104][9]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[103][9]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_CRABS",1],[0,0,0],-1]                                                                          ;
MapToConvert[102][9]=["TERRAIN_GRASS",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                     ;
MapToConvert[101][9]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_AUSTRALIA",[[1,5],[0,-1],[0,-1]],["RESOURCE_COAL",1],[0,0,0],-1]                                                   ;
MapToConvert[100][9]=["TERRAIN_GRASS",-1,"CONTINENT_AUSTRALIA",[[1,5],[0,-1],[1,4]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[99][9]=["TERRAIN_GRASS",-1,"CONTINENT_AUSTRALIA",[[0,-1],[1,0],[0,-1]],["RESOURCE_SHEEP",1],[0,0,0],-1]                                                         ;
MapToConvert[98][9]=["TERRAIN_GRASS_HILLS","FEATURE_FOREST","CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[97][9]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                       ;
MapToConvert[96][9]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[95][9]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[94][9]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[93][9]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[92][9]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[91][9]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[90][9]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[89][9]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[88][9]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[87][9]=["TERRAIN_PLAINS",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,1],-1]                                                                     ;
MapToConvert[86][9]=["TERRAIN_GRASS",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                      ;
MapToConvert[85][9]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[84][9]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[83][9]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[82][9]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[81][9]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[80][9]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[79][9]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[78][9]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[77][9]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[76][9]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[75][9]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[74][9]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[73][9]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[72][9]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[71][9]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[70][9]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[69][9]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[68][9]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[67][9]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[66][9]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[65][9]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[64][9]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[63][9]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[62][9]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[61][9]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[60][9]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[59][9]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[58][9]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[57][9]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[56][9]=["TERRAIN_SNOW",-1,"CONTINENT_ANTARCTICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                      ;
MapToConvert[55][9]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[54][9]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[53][9]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[52][9]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[51][9]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[50][9]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[49][9]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[48][9]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[47][9]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[46][9]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[45][9]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[44][9]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[43][9]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[42][9]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[41][9]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[40][9]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[39][9]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[38][9]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[37][9]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[36][9]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[35][9]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[34][9]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[33][9]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[32][9]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[31][9]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[30][9]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[29][9]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[28][9]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_SOUTH_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                     ;
MapToConvert[27][9]=["TERRAIN_GRASS_MOUNTAIN",-1,"CONTINENT_SOUTH_AFRICA",[[1,5],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[26][9]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_SOUTH_AFRICA",[[1,5],[0,-1],[1,4]],[-1,0],[0,0,0],-1]                                                              ;
MapToConvert[25][9]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_SOUTH_AFRICA",[[0,-1],[1,0],[0,-1]],["RESOURCE_DEER",1],[0,0,0],-1]                                         ;
MapToConvert[24][9]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_SOUTH_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                     ;
MapToConvert[23][9]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[22][9]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[21][9]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[20][9]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[19][9]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[18][9]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[17][9]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[16][9]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[15][9]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[14][9]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[13][9]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[12][9]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[11][9]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[10][9]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[9][9]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                          ;
MapToConvert[8][9]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                          ;
MapToConvert[7][9]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                          ;
MapToConvert[6][9]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                          ;
MapToConvert[5][9]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                          ;
MapToConvert[4][9]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                          ;
MapToConvert[3][9]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                          ;
MapToConvert[2][9]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                          ;
MapToConvert[1][9]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                          ;
MapToConvert[0][9]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                          ;
MapToConvert[179][10]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[178][10]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[177][10]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[176][10]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[175][10]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[174][10]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[173][10]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[172][10]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[171][10]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[170][10]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[169][10]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[168][10]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[167][10]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[166][10]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[165][10]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[164][10]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[163][10]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[162][10]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[161][10]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[160][10]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[159][10]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[158][10]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[157][10]=["TERRAIN_PLAINS",-1,"CONTINENT_PATAGONIA",[[1,2],[0,-1],[1,1]],["RESOURCE_CATTLE",1],[0,0,0],-1]                                                      ;
MapToConvert[156][10]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_PATAGONIA",[[1,2],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[155][10]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_PATAGONIA",[[0,-1],[0,-1],[1,1]],["RESOURCE_WINE",1],[0,0,0],-1]                                                 ;
MapToConvert[154][10]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_PATAGONIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                             ;
MapToConvert[153][10]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[152][10]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[151][10]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[150][10]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[149][10]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[148][10]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[147][10]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[146][10]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[145][10]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[144][10]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[143][10]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[142][10]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[141][10]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[140][10]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[139][10]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[138][10]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[137][10]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[136][10]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[135][10]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[134][10]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[133][10]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[132][10]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[131][10]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[130][10]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[129][10]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[128][10]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[127][10]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[126][10]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[125][10]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[124][10]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[123][10]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[122][10]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[121][10]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[120][10]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[119][10]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[118][10]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[117][10]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[116][10]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[115][10]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[114][10]=["TERRAIN_GRASS",-1,"CONTINENT_ZEALANDIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SHEEP",1],[0,1,1],-1]                                                      ;
MapToConvert[113][10]=["TERRAIN_GRASS_HILLS","FEATURE_FOREST","CONTINENT_ZEALANDIA",[[1,5],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[112][10]=["TERRAIN_GRASS",-1,"CONTINENT_ZEALANDIA",[[0,-1],[1,0],[0,-1]],["RESOURCE_WHEAT",1],[0,0,0],-1]                                                       ;
MapToConvert[111][10]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[110][10]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[109][10]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[108][10]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[107][10]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[106][10]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[105][10]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[104][10]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[103][10]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                              ;
MapToConvert[102][10]=["TERRAIN_GRASS_MOUNTAIN",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[101][10]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                              ;
MapToConvert[100][10]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_AUSTRALIA",[[1,5],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                       ;
MapToConvert[99][10]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_AUSTRALIA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                                       ;
MapToConvert[98][10]=["TERRAIN_PLAINS",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[97][10]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_AUSTRALIA",[[0,-1],[1,3],[1,4]],[-1,0],[1,0,0],-1]                                                                ;
MapToConvert[96][10]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[95][10]=["TERRAIN_PLAINS",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[94][10]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                        ;
MapToConvert[93][10]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[92][10]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[91][10]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_FISH",1],[0,0,0],-1]                                                                           ;
MapToConvert[90][10]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[89][10]=["TERRAIN_DESERT",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[88][10]=["TERRAIN_PLAINS",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_WHEAT",1],[0,0,0],-1]                                                      ;
MapToConvert[87][10]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                       ;
MapToConvert[86][10]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[85][10]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[84][10]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[83][10]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[82][10]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[81][10]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[80][10]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[79][10]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[78][10]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[77][10]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[76][10]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[75][10]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[74][10]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[73][10]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[72][10]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[71][10]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[70][10]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[69][10]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[68][10]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[67][10]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[66][10]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[65][10]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[64][10]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[63][10]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[62][10]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[61][10]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[60][10]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[59][10]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[58][10]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[57][10]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[56][10]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[55][10]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[54][10]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[53][10]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[52][10]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[51][10]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[50][10]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[49][10]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[48][10]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[47][10]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[46][10]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[45][10]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[44][10]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[43][10]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[42][10]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[41][10]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[40][10]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[39][10]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[38][10]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[37][10]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[36][10]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[35][10]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[34][10]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[33][10]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[32][10]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[31][10]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_WHALES",1],[0,0,0],-1]                                                                         ;
MapToConvert[30][10]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[29][10]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_SOUTH_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[28][10]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_SOUTH_AFRICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_WHEAT",1],[0,0,0],-1]                                              ;
MapToConvert[27][10]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_SOUTH_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                            ;
MapToConvert[26][10]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_SOUTH_AFRICA",[[1,5],[0,-1],[0,-1]],["RESOURCE_CITRUS",1],[0,0,0],-1]                                      ;
MapToConvert[25][10]=["TERRAIN_DESERT_MOUNTAIN",-1,"CONTINENT_SOUTH_AFRICA",[[1,5],[0,-1],[1,4]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[24][10]=["TERRAIN_DESERT_HILLS",-1,"CONTINENT_SOUTH_AFRICA",[[0,-1],[0,-1],[1,4]],["RESOURCE_ALUMINUM",1],[0,0,0],-1]                                           ;
MapToConvert[23][10]=["TERRAIN_PLAINS",-1,"CONTINENT_SOUTH_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                 ;
MapToConvert[22][10]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                        ;
MapToConvert[21][10]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[20][10]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[19][10]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[18][10]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[17][10]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[16][10]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[15][10]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[14][10]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[13][10]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[12][10]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[11][10]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[10][10]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[9][10]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[8][10]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[7][10]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[6][10]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[5][10]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[4][10]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[3][10]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[2][10]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[1][10]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[0][10]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[179][11]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[178][11]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[177][11]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[176][11]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[175][11]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[174][11]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[173][11]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[172][11]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[171][11]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[170][11]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[169][11]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[168][11]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[167][11]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[166][11]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[165][11]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[164][11]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[163][11]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[162][11]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[161][11]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_PEARLS",1],[0,0,0],-1]                                                                        ;
MapToConvert[160][11]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[159][11]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[158][11]=["TERRAIN_PLAINS",-1,"CONTINENT_PATAGONIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,1],-1]                                                                   ;
MapToConvert[157][11]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_PATAGONIA",[[1,2],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                              ;
MapToConvert[156][11]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_PATAGONIA",[[1,2],[1,3],[1,1]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[155][11]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_PATAGONIA",[[1,2],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[154][11]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_PATAGONIA",[[0,-1],[1,3],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[153][11]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_PATAGONIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                             ;
MapToConvert[152][11]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                       ;
MapToConvert[151][11]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[150][11]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[149][11]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[148][11]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[147][11]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[146][11]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[145][11]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[144][11]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[143][11]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[142][11]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[141][11]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[140][11]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[139][11]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[138][11]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[137][11]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[136][11]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[135][11]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[134][11]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[133][11]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[132][11]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[131][11]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[130][11]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[129][11]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[128][11]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[127][11]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[126][11]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[125][11]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[124][11]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[123][11]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[122][11]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[121][11]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[120][11]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[119][11]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[118][11]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[117][11]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[116][11]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[115][11]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[114][11]=["TERRAIN_GRASS",-1,"CONTINENT_ZEALANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                    ;
MapToConvert[113][11]=["TERRAIN_GRASS_HILLS","FEATURE_FOREST","CONTINENT_ZEALANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                ;
MapToConvert[112][11]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_ZEALANDIA",[[1,5],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                       ;
MapToConvert[111][11]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[110][11]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_CRABS",1],[0,0,0],-1]                                                                         ;
MapToConvert[109][11]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[108][11]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[107][11]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[106][11]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[105][11]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[104][11]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[103][11]=["TERRAIN_GRASS",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_CITRUS",1],[0,0,1],-1]                                                     ;
MapToConvert[102][11]=["TERRAIN_GRASS_MOUNTAIN","FEATURE_FOREST","CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                             ;
MapToConvert[101][11]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_AUSTRALIA",[[1,5],[0,-1],[1,4]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[100][11]=["TERRAIN_GRASS_HILLS","FEATURE_FOREST","CONTINENT_AUSTRALIA",[[1,5],[0,-1],[1,4]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[99][11]=["TERRAIN_GRASS",-1,"CONTINENT_AUSTRALIA",[[1,5],[0,-1],[1,4]],["RESOURCE_WHEAT",1],[0,0,0],-1]                                                         ;
MapToConvert[98][11]=["TERRAIN_PLAINS",-1,"CONTINENT_AUSTRALIA",[[1,5],[1,3],[1,4]],["RESOURCE_COTTON",1],[0,0,0],-1]                                                        ;
MapToConvert[97][11]=["TERRAIN_PLAINS",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[1,4]],["RESOURCE_CATTLE",1],[0,0,0],-1]                                                      ;
MapToConvert[96][11]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                              ;
MapToConvert[95][11]=["TERRAIN_PLAINS",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[94][11]=["TERRAIN_PLAINS",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_COTTON",1],[1,0,0],-1]                                                     ;
MapToConvert[93][11]=["TERRAIN_PLAINS",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[92][11]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[91][11]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[90][11]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[89][11]=["TERRAIN_DESERT",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,1],-1]                                                                    ;
MapToConvert[88][11]=["TERRAIN_DESERT",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[87][11]=["TERRAIN_DESERT",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[86][11]=["TERRAIN_GRASS_HILLS","FEATURE_FOREST","CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_IRON",1],[0,0,0],-1]                                    ;
MapToConvert[85][11]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[84][11]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[83][11]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[82][11]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[81][11]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[80][11]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[79][11]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[78][11]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[77][11]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[76][11]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[75][11]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[74][11]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[73][11]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[72][11]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[71][11]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[70][11]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[69][11]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[68][11]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[67][11]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[66][11]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[65][11]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[64][11]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[63][11]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[62][11]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[61][11]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[60][11]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[59][11]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[58][11]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[57][11]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[56][11]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[55][11]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[54][11]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[53][11]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[52][11]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[51][11]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[50][11]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[49][11]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[48][11]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[47][11]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[46][11]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[45][11]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[44][11]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[43][11]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[42][11]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[41][11]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[40][11]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[39][11]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[38][11]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[37][11]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[36][11]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[35][11]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[34][11]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[33][11]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[32][11]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[31][11]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[30][11]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[29][11]=["TERRAIN_PLAINS",-1,"CONTINENT_SOUTH_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[28][11]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_SOUTH_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[27][11]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_SOUTH_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[26][11]=["TERRAIN_DESERT","FEATURE_FLOODPLAINS","CONTINENT_SOUTH_AFRICA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                               ;
MapToConvert[25][11]=["TERRAIN_DESERT_HILLS",-1,"CONTINENT_SOUTH_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[24][11]=["TERRAIN_DESERT",-1,"CONTINENT_SOUTH_AFRICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_IVORY",1],[0,0,0],-1]                                                   ;
MapToConvert[23][11]=["TERRAIN_DESERT","FEATURE_OASIS","CONTINENT_SOUTH_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                    ;
MapToConvert[22][11]=["TERRAIN_PLAINS",-1,"CONTINENT_SOUTH_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                 ;
MapToConvert[21][11]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[20][11]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[19][11]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[18][11]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[17][11]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[16][11]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[15][11]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[14][11]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[13][11]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[12][11]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[11][11]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[10][11]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[9][11]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[8][11]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[7][11]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[6][11]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[5][11]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[4][11]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[3][11]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[2][11]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[1][11]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[0][11]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[179][12]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[178][12]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[177][12]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[176][12]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[175][12]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[174][12]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[173][12]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[172][12]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[171][12]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[170][12]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[169][12]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[168][12]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[167][12]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[166][12]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[165][12]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[164][12]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[163][12]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[162][12]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[161][12]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[160][12]=["TERRAIN_PLAINS",-1,"CONTINENT_PATAGONIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,1],-1]                                                                   ;
MapToConvert[159][12]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_PATAGONIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                     ;
MapToConvert[158][12]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_PATAGONIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_DEER",1],[0,0,0],-1]                                        ;
MapToConvert[157][12]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_PATAGONIA",[[1,2],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                      ;
MapToConvert[156][12]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_PATAGONIA",[[0,-1],[1,3],[0,-1]],["RESOURCE_DIAMONDS",1],[0,0,0],-1]                                             ;
MapToConvert[155][12]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_PATAGONIA",[[1,2],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[154][12]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_PATAGONIA",[[0,-1],[1,3],[0,-1]],[-1,0],[0,0,0],-1]                                                              ;
MapToConvert[153][12]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[152][12]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[151][12]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[150][12]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[149][12]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[148][12]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[147][12]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[146][12]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[145][12]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[144][12]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[143][12]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[142][12]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[141][12]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[140][12]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[139][12]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[138][12]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[137][12]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[136][12]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[135][12]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[134][12]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[133][12]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[132][12]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[131][12]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[130][12]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[129][12]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[128][12]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[127][12]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[126][12]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[125][12]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[124][12]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[123][12]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[122][12]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[121][12]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[120][12]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[119][12]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[118][12]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[117][12]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[116][12]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[115][12]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_FISH",1],[0,0,0],-1]                                                                          ;
MapToConvert[114][12]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[113][12]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                                       ;
MapToConvert[112][12]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_ZEALANDIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_IRON",1],[0,1,0],-1]                                                 ;
MapToConvert[111][12]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[110][12]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[109][12]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[108][12]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[107][12]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[106][12]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[105][12]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_FISH",1],[0,0,0],-1]                                                                          ;
MapToConvert[104][12]=["TERRAIN_GRASS",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SHEEP",1],[0,0,0],-1]                                                      ;
MapToConvert[103][12]=["TERRAIN_GRASS_HILLS","FEATURE_FOREST","CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                ;
MapToConvert[102][12]=["TERRAIN_GRASS_HILLS","FEATURE_FOREST","CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_IRON",1],[0,0,0],-1]                                   ;
MapToConvert[101][12]=["TERRAIN_GRASS",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[100][12]=["TERRAIN_PLAINS",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[99][12]=["TERRAIN_DESERT_HILLS",-1,"CONTINENT_AUSTRALIA",[[0,-1],[1,3],[1,4]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[98][12]=["TERRAIN_DESERT_HILLS",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                              ;
MapToConvert[97][12]=["TERRAIN_PLAINS",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[96][12]=["TERRAIN_PLAINS",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_OIL",1],[0,0,0],-1]                                                        ;
MapToConvert[95][12]=["TERRAIN_DESERT",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[94][12]=["TERRAIN_DESERT",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[93][12]=["TERRAIN_DESERT",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[92][12]=["TERRAIN_DESERT",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[91][12]=["TERRAIN_DESERT",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[90][12]=["TERRAIN_DESERT",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[89][12]=["TERRAIN_DESERT",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[88][12]=["TERRAIN_DESERT",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[87][12]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_AUSTRALIA",[[1,5],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[86][12]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[1,4]],["RESOURCE_DEER",1],[1,0,0],-1]                                           ;
MapToConvert[85][12]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                        ;
MapToConvert[84][12]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_WHALES",1],[0,0,0],-1]                                                                         ;
MapToConvert[83][12]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[82][12]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[81][12]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[80][12]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[79][12]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[78][12]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[77][12]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[76][12]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[75][12]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[74][12]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[73][12]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[72][12]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[71][12]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[70][12]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[69][12]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[68][12]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[67][12]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[66][12]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[65][12]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[64][12]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[63][12]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[62][12]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[61][12]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[60][12]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[59][12]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[58][12]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[57][12]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[56][12]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[55][12]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[54][12]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[53][12]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[52][12]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[51][12]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[50][12]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[49][12]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[48][12]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[47][12]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[46][12]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[45][12]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[44][12]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[43][12]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[42][12]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[41][12]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[40][12]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[39][12]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[38][12]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[37][12]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[36][12]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[35][12]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[34][12]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[33][12]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[32][12]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[31][12]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[30][12]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_SOUTH_AFRICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_STONE",1],[0,0,0],-1]                                             ;
MapToConvert[29][12]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_SOUTH_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[28][12]=["TERRAIN_PLAINS",-1,"CONTINENT_SOUTH_AFRICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_IVORY",1],[0,0,0],-1]                                                   ;
MapToConvert[27][12]=["TERRAIN_PLAINS",-1,"CONTINENT_SOUTH_AFRICA",[[0,-1],[1,0],[1,1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[26][12]=["TERRAIN_DESERT_HILLS",-1,"CONTINENT_SOUTH_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[25][12]=["TERRAIN_DESERT_HILLS",-1,"CONTINENT_SOUTH_AFRICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_IRON",1],[0,0,0],-1]                                              ;
MapToConvert[24][12]=["TERRAIN_DESERT",-1,"CONTINENT_SOUTH_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[23][12]=["TERRAIN_DESERT_HILLS",-1,"CONTINENT_SOUTH_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[22][12]=["TERRAIN_PLAINS",-1,"CONTINENT_SOUTH_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[21][12]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[20][12]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[19][12]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[18][12]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[17][12]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[16][12]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[15][12]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[14][12]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[13][12]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[12][12]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[11][12]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[10][12]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[9][12]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[8][12]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[7][12]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[6][12]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[5][12]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[4][12]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[3][12]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[2][12]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[1][12]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[0][12]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[179][13]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[178][13]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[177][13]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[176][13]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[175][13]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[174][13]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[173][13]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[172][13]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[171][13]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[170][13]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[169][13]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[168][13]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[167][13]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[166][13]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[165][13]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[164][13]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[163][13]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[162][13]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[161][13]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[160][13]=["TERRAIN_GRASS",-1,"CONTINENT_PATAGONIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                    ;
MapToConvert[159][13]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_PATAGONIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_STONE",1],[0,0,0],-1]                                               ;
MapToConvert[158][13]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_PATAGONIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                     ;
MapToConvert[157][13]=["TERRAIN_PLAINS",-1,"CONTINENT_PATAGONIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[156][13]=["TERRAIN_PLAINS",-1,"CONTINENT_PATAGONIA",[[1,2],[0,-1],[0,-1]],["RESOURCE_WHEAT",1],[0,0,0],-1]                                                      ;
MapToConvert[155][13]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_PATAGONIA",[[0,-1],[1,3],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[154][13]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_PATAGONIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                             ;
MapToConvert[153][13]=["TERRAIN_PLAINS",-1,"CONTINENT_PATAGONIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_OIL",1],[0,0,0],-1]                                                       ;
MapToConvert[152][13]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                       ;
MapToConvert[151][13]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[150][13]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[149][13]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[148][13]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[147][13]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[146][13]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[145][13]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[144][13]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[143][13]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[142][13]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[141][13]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[140][13]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[139][13]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[138][13]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[137][13]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[136][13]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[135][13]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[134][13]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[133][13]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[132][13]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[131][13]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[130][13]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[129][13]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[128][13]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[127][13]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[126][13]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[125][13]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[124][13]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[123][13]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[122][13]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[121][13]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[120][13]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[119][13]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[118][13]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[117][13]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[116][13]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[115][13]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[114][13]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[113][13]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[112][13]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                                       ;
MapToConvert[111][13]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_ZEALANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                      ;
MapToConvert[110][13]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                       ;
MapToConvert[109][13]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[108][13]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[107][13]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[106][13]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[105][13]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[104][13]=["TERRAIN_GRASS",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[103][13]=["TERRAIN_GRASS",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_WHEAT",1],[0,0,0],-1]                                                      ;
MapToConvert[102][13]=["TERRAIN_GRASS_HILLS","FEATURE_FOREST","CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_COAL",1],[0,0,0],-1]                                   ;
MapToConvert[101][13]=["TERRAIN_GRASS_HILLS","FEATURE_FOREST","CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                ;
MapToConvert[100][13]=["TERRAIN_PLAINS",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[99][13]=["TERRAIN_PLAINS",-1,"CONTINENT_AUSTRALIA",[[0,-1],[1,3],[1,4]],[-1,0],[0,0,0],-1]                                                                      ;
MapToConvert[98][13]=["TERRAIN_DESERT",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[97][13]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[96][13]=["TERRAIN_DESERT_HILLS",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_NITER",1],[0,0,0],-1]                                                ;
MapToConvert[95][13]=["TERRAIN_DESERT",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[94][13]=["TERRAIN_DESERT",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[93][13]=["TERRAIN_DESERT",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[92][13]=["TERRAIN_DESERT",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[91][13]=["TERRAIN_DESERT",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[90][13]=["TERRAIN_DESERT_HILLS",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_COAL",1],[0,0,0],-1]                                                 ;
MapToConvert[89][13]=["TERRAIN_DESERT",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[88][13]=["TERRAIN_DESERT",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[87][13]=["TERRAIN_DESERT","FEATURE_OASIS","CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                       ;
MapToConvert[86][13]=["TERRAIN_DESERT_HILLS",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                              ;
MapToConvert[85][13]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                ;
MapToConvert[84][13]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[83][13]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[82][13]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[81][13]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[80][13]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[79][13]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[78][13]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[77][13]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[76][13]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[75][13]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[74][13]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[73][13]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[72][13]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[71][13]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[70][13]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[69][13]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[68][13]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[67][13]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[66][13]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[65][13]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[64][13]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[63][13]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[62][13]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[61][13]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[60][13]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[59][13]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[58][13]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[57][13]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[56][13]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[55][13]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[54][13]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[53][13]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[52][13]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[51][13]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[50][13]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[49][13]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[48][13]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[47][13]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[46][13]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[45][13]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[44][13]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[43][13]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[42][13]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[41][13]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[40][13]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[39][13]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[38][13]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[37][13]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[36][13]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_MADAGASCARIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,1,1],-1]                                                            ;
MapToConvert[35][13]=["TERRAIN_GRASS",-1,"CONTINENT_MADAGASCARIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                  ;
MapToConvert[34][13]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[33][13]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[32][13]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[31][13]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[30][13]=["TERRAIN_PLAINS",-1,"CONTINENT_SOUTH_AFRICA",[[1,2],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                  ;
MapToConvert[29][13]=["TERRAIN_PLAINS",-1,"CONTINENT_SOUTH_AFRICA",[[0,-1],[1,3],[0,-1]],[-1,0],[0,0,0],-1]                                                                  ;
MapToConvert[28][13]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_SOUTH_AFRICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_URANIUM",1],[0,0,0],-1]                                           ;
MapToConvert[27][13]=["TERRAIN_PLAINS",-1,"CONTINENT_SOUTH_AFRICA",[[0,-1],[1,0],[1,1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[26][13]=["TERRAIN_PLAINS",-1,"CONTINENT_SOUTH_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[25][13]=["TERRAIN_DESERT","FEATURE_OASIS","CONTINENT_SOUTH_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                    ;
MapToConvert[24][13]=["TERRAIN_DESERT_HILLS",-1,"CONTINENT_SOUTH_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[23][13]=["TERRAIN_DESERT",-1,"CONTINENT_SOUTH_AFRICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_INCENSE",1],[0,0,0],-1]                                                 ;
MapToConvert[22][13]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_SOUTH_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[21][13]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                        ;
MapToConvert[20][13]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[19][13]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_WHALES",1],[0,0,0],-1]                                                                         ;
MapToConvert[18][13]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[17][13]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[16][13]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[15][13]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[14][13]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[13][13]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[12][13]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[11][13]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[10][13]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[9][13]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[8][13]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[7][13]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[6][13]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[5][13]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[4][13]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[3][13]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[2][13]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[1][13]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[0][13]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[179][14]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[178][14]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[177][14]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[176][14]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[175][14]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[174][14]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[173][14]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[172][14]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[171][14]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[170][14]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[169][14]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[168][14]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[167][14]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[166][14]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[165][14]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[164][14]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[163][14]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[162][14]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[161][14]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[160][14]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_PATAGONIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                     ;
MapToConvert[159][14]=["TERRAIN_PLAINS",-1,"CONTINENT_PATAGONIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_WINE",1],[0,0,0],-1]                                                      ;
MapToConvert[158][14]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_PATAGONIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                             ;
MapToConvert[157][14]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_PATAGONIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                               ;
MapToConvert[156][14]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_PATAGONIA",[[0,-1],[1,3],[1,4]],[-1,0],[0,0,0],-1]                                                            ;
MapToConvert[155][14]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_PATAGONIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                             ;
MapToConvert[154][14]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_FISH",1],[1,0,0],-1]                                                                          ;
MapToConvert[153][14]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                                       ;
MapToConvert[152][14]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[151][14]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[150][14]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[149][14]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[148][14]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[147][14]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[146][14]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[145][14]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[144][14]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[143][14]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[142][14]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[141][14]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[140][14]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[139][14]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[138][14]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[137][14]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[136][14]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[135][14]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[134][14]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[133][14]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[132][14]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[131][14]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[130][14]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[129][14]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[128][14]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[127][14]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[126][14]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[125][14]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[124][14]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[123][14]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[122][14]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[121][14]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[120][14]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[119][14]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[118][14]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[117][14]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[116][14]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[115][14]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[114][14]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[113][14]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[112][14]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[111][14]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[110][14]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[109][14]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[108][14]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[107][14]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[106][14]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_PEARLS",1],[0,0,0],-1]                                                                        ;
MapToConvert[105][14]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[104][14]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                              ;
MapToConvert[103][14]=["TERRAIN_GRASS_MOUNTAIN",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[102][14]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_AUSTRALIA",[[1,5],[0,-1],[0,-1]],["RESOURCE_DEER",1],[0,0,0],-1]                                          ;
MapToConvert[101][14]=["TERRAIN_PLAINS",-1,"CONTINENT_AUSTRALIA",[[1,5],[0,-1],[1,4]],[-1,0],[0,0,0],-1]                                                                     ;
MapToConvert[100][14]=["TERRAIN_DESERT","FEATURE_FLOODPLAINS","CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[1,4]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[99][14]=["TERRAIN_DESERT",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[98][14]=["TERRAIN_DESERT","FEATURE_OASIS","CONTINENT_AUSTRALIA",[[0,-1],[1,3],[1,4]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[97][14]=["TERRAIN_DESERT",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[96][14]=["TERRAIN_DESERT",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[95][14]=["TERRAIN_DESERT",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[94][14]=["TERRAIN_DESERT",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[93][14]=["TERRAIN_DESERT",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[92][14]=["TERRAIN_DESERT",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[91][14]=["TERRAIN_DESERT",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[90][14]=["TERRAIN_DESERT",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[89][14]=["TERRAIN_DESERT",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[88][14]=["TERRAIN_DESERT",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[87][14]=["TERRAIN_DESERT_HILLS",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                              ;
MapToConvert[86][14]=["TERRAIN_DESERT",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[85][14]=["TERRAIN_PLAINS",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SHEEP",1],[0,0,0],-1]                                                      ;
MapToConvert[84][14]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[83][14]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[82][14]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[81][14]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[80][14]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[79][14]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[78][14]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[77][14]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[76][14]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[75][14]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[74][14]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[73][14]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[72][14]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[71][14]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[70][14]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[69][14]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[68][14]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[67][14]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[66][14]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[65][14]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[64][14]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[63][14]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[62][14]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[61][14]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[60][14]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[59][14]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[58][14]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[57][14]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[56][14]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[55][14]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[54][14]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[53][14]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[52][14]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[51][14]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[50][14]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[49][14]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[48][14]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[47][14]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[46][14]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[45][14]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[44][14]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[43][14]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[42][14]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[41][14]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[40][14]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[39][14]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[38][14]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[37][14]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_MADAGASCARIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_STONE",1],[0,0,1],-1]                                              ;
MapToConvert[36][14]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_MADAGASCARIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                    ;
MapToConvert[35][14]=["TERRAIN_GRASS",-1,"CONTINENT_MADAGASCARIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                  ;
MapToConvert[34][14]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[33][14]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[32][14]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[31][14]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_SOUTH_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,1],-1]                                                           ;
MapToConvert[30][14]=["TERRAIN_PLAINS",-1,"CONTINENT_SOUTH_AFRICA",[[1,2],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                  ;
MapToConvert[29][14]=["TERRAIN_PLAINS",-1,"CONTINENT_SOUTH_AFRICA",[[1,2],[0,-1],[1,1]],["RESOURCE_WHEAT",1],[0,0,0],-1]                                                     ;
MapToConvert[28][14]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_SOUTH_AFRICA",[[0,-1],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                            ;
MapToConvert[27][14]=["TERRAIN_PLAINS",-1,"CONTINENT_SOUTH_AFRICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_CATTLE",1],[0,0,0],-1]                                                  ;
MapToConvert[26][14]=["TERRAIN_PLAINS",-1,"CONTINENT_SOUTH_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[25][14]=["TERRAIN_DESERT_HILLS",-1,"CONTINENT_SOUTH_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[24][14]=["TERRAIN_DESERT",-1,"CONTINENT_SOUTH_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[23][14]=["TERRAIN_DESERT",-1,"CONTINENT_SOUTH_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[22][14]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_SOUTH_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                           ;
MapToConvert[21][14]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[20][14]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[19][14]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[18][14]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[17][14]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[16][14]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[15][14]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[14][14]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[13][14]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[12][14]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[11][14]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[10][14]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[9][14]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[8][14]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[7][14]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[6][14]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[5][14]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[4][14]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[3][14]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[2][14]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[1][14]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[0][14]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[179][15]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[178][15]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[177][15]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[176][15]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[175][15]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[174][15]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[173][15]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[172][15]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[171][15]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[170][15]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[169][15]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[168][15]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[167][15]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[166][15]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[165][15]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[164][15]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[163][15]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[162][15]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[161][15]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[160][15]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[159][15]=["TERRAIN_PLAINS",-1,"CONTINENT_PATAGONIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[158][15]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_PATAGONIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                             ;
MapToConvert[157][15]=["TERRAIN_PLAINS",-1,"CONTINENT_PATAGONIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[156][15]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_PATAGONIA",[[1,2],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                              ;
MapToConvert[155][15]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_PATAGONIA",[[0,-1],[1,3],[0,-1]],["RESOURCE_SILVER",1],[0,0,0],-1]                                               ;
MapToConvert[154][15]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_PATAGONIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                             ;
MapToConvert[153][15]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[152][15]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[151][15]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[150][15]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[149][15]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[148][15]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[147][15]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[146][15]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[145][15]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[144][15]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[143][15]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[142][15]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[141][15]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[140][15]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[139][15]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[138][15]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[137][15]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[136][15]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[135][15]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[134][15]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_WHALES",1],[0,0,0],-1]                                                                        ;
MapToConvert[133][15]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[132][15]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[131][15]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[130][15]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[129][15]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[128][15]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[127][15]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[126][15]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[125][15]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[124][15]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[123][15]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[122][15]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[121][15]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[120][15]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[119][15]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[118][15]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[117][15]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[116][15]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[115][15]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[114][15]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[113][15]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[112][15]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[111][15]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[110][15]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[109][15]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[108][15]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[107][15]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[106][15]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[105][15]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[104][15]=["TERRAIN_GRASS",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_CITRUS",1],[0,1,0],-1]                                                     ;
MapToConvert[103][15]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                              ;
MapToConvert[102][15]=["TERRAIN_GRASS_MOUNTAIN",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[101][15]=["TERRAIN_PLAINS",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[100][15]=["TERRAIN_DESERT",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[99][15]=["TERRAIN_DESERT",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[98][15]=["TERRAIN_DESERT",-1,"CONTINENT_AUSTRALIA",[[1,2],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                     ;
MapToConvert[97][15]=["TERRAIN_DESERT",-1,"CONTINENT_AUSTRALIA",[[0,-1],[1,3],[0,-1]],[-1,0],[0,0,0],-1]                                                                     ;
MapToConvert[96][15]=["TERRAIN_DESERT",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[95][15]=["TERRAIN_DESERT",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[94][15]=["TERRAIN_DESERT",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[93][15]=["TERRAIN_DESERT",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[92][15]=["TERRAIN_DESERT",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[91][15]=["TERRAIN_DESERT",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[90][15]=["TERRAIN_DESERT",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[89][15]=["TERRAIN_DESERT",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[88][15]=["TERRAIN_DESERT",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[87][15]=["TERRAIN_DESERT",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[86][15]=["TERRAIN_DESERT_HILLS",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_URANIUM",1],[0,0,0],-1]                                              ;
MapToConvert[85][15]=["TERRAIN_DESERT",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[84][15]=["TERRAIN_PLAINS",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[83][15]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                        ;
MapToConvert[82][15]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[81][15]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[80][15]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[79][15]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[78][15]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[77][15]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[76][15]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[75][15]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[74][15]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[73][15]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[72][15]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[71][15]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[70][15]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[69][15]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[68][15]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[67][15]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[66][15]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[65][15]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[64][15]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[63][15]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[62][15]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[61][15]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[60][15]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[59][15]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[58][15]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[57][15]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[56][15]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[55][15]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[54][15]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[53][15]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[52][15]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[51][15]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[50][15]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[49][15]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[48][15]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_FISH",1],[0,0,0],-1]                                                                           ;
MapToConvert[47][15]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[46][15]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[45][15]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[44][15]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[43][15]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[42][15]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[41][15]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[40][15]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[39][15]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[38][15]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[37][15]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_MADAGASCARIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[36][15]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_MADAGASCARIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[35][15]=["TERRAIN_PLAINS",-1,"CONTINENT_MADAGASCARIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_IVORY",1],[0,0,0],-1]                                                   ;
MapToConvert[34][15]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                                        ;
MapToConvert[33][15]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[32][15]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[31][15]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_SOUTH_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,1],-1]                                                           ;
MapToConvert[30][15]=["TERRAIN_PLAINS",-1,"CONTINENT_SOUTH_AFRICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_IVORY",1],[0,0,0],-1]                                                   ;
MapToConvert[29][15]=["TERRAIN_PLAINS",-1,"CONTINENT_SOUTH_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[28][15]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_SOUTH_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[27][15]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_SOUTH_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[26][15]=["TERRAIN_PLAINS",-1,"CONTINENT_SOUTH_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[25][15]=["TERRAIN_DESERT",-1,"CONTINENT_SOUTH_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[24][15]=["TERRAIN_DESERT",-1,"CONTINENT_SOUTH_AFRICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_OIL",1],[0,0,0],-1]                                                     ;
MapToConvert[23][15]=["TERRAIN_DESERT",-1,"CONTINENT_SOUTH_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[22][15]=["TERRAIN_DESERT_HILLS",-1,"CONTINENT_SOUTH_AFRICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_DIAMONDS",1],[0,0,0],-1]                                          ;
MapToConvert[21][15]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_SOUTH_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[20][15]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[19][15]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[18][15]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[17][15]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[16][15]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[15][15]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[14][15]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[13][15]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[12][15]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[11][15]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[10][15]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[9][15]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[8][15]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[7][15]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[6][15]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[5][15]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[4][15]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[3][15]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[2][15]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[1][15]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[0][15]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[179][16]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[178][16]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[177][16]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[176][16]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[175][16]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[174][16]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[173][16]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[172][16]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[171][16]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[170][16]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[169][16]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[168][16]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[167][16]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[166][16]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[165][16]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[164][16]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[163][16]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[162][16]=["TERRAIN_GRASS",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                ;
MapToConvert[161][16]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[160][16]=["TERRAIN_GRASS",-1,"CONTINENT_SOUTH_AMERICA",[[1,2],[1,3],[0,-1]],["RESOURCE_CATTLE",1],[0,0,0],-1]                                                   ;
MapToConvert[159][16]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_PATAGONIA",[[0,-1],[1,3],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[158][16]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_PATAGONIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                             ;
MapToConvert[157][16]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_PATAGONIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                               ;
MapToConvert[156][16]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_PATAGONIA",[[0,-1],[1,3],[1,4]],["RESOURCE_WINE",1],[0,0,0],-1]                                                  ;
MapToConvert[155][16]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_PATAGONIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[154][16]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,1],-1]                                                                                       ;
MapToConvert[153][16]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[152][16]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[151][16]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[150][16]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[149][16]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[148][16]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[147][16]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[146][16]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[145][16]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[144][16]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[143][16]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[142][16]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[141][16]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[140][16]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[139][16]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[138][16]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[137][16]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[136][16]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[135][16]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[134][16]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[133][16]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[132][16]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[131][16]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[130][16]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[129][16]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[128][16]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[127][16]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[126][16]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[125][16]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[124][16]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[123][16]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[122][16]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[121][16]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[120][16]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[119][16]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[118][16]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[117][16]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[116][16]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[115][16]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[114][16]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[113][16]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[112][16]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[111][16]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[110][16]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[109][16]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[108][16]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[107][16]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[106][16]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[105][16]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[104][16]=["TERRAIN_GRASS",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_ALUMINUM",1],[0,1,0],-1]                                                   ;
MapToConvert[103][16]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_COPPER",1],[0,0,0],-1]                                               ;
MapToConvert[102][16]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                      ;
MapToConvert[101][16]=["TERRAIN_PLAINS",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_CATTLE",1],[0,0,0],-1]                                                    ;
MapToConvert[100][16]=["TERRAIN_DESERT",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[99][16]=["TERRAIN_DESERT_HILLS",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_STONE",1],[0,0,0],-1]                                                ;
MapToConvert[98][16]=["TERRAIN_DESERT_HILLS",-1,"CONTINENT_AUSTRALIA",[[0,-1],[1,3],[1,4]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[97][16]=["TERRAIN_DESERT",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[96][16]=["TERRAIN_DESERT",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[95][16]=["TERRAIN_DESERT",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[94][16]=["TERRAIN_DESERT",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[93][16]=["TERRAIN_DESERT",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[92][16]=["TERRAIN_DESERT_MOUNTAIN",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[91][16]=["TERRAIN_DESERT",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[90][16]=["TERRAIN_DESERT",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[89][16]=["TERRAIN_DESERT",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[88][16]=["TERRAIN_DESERT",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[87][16]=["TERRAIN_DESERT",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[86][16]=["TERRAIN_DESERT_HILLS",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                              ;
MapToConvert[85][16]=["TERRAIN_DESERT",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[84][16]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[83][16]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[82][16]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[81][16]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[80][16]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[79][16]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[78][16]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[77][16]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[76][16]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[75][16]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[74][16]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[73][16]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[72][16]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[71][16]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[70][16]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[69][16]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[68][16]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[67][16]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[66][16]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[65][16]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[64][16]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[63][16]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[62][16]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[61][16]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[60][16]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[59][16]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[58][16]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[57][16]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[56][16]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[55][16]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[54][16]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[53][16]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[52][16]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[51][16]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[50][16]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[49][16]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[48][16]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[47][16]=["TERRAIN_GRASS",-1,"CONTINENT_MADAGASCARIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                  ;
MapToConvert[46][16]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[45][16]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[44][16]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[43][16]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[42][16]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[41][16]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[40][16]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[39][16]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_FISH",1],[0,0,0],-1]                                                                           ;
MapToConvert[38][16]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_MADAGASCARIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[37][16]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_MADAGASCARIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                             ;
MapToConvert[36][16]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_MADAGASCARIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_BANANAS",1],[0,0,0],-1]                                   ;
MapToConvert[35][16]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[34][16]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[33][16]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[32][16]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[31][16]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_SOUTH_AFRICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_NITER",1],[0,0,0],-1]                                             ;
MapToConvert[30][16]=["TERRAIN_PLAINS",-1,"CONTINENT_SOUTH_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[29][16]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_SOUTH_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[28][16]=["TERRAIN_PLAINS",-1,"CONTINENT_SOUTH_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[27][16]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_SOUTH_AFRICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_COAL",1],[0,0,0],-1]                                              ;
MapToConvert[26][16]=["TERRAIN_PLAINS",-1,"CONTINENT_SOUTH_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[25][16]=["TERRAIN_PLAINS",-1,"CONTINENT_SOUTH_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[24][16]=["TERRAIN_DESERT_HILLS",-1,"CONTINENT_SOUTH_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[23][16]=["TERRAIN_DESERT",-1,"CONTINENT_SOUTH_AFRICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_INCENSE",1],[0,0,0],-1]                                                 ;
MapToConvert[22][16]=["TERRAIN_DESERT",-1,"CONTINENT_SOUTH_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[21][16]=["TERRAIN_PLAINS",-1,"CONTINENT_SOUTH_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[20][16]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[19][16]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_PEARLS",1],[0,0,0],-1]                                                                         ;
MapToConvert[18][16]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[17][16]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[16][16]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[15][16]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[14][16]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[13][16]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[12][16]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[11][16]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[10][16]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[9][16]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[8][16]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[7][16]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[6][16]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[5][16]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[4][16]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[3][16]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[2][16]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[1][16]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[0][16]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[179][17]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[178][17]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[177][17]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[176][17]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[175][17]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[174][17]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[173][17]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[172][17]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[171][17]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[170][17]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[169][17]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[168][17]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[167][17]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[166][17]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[165][17]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[164][17]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_FISH",1],[0,0,0],-1]                                                                          ;
MapToConvert[163][17]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[162][17]=["TERRAIN_GRASS",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[161][17]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[160][17]=["TERRAIN_GRASS",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[1,3],[1,4]],[-1,0],[0,0,0],-1]                                                                  ;
MapToConvert[159][17]=["TERRAIN_PLAINS",-1,"CONTINENT_SOUTH_AMERICA",[[1,2],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[158][17]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_PATAGONIA",[[0,-1],[1,3],[0,-1]],[-1,0],[0,0,0],-1]                                                              ;
MapToConvert[157][17]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_PATAGONIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                             ;
MapToConvert[156][17]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_PATAGONIA",[[1,2],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[155][17]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_PATAGONIA",[[0,-1],[1,3],[0,-1]],[-1,0],[0,0,0],-1]                                                              ;
MapToConvert[154][17]=["TERRAIN_DESERT_HILLS",-1,"CONTINENT_PATAGONIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                             ;
MapToConvert[153][17]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[152][17]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[151][17]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[150][17]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[149][17]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[148][17]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[147][17]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[146][17]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[145][17]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[144][17]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[143][17]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[142][17]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[141][17]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[140][17]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[139][17]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[138][17]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[137][17]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[136][17]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[135][17]=["TERRAIN_GRASS",-1,"CONTINENT_POLYNESIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                    ;
MapToConvert[134][17]=["TERRAIN_PLAINS",-1,"CONTINENT_POLYNESIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                   ;
MapToConvert[133][17]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                       ;
MapToConvert[132][17]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[131][17]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[130][17]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[129][17]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[128][17]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[127][17]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[126][17]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[125][17]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[124][17]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[123][17]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[122][17]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[121][17]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[120][17]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[119][17]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[118][17]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[117][17]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[116][17]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[115][17]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[114][17]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[113][17]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[112][17]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[111][17]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[110][17]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[109][17]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[108][17]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[107][17]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[106][17]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[105][17]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_WHALES",1],[0,0,0],-1]                                                                        ;
MapToConvert[104][17]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                                       ;
MapToConvert[103][17]=["TERRAIN_GRASS",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[102][17]=["TERRAIN_GRASS",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SHEEP",1],[0,0,0],-1]                                                      ;
MapToConvert[101][17]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                     ;
MapToConvert[100][17]=["TERRAIN_DESERT",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[99][17]=["TERRAIN_DESERT",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[98][17]=["TERRAIN_DESERT",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[97][17]=["TERRAIN_DESERT",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[96][17]=["TERRAIN_DESERT",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[95][17]=["TERRAIN_DESERT",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[94][17]=["TERRAIN_DESERT",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[93][17]=["TERRAIN_DESERT_HILLS",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_DIAMONDS",1],[0,0,0],-1]                                             ;
MapToConvert[92][17]=["TERRAIN_DESERT",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[91][17]=["TERRAIN_DESERT",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[90][17]=["TERRAIN_DESERT",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[89][17]=["TERRAIN_DESERT",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[88][17]=["TERRAIN_DESERT",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[87][17]=["TERRAIN_DESERT",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[86][17]=["TERRAIN_DESERT",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[85][17]=["TERRAIN_DESERT",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[84][17]=["TERRAIN_DESERT",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[83][17]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[82][17]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[81][17]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[80][17]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[79][17]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[78][17]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[77][17]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[76][17]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[75][17]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[74][17]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[73][17]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[72][17]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[71][17]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[70][17]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[69][17]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[68][17]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[67][17]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[66][17]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[65][17]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[64][17]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[63][17]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[62][17]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[61][17]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[60][17]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[59][17]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[58][17]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[57][17]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[56][17]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[55][17]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[54][17]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[53][17]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[52][17]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[51][17]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[50][17]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[49][17]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_MADAGASCARIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_DYES",1],[0,0,0],-1]                                       ;
MapToConvert[48][17]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[47][17]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[46][17]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[45][17]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[44][17]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[43][17]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[42][17]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[41][17]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[40][17]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[39][17]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[38][17]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_MADAGASCARIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_IRON",1],[0,1,1],-1]                                              ;
MapToConvert[37][17]=["TERRAIN_PLAINS",-1,"CONTINENT_MADAGASCARIA",[[1,5],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                  ;
MapToConvert[36][17]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_MADAGASCARIA",[[1,5],[0,-1],[1,4]],[-1,0],[0,0,0],-1]                                                     ;
MapToConvert[35][17]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[34][17]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[33][17]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_FISH",1],[0,0,0],-1]                                                                           ;
MapToConvert[32][17]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[31][17]=["TERRAIN_PLAINS",-1,"CONTINENT_SOUTH_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[30][17]=["TERRAIN_PLAINS",-1,"CONTINENT_SOUTH_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[29][17]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_SOUTH_AFRICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_DYES",1],[0,0,0],-1]                                      ;
MapToConvert[28][17]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_SOUTH_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                             ;
MapToConvert[27][17]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_SOUTH_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[26][17]=["TERRAIN_PLAINS",-1,"CONTINENT_SOUTH_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[25][17]=["TERRAIN_PLAINS",-1,"CONTINENT_SOUTH_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[24][17]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_SOUTH_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[23][17]=["TERRAIN_DESERT_HILLS",-1,"CONTINENT_SOUTH_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[22][17]=["TERRAIN_DESERT",-1,"CONTINENT_SOUTH_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[21][17]=["TERRAIN_DESERT","FEATURE_OASIS","CONTINENT_SOUTH_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                    ;
MapToConvert[20][17]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_SOUTH_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[19][17]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                        ;
MapToConvert[18][17]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[17][17]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[16][17]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[15][17]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[14][17]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[13][17]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[12][17]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[11][17]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[10][17]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[9][17]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[8][17]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[7][17]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[6][17]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[5][17]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[4][17]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[3][17]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[2][17]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[1][17]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[0][17]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[179][18]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[178][18]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[177][18]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[176][18]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[175][18]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[174][18]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[173][18]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[172][18]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[171][18]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[170][18]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[169][18]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[168][18]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[167][18]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[166][18]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[165][18]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[164][18]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,1],-1]                                                          ;
MapToConvert[163][18]=["TERRAIN_GRASS",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_CATTLE",1],[0,0,0],-1]                                                 ;
MapToConvert[162][18]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[161][18]=["TERRAIN_GRASS",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[1,3],[1,4]],["RESOURCE_TRUFFLES",1],[0,0,0],-1]                                                 ;
MapToConvert[160][18]=["TERRAIN_PLAINS",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[159][18]=["TERRAIN_PLAINS",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[1,3],[1,4]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[158][18]=["TERRAIN_PLAINS",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_WHEAT",1],[0,0,0],-1]                                                 ;
MapToConvert[157][18]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                      ;
MapToConvert[156][18]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_PATAGONIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_COAL",1],[0,0,0],-1]                                                ;
MapToConvert[155][18]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_PATAGONIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[154][18]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[153][18]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[152][18]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[151][18]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[150][18]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[149][18]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[148][18]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[147][18]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[146][18]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[145][18]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[144][18]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[143][18]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[142][18]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[141][18]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[140][18]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[139][18]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[138][18]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[137][18]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[136][18]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                                       ;
MapToConvert[135][18]=["TERRAIN_PLAINS",-1,"CONTINENT_POLYNESIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                   ;
MapToConvert[134][18]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                                       ;
MapToConvert[133][18]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[132][18]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[131][18]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[130][18]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_POLYNESIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                     ;
MapToConvert[129][18]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[128][18]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[127][18]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[126][18]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[125][18]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[124][18]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[123][18]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[122][18]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[121][18]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[120][18]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[119][18]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[118][18]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[117][18]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[116][18]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[115][18]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[114][18]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[113][18]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[112][18]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[111][18]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[110][18]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[109][18]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[108][18]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[107][18]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[106][18]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[105][18]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[104][18]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[103][18]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                     ;
MapToConvert[102][18]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                               ;
MapToConvert[101][18]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SILVER",1],[0,0,0],-1]                                ;
MapToConvert[100][18]=["TERRAIN_PLAINS",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[99][18]=["TERRAIN_DESERT",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[98][18]=["TERRAIN_DESERT",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[97][18]=["TERRAIN_DESERT",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[96][18]=["TERRAIN_DESERT",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[95][18]=["TERRAIN_DESERT",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[94][18]=["TERRAIN_DESERT",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[93][18]=["TERRAIN_DESERT",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[92][18]=["TERRAIN_DESERT",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[91][18]=["TERRAIN_DESERT_HILLS",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_NITER",1],[0,0,0],-1]                                                ;
MapToConvert[90][18]=["TERRAIN_DESERT",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[89][18]=["TERRAIN_DESERT",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[88][18]=["TERRAIN_DESERT",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[87][18]=["TERRAIN_DESERT",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[86][18]=["TERRAIN_DESERT",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[85][18]=["TERRAIN_DESERT",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[84][18]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                        ;
MapToConvert[83][18]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[82][18]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[81][18]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[80][18]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[79][18]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[78][18]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[77][18]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[76][18]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[75][18]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[74][18]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[73][18]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[72][18]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[71][18]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[70][18]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[69][18]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[68][18]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[67][18]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[66][18]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[65][18]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[64][18]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[63][18]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[62][18]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[61][18]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[60][18]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[59][18]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[58][18]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[57][18]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[56][18]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[55][18]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[54][18]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[53][18]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[52][18]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[51][18]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[50][18]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[49][18]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[48][18]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[47][18]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[46][18]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[45][18]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[44][18]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[43][18]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[42][18]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[41][18]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[40][18]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[39][18]=["TERRAIN_PLAINS",-1,"CONTINENT_MADAGASCARIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_WHEAT",1],[0,0,1],-1]                                                   ;
MapToConvert[38][18]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_MADAGASCARIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[37][18]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_MADAGASCARIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SPICES",1],[0,0,0],-1]                              ;
MapToConvert[36][18]=["TERRAIN_PLAINS",-1,"CONTINENT_MADAGASCARIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[35][18]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[34][18]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[33][18]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[32][18]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[31][18]=["TERRAIN_PLAINS",-1,"CONTINENT_SOUTH_AFRICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_CATTLE",1],[0,0,0],-1]                                                  ;
MapToConvert[30][18]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_SOUTH_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[29][18]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_SOUTH_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[28][18]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_SOUTH_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[27][18]=["TERRAIN_PLAINS",-1,"CONTINENT_SOUTH_AFRICA",[[1,2],[1,0],[1,1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[26][18]=["TERRAIN_PLAINS",-1,"CONTINENT_SOUTH_AFRICA",[[1,2],[0,-1],[1,1]],["RESOURCE_HORSES",1],[0,0,0],-1]                                                    ;
MapToConvert[25][18]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_SOUTH_AFRICA",[[0,-1],[1,3],[0,-1]],["RESOURCE_DYES",1],[0,0,0],-1]                                       ;
MapToConvert[24][18]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_SOUTH_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[23][18]=["TERRAIN_DESERT",-1,"CONTINENT_SOUTH_AFRICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_IVORY",1],[0,0,0],-1]                                                   ;
MapToConvert[22][18]=["TERRAIN_DESERT","FEATURE_FLOODPLAINS","CONTINENT_SOUTH_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                              ;
MapToConvert[21][18]=["TERRAIN_DESERT_HILLS",-1,"CONTINENT_SOUTH_AFRICA",[[1,5],[1,3],[1,4]],[-1,0],[0,0,0],-1]                                                              ;
MapToConvert[20][18]=["TERRAIN_DESERT",-1,"CONTINENT_SOUTH_AFRICA",[[0,-1],[0,-1],[1,4]],["RESOURCE_OIL",1],[1,0,0],-1]                                                      ;
MapToConvert[19][18]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                        ;
MapToConvert[18][18]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[17][18]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[16][18]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[15][18]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[14][18]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[13][18]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[12][18]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[11][18]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[10][18]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[9][18]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[8][18]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[7][18]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[6][18]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[5][18]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[4][18]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[3][18]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[2][18]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[1][18]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[0][18]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[179][19]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[178][19]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[177][19]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[176][19]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[175][19]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[174][19]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[173][19]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[172][19]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[171][19]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[170][19]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[169][19]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[168][19]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[167][19]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_OIL",1],[0,0,0],-1]                                                                           ;
MapToConvert[166][19]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[165][19]=["TERRAIN_GRASS",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_STONE",1],[0,1,0],-1]                                                  ;
MapToConvert[164][19]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[163][19]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[162][19]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_SOUTH_AMERICA",[[1,5],[1,3],[1,4]],["RESOURCE_ALUMINUM",1],[0,0,0],-1]                                    ;
MapToConvert[161][19]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[1,4]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[160][19]=["TERRAIN_GRASS",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[159][19]=["TERRAIN_PLAINS",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[1,3],[1,4]],["RESOURCE_SALT",1],[0,0,0],-1]                                                    ;
MapToConvert[158][19]=["TERRAIN_PLAINS",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[157][19]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_WINE",1],[0,0,0],-1]                                            ;
MapToConvert[156][19]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[155][19]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                      ;
MapToConvert[154][19]=["TERRAIN_DESERT",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[153][19]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[152][19]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[151][19]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[150][19]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[149][19]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[148][19]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[147][19]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[146][19]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[145][19]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[144][19]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[143][19]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[142][19]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[141][19]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[140][19]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[139][19]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[138][19]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[137][19]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[136][19]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[135][19]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[134][19]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[133][19]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[132][19]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[131][19]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[130][19]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[129][19]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[128][19]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[127][19]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[126][19]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[125][19]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[124][19]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[123][19]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[122][19]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[121][19]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[120][19]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[119][19]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[118][19]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[117][19]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[116][19]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[115][19]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[114][19]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[113][19]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[112][19]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[111][19]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[110][19]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[109][19]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[108][19]=["TERRAIN_GRASS",-1,"CONTINENT_MELANESIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[107][19]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[106][19]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[105][19]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[104][19]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[103][19]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[102][19]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                     ;
MapToConvert[101][19]=["TERRAIN_PLAINS",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[100][19]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                               ;
MapToConvert[99][19]=["TERRAIN_DESERT",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[98][19]=["TERRAIN_DESERT",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[97][19]=["TERRAIN_DESERT",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[96][19]=["TERRAIN_DESERT",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[95][19]=["TERRAIN_DESERT",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[94][19]=["TERRAIN_DESERT",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[93][19]=["TERRAIN_DESERT",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[92][19]=["TERRAIN_DESERT",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[91][19]=["TERRAIN_DESERT",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[90][19]=["TERRAIN_DESERT",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[89][19]=["TERRAIN_DESERT",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[88][19]=["TERRAIN_DESERT",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[87][19]=["TERRAIN_DESERT",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[86][19]=["TERRAIN_PLAINS",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SHEEP",1],[0,0,0],-1]                                                      ;
MapToConvert[85][19]=["TERRAIN_PLAINS",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[84][19]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                                        ;
MapToConvert[83][19]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[82][19]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[81][19]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[80][19]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[79][19]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[78][19]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[77][19]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[76][19]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[75][19]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[74][19]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[73][19]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[72][19]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[71][19]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[70][19]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[69][19]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[68][19]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[67][19]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[66][19]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[65][19]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[64][19]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[63][19]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[62][19]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[61][19]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[60][19]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[59][19]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[58][19]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[57][19]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[56][19]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[55][19]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[54][19]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[53][19]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[52][19]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[51][19]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[50][19]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[49][19]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[48][19]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[47][19]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[46][19]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[45][19]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[44][19]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[43][19]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[42][19]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[41][19]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[40][19]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_CRABS",1],[0,0,0],-1]                                                                          ;
MapToConvert[39][19]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[38][19]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_MADAGASCARIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                             ;
MapToConvert[37][19]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_MADAGASCARIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[36][19]=["TERRAIN_PLAINS",-1,"CONTINENT_MADAGASCARIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_CATTLE",1],[0,0,0],-1]                                                  ;
MapToConvert[35][19]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                        ;
MapToConvert[34][19]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[33][19]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[32][19]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[31][19]=["TERRAIN_PLAINS",-1,"CONTINENT_SOUTH_AFRICA",[[1,2],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                  ;
MapToConvert[30][19]=["TERRAIN_PLAINS",-1,"CONTINENT_SOUTH_AFRICA",[[0,-1],[1,3],[0,-1]],["RESOURCE_IVORY",1],[0,0,0],-1]                                                    ;
MapToConvert[29][19]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_SOUTH_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[28][19]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_SOUTH_AFRICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_DEER",1],[0,0,0],-1]                                      ;
MapToConvert[27][19]=["TERRAIN_PLAINS",-1,"CONTINENT_SOUTH_AFRICA",[[0,-1],[1,0],[1,1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[26][19]=["TERRAIN_PLAINS",-1,"CONTINENT_SOUTH_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[25][19]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_SOUTH_AFRICA",[[1,2],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                    ;
MapToConvert[24][19]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_SOUTH_AFRICA",[[0,-1],[1,3],[0,-1]],[-1,0],[0,0,0],-1]                                                            ;
MapToConvert[23][19]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_SOUTH_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[22][19]=["TERRAIN_DESERT","FEATURE_FLOODPLAINS","CONTINENT_SOUTH_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                              ;
MapToConvert[21][19]=["TERRAIN_DESERT_HILLS",-1,"CONTINENT_SOUTH_AFRICA",[[0,-1],[1,3],[1,4]],["RESOURCE_STONE",1],[0,0,0],-1]                                               ;
MapToConvert[20][19]=["TERRAIN_DESERT_HILLS",-1,"CONTINENT_SOUTH_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[19][19]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,1],-1]                                                                                        ;
MapToConvert[18][19]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[17][19]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[16][19]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[15][19]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[14][19]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[13][19]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[12][19]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[11][19]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[10][19]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[9][19]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[8][19]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[7][19]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[6][19]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[5][19]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[4][19]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[3][19]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[2][19]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[1][19]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[0][19]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[179][20]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[178][20]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[177][20]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[176][20]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[175][20]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[174][20]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[173][20]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[172][20]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[171][20]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[170][20]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[169][20]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[168][20]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[167][20]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[166][20]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,1],-1]                                                          ;
MapToConvert[165][20]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[164][20]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_SOUTH_AMERICA",[[1,5],[0,-1],[0,-1]],["RESOURCE_CITRUS",1],[0,0,0],-1]                                    ;
MapToConvert[163][20]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[1,4]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[162][20]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[161][20]=["TERRAIN_GRASS",-1,"CONTINENT_SOUTH_AMERICA",[[1,5],[1,3],[1,4]],["RESOURCE_CATTLE",1],[0,0,0],-1]                                                    ;
MapToConvert[160][20]=["TERRAIN_GRASS",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[1,3],[1,4]],[-1,0],[0,0,0],-1]                                                                  ;
MapToConvert[159][20]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[158][20]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                      ;
MapToConvert[157][20]=["TERRAIN_TUNDRA_HILLS","FEATURE_FOREST","CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                           ;
MapToConvert[156][20]=["TERRAIN_PLAINS",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_OIL",1],[0,0,0],-1]                                                   ;
MapToConvert[155][20]=["TERRAIN_DESERT_HILLS",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[154][20]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                       ;
MapToConvert[153][20]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[152][20]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[151][20]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[150][20]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[149][20]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[148][20]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[147][20]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[146][20]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[145][20]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[144][20]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[143][20]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[142][20]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[141][20]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[140][20]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[139][20]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[138][20]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[137][20]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[136][20]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[135][20]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[134][20]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[133][20]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[132][20]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[131][20]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[130][20]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[129][20]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[128][20]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[127][20]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[126][20]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[125][20]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[124][20]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[123][20]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[122][20]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[121][20]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[120][20]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[119][20]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[118][20]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[117][20]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[116][20]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[115][20]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[114][20]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[113][20]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[112][20]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[111][20]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[110][20]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[109][20]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[108][20]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[107][20]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_MELANESIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SPICES",1],[0,1,1],-1]                                      ;
MapToConvert[106][20]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[105][20]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_WHALES",1],[0,0,0],-1]                                                                        ;
MapToConvert[104][20]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[103][20]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                                       ;
MapToConvert[102][20]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                     ;
MapToConvert[101][20]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_DYES",1],[0,0,0],-1]                                        ;
MapToConvert[100][20]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                               ;
MapToConvert[99][20]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                      ;
MapToConvert[98][20]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                      ;
MapToConvert[97][20]=["TERRAIN_PLAINS",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_CATTLE",1],[0,0,0],-1]                                                     ;
MapToConvert[96][20]=["TERRAIN_DESERT",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[95][20]=["TERRAIN_DESERT",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[94][20]=["TERRAIN_PLAINS",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[93][20]=["TERRAIN_DESERT",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[92][20]=["TERRAIN_DESERT",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[91][20]=["TERRAIN_DESERT",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[90][20]=["TERRAIN_DESERT",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[89][20]=["TERRAIN_DESERT",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[88][20]=["TERRAIN_DESERT",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_OIL",1],[0,0,0],-1]                                                        ;
MapToConvert[87][20]=["TERRAIN_PLAINS",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[86][20]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,1],-1]                                                                                        ;
MapToConvert[85][20]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[84][20]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[83][20]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[82][20]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[81][20]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[80][20]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[79][20]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[78][20]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[77][20]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[76][20]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[75][20]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[74][20]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[73][20]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[72][20]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[71][20]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[70][20]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[69][20]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[68][20]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[67][20]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[66][20]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[65][20]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[64][20]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[63][20]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[62][20]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[61][20]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[60][20]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[59][20]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[58][20]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[57][20]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[56][20]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[55][20]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[54][20]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[53][20]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[52][20]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[51][20]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[50][20]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[49][20]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[48][20]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[47][20]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[46][20]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[45][20]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[44][20]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[43][20]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[42][20]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[41][20]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[40][20]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[39][20]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_MADAGASCARIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                             ;
MapToConvert[38][20]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_MADAGASCARIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_NITER",1],[0,0,0],-1]                               ;
MapToConvert[37][20]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[36][20]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                                        ;
MapToConvert[35][20]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[34][20]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[33][20]=["TERRAIN_PLAINS",-1,"CONTINENT_SOUTH_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,1,1],-1]                                                                 ;
MapToConvert[32][20]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_SOUTH_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[31][20]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_SOUTH_AFRICA",[[1,2],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                              ;
MapToConvert[30][20]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_SOUTH_AFRICA",[[1,2],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                     ;
MapToConvert[29][20]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_SOUTH_AFRICA",[[1,2],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                     ;
MapToConvert[28][20]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_SOUTH_AFRICA",[[0,-1],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                    ;
MapToConvert[27][20]=["TERRAIN_PLAINS",-1,"CONTINENT_SOUTH_AFRICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_CATTLE",1],[0,0,0],-1]                                                  ;
MapToConvert[26][20]=["TERRAIN_PLAINS",-1,"CONTINENT_SOUTH_AFRICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_IVORY",1],[0,0,0],-1]                                                   ;
MapToConvert[25][20]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_SOUTH_AFRICA",[[1,2],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                            ;
MapToConvert[24][20]=["TERRAIN_PLAINS",-1,"CONTINENT_SOUTH_AFRICA",[[0,-1],[1,3],[0,-1]],["RESOURCE_COTTON",1],[0,0,0],-1]                                                   ;
MapToConvert[23][20]=["TERRAIN_DESERT",-1,"CONTINENT_SOUTH_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[22][20]=["TERRAIN_DESERT",-1,"CONTINENT_SOUTH_AFRICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_INCENSE",1],[0,0,0],-1]                                                 ;
MapToConvert[21][20]=["TERRAIN_DESERT_HILLS",-1,"CONTINENT_SOUTH_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[20][20]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[19][20]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[18][20]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[17][20]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[16][20]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[15][20]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[14][20]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[13][20]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[12][20]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[11][20]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[10][20]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[9][20]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[8][20]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[7][20]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[6][20]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[5][20]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[4][20]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[3][20]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[2][20]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[1][20]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[0][20]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[179][21]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[178][21]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[177][21]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[176][21]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[175][21]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[174][21]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[173][21]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[172][21]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[171][21]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[170][21]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[169][21]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[168][21]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[167][21]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_CRABS",1],[0,0,0],-1]                                                                         ;
MapToConvert[166][21]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_IRON",1],[0,0,0],-1]                                             ;
MapToConvert[165][21]=["TERRAIN_GRASS_MOUNTAIN",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                       ;
MapToConvert[164][21]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[163][21]=["TERRAIN_PLAINS",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_TRUFFLES",1],[0,0,0],-1]                                              ;
MapToConvert[162][21]=["TERRAIN_GRASS",-1,"CONTINENT_SOUTH_AMERICA",[[1,5],[1,3],[1,4]],["RESOURCE_WHEAT",1],[0,0,0],-1]                                                     ;
MapToConvert[161][21]=["TERRAIN_GRASS",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[1,4]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[160][21]=["TERRAIN_GRASS",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[1,3],[1,4]],[-1,0],[0,0,0],-1]                                                                  ;
MapToConvert[159][21]=["TERRAIN_PLAINS",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[158][21]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[157][21]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                      ;
MapToConvert[156][21]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_IRON",1],[0,0,0],-1]                                            ;
MapToConvert[155][21]=["TERRAIN_DESERT_MOUNTAIN",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                      ;
MapToConvert[154][21]=["TERRAIN_DESERT",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[153][21]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[152][21]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[151][21]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[150][21]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[149][21]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[148][21]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[147][21]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[146][21]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[145][21]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[144][21]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[143][21]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[142][21]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[141][21]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[140][21]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[139][21]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[138][21]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[137][21]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[136][21]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[135][21]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[134][21]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[133][21]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[132][21]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[131][21]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[130][21]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[129][21]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[128][21]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[127][21]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[126][21]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[125][21]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[124][21]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[123][21]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[122][21]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[121][21]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[120][21]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[119][21]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[118][21]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[117][21]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[116][21]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[115][21]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[114][21]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[113][21]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[112][21]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[111][21]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[110][21]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[109][21]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[108][21]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_PEARLS",1],[0,0,0],-1]                                                                        ;
MapToConvert[107][21]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[106][21]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_MELANESIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                     ;
MapToConvert[105][21]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[104][21]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[103][21]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[102][21]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                                       ;
MapToConvert[101][21]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                                       ;
MapToConvert[100][21]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_AUSTRALIA",[[1,5],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                      ;
MapToConvert[99][21]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_AUSTRALIA",[[1,5],[0,-1],[1,4]],["RESOURCE_BANANAS",1],[0,0,0],-1]                                        ;
MapToConvert[98][21]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_AUSTRALIA",[[1,5],[0,-1],[1,4]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[97][21]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_AUSTRALIA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                                       ;
MapToConvert[96][21]=["TERRAIN_GRASS",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                     ;
MapToConvert[95][21]=["TERRAIN_PLAINS",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[94][21]=["TERRAIN_PLAINS",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[93][21]=["TERRAIN_PLAINS",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[92][21]=["TERRAIN_DESERT","FEATURE_OASIS","CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                       ;
MapToConvert[91][21]=["TERRAIN_DESERT",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[90][21]=["TERRAIN_PLAINS",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[89][21]=["TERRAIN_DESERT_HILLS",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_DIAMONDS",1],[0,0,0],-1]                                             ;
MapToConvert[88][21]=["TERRAIN_PLAINS",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[87][21]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[86][21]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[85][21]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_FISH",1],[0,0,0],-1]                                                                           ;
MapToConvert[84][21]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[83][21]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[82][21]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[81][21]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[80][21]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[79][21]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[78][21]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[77][21]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[76][21]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[75][21]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[74][21]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[73][21]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[72][21]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[71][21]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[70][21]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[69][21]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[68][21]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[67][21]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[66][21]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[65][21]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[64][21]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[63][21]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[62][21]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[61][21]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[60][21]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[59][21]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[58][21]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[57][21]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[56][21]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[55][21]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[54][21]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[53][21]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[52][21]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[51][21]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[50][21]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[49][21]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[48][21]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[47][21]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[46][21]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[45][21]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[44][21]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[43][21]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[42][21]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[41][21]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[40][21]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[39][21]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[38][21]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_MADAGASCARIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                   ;
MapToConvert[37][21]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[36][21]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[35][21]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[34][21]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[33][21]=["TERRAIN_PLAINS",-1,"CONTINENT_SOUTH_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,1],-1]                                                                 ;
MapToConvert[32][21]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_SOUTH_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                             ;
MapToConvert[31][21]=["TERRAIN_PLAINS_MOUNTAIN","FEATURE_FOREST","CONTINENT_SOUTH_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                          ;
MapToConvert[30][21]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_SOUTH_AFRICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_DIAMONDS",1],[0,0,0],-1]                                          ;
MapToConvert[29][21]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_SOUTH_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[28][21]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_SOUTH_AFRICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_DYES",1],[0,0,0],-1]                                      ;
MapToConvert[27][21]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_SOUTH_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[26][21]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_SOUTH_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[25][21]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_SOUTH_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[24][21]=["TERRAIN_PLAINS",-1,"CONTINENT_SOUTH_AFRICA",[[0,-1],[1,3],[1,4]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[23][21]=["TERRAIN_PLAINS",-1,"CONTINENT_SOUTH_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[22][21]=["TERRAIN_DESERT","FEATURE_FLOODPLAINS","CONTINENT_SOUTH_AFRICA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                               ;
MapToConvert[21][21]=["TERRAIN_DESERT_HILLS",-1,"CONTINENT_SOUTH_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[20][21]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,1],-1]                                                                                        ;
MapToConvert[19][21]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[18][21]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[17][21]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[16][21]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[15][21]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[14][21]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[13][21]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[12][21]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[11][21]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[10][21]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[9][21]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[8][21]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[7][21]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[6][21]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[5][21]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[4][21]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[3][21]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[2][21]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[1][21]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[0][21]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[179][22]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[178][22]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[177][22]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[176][22]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[175][22]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[174][22]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[173][22]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[172][22]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[171][22]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[170][22]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[169][22]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[168][22]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SHEEP",1],[0,0,0],-1]                                            ;
MapToConvert[167][22]=["TERRAIN_GRASS",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[166][22]=["TERRAIN_GRASS_MOUNTAIN",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[1,0],[1,1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[165][22]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[164][22]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_COCOA",1],[0,0,0],-1]                                    ;
MapToConvert[163][22]=["TERRAIN_GRASS",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[1,3],[1,4]],[-1,0],[0,0,0],-1]                                                                  ;
MapToConvert[162][22]=["TERRAIN_GRASS",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[161][22]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_AMERICA",[[0,-1],[1,3],[1,4]],["RESOURCE_SUGAR",1],[0,0,0],-1]                                     ;
MapToConvert[160][22]=["TERRAIN_GRASS_HILLS","FEATURE_FOREST","CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                            ;
MapToConvert[159][22]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[158][22]=["TERRAIN_TUNDRA_HILLS","FEATURE_FOREST","CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                           ;
MapToConvert[157][22]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[156][22]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_FISH",1],[0,0,0],-1]                                                                          ;
MapToConvert[155][22]=["TERRAIN_DESERT_MOUNTAIN",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                      ;
MapToConvert[154][22]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[153][22]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[152][22]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[151][22]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[150][22]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[149][22]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[148][22]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[147][22]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[146][22]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[145][22]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[144][22]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[143][22]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[142][22]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[141][22]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[140][22]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[139][22]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[138][22]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[137][22]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[136][22]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[135][22]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[134][22]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[133][22]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[132][22]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[131][22]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[130][22]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[129][22]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[128][22]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[127][22]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[126][22]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[125][22]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[124][22]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[123][22]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[122][22]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[121][22]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[120][22]=["TERRAIN_GRASS",-1,"CONTINENT_MELANESIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_COPPER",1],[0,0,0],-1]                                                     ;
MapToConvert[119][22]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[118][22]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[117][22]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[116][22]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[115][22]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[114][22]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[113][22]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[112][22]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[111][22]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[110][22]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[109][22]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[108][22]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[107][22]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[106][22]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[105][22]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[104][22]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[103][22]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[102][22]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_FISH",1],[0,0,0],-1]                                                                          ;
MapToConvert[101][22]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[100][22]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                     ;
MapToConvert[99][22]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                ;
MapToConvert[98][22]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_AUSTRALIA",[[1,5],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                       ;
MapToConvert[97][22]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                                        ;
MapToConvert[96][22]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[95][22]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[94][22]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                      ;
MapToConvert[93][22]=["TERRAIN_PLAINS",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_COTTON",1],[0,0,0],-1]                                                     ;
MapToConvert[92][22]=["TERRAIN_PLAINS",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[91][22]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                ;
MapToConvert[90][22]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[89][22]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                                        ;
MapToConvert[88][22]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                                        ;
MapToConvert[87][22]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[86][22]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[85][22]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[84][22]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[83][22]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[82][22]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[81][22]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[80][22]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[79][22]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[78][22]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[77][22]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[76][22]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[75][22]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[74][22]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[73][22]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[72][22]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[71][22]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[70][22]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[69][22]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[68][22]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[67][22]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[66][22]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[65][22]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[64][22]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[63][22]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[62][22]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[61][22]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[60][22]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[59][22]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[58][22]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[57][22]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[56][22]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[55][22]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[54][22]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[53][22]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[52][22]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[51][22]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[50][22]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[49][22]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[48][22]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[47][22]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[46][22]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[45][22]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[44][22]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[43][22]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[42][22]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[41][22]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[40][22]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[39][22]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                                        ;
MapToConvert[38][22]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                                        ;
MapToConvert[37][22]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_WHALES",1],[0,0,0],-1]                                                                         ;
MapToConvert[36][22]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[35][22]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[34][22]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[33][22]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_SOUTH_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[32][22]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[31][22]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_SOUTH_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[30][22]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_SOUTH_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                             ;
MapToConvert[29][22]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_SOUTH_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[28][22]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_SOUTH_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[27][22]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_SOUTH_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[26][22]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_SOUTH_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                             ;
MapToConvert[25][22]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_SOUTH_AFRICA",[[0,-1],[1,3],[1,4]],[-1,0],[0,0,0],-1]                                                             ;
MapToConvert[24][22]=["TERRAIN_PLAINS",-1,"CONTINENT_SOUTH_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[23][22]=["TERRAIN_PLAINS",-1,"CONTINENT_SOUTH_AFRICA",[[1,5],[0,-1],[0,-1]],["RESOURCE_CATTLE",1],[0,0,0],-1]                                                   ;
MapToConvert[22][22]=["TERRAIN_DESERT","FEATURE_FLOODPLAINS","CONTINENT_SOUTH_AFRICA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                               ;
MapToConvert[21][22]=["TERRAIN_DESERT_HILLS",-1,"CONTINENT_SOUTH_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                           ;
MapToConvert[20][22]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[19][22]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[18][22]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[17][22]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[16][22]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[15][22]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[14][22]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[13][22]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[12][22]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[11][22]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[10][22]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[9][22]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[8][22]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[7][22]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[6][22]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[5][22]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[4][22]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[3][22]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[2][22]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[1][22]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[0][22]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[179][23]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[178][23]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[177][23]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[176][23]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[175][23]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[174][23]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[173][23]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[172][23]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[171][23]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[170][23]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[169][23]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[168][23]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[167][23]=["TERRAIN_GRASS",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_CATTLE",1],[0,0,0],-1]                                                 ;
MapToConvert[166][23]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_SOUTH_AMERICA",[[1,5],[0,-1],[0,-1]],["RESOURCE_DIAMONDS",1],[0,0,0],-1]                                         ;
MapToConvert[165][23]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_SOUTH_AMERICA",[[1,5],[0,-1],[1,4]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[164][23]=["TERRAIN_GRASS",-1,"CONTINENT_SOUTH_AMERICA",[[1,5],[0,-1],[1,4]],[-1,0],[0,0,0],-1]                                                                  ;
MapToConvert[163][23]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_SOUTH_AMERICA",[[0,-1],[1,3],[1,4]],["RESOURCE_IRON",1],[0,0,0],-1]                                ;
MapToConvert[162][23]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[161][23]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_AMERICA",[[1,2],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[160][23]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_AMERICA",[[0,-1],[1,3],[0,-1]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[159][23]=["TERRAIN_PLAINS",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[158][23]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[157][23]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[156][23]=["TERRAIN_PLAINS",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[155][23]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_DIAMONDS",1],[0,0,0],-1]                                        ;
MapToConvert[154][23]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                      ;
MapToConvert[153][23]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                           ;
MapToConvert[152][23]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                       ;
MapToConvert[151][23]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[150][23]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[149][23]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[148][23]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[147][23]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[146][23]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[145][23]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[144][23]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[143][23]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[142][23]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[141][23]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[140][23]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[139][23]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[138][23]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[137][23]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[136][23]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[135][23]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[134][23]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[133][23]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[132][23]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[131][23]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[130][23]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[129][23]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[128][23]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[127][23]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[126][23]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[125][23]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[124][23]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[123][23]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_MELANESIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                              ;
MapToConvert[122][23]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[121][23]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_PEARLS",1],[0,0,0],-1]                                                                        ;
MapToConvert[120][23]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[119][23]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                                       ;
MapToConvert[118][23]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[117][23]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_MELANESIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_BANANAS",1],[0,0,0],-1]                                     ;
MapToConvert[116][23]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[115][23]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[114][23]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[113][23]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[112][23]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[111][23]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[110][23]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[109][23]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[108][23]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[107][23]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[106][23]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[105][23]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[104][23]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[103][23]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[102][23]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[101][23]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[100][23]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                                       ;
MapToConvert[99][23]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                      ;
MapToConvert[98][23]=["TERRAIN_GRASS",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SHEEP",1],[0,0,0],-1]                                                       ;
MapToConvert[97][23]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[96][23]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_PEARLS",1],[0,0,0],-1]                                                                         ;
MapToConvert[95][23]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[94][23]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                      ;
MapToConvert[93][23]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                ;
MapToConvert[92][23]=["TERRAIN_PLAINS",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[91][23]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_DEER",1],[0,0,0],-1]                                         ;
MapToConvert[90][23]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,1],-1]                                                                                        ;
MapToConvert[89][23]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[88][23]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[87][23]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[86][23]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[85][23]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[84][23]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[83][23]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[82][23]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[81][23]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[80][23]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[79][23]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[78][23]=["TERRAIN_GRASS","FEATURE_JUNGLE","CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                 ;
MapToConvert[77][23]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[76][23]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[75][23]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[74][23]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[73][23]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[72][23]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[71][23]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[70][23]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[69][23]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[68][23]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[67][23]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[66][23]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[65][23]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[64][23]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[63][23]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[62][23]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[61][23]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[60][23]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[59][23]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[58][23]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[57][23]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[56][23]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[55][23]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[54][23]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[53][23]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[52][23]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[51][23]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[50][23]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[49][23]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[48][23]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[47][23]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[46][23]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[45][23]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[44][23]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[43][23]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[42][23]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[41][23]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[40][23]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[39][23]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[38][23]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[37][23]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[36][23]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[35][23]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[34][23]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[33][23]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_SOUTH_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                             ;
MapToConvert[32][23]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_SOUTH_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                            ;
MapToConvert[31][23]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[30][23]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_SOUTH_AFRICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SPICES",1],[0,0,0],-1]                              ;
MapToConvert[29][23]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_SOUTH_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                             ;
MapToConvert[28][23]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_SOUTH_AFRICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_DEER",1],[0,0,0],-1]                                      ;
MapToConvert[27][23]=["TERRAIN_PLAINS",-1,"CONTINENT_SOUTH_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[26][23]=["TERRAIN_GRASS_HILLS","FEATURE_JUNGLE","CONTINENT_CENTRAL_AFRICA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                             ;
MapToConvert[25][23]=["TERRAIN_GRASS","FEATURE_JUNGLE","CONTINENT_CENTRAL_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[24][23]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_SOUTH_AFRICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_DYES",1],[0,0,0],-1]                                      ;
MapToConvert[23][23]=["TERRAIN_PLAINS",-1,"CONTINENT_SOUTH_AFRICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_WHEAT",1],[0,0,0],-1]                                                   ;
MapToConvert[22][23]=["TERRAIN_PLAINS",-1,"CONTINENT_SOUTH_AFRICA",[[1,5],[0,-1],[0,-1]],["RESOURCE_IVORY",1],[0,0,0],-1]                                                    ;
MapToConvert[21][23]=["TERRAIN_DESERT","FEATURE_OASIS","CONTINENT_SOUTH_AFRICA",[[1,5],[0,-1],[1,4]],[-1,0],[0,0,0],-1]                                                      ;
MapToConvert[20][23]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_CENTRAL_AFRICA",[[0,-1],[0,-1],[1,4]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[19][23]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_CRABS",1],[0,0,0],-1]                                                                          ;
MapToConvert[18][23]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[17][23]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[16][23]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[15][23]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[14][23]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[13][23]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[12][23]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[11][23]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[10][23]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[9][23]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[8][23]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[7][23]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[6][23]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[5][23]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[4][23]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[3][23]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[2][23]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[1][23]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[0][23]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[179][24]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[178][24]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[177][24]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[176][24]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[175][24]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[174][24]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[173][24]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[172][24]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[171][24]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[170][24]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[169][24]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_HORSES",1],[0,1,0],-1]                                           ;
MapToConvert[168][24]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_COAL",1],[0,0,0],-1]                                             ;
MapToConvert[167][24]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[166][24]=["TERRAIN_PLAINS",-1,"CONTINENT_SOUTH_AMERICA",[[1,2],[1,0],[1,1]],[-1,0],[0,0,0],-1]                                                                  ;
MapToConvert[165][24]=["TERRAIN_PLAINS",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[164][24]=["TERRAIN_GRASS","FEATURE_MARSH","CONTINENT_SOUTH_AMERICA",[[0,-1],[1,3],[1,4]],[-1,0],[0,0,0],-1]                                                     ;
MapToConvert[163][24]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                           ;
MapToConvert[162][24]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_DEER",1],[0,0,0],-1]                                    ;
MapToConvert[161][24]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_AMERICA",[[0,-1],[1,3],[1,4]],["RESOURCE_BANANAS",1],[0,0,0],-1]                                   ;
MapToConvert[160][24]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[159][24]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_DYES",1],[0,0,0],-1]                                             ;
MapToConvert[158][24]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[157][24]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                      ;
MapToConvert[156][24]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_STONE",1],[0,0,0],-1]                                           ;
MapToConvert[155][24]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                      ;
MapToConvert[154][24]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                      ;
MapToConvert[153][24]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                           ;
MapToConvert[152][24]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[151][24]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[150][24]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[149][24]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[148][24]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[147][24]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[146][24]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[145][24]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[144][24]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[143][24]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[142][24]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[141][24]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[140][24]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[139][24]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[138][24]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[137][24]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[136][24]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[135][24]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[134][24]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[133][24]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[132][24]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[131][24]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[130][24]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[129][24]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[128][24]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[127][24]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[126][24]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[125][24]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[124][24]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                                       ;
MapToConvert[123][24]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[122][24]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[121][24]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[120][24]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[119][24]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[118][24]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[117][24]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[116][24]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[115][24]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[114][24]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[113][24]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[112][24]=["TERRAIN_GRASS",-1,"CONTINENT_MELANESIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                    ;
MapToConvert[111][24]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[110][24]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[109][24]=["TERRAIN_GRASS",-1,"CONTINENT_MELANESIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[108][24]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                       ;
MapToConvert[107][24]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[106][24]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[105][24]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[104][24]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[103][24]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[102][24]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[101][24]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[100][24]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[99][24]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_BANANAS",1],[0,0,0],-1]                                      ;
MapToConvert[98][24]=["TERRAIN_GRASS",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                     ;
MapToConvert[97][24]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                        ;
MapToConvert[96][24]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[95][24]=["TERRAIN_GRASS",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                     ;
MapToConvert[94][24]=["TERRAIN_GRASS",-1,"CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                     ;
MapToConvert[93][24]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SPICES",1],[0,0,0],-1]                                       ;
MapToConvert[92][24]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                ;
MapToConvert[91][24]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[90][24]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[89][24]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[88][24]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[87][24]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,1],-1]                                                         ;
MapToConvert[86][24]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                        ;
MapToConvert[85][24]=["TERRAIN_GRASS",-1,"CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                               ;
MapToConvert[84][24]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_STONE",1],[0,0,0],-1]                                           ;
MapToConvert[83][24]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[82][24]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[81][24]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[80][24]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[79][24]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[78][24]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[77][24]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[76][24]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[75][24]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[74][24]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[73][24]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[72][24]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[71][24]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[70][24]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[69][24]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[68][24]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[67][24]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[66][24]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[65][24]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[64][24]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[63][24]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[62][24]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[61][24]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[60][24]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[59][24]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[58][24]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[57][24]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[56][24]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[55][24]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[54][24]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[53][24]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[52][24]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[51][24]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[50][24]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[49][24]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[48][24]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[47][24]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[46][24]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[45][24]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[44][24]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[43][24]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[42][24]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[41][24]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[40][24]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[39][24]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[38][24]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[37][24]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[36][24]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[35][24]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[34][24]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_OIL",1],[0,0,0],-1]                                                                            ;
MapToConvert[33][24]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_SOUTH_AFRICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_URANIUM",1],[0,0,0],-1]                             ;
MapToConvert[32][24]=["TERRAIN_GRASS_MOUNTAIN",-1,"CONTINENT_SOUTH_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[31][24]=["TERRAIN_GRASS",-1,"CONTINENT_SOUTH_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                  ;
MapToConvert[30][24]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_SOUTH_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                             ;
MapToConvert[29][24]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_SOUTH_AFRICA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                              ;
MapToConvert[28][24]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_SOUTH_AFRICA",[[1,5],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                    ;
MapToConvert[27][24]=["TERRAIN_GRASS","FEATURE_JUNGLE","CONTINENT_CENTRAL_AFRICA",[[1,5],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                                    ;
MapToConvert[26][24]=["TERRAIN_GRASS_HILLS","FEATURE_JUNGLE","CONTINENT_CENTRAL_AFRICA",[[0,-1],[1,0],[0,-1]],["RESOURCE_COAL",1],[0,0,0],-1]                                ;
MapToConvert[25][24]=["TERRAIN_GRASS_HILLS","FEATURE_JUNGLE","CONTINENT_CENTRAL_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                            ;
MapToConvert[24][24]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_CENTRAL_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[23][24]=["TERRAIN_PLAINS",-1,"CONTINENT_CENTRAL_AFRICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_WHEAT",1],[0,0,0],-1]                                                 ;
MapToConvert[22][24]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_CENTRAL_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[21][24]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_CENTRAL_AFRICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SUGAR",1],[0,0,0],-1]                                   ;
MapToConvert[20][24]=["TERRAIN_GRASS",-1,"CONTINENT_CENTRAL_AFRICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_STONE",1],[1,0,0],-1]                                                  ;
MapToConvert[19][24]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[18][24]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[17][24]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[16][24]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[15][24]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[14][24]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[13][24]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[12][24]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[11][24]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[10][24]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[9][24]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[8][24]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[7][24]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[6][24]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[5][24]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[4][24]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[3][24]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[2][24]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[1][24]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[0][24]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[179][25]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[178][25]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[177][25]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[176][25]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[175][25]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[174][25]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[173][25]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[172][25]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[171][25]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[170][25]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[169][25]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_FISH",1],[1,0,0],-1]                                                                          ;
MapToConvert[168][25]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[167][25]=["TERRAIN_GRASS_HILLS","FEATURE_FOREST","CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                            ;
MapToConvert[166][25]=["TERRAIN_PLAINS",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[1,0],[1,1]],["RESOURCE_TRUFFLES",1],[0,0,0],-1]                                                ;
MapToConvert[165][25]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_SOUTH_AMERICA",[[1,5],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[164][25]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[1,4]],[-1,0],[0,0,0],-1]                                            ;
MapToConvert[163][25]=["TERRAIN_PLAINS",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[162][25]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[161][25]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_AMERICA",[[1,2],[0,-1],[0,-1]],["RESOURCE_DIAMONDS",1],[0,0,0],-1]                                 ;
MapToConvert[160][25]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_AMERICA",[[0,-1],[1,3],[0,-1]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[159][25]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                           ;
MapToConvert[158][25]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[157][25]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                      ;
MapToConvert[156][25]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                      ;
MapToConvert[155][25]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[154][25]=["TERRAIN_PLAINS",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[153][25]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                      ;
MapToConvert[152][25]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                         ;
MapToConvert[151][25]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                       ;
MapToConvert[150][25]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_WHALES",1],[0,0,0],-1]                                                                        ;
MapToConvert[149][25]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[148][25]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[147][25]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[146][25]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[145][25]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[144][25]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[143][25]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[142][25]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[141][25]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[140][25]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[139][25]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[138][25]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[137][25]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[136][25]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[135][25]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[134][25]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[133][25]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[132][25]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[131][25]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[130][25]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[129][25]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[128][25]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[127][25]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[126][25]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[125][25]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[124][25]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[123][25]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[122][25]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[121][25]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[120][25]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[119][25]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[118][25]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[117][25]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[116][25]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[115][25]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_FISH",1],[0,0,0],-1]                                                                          ;
MapToConvert[114][25]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[113][25]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_MELANESIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_BANANAS",1],[1,0,1],-1]                                     ;
MapToConvert[112][25]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[111][25]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_WHALES",1],[0,0,0],-1]                                                                        ;
MapToConvert[110][25]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[109][25]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[108][25]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_MELANESIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SUGAR",1],[1,0,0],-1]                                       ;
MapToConvert[107][25]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[106][25]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[105][25]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[104][25]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[103][25]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[102][25]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[101][25]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[100][25]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[99][25]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[98][25]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                      ;
MapToConvert[97][25]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_AUSTRALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                      ;
MapToConvert[96][25]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[95][25]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                                        ;
MapToConvert[94][25]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[93][25]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                                        ;
MapToConvert[92][25]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                                        ;
MapToConvert[91][25]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                                        ;
MapToConvert[90][25]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[89][25]=["TERRAIN_GRASS",-1,"CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_DYES",1],[0,1,0],-1]                                                  ;
MapToConvert[88][25]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[87][25]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[86][25]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[85][25]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[84][25]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                                        ;
MapToConvert[83][25]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SUGAR",1],[0,0,0],-1]                                  ;
MapToConvert[82][25]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_BANANAS",1],[0,0,0],-1]                          ;
MapToConvert[81][25]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[80][25]=["TERRAIN_GRASS",-1,"CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                               ;
MapToConvert[79][25]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_FISH",1],[0,0,0],-1]                                                                           ;
MapToConvert[78][25]=["TERRAIN_GRASS",-1,"CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                               ;
MapToConvert[77][25]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[76][25]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[75][25]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[74][25]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[73][25]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[72][25]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[71][25]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[70][25]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[69][25]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[68][25]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[67][25]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[66][25]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[65][25]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[64][25]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[63][25]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[62][25]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[61][25]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[60][25]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[59][25]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[58][25]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[57][25]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[56][25]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[55][25]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[54][25]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[53][25]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[52][25]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[51][25]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[50][25]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[49][25]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[48][25]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[47][25]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[46][25]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[45][25]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[44][25]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[43][25]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[42][25]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[41][25]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[40][25]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[39][25]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[38][25]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[37][25]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[36][25]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[35][25]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[34][25]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[33][25]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_EAST_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,1],-1]                                                    ;
MapToConvert[32][25]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_EAST_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                              ;
MapToConvert[31][25]=["TERRAIN_GRASS",-1,"CONTINENT_EAST_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[30][25]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[29][25]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_CENTRAL_AFRICA",[[1,5],[0,-1],[0,-1]],["RESOURCE_CITRUS",1],[0,0,0],-1]                             ;
MapToConvert[28][25]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_CENTRAL_AFRICA",[[0,-1],[1,0],[0,-1]],["RESOURCE_COCOA",1],[0,0,0],-1]                                    ;
MapToConvert[27][25]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_CENTRAL_AFRICA",[[1,5],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[26][25]=["TERRAIN_PLAINS",-1,"CONTINENT_CENTRAL_AFRICA",[[1,5],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[25][25]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_CENTRAL_AFRICA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[24][25]=["TERRAIN_PLAINS",-1,"CONTINENT_CENTRAL_AFRICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_IVORY",1],[0,0,0],-1]                                                 ;
MapToConvert[23][25]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_CENTRAL_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[22][25]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_CENTRAL_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[21][25]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_CENTRAL_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[20][25]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_CENTRAL_AFRICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_BANANAS",1],[0,0,0],-1]                                 ;
MapToConvert[19][25]=["TERRAIN_GRASS",-1,"CONTINENT_CENTRAL_AFRICA",[[0,-1],[1,3],[1,4]],[-1,0],[0,0,0],-1]                                                                  ;
MapToConvert[18][25]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[17][25]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[16][25]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[15][25]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[14][25]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[13][25]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[12][25]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[11][25]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[10][25]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[9][25]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[8][25]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[7][25]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[6][25]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[5][25]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[4][25]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[3][25]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[2][25]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[1][25]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[0][25]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[179][26]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[178][26]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[177][26]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[176][26]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[175][26]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[174][26]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[173][26]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[172][26]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[171][26]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[170][26]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[169][26]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                         ;
MapToConvert[168][26]=["TERRAIN_GRASS_HILLS","FEATURE_FOREST","CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                            ;
MapToConvert[167][26]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[1,0],[1,1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[166][26]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                           ;
MapToConvert[165][26]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_ALUMINUM",1],[0,0,0],-1]                          ;
MapToConvert[164][26]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                           ;
MapToConvert[163][26]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[1,0],[1,1]],["RESOURCE_SILVER",1],[0,0,0],-1]                                            ;
MapToConvert[162][26]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[161][26]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_AMERICA",[[1,2],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[160][26]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_AMERICA",[[0,-1],[1,3],[0,-1]],["RESOURCE_COCOA",1],[0,0,0],-1]                                    ;
MapToConvert[159][26]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[158][26]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_URANIUM",1],[0,0,0],-1]                                          ;
MapToConvert[157][26]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[156][26]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                      ;
MapToConvert[155][26]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                      ;
MapToConvert[154][26]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                           ;
MapToConvert[153][26]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_NITER",1],[0,0,0],-1]                                           ;
MapToConvert[152][26]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                           ;
MapToConvert[151][26]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[150][26]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[149][26]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[148][26]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[147][26]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[146][26]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[145][26]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[144][26]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[143][26]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[142][26]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[141][26]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[140][26]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[139][26]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[138][26]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[137][26]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[136][26]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[135][26]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[134][26]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[133][26]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[132][26]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[131][26]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[130][26]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[129][26]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[128][26]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[127][26]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[126][26]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[125][26]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[124][26]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[123][26]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[122][26]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[121][26]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[120][26]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[119][26]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[118][26]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[117][26]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[116][26]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[115][26]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[114][26]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[113][26]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[112][26]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[111][26]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[110][26]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[109][26]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[108][26]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[107][26]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[106][26]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[105][26]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[104][26]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[103][26]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[102][26]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[101][26]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_PEARLS",1],[0,0,0],-1]                                                                        ;
MapToConvert[100][26]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[99][26]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                                        ;
MapToConvert[98][26]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[97][26]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[96][26]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[95][26]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[94][26]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[93][26]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[92][26]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[91][26]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[90][26]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                                        ;
MapToConvert[89][26]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[88][26]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[87][26]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[86][26]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[85][26]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_PEARLS",1],[0,0,0],-1]                                                                         ;
MapToConvert[84][26]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[83][26]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[82][26]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                                        ;
MapToConvert[81][26]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SPICES",1],[0,0,0],-1]                                 ;
MapToConvert[80][26]=["TERRAIN_PLAINS",-1,"CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                              ;
MapToConvert[79][26]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[78][26]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[77][26]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_FISH",1],[0,0,0],-1]                                                                           ;
MapToConvert[76][26]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[75][26]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[74][26]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[73][26]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[72][26]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[71][26]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[70][26]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[69][26]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[68][26]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[67][26]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[66][26]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[65][26]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[64][26]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[63][26]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[62][26]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[61][26]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[60][26]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[59][26]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[58][26]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[57][26]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[56][26]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[55][26]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[54][26]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[53][26]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[52][26]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[51][26]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[50][26]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[49][26]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[48][26]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[47][26]=["TERRAIN_GRASS",-1,"CONTINENT_MADAGASCARIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_COTTON",1],[0,0,0],-1]                                                   ;
MapToConvert[46][26]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[45][26]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[44][26]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[43][26]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[42][26]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[41][26]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[40][26]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[39][26]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[38][26]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[37][26]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[36][26]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[35][26]=["TERRAIN_PLAINS",-1,"CONTINENT_EAST_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                  ;
MapToConvert[34][26]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[33][26]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_EAST_AFRICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_ALUMINUM",1],[0,0,0],-1]                             ;
MapToConvert[32][26]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_EAST_AFRICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_IRON",1],[0,0,0],-1]                                 ;
MapToConvert[31][26]=["TERRAIN_GRASS",-1,"CONTINENT_EAST_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[30][26]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                        ;
MapToConvert[29][26]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_CENTRAL_AFRICA",[[1,5],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                            ;
MapToConvert[28][26]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_CENTRAL_AFRICA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[27][26]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_CENTRAL_AFRICA",[[1,5],[1,0],[0,-1]],["RESOURCE_BANANAS",1],[0,0,0],-1]                                   ;
MapToConvert[26][26]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_CENTRAL_AFRICA",[[0,-1],[1,0],[1,1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[25][26]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_CENTRAL_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[24][26]=["TERRAIN_PLAINS",-1,"CONTINENT_CENTRAL_AFRICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_DEER",1],[0,0,0],-1]                                                  ;
MapToConvert[23][26]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_CENTRAL_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                           ;
MapToConvert[22][26]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_CENTRAL_AFRICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SUGAR",1],[0,0,0],-1]                                   ;
MapToConvert[21][26]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_CENTRAL_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[20][26]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_CENTRAL_AFRICA",[[0,-1],[1,3],[1,4]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[19][26]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_CENTRAL_AFRICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_COCOA",1],[1,0,0],-1]                                   ;
MapToConvert[18][26]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                        ;
MapToConvert[17][26]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[16][26]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[15][26]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[14][26]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[13][26]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[12][26]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[11][26]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[10][26]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[9][26]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[8][26]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[7][26]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[6][26]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[5][26]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[4][26]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[3][26]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[2][26]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[1][26]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[0][26]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[179][27]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[178][27]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[177][27]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[176][27]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[175][27]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[174][27]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[173][27]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[172][27]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[171][27]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[170][27]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                           ;
MapToConvert[169][27]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                           ;
MapToConvert[168][27]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SUGAR",1],[0,0,0],-1]                             ;
MapToConvert[167][27]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[1,0],[1,1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[166][27]=["TERRAIN_PLAINS",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_WHEAT",1],[0,0,0],-1]                                                 ;
MapToConvert[165][27]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                           ;
MapToConvert[164][27]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                           ;
MapToConvert[163][27]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[1,0],[1,1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[162][27]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[161][27]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_SOUTH_AMERICA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                            ;
MapToConvert[160][27]=["TERRAIN_PLAINS",-1,"CONTINENT_SOUTH_AMERICA",[[1,2],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[159][27]=["TERRAIN_PLAINS",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[1,3],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[158][27]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[157][27]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                           ;
MapToConvert[156][27]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                           ;
MapToConvert[155][27]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                      ;
MapToConvert[154][27]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_IRON",1],[0,0,0],-1]                                             ;
MapToConvert[153][27]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[152][27]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                      ;
MapToConvert[151][27]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[150][27]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[149][27]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[148][27]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[147][27]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[146][27]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[145][27]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[144][27]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[143][27]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[142][27]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[141][27]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[140][27]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[139][27]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[138][27]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[137][27]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[136][27]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[135][27]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[134][27]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[133][27]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[132][27]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[131][27]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[130][27]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_CRABS",1],[0,0,0],-1]                                                                         ;
MapToConvert[129][27]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[128][27]=["TERRAIN_GRASS_HILLS","FEATURE_FOREST","CONTINENT_POLYNESIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,1,1],-1]                                                ;
MapToConvert[127][27]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                       ;
MapToConvert[126][27]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[125][27]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[124][27]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[123][27]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[122][27]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[121][27]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[120][27]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[119][27]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[118][27]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[117][27]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[116][27]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_MELANESIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_DYES",1],[0,0,1],-1]                                        ;
MapToConvert[115][27]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[114][27]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[113][27]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[112][27]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[111][27]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[110][27]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[109][27]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[108][27]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[107][27]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[106][27]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[105][27]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[104][27]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[103][27]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[102][27]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[101][27]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[100][27]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[99][27]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[98][27]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[97][27]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[96][27]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[95][27]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[94][27]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[93][27]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[92][27]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[91][27]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_MELANESIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                      ;
MapToConvert[90][27]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[89][27]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[88][27]=["TERRAIN_GRASS",-1,"CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SPICES",1],[0,0,0],-1]                                                ;
MapToConvert[87][27]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_FISH",1],[0,0,0],-1]                                                                           ;
MapToConvert[86][27]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[85][27]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_OIL",1],[0,0,0],-1]                                                                            ;
MapToConvert[84][27]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[83][27]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[82][27]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[81][27]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[80][27]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                                        ;
MapToConvert[79][27]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[78][27]=["TERRAIN_GRASS",-1,"CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,1],-1]                                                               ;
MapToConvert[77][27]=["TERRAIN_GRASS",-1,"CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_WHEAT",1],[0,0,0],-1]                                                 ;
MapToConvert[76][27]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[75][27]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[74][27]=["TERRAIN_GRASS","FEATURE_JUNGLE","CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_DYES",1],[0,0,0],-1]                                    ;
MapToConvert[73][27]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[72][27]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[71][27]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[70][27]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[69][27]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[68][27]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[67][27]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[66][27]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[65][27]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[64][27]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[63][27]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[62][27]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[61][27]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[60][27]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[59][27]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[58][27]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[57][27]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[56][27]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[55][27]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[54][27]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[53][27]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[52][27]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[51][27]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[50][27]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[49][27]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[48][27]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[47][27]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                                        ;
MapToConvert[46][27]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                                        ;
MapToConvert[45][27]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[44][27]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[43][27]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[42][27]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[41][27]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[40][27]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[39][27]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[38][27]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[37][27]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[36][27]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[35][27]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[34][27]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_FISH",1],[0,0,0],-1]                                                                           ;
MapToConvert[33][27]=["TERRAIN_GRASS",-1,"CONTINENT_EAST_AFRICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_HORSES",1],[0,1,0],-1]                                                    ;
MapToConvert[32][27]=["TERRAIN_PLAINS",-1,"CONTINENT_EAST_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                  ;
MapToConvert[31][27]=["TERRAIN_GRASS",-1,"CONTINENT_EAST_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[30][27]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_CENTRAL_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                           ;
MapToConvert[29][27]=["TERRAIN_PLAINS_MOUNTAIN","FEATURE_JUNGLE","CONTINENT_CENTRAL_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                        ;
MapToConvert[28][27]=["TERRAIN_GRASS","FEATURE_MARSH","CONTINENT_CENTRAL_AFRICA",[[0,-1],[1,0],[1,1]],[-1,0],[0,0,0],-1]                                                     ;
MapToConvert[27][27]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_CENTRAL_AFRICA",[[1,5],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[26][27]=["TERRAIN_GRASS","FEATURE_MARSH","CONTINENT_CENTRAL_AFRICA",[[1,5],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                                     ;
MapToConvert[25][27]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_CENTRAL_AFRICA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[24][27]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_CENTRAL_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[23][27]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_CENTRAL_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                           ;
MapToConvert[22][27]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_CENTRAL_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                           ;
MapToConvert[21][27]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_CENTRAL_AFRICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_DYES",1],[0,0,0],-1]                                    ;
MapToConvert[20][27]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_CENTRAL_AFRICA",[[0,-1],[1,3],[1,4]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[19][27]=["TERRAIN_GRASS",-1,"CONTINENT_CENTRAL_AFRICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_WHEAT",1],[0,0,0],-1]                                                  ;
MapToConvert[18][27]=["TERRAIN_GRASS",-1,"CONTINENT_CENTRAL_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[17][27]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[16][27]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[15][27]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[14][27]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[13][27]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[12][27]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[11][27]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[10][27]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[9][27]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[8][27]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[7][27]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[6][27]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[5][27]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[4][27]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[3][27]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[2][27]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[1][27]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[0][27]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[179][28]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[178][28]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[177][28]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[176][28]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[175][28]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[174][28]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[173][28]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[172][28]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[171][28]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[170][28]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                           ;
MapToConvert[169][28]=["TERRAIN_PLAINS",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SALT",1],[0,0,0],-1]                                                  ;
MapToConvert[168][28]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_SOUTH_AMERICA",[[0,-1],[1,0],[1,1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[167][28]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                           ;
MapToConvert[166][28]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[165][28]=["TERRAIN_PLAINS",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_DYES",1],[0,0,0],-1]                                                  ;
MapToConvert[164][28]=["TERRAIN_PLAINS",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[1,0],[1,1]],["RESOURCE_WHEAT",1],[0,0,0],-1]                                                   ;
MapToConvert[163][28]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[162][28]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_SOUTH_AMERICA",[[0,-1],[1,0],[1,1]],[-1,0],[0,0,0],-1]                                             ;
MapToConvert[161][28]=["TERRAIN_PLAINS",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[160][28]=["TERRAIN_PLAINS",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[1,3],[1,4]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[159][28]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[158][28]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_BANANAS",1],[0,0,0],-1]                                 ;
MapToConvert[157][28]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[156][28]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_SOUTH_AMERICA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                            ;
MapToConvert[155][28]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                           ;
MapToConvert[154][28]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                                       ;
MapToConvert[153][28]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                      ;
MapToConvert[152][28]=["TERRAIN_PLAINS",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_CATTLE",1],[0,0,0],-1]                                                ;
MapToConvert[151][28]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_MARBLE",1],[0,0,0],-1]                                          ;
MapToConvert[150][28]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                       ;
MapToConvert[149][28]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[148][28]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[147][28]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[146][28]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[145][28]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[144][28]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[143][28]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[142][28]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[141][28]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[140][28]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[139][28]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[138][28]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[137][28]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[136][28]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[135][28]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[134][28]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[133][28]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[132][28]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[131][28]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[130][28]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[129][28]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_WHALES",1],[1,0,0],-1]                                                                        ;
MapToConvert[128][28]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                                       ;
MapToConvert[127][28]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[126][28]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[125][28]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[124][28]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[123][28]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[122][28]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[121][28]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[120][28]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[119][28]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[118][28]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[117][28]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[116][28]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[115][28]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[114][28]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[113][28]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[112][28]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[111][28]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[110][28]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[109][28]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[108][28]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[107][28]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[106][28]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[105][28]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[104][28]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[103][28]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[102][28]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_MELANESIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_BANANAS",1],[0,1,1],-1]                                     ;
MapToConvert[101][28]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[100][28]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[99][28]=["TERRAIN_GRASS",-1,"CONTINENT_MELANESIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,1],-1]                                                                     ;
MapToConvert[98][28]=["TERRAIN_GRASS",-1,"CONTINENT_MELANESIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                     ;
MapToConvert[97][28]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[96][28]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[95][28]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_FISH",1],[0,0,0],-1]                                                                           ;
MapToConvert[94][28]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[93][28]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_MELANESIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                      ;
MapToConvert[92][28]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                        ;
MapToConvert[91][28]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[90][28]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[89][28]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                          ;
MapToConvert[88][28]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                          ;
MapToConvert[87][28]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[86][28]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[85][28]=["TERRAIN_GRASS",-1,"CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[84][28]=["TERRAIN_GRASS",-1,"CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_DYES",1],[0,0,1],-1]                                                  ;
MapToConvert[83][28]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[1,3],[0,-1]],[-1,0],[1,0,0],-1]                                                 ;
MapToConvert[82][28]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_BANANAS",1],[0,0,0],-1]                                ;
MapToConvert[81][28]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[80][28]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[79][28]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[78][28]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                ;
MapToConvert[77][28]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_BANANAS",1],[1,0,0],-1]                                ;
MapToConvert[76][28]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                         ;
MapToConvert[75][28]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[74][28]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[73][28]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[72][28]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[71][28]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[70][28]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[69][28]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[68][28]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[67][28]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[66][28]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[65][28]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[64][28]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[63][28]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[62][28]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[61][28]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[60][28]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[59][28]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[58][28]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[57][28]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[56][28]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[55][28]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[54][28]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[53][28]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[52][28]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[51][28]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[50][28]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[49][28]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[48][28]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[47][28]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[46][28]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[45][28]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[44][28]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[43][28]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[42][28]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[41][28]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[40][28]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[39][28]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[38][28]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[37][28]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[36][28]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[35][28]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_EAST_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                              ;
MapToConvert[34][28]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_EAST_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                    ;
MapToConvert[33][28]=["TERRAIN_GRASS",-1,"CONTINENT_EAST_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[32][28]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_EAST_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                              ;
MapToConvert[31][28]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[30][28]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_CENTRAL_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                           ;
MapToConvert[29][28]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_CENTRAL_AFRICA",[[1,5],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[28][28]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_CENTRAL_AFRICA",[[0,-1],[1,0],[0,-1]],["RESOURCE_COCOA",1],[0,0,0],-1]                                    ;
MapToConvert[27][28]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_CENTRAL_AFRICA",[[1,5],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[26][28]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_CENTRAL_AFRICA",[[0,-1],[1,0],[1,1]],["RESOURCE_DYES",1],[0,0,0],-1]                                      ;
MapToConvert[25][28]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_CENTRAL_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[24][28]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_CENTRAL_AFRICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_COCOA",1],[0,0,0],-1]                                   ;
MapToConvert[23][28]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_CENTRAL_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[22][28]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_CENTRAL_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[21][28]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_CENTRAL_AFRICA",[[0,-1],[1,3],[1,4]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[20][28]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_CENTRAL_AFRICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_BANANAS",1],[0,0,0],-1]                                 ;
MapToConvert[19][28]=["TERRAIN_GRASS",-1,"CONTINENT_CENTRAL_AFRICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_IVORY",1],[0,0,0],-1]                                                  ;
MapToConvert[18][28]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[17][28]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[16][28]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[15][28]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[14][28]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[13][28]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[12][28]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[11][28]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[10][28]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[9][28]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[8][28]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[7][28]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[6][28]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[5][28]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[4][28]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[3][28]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[2][28]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[1][28]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[0][28]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[179][29]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[178][29]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[177][29]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[176][29]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[175][29]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[174][29]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[173][29]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[172][29]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[171][29]=["TERRAIN_GRASS",-1,"CONTINENT_SOUTH_AMERICA",[[1,2],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                 ;
MapToConvert[170][29]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_SOUTH_AMERICA",[[1,2],[0,-1],[1,1]],["RESOURCE_COAL",1],[0,0,0],-1]                                ;
MapToConvert[169][29]=["TERRAIN_PLAINS",-1,"CONTINENT_SOUTH_AMERICA",[[1,2],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[168][29]=["TERRAIN_PLAINS",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[167][29]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[166][29]=["TERRAIN_PLAINS",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[165][29]=["TERRAIN_GRASS",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_WHEAT",1],[0,0,0],-1]                                                  ;
MapToConvert[164][29]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[1,0],[1,1]],["RESOURCE_COPPER",1],[0,0,0],-1]                                            ;
MapToConvert[163][29]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[162][29]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_SOUTH_AMERICA",[[0,-1],[1,0],[1,1]],["RESOURCE_COAL",1],[0,0,0],-1]                                ;
MapToConvert[161][29]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[160][29]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                           ;
MapToConvert[159][29]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                           ;
MapToConvert[158][29]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                           ;
MapToConvert[157][29]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[156][29]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_AMERICA",[[1,5],[0,-1],[0,-1]],["RESOURCE_COCOA",1],[0,0,0],-1]                                    ;
MapToConvert[155][29]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_AMERICA",[[1,5],[0,-1],[1,4]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[154][29]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_AMERICA",[[1,5],[1,0],[0,-1]],["RESOURCE_DYES",1],[0,0,0],-1]                                      ;
MapToConvert[153][29]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                                       ;
MapToConvert[152][29]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                      ;
MapToConvert[151][29]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                      ;
MapToConvert[150][29]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                         ;
MapToConvert[149][29]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[148][29]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[147][29]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[146][29]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[145][29]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[144][29]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[143][29]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[142][29]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[141][29]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[140][29]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[139][29]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[138][29]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[137][29]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[136][29]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[135][29]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[134][29]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[133][29]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[132][29]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[131][29]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[130][29]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[129][29]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[128][29]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[127][29]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[126][29]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[125][29]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[124][29]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[123][29]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[122][29]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[121][29]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[120][29]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[119][29]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[118][29]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[117][29]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[116][29]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[115][29]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[114][29]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[113][29]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[112][29]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_PEARLS",1],[0,0,0],-1]                                                                        ;
MapToConvert[111][29]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[110][29]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[109][29]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[108][29]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[107][29]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[106][29]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_MELANESIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                             ;
MapToConvert[105][29]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[104][29]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[103][29]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[102][29]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[101][29]=["TERRAIN_GRASS",-1,"CONTINENT_MELANESIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[100][29]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_MELANESIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                               ;
MapToConvert[99][29]=["TERRAIN_GRASS_MOUNTAIN",-1,"CONTINENT_MELANESIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                            ;
MapToConvert[98][29]=["TERRAIN_GRASS",-1,"CONTINENT_MELANESIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_WHEAT",1],[0,0,0],-1]                                                       ;
MapToConvert[97][29]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_MELANESIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                ;
MapToConvert[96][29]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[95][29]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[94][29]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[93][29]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[92][29]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[91][29]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[90][29]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[89][29]=["TERRAIN_GRASS_MOUNTAIN",-1,"CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                      ;
MapToConvert[88][29]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[87][29]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[86][29]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[85][29]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,1],-1]                                                         ;
MapToConvert[84][29]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_BANANAS",1],[0,0,0],-1]                                ;
MapToConvert[83][29]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[1,3],[1,4]],[-1,0],[0,0,0],-1]                                            ;
MapToConvert[82][29]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SPICES",1],[0,0,0],-1]                                 ;
MapToConvert[81][29]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                ;
MapToConvert[80][29]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[79][29]=["TERRAIN_GRASS","FEATURE_MARSH","CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                  ;
MapToConvert[78][29]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[77][29]=["TERRAIN_GRASS",-1,"CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[76][29]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_DYES",1],[0,0,0],-1]                                   ;
MapToConvert[75][29]=["TERRAIN_GRASS_MOUNTAIN",-1,"CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                      ;
MapToConvert[74][29]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[73][29]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[72][29]=["TERRAIN_GRASS",-1,"CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[71][29]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                        ;
MapToConvert[70][29]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[69][29]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[68][29]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[67][29]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[66][29]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[65][29]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[64][29]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[63][29]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[62][29]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[61][29]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[60][29]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[59][29]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[58][29]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[57][29]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[56][29]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[55][29]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[54][29]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[53][29]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[52][29]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[51][29]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[50][29]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[49][29]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[48][29]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[47][29]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[46][29]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[45][29]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[44][29]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[43][29]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[42][29]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[41][29]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[40][29]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[39][29]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[38][29]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[37][29]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_PEARLS",1],[0,0,0],-1]                                                                         ;
MapToConvert[36][29]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[35][29]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_EAST_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                              ;
MapToConvert[34][29]=["TERRAIN_DESERT_MOUNTAIN",-1,"CONTINENT_EAST_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[33][29]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_EAST_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                              ;
MapToConvert[32][29]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_EAST_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                              ;
MapToConvert[31][29]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[30][29]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                                        ;
MapToConvert[29][29]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_CENTRAL_AFRICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_BANANAS",1],[0,0,0],-1]                                 ;
MapToConvert[28][29]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_CENTRAL_AFRICA",[[1,5],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[27][29]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_CENTRAL_AFRICA",[[1,5],[0,-1],[1,4]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[26][29]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_CENTRAL_AFRICA",[[1,5],[0,-1],[1,4]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[25][29]=["TERRAIN_GRASS","FEATURE_MARSH","CONTINENT_CENTRAL_AFRICA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                                    ;
MapToConvert[24][29]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_CENTRAL_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[23][29]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_CENTRAL_AFRICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_BANANAS",1],[0,0,0],-1]                                 ;
MapToConvert[22][29]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_CENTRAL_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[21][29]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_CENTRAL_AFRICA",[[0,-1],[1,3],[1,4]],["RESOURCE_BANANAS",1],[0,0,0],-1]                                   ;
MapToConvert[20][29]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_CENTRAL_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[19][29]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_CENTRAL_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                           ;
MapToConvert[18][29]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                        ;
MapToConvert[17][29]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[16][29]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[15][29]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[14][29]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[13][29]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[12][29]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[11][29]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[10][29]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[9][29]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[8][29]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[7][29]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[6][29]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[5][29]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[4][29]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[3][29]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[2][29]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[1][29]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[0][29]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[179][30]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[178][30]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[177][30]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[176][30]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[175][30]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[174][30]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[173][30]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[172][30]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                                       ;
MapToConvert[171][30]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_CITRUS",1],[0,1,0],-1]                                  ;
MapToConvert[170][30]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[169][30]=["TERRAIN_PLAINS",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_OIL",1],[0,0,0],-1]                                                   ;
MapToConvert[168][30]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[167][30]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_URANIUM",1],[0,0,0],-1]                                 ;
MapToConvert[166][30]=["TERRAIN_GRASS","FEATURE_MARSH","CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[165][30]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_AMERICA",[[0,-1],[1,0],[1,1]],["RESOURCE_SUGAR",1],[0,0,0],-1]                                     ;
MapToConvert[164][30]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_AMERICA",[[1,2],[1,0],[1,1]],[-1,0],[0,0,0],-1]                                                    ;
MapToConvert[163][30]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[1,1]],["RESOURCE_COCOA",1],[0,0,0],-1]                                    ;
MapToConvert[162][30]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[161][30]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_AMERICA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[160][30]=["TERRAIN_GRASS","FEATURE_MARSH","CONTINENT_SOUTH_AMERICA",[[0,-1],[1,0],[1,1]],[-1,0],[0,0,0],-1]                                                     ;
MapToConvert[159][30]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_COCOA",1],[0,0,0],-1]                                   ;
MapToConvert[158][30]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_IRON",1],[0,0,0],-1]                              ;
MapToConvert[157][30]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                           ;
MapToConvert[156][30]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[155][30]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_AMERICA",[[0,-1],[1,0],[1,1]],["RESOURCE_DEER",1],[0,0,0],-1]                                      ;
MapToConvert[154][30]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_AMERICA",[[1,5],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[153][30]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[152][30]=["TERRAIN_GRASS_HILLS","FEATURE_FOREST","CONTINENT_SOUTH_AMERICA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                             ;
MapToConvert[151][30]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_STONE",1],[0,0,0],-1]                                           ;
MapToConvert[150][30]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                      ;
MapToConvert[149][30]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[148][30]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[147][30]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[146][30]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[145][30]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[144][30]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[143][30]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[142][30]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[141][30]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[140][30]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[139][30]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[138][30]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[137][30]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[136][30]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[135][30]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[134][30]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[133][30]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[132][30]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[131][30]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[130][30]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[129][30]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[128][30]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[127][30]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[126][30]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[125][30]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[124][30]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[123][30]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[122][30]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[121][30]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[120][30]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[119][30]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[118][30]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[117][30]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[116][30]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[115][30]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[114][30]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_MELANESIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SPICES",1],[0,1,0],-1]                                      ;
MapToConvert[113][30]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                       ;
MapToConvert[112][30]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[111][30]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[110][30]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[109][30]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[108][30]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[107][30]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[106][30]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[105][30]=["TERRAIN_PLAINS",-1,"CONTINENT_MELANESIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[104][30]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[103][30]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[102][30]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[101][30]=["TERRAIN_GRASS",-1,"CONTINENT_MELANESIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[100][30]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_MELANESIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_DYES",1],[0,0,0],-1]                                        ;
MapToConvert[99][30]=["TERRAIN_GRASS_MOUNTAIN",-1,"CONTINENT_MELANESIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                            ;
MapToConvert[98][30]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_MELANESIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                ;
MapToConvert[97][30]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_MELANESIA",[[0,-1],[1,3],[1,4]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[96][30]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_MELANESIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                ;
MapToConvert[95][30]=["TERRAIN_GRASS_MOUNTAIN",-1,"CONTINENT_MELANESIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                            ;
MapToConvert[94][30]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                        ;
MapToConvert[93][30]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[92][30]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[91][30]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[90][30]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_BANANAS",1],[0,0,0],-1]                                ;
MapToConvert[89][30]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                                        ;
MapToConvert[88][30]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_HORSES",1],[0,1,0],-1]                                          ;
MapToConvert[87][30]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[86][30]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[85][30]=["TERRAIN_GRASS",-1,"CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SILK",1],[0,0,0],-1]                                                  ;
MapToConvert[84][30]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[1,3],[1,4]],["RESOURCE_SILVER",1],[0,0,0],-1]                             ;
MapToConvert[83][30]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_DYES",1],[0,0,0],-1]                                   ;
MapToConvert[82][30]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_EAST_ASIA",[[1,5],[1,3],[1,4]],["RESOURCE_SPICES",1],[0,0,0],-1]                                    ;
MapToConvert[81][30]=["TERRAIN_GRASS",-1,"CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[1,4]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[80][30]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[79][30]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[78][30]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[77][30]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[76][30]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_EAST_ASIA",[[1,5],[0,-1],[0,-1]],["RESOURCE_SILK",1],[0,0,0],-1]                                    ;
MapToConvert[75][30]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[1,0],[0,-1]],["RESOURCE_SPICES",1],[0,0,0],-1]                                  ;
MapToConvert[74][30]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[73][30]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[72][30]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                                        ;
MapToConvert[71][30]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[70][30]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[69][30]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[68][30]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[67][30]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[66][30]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[65][30]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[64][30]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[63][30]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[62][30]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_CRABS",1],[0,0,0],-1]                                                                          ;
MapToConvert[61][30]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[60][30]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[59][30]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,1],-1]                                                          ;
MapToConvert[58][30]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[57][30]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[56][30]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[55][30]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[54][30]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[53][30]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[52][30]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[51][30]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[50][30]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[49][30]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[48][30]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[47][30]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[46][30]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[45][30]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[44][30]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[43][30]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[42][30]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[41][30]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[40][30]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[39][30]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_OIL",1],[0,0,0],-1]                                                                            ;
MapToConvert[38][30]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[37][30]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[36][30]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_EAST_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                              ;
MapToConvert[35][30]=["TERRAIN_DESERT",-1,"CONTINENT_EAST_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                  ;
MapToConvert[34][30]=["TERRAIN_DESERT",-1,"CONTINENT_EAST_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                  ;
MapToConvert[33][30]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_EAST_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                            ;
MapToConvert[32][30]=["TERRAIN_GRASS_MOUNTAIN",-1,"CONTINENT_CENTRAL_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                       ;
MapToConvert[31][30]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_CENTRAL_AFRICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_STONE",1],[0,0,0],-1]                                            ;
MapToConvert[30][30]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_CENTRAL_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                           ;
MapToConvert[29][30]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_CENTRAL_AFRICA",[[1,5],[0,-1],[1,4]],[-1,0],[0,0,0],-1]                                                            ;
MapToConvert[28][30]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_CENTRAL_AFRICA",[[1,5],[0,-1],[1,4]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[27][30]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_CENTRAL_AFRICA",[[1,5],[1,3],[1,4]],["RESOURCE_SUGAR",1],[0,0,0],-1]                                      ;
MapToConvert[26][30]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_CENTRAL_AFRICA",[[1,5],[0,-1],[1,4]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[25][30]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_CENTRAL_AFRICA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[24][30]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_CENTRAL_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                           ;
MapToConvert[23][30]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_CENTRAL_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                           ;
MapToConvert[22][30]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_CENTRAL_AFRICA",[[0,-1],[1,3],[1,4]],["RESOURCE_DYES",1],[0,0,0],-1]                                      ;
MapToConvert[21][30]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_CENTRAL_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[20][30]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_CENTRAL_AFRICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_COCOA",1],[0,0,0],-1]                                   ;
MapToConvert[19][30]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_CENTRAL_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                 ;
MapToConvert[18][30]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[17][30]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[16][30]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[15][30]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[14][30]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[13][30]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[12][30]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[11][30]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[10][30]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[9][30]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[8][30]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[7][30]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[6][30]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[5][30]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[4][30]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[3][30]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[2][30]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[1][30]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[0][30]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[179][31]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[178][31]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[177][31]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[176][31]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[175][31]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[174][31]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[173][31]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[172][31]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[171][31]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[170][31]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[169][31]=["TERRAIN_PLAINS",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[168][31]=["TERRAIN_PLAINS",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_WHEAT",1],[0,0,0],-1]                                                 ;
MapToConvert[167][31]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[166][31]=["TERRAIN_GRASS","FEATURE_MARSH","CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[165][31]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_AMERICA",[[0,-1],[1,0],[1,1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[164][31]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_AMERICA",[[0,-1],[1,0],[1,1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[163][31]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[162][31]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[161][31]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_AMERICA",[[1,5],[1,0],[0,-1]],["RESOURCE_BANANAS",1],[0,0,0],-1]                                   ;
MapToConvert[160][31]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_AMERICA",[[1,5],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[159][31]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_AMERICA",[[1,2],[1,0],[1,1]],[-1,0],[0,0,0],-1]                                                    ;
MapToConvert[158][31]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_AMERICA",[[1,2],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[157][31]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                            ;
MapToConvert[156][31]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_BANANAS",1],[0,0,0],-1]                                 ;
MapToConvert[155][31]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_AMERICA",[[1,5],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[154][31]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_AMERICA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[153][31]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_AMERICA",[[0,-1],[1,0],[1,1]],["RESOURCE_DYES",1],[0,0,0],-1]                                      ;
MapToConvert[152][31]=["TERRAIN_GRASS_HILLS","FEATURE_FOREST","CONTINENT_SOUTH_AMERICA",[[1,5],[0,-1],[0,-1]],["RESOURCE_ALUMINUM",1],[0,0,0],-1]                            ;
MapToConvert[151][31]=["TERRAIN_GRASS_HILLS","FEATURE_FOREST","CONTINENT_SOUTH_AMERICA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                             ;
MapToConvert[150][31]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                      ;
MapToConvert[149][31]=["TERRAIN_PLAINS",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[148][31]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[147][31]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[146][31]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[145][31]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[144][31]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[143][31]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[142][31]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[141][31]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[140][31]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[139][31]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[138][31]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[137][31]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[136][31]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[135][31]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[134][31]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[133][31]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[132][31]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[131][31]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[130][31]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[129][31]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[128][31]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[127][31]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[126][31]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[125][31]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[124][31]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[123][31]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[122][31]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[121][31]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[120][31]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[119][31]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[118][31]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[117][31]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[116][31]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[115][31]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[114][31]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[113][31]=["TERRAIN_GRASS",-1,"CONTINENT_MELANESIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[112][31]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[111][31]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[110][31]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[109][31]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[108][31]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[107][31]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[106][31]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[105][31]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[104][31]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[103][31]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[102][31]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[101][31]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[100][31]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[99][31]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_MELANESIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                      ;
MapToConvert[98][31]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_MELANESIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_STONE",1],[0,0,0],-1]                                                 ;
MapToConvert[97][31]=["TERRAIN_GRASS_MOUNTAIN",-1,"CONTINENT_MELANESIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                            ;
MapToConvert[96][31]=["TERRAIN_GRASS_MOUNTAIN",-1,"CONTINENT_MELANESIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                            ;
MapToConvert[95][31]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_MELANESIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_IRON",1],[0,0,0],-1]                                                  ;
MapToConvert[94][31]=["TERRAIN_GRASS_MOUNTAIN",-1,"CONTINENT_MELANESIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                            ;
MapToConvert[93][31]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_MELANESIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                ;
MapToConvert[92][31]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[91][31]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[90][31]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SILK",1],[0,0,0],-1]                                   ;
MapToConvert[89][31]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[88][31]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                                        ;
MapToConvert[87][31]=["TERRAIN_GRASS_MOUNTAIN",-1,"CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                      ;
MapToConvert[86][31]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[85][31]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SUGAR",1],[0,0,0],-1]                                  ;
MapToConvert[84][31]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                          ;
MapToConvert[83][31]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_SOUTH_EAST_ASIA",[[1,5],[0,-1],[1,4]],[-1,0],[0,0,0],-1]                                            ;
MapToConvert[82][31]=["TERRAIN_GRASS",-1,"CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[1,4]],["RESOURCE_WHEAT",1],[0,0,0],-1]                                                  ;
MapToConvert[81][31]=["TERRAIN_GRASS",-1,"CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[80][31]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_CRABS",1],[0,0,0],-1]                                                                          ;
MapToConvert[79][31]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[78][31]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_CRABS",1],[0,0,0],-1]                                                                          ;
MapToConvert[77][31]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[76][31]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[75][31]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                                        ;
MapToConvert[74][31]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[1,1]],["RESOURCE_DEER",1],[0,0,0],-1]                                    ;
MapToConvert[73][31]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SUGAR",1],[0,0,0],-1]                                  ;
MapToConvert[72][31]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                        ;
MapToConvert[71][31]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_FISH",1],[0,0,0],-1]                                                                           ;
MapToConvert[70][31]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[69][31]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[68][31]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[67][31]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[66][31]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[65][31]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[64][31]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[63][31]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[62][31]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[61][31]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[60][31]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[59][31]=["TERRAIN_GRASS",-1,"CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                         ;
MapToConvert[58][31]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[57][31]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[56][31]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[55][31]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[54][31]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[53][31]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[52][31]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[51][31]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[50][31]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[49][31]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[48][31]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[47][31]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[46][31]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[45][31]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[44][31]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[43][31]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[42][31]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[41][31]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[40][31]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[39][31]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[38][31]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[37][31]=["TERRAIN_DESERT",-1,"CONTINENT_EAST_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,1,0],-1]                                                                  ;
MapToConvert[36][31]=["TERRAIN_DESERT_HILLS",-1,"CONTINENT_EAST_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                            ;
MapToConvert[35][31]=["TERRAIN_DESERT_HILLS",-1,"CONTINENT_EAST_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                            ;
MapToConvert[34][31]=["TERRAIN_DESERT",-1,"CONTINENT_EAST_AFRICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_IVORY",1],[0,0,0],-1]                                                    ;
MapToConvert[33][31]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_EAST_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[32][31]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_CENTRAL_AFRICA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[31][31]=["TERRAIN_GRASS_MOUNTAIN",-1,"CONTINENT_CENTRAL_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                       ;
MapToConvert[30][31]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_CENTRAL_AFRICA",[[1,5],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                            ;
MapToConvert[29][31]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_CENTRAL_AFRICA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                            ;
MapToConvert[28][31]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_CENTRAL_AFRICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_COCOA",1],[0,0,0],-1]                                   ;
MapToConvert[27][31]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_CENTRAL_AFRICA",[[0,-1],[0,-1],[1,4]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[26][31]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_CENTRAL_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[25][31]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_CENTRAL_AFRICA",[[1,5],[0,-1],[0,-1]],["RESOURCE_BANANAS",1],[0,0,0],-1]                                  ;
MapToConvert[24][31]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_CENTRAL_AFRICA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[23][31]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_CENTRAL_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                           ;
MapToConvert[22][31]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_CENTRAL_AFRICA",[[0,-1],[1,3],[1,4]],[-1,0],[0,0,0],-1]                                             ;
MapToConvert[21][31]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_CENTRAL_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[20][31]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_CENTRAL_AFRICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_BANANAS",1],[0,0,0],-1]                                 ;
MapToConvert[19][31]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_CENTRAL_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[18][31]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[17][31]=["TERRAIN_GRASS_HILLS","FEATURE_JUNGLE","CONTINENT_CENTRAL_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,1],-1]                                            ;
MapToConvert[16][31]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[15][31]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[14][31]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[13][31]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[12][31]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_PEARLS",1],[0,0,0],-1]                                                                         ;
MapToConvert[11][31]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[10][31]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[9][31]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[8][31]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_FISH",1],[0,0,0],-1]                                                                            ;
MapToConvert[7][31]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[6][31]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[5][31]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[4][31]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[3][31]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[2][31]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[1][31]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[0][31]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[179][32]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[178][32]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[177][32]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[176][32]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[175][32]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[174][32]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[173][32]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[172][32]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[171][32]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[170][32]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[169][32]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[168][32]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                           ;
MapToConvert[167][32]=["TERRAIN_GRASS",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_CATTLE",1],[0,0,0],-1]                                                 ;
MapToConvert[166][32]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_AMERICA",[[1,5],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[165][32]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_AMERICA",[[1,5],[1,0],[0,-1]],["RESOURCE_DYES",1],[0,0,0],-1]                                      ;
MapToConvert[164][32]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_AMERICA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[163][32]=["TERRAIN_GRASS","FEATURE_MARSH","CONTINENT_SOUTH_AMERICA",[[0,-1],[1,0],[1,1]],[-1,0],[0,0,0],-1]                                                     ;
MapToConvert[162][32]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_AMERICA",[[0,-1],[1,0],[1,1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[161][32]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_AMERICA",[[0,-1],[1,0],[1,1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[160][32]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_AMERICA",[[0,-1],[1,0],[1,1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[159][32]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_BANANAS",1],[0,0,0],-1]                                 ;
MapToConvert[158][32]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[157][32]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[156][32]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[155][32]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_AMERICA",[[1,2],[1,0],[1,1]],["RESOURCE_COCOA",1],[0,0,0],-1]                                      ;
MapToConvert[154][32]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_AMERICA",[[1,2],[1,3],[1,1]],[-1,0],[0,0,0],-1]                                                    ;
MapToConvert[153][32]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_AMERICA",[[1,2],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[152][32]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[151][32]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                      ;
MapToConvert[150][32]=["TERRAIN_PLAINS",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_CATTLE",1],[0,0,0],-1]                                                ;
MapToConvert[149][32]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                       ;
MapToConvert[148][32]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[147][32]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[146][32]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[145][32]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[144][32]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[143][32]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[142][32]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[141][32]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[140][32]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[139][32]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[138][32]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[137][32]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[136][32]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[135][32]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[134][32]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[133][32]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[132][32]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[131][32]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[130][32]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[129][32]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[128][32]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[127][32]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[126][32]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[125][32]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[124][32]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[123][32]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[122][32]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[121][32]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[120][32]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[119][32]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[118][32]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[117][32]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[116][32]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[115][32]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[114][32]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[113][32]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[112][32]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[111][32]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[110][32]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[109][32]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[108][32]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[107][32]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[106][32]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[105][32]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[104][32]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_MELANESIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                               ;
MapToConvert[103][32]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[102][32]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[101][32]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[100][32]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[99][32]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                                        ;
MapToConvert[98][32]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_MELANESIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SPICES",1],[0,0,0],-1]                                       ;
MapToConvert[97][32]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_MELANESIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_BANANAS",1],[0,0,0],-1]                                      ;
MapToConvert[96][32]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_MELANESIA",[[1,5],[0,-1],[1,4]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[95][32]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[94][32]=["TERRAIN_GRASS",-1,"CONTINENT_MELANESIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                     ;
MapToConvert[93][32]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_MELANESIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SUGAR",1],[0,0,0],-1]                                        ;
MapToConvert[92][32]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[91][32]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[90][32]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[89][32]=["TERRAIN_GRASS_MOUNTAIN",-1,"CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,1],-1]                                                      ;
MapToConvert[88][32]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                          ;
MapToConvert[87][32]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[86][32]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,1],-1]                                          ;
MapToConvert[85][32]=["TERRAIN_GRASS_MOUNTAIN",-1,"CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                      ;
MapToConvert[84][32]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                          ;
MapToConvert[83][32]=["TERRAIN_GRASS",-1,"CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_TRUFFLES",1],[0,0,0],-1]                                              ;
MapToConvert[82][32]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SPICES",1],[0,0,0],-1]                                 ;
MapToConvert[81][32]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                        ;
MapToConvert[80][32]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[79][32]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[78][32]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,1],-1]                                                ;
MapToConvert[77][32]=["TERRAIN_GRASS",-1,"CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                               ;
MapToConvert[76][32]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_BANANAS",1],[0,0,0],-1]                                ;
MapToConvert[75][32]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[74][32]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                          ;
MapToConvert[73][32]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                ;
MapToConvert[72][32]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[71][32]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[70][32]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[69][32]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[68][32]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[67][32]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[66][32]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[65][32]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[64][32]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                   ;
MapToConvert[63][32]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[62][32]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[61][32]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[60][32]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[59][32]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[58][32]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[57][32]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[56][32]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[55][32]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[54][32]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[53][32]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[52][32]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[51][32]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[50][32]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[49][32]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[48][32]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[47][32]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[46][32]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[45][32]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[44][32]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[43][32]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[42][32]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[41][32]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_FISH",1],[0,0,0],-1]                                                                           ;
MapToConvert[40][32]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[39][32]=["TERRAIN_DESERT",-1,"CONTINENT_EAST_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,1],-1]                                                                  ;
MapToConvert[38][32]=["TERRAIN_DESERT_HILLS",-1,"CONTINENT_EAST_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                            ;
MapToConvert[37][32]=["TERRAIN_DESERT_HILLS",-1,"CONTINENT_EAST_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                            ;
MapToConvert[36][32]=["TERRAIN_DESERT_HILLS",-1,"CONTINENT_EAST_AFRICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_NITER",1],[0,0,0],-1]                                              ;
MapToConvert[35][32]=["TERRAIN_DESERT_HILLS",-1,"CONTINENT_EAST_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                            ;
MapToConvert[34][32]=["TERRAIN_DESERT",-1,"CONTINENT_EAST_AFRICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_CITRUS",1],[0,0,0],-1]                                                   ;
MapToConvert[33][32]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_EAST_AFRICA",[[1,5],[0,-1],[0,-1]],["RESOURCE_DYES",1],[0,0,0],-1]                                        ;
MapToConvert[32][32]=["TERRAIN_GRASS_HILLS","FEATURE_JUNGLE","CONTINENT_CENTRAL_AFRICA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                             ;
MapToConvert[31][32]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_CENTRAL_AFRICA",[[1,2],[1,0],[1,1]],["RESOURCE_DIAMONDS",1],[0,0,0],-1]                                            ;
MapToConvert[30][32]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_CENTRAL_AFRICA",[[0,-1],[0,-1],[1,1]],["RESOURCE_COAL",1],[0,0,0],-1]                                              ;
MapToConvert[29][32]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_CENTRAL_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[28][32]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_CENTRAL_AFRICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SUGAR",1],[0,0,0],-1]                                   ;
MapToConvert[27][32]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_CENTRAL_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[26][32]=["TERRAIN_GRASS",-1,"CONTINENT_CENTRAL_AFRICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_IVORY",1],[0,0,0],-1]                                                  ;
MapToConvert[25][32]=["TERRAIN_GRASS",-1,"CONTINENT_CENTRAL_AFRICA",[[1,5],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[24][32]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_CENTRAL_AFRICA",[[1,5],[0,-1],[1,4]],["RESOURCE_COAL",1],[0,0,0],-1]                                ;
MapToConvert[23][32]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_CENTRAL_AFRICA",[[0,-1],[0,-1],[1,4]],[-1,0],[0,0,0],-1]                                            ;
MapToConvert[22][32]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_CENTRAL_AFRICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_ALUMINUM",1],[0,0,0],-1]                          ;
MapToConvert[21][32]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_CENTRAL_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[20][32]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_CENTRAL_AFRICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SUGAR",1],[0,0,0],-1]                                   ;
MapToConvert[19][32]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_CENTRAL_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[18][32]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_FISH",1],[0,0,0],-1]                                                                           ;
MapToConvert[17][32]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[16][32]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[15][32]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[14][32]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[13][32]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[12][32]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[11][32]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[10][32]=["TERRAIN_GRASS",-1,"CONTINENT_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                        ;
MapToConvert[9][32]=["TERRAIN_PLAINS",-1,"CONTINENT_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,1],-1]                                                                        ;
MapToConvert[8][32]=["TERRAIN_PLAINS",-1,"CONTINENT_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                        ;
MapToConvert[7][32]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[6][32]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[5][32]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[4][32]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[3][32]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[2][32]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[1][32]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[0][32]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[179][33]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[178][33]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[177][33]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[176][33]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[175][33]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[174][33]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[173][33]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[172][33]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[171][33]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[170][33]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[169][33]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[168][33]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                                       ;
MapToConvert[167][33]=["TERRAIN_GRASS",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                ;
MapToConvert[166][33]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_DEER",1],[0,0,0],-1]                                    ;
MapToConvert[165][33]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_AMERICA",[[0,-1],[1,0],[1,1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[164][33]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_AMERICA",[[0,-1],[1,0],[1,1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[163][33]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_AMERICA",[[1,5],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[162][33]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_AMERICA",[[0,-1],[1,0],[1,1]],["RESOURCE_DYES",1],[0,0,0],-1]                                      ;
MapToConvert[161][33]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_AMERICA",[[0,-1],[1,0],[1,1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[160][33]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_AMERICA",[[0,-1],[1,0],[1,1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[159][33]=["TERRAIN_GRASS","FEATURE_MARSH","CONTINENT_SOUTH_AMERICA",[[1,2],[1,0],[1,1]],[-1,0],[0,0,0],-1]                                                      ;
MapToConvert[158][33]=["TERRAIN_GRASS","FEATURE_MARSH","CONTINENT_SOUTH_AMERICA",[[1,2],[1,3],[1,1]],[-1,0],[0,0,0],-1]                                                      ;
MapToConvert[157][33]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_AMERICA",[[1,2],[0,-1],[1,1]],["RESOURCE_BANANAS",1],[0,0,0],-1]                                   ;
MapToConvert[156][33]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_AMERICA",[[1,2],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[155][33]=["TERRAIN_GRASS","FEATURE_MARSH","CONTINENT_SOUTH_AMERICA",[[0,-1],[1,3],[1,1]],[-1,0],[0,0,0],-1]                                                     ;
MapToConvert[154][33]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_AMERICA",[[1,2],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[153][33]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_AMERICA",[[1,2],[0,-1],[1,1]],["RESOURCE_SUGAR",1],[0,0,0],-1]                                     ;
MapToConvert[152][33]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_AMERICA",[[1,2],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[151][33]=["TERRAIN_GRASS",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[1,3],[0,-1]],["RESOURCE_WHEAT",1],[0,0,0],-1]                                                   ;
MapToConvert[150][33]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[149][33]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[148][33]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[147][33]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[146][33]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[145][33]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[144][33]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[143][33]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[142][33]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[141][33]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[140][33]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[139][33]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[138][33]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[137][33]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[136][33]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[135][33]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[134][33]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[133][33]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[132][33]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[131][33]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[130][33]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[129][33]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[128][33]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[127][33]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[126][33]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[125][33]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[124][33]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[123][33]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[122][33]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[121][33]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[120][33]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[119][33]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[118][33]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[117][33]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[116][33]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[115][33]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[114][33]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[113][33]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[112][33]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_FISH",1],[0,0,0],-1]                                                                          ;
MapToConvert[111][33]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[110][33]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[109][33]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[108][33]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[107][33]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[106][33]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[105][33]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[104][33]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[103][33]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[102][33]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[101][33]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[100][33]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_WHALES",1],[0,0,0],-1]                                                                        ;
MapToConvert[99][33]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[98][33]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                                        ;
MapToConvert[97][33]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[96][33]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                                        ;
MapToConvert[95][33]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[94][33]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                                        ;
MapToConvert[93][33]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[92][33]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[91][33]=["TERRAIN_GRASS",-1,"CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[90][33]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[89][33]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[88][33]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[87][33]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[86][33]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[85][33]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_IRON",1],[0,0,0],-1]                             ;
MapToConvert[84][33]=["TERRAIN_GRASS_MOUNTAIN",-1,"CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                      ;
MapToConvert[83][33]=["TERRAIN_GRASS",-1,"CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[82][33]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                                        ;
MapToConvert[81][33]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                                        ;
MapToConvert[80][33]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[79][33]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[78][33]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[77][33]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                          ;
MapToConvert[76][33]=["TERRAIN_GRASS",-1,"CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_WHEAT",1],[0,0,0],-1]                                                 ;
MapToConvert[75][33]=["TERRAIN_GRASS",-1,"CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SILK",1],[0,0,0],-1]                                                  ;
MapToConvert[74][33]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[73][33]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                          ;
MapToConvert[72][33]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_STONE",1],[0,0,0],-1]                                           ;
MapToConvert[71][33]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[70][33]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[69][33]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[68][33]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[67][33]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[66][33]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[65][33]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[64][33]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[63][33]=["TERRAIN_GRASS_MOUNTAIN",-1,"CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[62][33]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_BANANAS",1],[0,0,0],-1]                                          ;
MapToConvert[61][33]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[60][33]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[59][33]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_PEARLS",1],[0,0,0],-1]                                                                         ;
MapToConvert[58][33]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[57][33]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[56][33]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[55][33]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[54][33]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[53][33]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[52][33]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[51][33]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[50][33]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[49][33]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[48][33]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[47][33]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[46][33]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[45][33]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[44][33]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[43][33]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[42][33]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[41][33]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[40][33]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[39][33]=["TERRAIN_DESERT",-1,"CONTINENT_EAST_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                  ;
MapToConvert[38][33]=["TERRAIN_DESERT_HILLS",-1,"CONTINENT_EAST_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                            ;
MapToConvert[37][33]=["TERRAIN_DESERT_HILLS",-1,"CONTINENT_EAST_AFRICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_STONE",1],[0,0,0],-1]                                              ;
MapToConvert[36][33]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_EAST_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                            ;
MapToConvert[35][33]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_EAST_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[34][33]=["TERRAIN_PLAINS_MOUNTAIN","FEATURE_FOREST","CONTINENT_EAST_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                           ;
MapToConvert[33][33]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_EAST_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                              ;
MapToConvert[32][33]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_CENTRAL_AFRICA",[[0,-1],[1,0],[1,1]],["RESOURCE_DEER",1],[0,0,0],-1]                                      ;
MapToConvert[31][33]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_CENTRAL_AFRICA",[[0,-1],[1,0],[1,1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[30][33]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_CENTRAL_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                           ;
MapToConvert[29][33]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_CENTRAL_AFRICA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[28][33]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_CENTRAL_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[27][33]=["TERRAIN_PLAINS",-1,"CONTINENT_CENTRAL_AFRICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SHEEP",1],[0,0,0],-1]                                                 ;
MapToConvert[26][33]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_CENTRAL_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[25][33]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_CENTRAL_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                           ;
MapToConvert[24][33]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_CENTRAL_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                           ;
MapToConvert[23][33]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_CENTRAL_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                           ;
MapToConvert[22][33]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_CENTRAL_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                           ;
MapToConvert[21][33]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_CENTRAL_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                           ;
MapToConvert[20][33]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_CENTRAL_AFRICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_BANANAS",1],[0,0,0],-1]                                 ;
MapToConvert[19][33]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_CENTRAL_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[18][33]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_CENTRAL_AFRICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_COCOA",1],[0,0,0],-1]                                   ;
MapToConvert[17][33]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_AFRICA",[[0,-1],[1,3],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[16][33]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[15][33]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[14][33]=["TERRAIN_GRASS",-1,"CONTINENT_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                        ;
MapToConvert[13][33]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                  ;
MapToConvert[12][33]=["TERRAIN_GRASS",-1,"CONTINENT_AFRICA",[[0,-1],[1,3],[0,-1]],[-1,0],[1,0,1],-1]                                                                         ;
MapToConvert[11][33]=["TERRAIN_GRASS",-1,"CONTINENT_AFRICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SPICES",1],[0,0,1],-1]                                                         ;
MapToConvert[10][33]=["TERRAIN_GRASS",-1,"CONTINENT_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                        ;
MapToConvert[9][33]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[8][33]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_AFRICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_CITRUS",1],[0,0,0],-1]                                           ;
MapToConvert[7][33]=["TERRAIN_PLAINS",-1,"CONTINENT_AFRICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_IVORY",1],[0,0,0],-1]                                                          ;
MapToConvert[6][33]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[5][33]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[4][33]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[3][33]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[2][33]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[1][33]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[0][33]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[179][34]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[178][34]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[177][34]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[176][34]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[175][34]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[174][34]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[173][34]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[172][34]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[171][34]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[170][34]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[169][34]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[168][34]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[167][34]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_FISH",1],[0,0,0],-1]                                                                          ;
MapToConvert[166][34]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_AMERICA",[[1,5],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                  ;
MapToConvert[165][34]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_AMERICA",[[0,-1],[1,0],[1,1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[164][34]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_BANANAS",1],[0,0,0],-1]                                 ;
MapToConvert[163][34]=["TERRAIN_GRASS","FEATURE_MARSH","CONTINENT_SOUTH_AMERICA",[[0,-1],[1,0],[1,1]],[-1,0],[0,0,0],-1]                                                     ;
MapToConvert[162][34]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_AMERICA",[[1,2],[1,0],[1,1]],[-1,0],[0,0,0],-1]                                                    ;
MapToConvert[161][34]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_AMERICA",[[1,2],[0,-1],[1,1]],["RESOURCE_SUGAR",1],[0,0,0],-1]                                     ;
MapToConvert[160][34]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_AMERICA",[[0,-1],[1,3],[1,1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[159][34]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_AMERICA",[[1,2],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[158][34]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_AMERICA",[[1,2],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[157][34]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_AMERICA",[[0,-1],[1,3],[0,-1]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[156][34]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_AMERICA",[[1,2],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[155][34]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_AMERICA",[[1,2],[0,-1],[1,1]],["RESOURCE_DYES",1],[0,0,0],-1]                                      ;
MapToConvert[154][34]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_AMERICA",[[1,2],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[153][34]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_COCOA",1],[0,0,0],-1]                                   ;
MapToConvert[152][34]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_AMERICA",[[1,2],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[151][34]=["TERRAIN_GRASS_MOUNTAIN",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[1,3],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[150][34]=["TERRAIN_GRASS",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[149][34]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[148][34]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[147][34]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[146][34]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[145][34]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[144][34]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[143][34]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[142][34]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[141][34]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[140][34]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[139][34]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[138][34]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[137][34]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[136][34]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[135][34]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[134][34]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[133][34]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[132][34]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[131][34]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[130][34]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[129][34]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[128][34]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[127][34]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[126][34]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[125][34]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[124][34]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[123][34]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[122][34]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[121][34]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[120][34]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[119][34]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[118][34]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[117][34]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[116][34]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[115][34]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[114][34]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[113][34]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[112][34]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[111][34]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[110][34]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[109][34]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[108][34]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[107][34]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[106][34]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[105][34]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[104][34]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[103][34]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[102][34]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[101][34]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[100][34]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[99][34]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_FISH",1],[0,0,0],-1]                                                                           ;
MapToConvert[98][34]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[97][34]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[96][34]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[95][34]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_PEARLS",1],[0,0,0],-1]                                                                         ;
MapToConvert[94][34]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[93][34]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[92][34]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[91][34]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[90][34]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[89][34]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[88][34]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[87][34]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[86][34]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                          ;
MapToConvert[85][34]=["TERRAIN_GRASS",-1,"CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[84][34]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                                        ;
MapToConvert[83][34]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                                        ;
MapToConvert[82][34]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[81][34]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[80][34]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[79][34]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[78][34]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[77][34]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                          ;
MapToConvert[76][34]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SPICES",1],[0,0,0],-1]                                 ;
MapToConvert[75][34]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SILK",1],[1,0,0],-1]                                   ;
MapToConvert[74][34]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                        ;
MapToConvert[73][34]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[72][34]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[71][34]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[70][34]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[69][34]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[68][34]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[67][34]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[66][34]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[65][34]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[64][34]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[63][34]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SPICES",1],[0,0,0],-1]                                           ;
MapToConvert[62][34]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                        ;
MapToConvert[61][34]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                    ;
MapToConvert[60][34]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[59][34]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[58][34]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[57][34]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[56][34]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[55][34]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[54][34]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[53][34]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[52][34]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[51][34]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[50][34]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[49][34]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[48][34]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[47][34]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[46][34]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[45][34]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[44][34]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[43][34]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[42][34]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[41][34]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[40][34]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_EAST_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,1],-1]                                                            ;
MapToConvert[39][34]=["TERRAIN_DESERT_HILLS",-1,"CONTINENT_EAST_AFRICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_COAL",1],[0,0,0],-1]                                               ;
MapToConvert[38][34]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_EAST_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                            ;
MapToConvert[37][34]=["TERRAIN_PLAINS_MOUNTAIN","FEATURE_FOREST","CONTINENT_EAST_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                           ;
MapToConvert[36][34]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_EAST_AFRICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_CITRUS",1],[0,0,0],-1]                                             ;
MapToConvert[35][34]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_EAST_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                    ;
MapToConvert[34][34]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_EAST_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                              ;
MapToConvert[33][34]=["TERRAIN_PLAINS",-1,"CONTINENT_EAST_AFRICA",[[1,5],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[32][34]=["TERRAIN_PLAINS",-1,"CONTINENT_CENTRAL_AFRICA",[[0,-1],[1,0],[1,1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[31][34]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_CENTRAL_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[30][34]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_CENTRAL_AFRICA",[[0,-1],[1,0],[1,1]],[-1,0],[0,0,0],-1]                                             ;
MapToConvert[29][34]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_CENTRAL_AFRICA",[[0,-1],[1,0],[1,1]],["RESOURCE_IVORY",1],[0,0,0],-1]                                     ;
MapToConvert[28][34]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_CENTRAL_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[27][34]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_CENTRAL_AFRICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_DYES",1],[0,0,0],-1]                                    ;
MapToConvert[26][34]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_CENTRAL_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[25][34]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_CENTRAL_AFRICA",[[0,-1],[1,0],[0,-1]],["RESOURCE_COCOA",1],[0,0,0],-1]                                    ;
MapToConvert[24][34]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_CENTRAL_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[23][34]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_CENTRAL_AFRICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_NITER",1],[0,0,0],-1]                                           ;
MapToConvert[22][34]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_CENTRAL_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[21][34]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_CENTRAL_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[20][34]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_CENTRAL_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[19][34]=["TERRAIN_GRASS",-1,"CONTINENT_CENTRAL_AFRICA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[18][34]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_AFRICA",[[0,-1],[1,3],[1,4]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[17][34]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_AFRICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_BANANAS",1],[1,0,0],-1]                                         ;
MapToConvert[16][34]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                         ;
MapToConvert[15][34]=["TERRAIN_GRASS",-1,"CONTINENT_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                        ;
MapToConvert[14][34]=["TERRAIN_GRASS",-1,"CONTINENT_AFRICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_OIL",1],[0,0,0],-1]                                                            ;
MapToConvert[13][34]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_AFRICA",[[0,-1],[1,3],[1,4]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[12][34]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[11][34]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[10][34]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_AFRICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SUGAR",1],[0,0,0],-1]                                           ;
MapToConvert[9][34]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[8][34]=["TERRAIN_PLAINS",-1,"CONTINENT_AFRICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_WHEAT",1],[0,0,0],-1]                                                          ;
MapToConvert[7][34]=["TERRAIN_PLAINS",-1,"CONTINENT_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                        ;
MapToConvert[6][34]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[5][34]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[4][34]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[3][34]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[2][34]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[1][34]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[0][34]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[179][35]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[178][35]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[177][35]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[176][35]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[175][35]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[174][35]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[173][35]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[172][35]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[171][35]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[170][35]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[169][35]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[168][35]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[167][35]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[166][35]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                                       ;
MapToConvert[165][35]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[164][35]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[163][35]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_AMERICA",[[1,2],[1,0],[1,1]],[-1,0],[0,0,0],-1]                                                    ;
MapToConvert[162][35]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[161][35]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[160][35]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_AMERICA",[[1,2],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[159][35]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_AMERICA",[[0,-1],[1,3],[0,-1]],["RESOURCE_DEER",1],[0,0,0],-1]                                     ;
MapToConvert[158][35]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[157][35]=["TERRAIN_GRASS_MOUNTAIN",-1,"CONTINENT_SOUTH_AMERICA",[[1,2],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[156][35]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_AMERICA",[[1,2],[0,-1],[1,1]],["RESOURCE_SUGAR",1],[0,0,0],-1]                                     ;
MapToConvert[155][35]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_AMERICA",[[0,-1],[1,3],[0,-1]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[154][35]=["TERRAIN_PLAINS",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[153][35]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[152][35]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                           ;
MapToConvert[151][35]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SUGAR",1],[0,0,0],-1]                                   ;
MapToConvert[150][35]=["TERRAIN_GRASS_MOUNTAIN",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                       ;
MapToConvert[149][35]=["TERRAIN_GRASS",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                ;
MapToConvert[148][35]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[147][35]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[146][35]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[145][35]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[144][35]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[143][35]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[142][35]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[141][35]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[140][35]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[139][35]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[138][35]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[137][35]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[136][35]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[135][35]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[134][35]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[133][35]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[132][35]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[131][35]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[130][35]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[129][35]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[128][35]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[127][35]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[126][35]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[125][35]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[124][35]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[123][35]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[122][35]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[121][35]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[120][35]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[119][35]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[118][35]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[117][35]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[116][35]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[115][35]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[114][35]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[113][35]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[112][35]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[111][35]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[110][35]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[109][35]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[108][35]=["TERRAIN_PLAINS",-1,"CONTINENT_MICRONESIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                  ;
MapToConvert[107][35]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[106][35]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[105][35]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[104][35]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[103][35]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[102][35]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[101][35]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[100][35]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[99][35]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[98][35]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[97][35]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[96][35]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[95][35]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[94][35]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[93][35]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[92][35]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[91][35]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[90][35]=["TERRAIN_GRASS",-1,"CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_ALUMINUM",1],[0,0,0],-1]                                              ;
MapToConvert[89][35]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                          ;
MapToConvert[88][35]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[87][35]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[86][35]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[85][35]=["TERRAIN_GRASS_MOUNTAIN",-1,"CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                      ;
MapToConvert[84][35]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[83][35]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_PEARLS",1],[0,0,0],-1]                                                                         ;
MapToConvert[82][35]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[81][35]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[80][35]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[79][35]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_FISH",1],[0,0,0],-1]                                                                           ;
MapToConvert[78][35]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[77][35]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[76][35]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[75][35]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SILVER",1],[0,1,0],-1]                                          ;
MapToConvert[74][35]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                ;
MapToConvert[73][35]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                                        ;
MapToConvert[72][35]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[71][35]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[70][35]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[69][35]=["TERRAIN_GRASS","FEATURE_JUNGLE","CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[68][35]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[67][35]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[66][35]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[65][35]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[64][35]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[63][35]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                                        ;
MapToConvert[62][35]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[61][35]=["TERRAIN_PLAINS",-1,"CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                        ;
MapToConvert[60][35]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SPICES",1],[1,0,0],-1]                                           ;
MapToConvert[59][35]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                        ;
MapToConvert[58][35]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[57][35]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[56][35]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[55][35]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[54][35]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[53][35]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[52][35]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[51][35]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[50][35]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[49][35]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[48][35]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[47][35]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[46][35]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[45][35]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[44][35]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_EAST_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                    ;
MapToConvert[43][35]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[42][35]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[41][35]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[40][35]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                                        ;
MapToConvert[39][35]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                                        ;
MapToConvert[38][35]=["TERRAIN_PLAINS",-1,"CONTINENT_EAST_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                  ;
MapToConvert[37][35]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_EAST_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                            ;
MapToConvert[36][35]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_EAST_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                              ;
MapToConvert[35][35]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_EAST_AFRICA",[[1,5],[1,3],[1,4]],["RESOURCE_IRON",1],[0,0,0],-1]                                                  ;
MapToConvert[34][35]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_EAST_AFRICA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                               ;
MapToConvert[33][35]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_EAST_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[32][35]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_EAST_AFRICA",[[1,5],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                               ;
MapToConvert[31][35]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_CENTRAL_AFRICA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[30][35]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_CENTRAL_AFRICA",[[1,2],[1,0],[1,1]],[-1,0],[0,0,0],-1]                                                    ;
MapToConvert[29][35]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_CENTRAL_AFRICA",[[0,-1],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[28][35]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_CENTRAL_AFRICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SUGAR",1],[0,0,0],-1]                                   ;
MapToConvert[27][35]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_CENTRAL_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[26][35]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_CENTRAL_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[25][35]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_CENTRAL_AFRICA",[[1,5],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[24][35]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_CENTRAL_AFRICA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[23][35]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_CENTRAL_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[22][35]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_CENTRAL_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[21][35]=["TERRAIN_GRASS",-1,"CONTINENT_CENTRAL_AFRICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_IVORY",1],[0,0,0],-1]                                                  ;
MapToConvert[20][35]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_CENTRAL_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                           ;
MapToConvert[19][35]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_CENTRAL_AFRICA",[[1,5],[0,-1],[0,-1]],["RESOURCE_SPICES",1],[0,0,0],-1]                                   ;
MapToConvert[18][35]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_AFRICA",[[0,-1],[1,3],[1,4]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[17][35]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[16][35]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[15][35]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_AFRICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_DIAMONDS",1],[0,0,0],-1]                                  ;
MapToConvert[14][35]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[13][35]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_AFRICA",[[1,2],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[12][35]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_AFRICA",[[0,-1],[1,3],[0,-1]],["RESOURCE_BANANAS",1],[0,0,0],-1]                                          ;
MapToConvert[11][35]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_AFRICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SPICES",1],[0,0,0],-1]                                          ;
MapToConvert[10][35]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[9][35]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_AFRICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_DYES",1],[0,0,0],-1]                                             ;
MapToConvert[8][35]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                    ;
MapToConvert[7][35]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                  ;
MapToConvert[6][35]=["TERRAIN_PLAINS",-1,"CONTINENT_AFRICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SHEEP",1],[1,0,0],-1]                                                          ;
MapToConvert[5][35]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_FISH",1],[0,0,0],-1]                                                                            ;
MapToConvert[4][35]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[3][35]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[2][35]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[1][35]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[0][35]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[179][36]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[178][36]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[177][36]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[176][36]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[175][36]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[174][36]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[173][36]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[172][36]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[171][36]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[170][36]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[169][36]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[168][36]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[167][36]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[166][36]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[165][36]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[164][36]=["TERRAIN_GRASS","FEATURE_MARSH","CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                    ;
MapToConvert[163][36]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[162][36]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_NITER",1],[0,0,0],-1]                             ;
MapToConvert[161][36]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[160][36]=["TERRAIN_GRASS","FEATURE_MARSH","CONTINENT_SOUTH_AMERICA",[[1,2],[1,3],[1,4]],[-1,0],[0,0,0],-1]                                                      ;
MapToConvert[159][36]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_AMERICA",[[1,2],[0,-1],[1,1]],["RESOURCE_COCOA",1],[0,0,0],-1]                                     ;
MapToConvert[158][36]=["TERRAIN_GRASS_MOUNTAIN",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                       ;
MapToConvert[157][36]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[156][36]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_AMERICA",[[1,2],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[155][36]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                           ;
MapToConvert[154][36]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                           ;
MapToConvert[153][36]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                           ;
MapToConvert[152][36]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_COAL",1],[0,0,0],-1]                              ;
MapToConvert[151][36]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[150][36]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,1],-1]                                                                                       ;
MapToConvert[149][36]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[148][36]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[147][36]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[146][36]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[145][36]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[144][36]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[143][36]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[142][36]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[141][36]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[140][36]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[139][36]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[138][36]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[137][36]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[136][36]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[135][36]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[134][36]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[133][36]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[132][36]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[131][36]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[130][36]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[129][36]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[128][36]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[127][36]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[126][36]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[125][36]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[124][36]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[123][36]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[122][36]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[121][36]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[120][36]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[119][36]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[118][36]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[117][36]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[116][36]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[115][36]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[114][36]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[113][36]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[112][36]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[111][36]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_FISH",1],[0,0,0],-1]                                                                          ;
MapToConvert[110][36]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[109][36]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[108][36]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[107][36]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[106][36]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[105][36]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[104][36]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[103][36]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[102][36]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[101][36]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[100][36]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[99][36]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[98][36]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[97][36]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[96][36]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[95][36]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[94][36]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[93][36]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[92][36]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_FISH",1],[0,0,0],-1]                                                                           ;
MapToConvert[91][36]=["TERRAIN_GRASS",-1,"CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[90][36]=["TERRAIN_GRASS_MOUNTAIN",-1,"CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                      ;
MapToConvert[89][36]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                          ;
MapToConvert[88][36]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[87][36]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[86][36]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                                        ;
MapToConvert[85][36]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                                        ;
MapToConvert[84][36]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[83][36]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[82][36]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[81][36]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[80][36]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[79][36]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[78][36]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[77][36]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[76][36]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                                        ;
MapToConvert[75][36]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[74][36]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_BANANAS",1],[0,0,0],-1]                                ;
MapToConvert[73][36]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[72][36]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_FISH",1],[0,0,0],-1]                                                                           ;
MapToConvert[71][36]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[70][36]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[69][36]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[68][36]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[67][36]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[66][36]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[65][36]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[64][36]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_WHALES",1],[0,0,0],-1]                                                                         ;
MapToConvert[63][36]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[62][36]=["TERRAIN_PLAINS",-1,"CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_WHEAT",1],[0,0,1],-1]                                                          ;
MapToConvert[61][36]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                    ;
MapToConvert[60][36]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[59][36]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[58][36]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[57][36]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[56][36]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[55][36]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[54][36]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[53][36]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[52][36]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[51][36]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[50][36]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[49][36]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[48][36]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[47][36]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[46][36]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[45][36]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[44][36]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[43][36]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[42][36]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[41][36]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_PEARLS",1],[0,0,0],-1]                                                                         ;
MapToConvert[40][36]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[39][36]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                                        ;
MapToConvert[38][36]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[37][36]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_FISH",1],[0,0,0],-1]                                                                           ;
MapToConvert[36][36]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_EAST_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                            ;
MapToConvert[35][36]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_EAST_AFRICA",[[1,5],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[34][36]=["TERRAIN_PLAINS",-1,"CONTINENT_EAST_AFRICA",[[0,-1],[1,0],[0,-1]],["RESOURCE_SHEEP",1],[0,0,0],-1]                                                     ;
MapToConvert[33][36]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_EAST_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                    ;
MapToConvert[32][36]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_CENTRAL_AFRICA",[[1,2],[1,0],[1,1]],["RESOURCE_DYES",1],[0,0,0],-1]                                       ;
MapToConvert[31][36]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_CENTRAL_AFRICA",[[0,-1],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[30][36]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_CENTRAL_AFRICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_DEER",1],[0,0,0],-1]                                    ;
MapToConvert[29][36]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_CENTRAL_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[28][36]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_CENTRAL_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[27][36]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_CENTRAL_AFRICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_DYES",1],[0,0,0],-1]                                    ;
MapToConvert[26][36]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_CENTRAL_AFRICA",[[1,5],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[25][36]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_CENTRAL_AFRICA",[[1,5],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[24][36]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_CENTRAL_AFRICA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[23][36]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_CENTRAL_AFRICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_DEER",1],[0,0,0],-1]                                    ;
MapToConvert[22][36]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_CENTRAL_AFRICA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                            ;
MapToConvert[21][36]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_CENTRAL_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                      ;
MapToConvert[20][36]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_CENTRAL_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                           ;
MapToConvert[19][36]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_AFRICA",[[0,-1],[1,3],[1,4]],[-1,0],[0,0,0],-1]                                                     ;
MapToConvert[18][36]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_AFRICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SUGAR",1],[0,0,0],-1]                                           ;
MapToConvert[17][36]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_AFRICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SPICES",1],[0,0,0],-1]                                          ;
MapToConvert[16][36]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[15][36]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_AFRICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_DYES",1],[0,0,0],-1]                                            ;
MapToConvert[14][36]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[13][36]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_AFRICA",[[1,2],[1,3],[1,4]],["RESOURCE_SPICES",1],[0,0,0],-1]                                             ;
MapToConvert[12][36]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_AFRICA",[[0,-1],[1,3],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[11][36]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[10][36]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_AFRICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_CITRUS",1],[0,0,0],-1]                                          ;
MapToConvert[9][36]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                  ;
MapToConvert[8][36]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_AFRICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SILVER",1],[0,0,0],-1]                                     ;
MapToConvert[7][36]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[6][36]=["TERRAIN_PLAINS",-1,"CONTINENT_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                        ;
MapToConvert[5][36]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                         ;
MapToConvert[4][36]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[3][36]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[2][36]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[1][36]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[0][36]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[179][37]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[178][37]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[177][37]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[176][37]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[175][37]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[174][37]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[173][37]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[172][37]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[171][37]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[170][37]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[169][37]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[168][37]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[167][37]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[166][37]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[165][37]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[164][37]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,1],-1]                                                 ;
MapToConvert[163][37]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[162][37]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[161][37]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[160][37]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_AMERICA",[[0,-1],[1,3],[1,4]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[159][37]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_IRON",1],[0,0,0],-1]                              ;
MapToConvert[158][37]=["TERRAIN_GRASS_MOUNTAIN",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                       ;
MapToConvert[157][37]=["TERRAIN_GRASS_MOUNTAIN",-1,"CONTINENT_SOUTH_AMERICA",[[1,5],[0,-1],[1,4]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[156][37]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_AMERICA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[155][37]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SUGAR",1],[0,0,0],-1]                                   ;
MapToConvert[154][37]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                           ;
MapToConvert[153][37]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_NITER",1],[0,0,0],-1]                             ;
MapToConvert[152][37]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                           ;
MapToConvert[151][37]=["TERRAIN_GRASS_MOUNTAIN",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[1,0],[1,1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[150][37]=["TERRAIN_GRASS",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_WHEAT",1],[0,0,0],-1]                                                  ;
MapToConvert[149][37]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[148][37]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_FISH",1],[0,0,0],-1]                                                                          ;
MapToConvert[147][37]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[146][37]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[145][37]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[144][37]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[143][37]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[142][37]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[141][37]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[140][37]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[139][37]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[138][37]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[137][37]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[136][37]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[135][37]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[134][37]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[133][37]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[132][37]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[131][37]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[130][37]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[129][37]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[128][37]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[127][37]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[126][37]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[125][37]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[124][37]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[123][37]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[122][37]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[121][37]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[120][37]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_POLYNESIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                     ;
MapToConvert[119][37]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[118][37]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[117][37]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[116][37]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[115][37]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[114][37]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[113][37]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[112][37]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[111][37]=["TERRAIN_PLAINS",-1,"CONTINENT_MICRONESIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                  ;
MapToConvert[110][37]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[109][37]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[108][37]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[107][37]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[106][37]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[105][37]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[104][37]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_FISH",1],[0,0,0],-1]                                                                          ;
MapToConvert[103][37]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[102][37]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[101][37]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[100][37]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[99][37]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[98][37]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[97][37]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[96][37]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[95][37]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[94][37]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[93][37]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[92][37]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[91][37]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[90][37]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                                        ;
MapToConvert[89][37]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                                        ;
MapToConvert[88][37]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[87][37]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[86][37]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SUGAR",1],[0,0,0],-1]                                  ;
MapToConvert[85][37]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[84][37]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[83][37]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[82][37]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[81][37]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[80][37]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[79][37]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[78][37]=["TERRAIN_GRASS","FEATURE_MARSH","CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[77][37]=["TERRAIN_GRASS",-1,"CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_ALUMINUM",1],[1,0,1],-1]                                              ;
MapToConvert[76][37]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[75][37]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[74][37]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[73][37]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_IRON",1],[1,0,0],-1]                                            ;
MapToConvert[72][37]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                        ;
MapToConvert[71][37]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[70][37]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[69][37]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SPICES",1],[1,0,0],-1]                                 ;
MapToConvert[68][37]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                        ;
MapToConvert[67][37]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[66][37]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[65][37]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[64][37]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[63][37]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[62][37]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                                        ;
MapToConvert[61][37]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SUGAR",1],[0,0,0],-1]                                            ;
MapToConvert[60][37]=["TERRAIN_GRASS_MOUNTAIN",-1,"CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[59][37]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[58][37]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[57][37]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_OIL",1],[0,0,0],-1]                                                                            ;
MapToConvert[56][37]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[55][37]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[54][37]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[53][37]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[52][37]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[51][37]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[50][37]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[49][37]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[48][37]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[47][37]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[46][37]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[45][37]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[44][37]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[43][37]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[42][37]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[41][37]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[40][37]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[39][37]=["TERRAIN_DESERT",-1,"CONTINENT_ARABIAN_PENINSULA",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,1],-1]                                                            ;
MapToConvert[38][37]=["TERRAIN_PLAINS",-1,"CONTINENT_ARABIAN_PENINSULA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SHEEP",1],[0,0,1],-1]                                              ;
MapToConvert[37][37]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[36][37]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                                        ;
MapToConvert[35][37]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_EAST_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                         ;
MapToConvert[34][37]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_EAST_AFRICA",[[1,5],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                             ;
MapToConvert[33][37]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_EAST_AFRICA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                                     ;
MapToConvert[32][37]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_CENTRAL_AFRICA",[[0,-1],[1,0],[1,1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[31][37]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_CENTRAL_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[30][37]=["TERRAIN_PLAINS",-1,"CONTINENT_CENTRAL_AFRICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_CITRUS",1],[0,0,0],-1]                                                ;
MapToConvert[29][37]=["TERRAIN_PLAINS",-1,"CONTINENT_CENTRAL_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[28][37]=["TERRAIN_PLAINS",-1,"CONTINENT_CENTRAL_AFRICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_COTTON",1],[0,0,0],-1]                                                ;
MapToConvert[27][37]=["TERRAIN_PLAINS",-1,"CONTINENT_CENTRAL_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[26][37]=["TERRAIN_PLAINS",-1,"CONTINENT_CENTRAL_AFRICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_IVORY",1],[0,0,0],-1]                                                 ;
MapToConvert[25][37]=["TERRAIN_PLAINS",-1,"CONTINENT_CENTRAL_AFRICA",[[1,5],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[24][37]=["TERRAIN_PLAINS",-1,"CONTINENT_CENTRAL_AFRICA",[[1,5],[0,-1],[1,4]],["RESOURCE_SHEEP",1],[0,0,0],-1]                                                   ;
MapToConvert[23][37]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_CENTRAL_AFRICA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[22][37]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_CENTRAL_AFRICA",[[1,5],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[21][37]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_CENTRAL_AFRICA",[[1,5],[0,-1],[1,4]],["RESOURCE_IRON",1],[0,0,0],-1]                                ;
MapToConvert[20][37]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_CENTRAL_AFRICA",[[1,5],[0,-1],[1,4]],[-1,0],[0,0,0],-1]                                             ;
MapToConvert[19][37]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_CENTRAL_AFRICA",[[1,2],[0,-1],[1,4]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[18][37]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_AFRICA",[[0,-1],[1,3],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[17][37]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[16][37]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[15][37]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[14][37]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[13][37]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_AFRICA",[[0,-1],[1,3],[1,4]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[12][37]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_AFRICA",[[1,2],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[11][37]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_AFRICA",[[0,-1],[1,3],[0,-1]],["RESOURCE_IVORY",1],[0,0,0],-1]                                            ;
MapToConvert[10][37]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[9][37]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_AFRICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_DEER",1],[0,0,0],-1]                                             ;
MapToConvert[8][37]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_AFRICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_IRON",1],[0,0,0],-1]                                       ;
MapToConvert[7][37]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                    ;
MapToConvert[6][37]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_AFRICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_STONE",1],[0,0,0],-1]                                      ;
MapToConvert[5][37]=["TERRAIN_PLAINS",-1,"CONTINENT_AFRICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SALT",1],[0,0,0],-1]                                                           ;
MapToConvert[4][37]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[3][37]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[2][37]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[1][37]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[0][37]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[179][38]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[178][38]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[177][38]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[176][38]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[175][38]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[174][38]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[173][38]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[172][38]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[171][38]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[170][38]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[169][38]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[168][38]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[167][38]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[166][38]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_CRABS",1],[0,0,0],-1]                                                                         ;
MapToConvert[165][38]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[164][38]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SUGAR",1],[0,0,0],-1]                                   ;
MapToConvert[163][38]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[162][38]=["TERRAIN_GRASS",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[161][38]=["TERRAIN_GRASS_MOUNTAIN",-1,"CONTINENT_SOUTH_AMERICA",[[1,2],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[160][38]=["TERRAIN_GRASS_MOUNTAIN",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[159][38]=["TERRAIN_GRASS",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_WHEAT",1],[0,0,0],-1]                                                  ;
MapToConvert[158][38]=["TERRAIN_GRASS_MOUNTAIN",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                       ;
MapToConvert[157][38]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_AMERICA",[[1,2],[1,0],[1,1]],[-1,0],[0,0,0],-1]                                                    ;
MapToConvert[156][38]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_AMERICA",[[1,2],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[155][38]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_SOUTH_AMERICA",[[1,2],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                             ;
MapToConvert[154][38]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                      ;
MapToConvert[153][38]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                      ;
MapToConvert[152][38]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_SOUTH_AMERICA",[[0,-1],[1,0],[1,1]],[-1,0],[0,0,0],-1]                                             ;
MapToConvert[151][38]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[150][38]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[149][38]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[148][38]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[147][38]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[146][38]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[145][38]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[144][38]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[143][38]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[142][38]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[141][38]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[140][38]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[139][38]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[138][38]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[137][38]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[136][38]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[135][38]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[134][38]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[133][38]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[132][38]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[131][38]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[130][38]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[129][38]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[128][38]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[127][38]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[126][38]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[125][38]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[124][38]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[123][38]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[122][38]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[121][38]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[120][38]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[119][38]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[118][38]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[117][38]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[116][38]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[115][38]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[114][38]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[113][38]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[112][38]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[111][38]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[110][38]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[109][38]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[108][38]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[107][38]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[106][38]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[105][38]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[104][38]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[103][38]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[102][38]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[101][38]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[100][38]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[99][38]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[98][38]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[97][38]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[96][38]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[95][38]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[94][38]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[93][38]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_WHALES",1],[0,0,0],-1]                                                                         ;
MapToConvert[92][38]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[91][38]=["TERRAIN_GRASS",-1,"CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SILK",1],[0,1,0],-1]                                                  ;
MapToConvert[90][38]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[89][38]=["TERRAIN_GRASS_MOUNTAIN",-1,"CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                      ;
MapToConvert[88][38]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[87][38]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[86][38]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[85][38]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[84][38]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[83][38]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[82][38]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[81][38]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_PEARLS",1],[0,0,0],-1]                                                                         ;
MapToConvert[80][38]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[79][38]=["TERRAIN_GRASS","FEATURE_MARSH","CONTINENT_SOUTH_EAST_ASIA",[[1,2],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[78][38]=["TERRAIN_GRASS","FEATURE_MARSH","CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[1,3],[0,-1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[77][38]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[76][38]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_CRABS",1],[0,0,0],-1]                                                                          ;
MapToConvert[75][38]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[74][38]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                          ;
MapToConvert[73][38]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[72][38]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[71][38]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[70][38]=["TERRAIN_GRASS",-1,"CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_WHEAT",1],[0,0,0],-1]                                                 ;
MapToConvert[69][38]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[68][38]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[67][38]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[66][38]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[65][38]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[64][38]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[63][38]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[62][38]=["TERRAIN_PLAINS",-1,"CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                        ;
MapToConvert[61][38]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[60][38]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_INDIA",[[1,5],[0,-1],[1,4]],["RESOURCE_STONE",1],[0,0,0],-1]                                                       ;
MapToConvert[59][38]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_INDIA",[[0,-1],[0,-1],[1,4]],[-1,0],[1,0,0],-1]                                                                    ;
MapToConvert[58][38]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                        ;
MapToConvert[57][38]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[56][38]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[55][38]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[54][38]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[53][38]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[52][38]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[51][38]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[50][38]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[49][38]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[48][38]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[47][38]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[46][38]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[45][38]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[44][38]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_FISH",1],[0,0,0],-1]                                                                           ;
MapToConvert[43][38]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[42][38]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[41][38]=["TERRAIN_DESERT_HILLS",-1,"CONTINENT_ARABIAN_PENINSULA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_IRON",1],[0,1,1],-1]                                         ;
MapToConvert[40][38]=["TERRAIN_DESERT_HILLS",-1,"CONTINENT_ARABIAN_PENINSULA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                      ;
MapToConvert[39][38]=["TERRAIN_DESERT_MOUNTAIN",-1,"CONTINENT_ARABIAN_PENINSULA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[38][38]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_ARABIAN_PENINSULA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                      ;
MapToConvert[37][38]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[36][38]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                                        ;
MapToConvert[35][38]=["TERRAIN_PLAINS",-1,"CONTINENT_EAST_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                  ;
MapToConvert[34][38]=["TERRAIN_PLAINS",-1,"CONTINENT_EAST_AFRICA",[[1,5],[0,-1],[0,-1]],["RESOURCE_IVORY",1],[0,0,0],-1]                                                     ;
MapToConvert[33][38]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_EAST_AFRICA",[[1,5],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                                      ;
MapToConvert[32][38]=["TERRAIN_PLAINS",-1,"CONTINENT_CENTRAL_AFRICA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[31][38]=["TERRAIN_PLAINS",-1,"CONTINENT_CENTRAL_AFRICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SHEEP",1],[0,0,0],-1]                                                 ;
MapToConvert[30][38]=["TERRAIN_PLAINS",-1,"CONTINENT_CENTRAL_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[29][38]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[28][38]=["TERRAIN_DESERT_HILLS",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[27][38]=["TERRAIN_DESERT_HILLS",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[26][38]=["TERRAIN_PLAINS",-1,"CONTINENT_CENTRAL_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[25][38]=["TERRAIN_PLAINS",-1,"CONTINENT_CENTRAL_AFRICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_OIL",1],[0,0,0],-1]                                                   ;
MapToConvert[24][38]=["TERRAIN_PLAINS",-1,"CONTINENT_CENTRAL_AFRICA",[[1,5],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[23][38]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[22][38]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_CENTRAL_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[21][38]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_CENTRAL_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[20][38]=["TERRAIN_PLAINS",-1,"CONTINENT_CENTRAL_AFRICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_IVORY",1],[0,0,0],-1]                                                 ;
MapToConvert[19][38]=["TERRAIN_PLAINS",-1,"CONTINENT_AFRICA",[[1,2],[0,-1],[0,-1]],["RESOURCE_SHEEP",1],[0,0,0],-1]                                                          ;
MapToConvert[18][38]=["TERRAIN_PLAINS",-1,"CONTINENT_AFRICA",[[1,2],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                                         ;
MapToConvert[17][38]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_AFRICA",[[0,-1],[1,3],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[16][38]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[15][38]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[14][38]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_AFRICA",[[1,2],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[13][38]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_AFRICA",[[0,-1],[1,3],[0,-1]],["RESOURCE_DYES",1],[0,0,0],-1]                                             ;
MapToConvert[12][38]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_AFRICA",[[0,-1],[1,3],[1,4]],["RESOURCE_IRON",1],[0,0,0],-1]                                        ;
MapToConvert[11][38]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[10][38]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_AFRICA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[9][38]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[8][38]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                    ;
MapToConvert[7][38]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                    ;
MapToConvert[6][38]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_AFRICA",[[0,-1],[1,0],[1,1]],[-1,0],[0,0,0],-1]                                                            ;
MapToConvert[5][38]=["TERRAIN_PLAINS",-1,"CONTINENT_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                        ;
MapToConvert[4][38]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[3][38]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[2][38]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[1][38]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[0][38]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[179][39]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[178][39]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[177][39]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[176][39]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[175][39]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[174][39]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[173][39]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[172][39]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[171][39]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[170][39]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[169][39]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[168][39]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[167][39]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[166][39]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[165][39]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[164][39]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[163][39]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,1],-1]                                                                                       ;
MapToConvert[162][39]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[161][39]=["TERRAIN_GRASS",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_CATTLE",1],[0,0,0],-1]                                                 ;
MapToConvert[160][39]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[159][39]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[158][39]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[157][39]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_AMERICA",[[0,-1],[1,0],[1,1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[156][39]=["TERRAIN_PLAINS",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_WHEAT",1],[0,0,0],-1]                                                 ;
MapToConvert[155][39]=["TERRAIN_PLAINS",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_CATTLE",1],[0,0,0],-1]                                                ;
MapToConvert[154][39]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                      ;
MapToConvert[153][39]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_ALUMINUM",1],[0,0,0],-1]                                        ;
MapToConvert[152][39]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[1,0],[1,1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[151][39]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_COCOA",1],[1,0,0],-1]                                   ;
MapToConvert[150][39]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[149][39]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[148][39]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_OIL",1],[0,0,0],-1]                                                                           ;
MapToConvert[147][39]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[146][39]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[145][39]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[144][39]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[143][39]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[142][39]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[141][39]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[140][39]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[139][39]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[138][39]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[137][39]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[136][39]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[135][39]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[134][39]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[133][39]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[132][39]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[131][39]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[130][39]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[129][39]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[128][39]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[127][39]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[126][39]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[125][39]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[124][39]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[123][39]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[122][39]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[121][39]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[120][39]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[119][39]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_PEARLS",1],[0,0,0],-1]                                                                        ;
MapToConvert[118][39]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[117][39]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[116][39]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[115][39]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[114][39]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[113][39]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[112][39]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[111][39]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[110][39]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[109][39]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[108][39]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[107][39]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[106][39]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[105][39]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[104][39]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[103][39]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[102][39]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[101][39]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[100][39]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[99][39]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[98][39]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[97][39]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[96][39]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[95][39]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[94][39]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[93][39]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[92][39]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[91][39]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                                        ;
MapToConvert[90][39]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[89][39]=["TERRAIN_GRASS",-1,"CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_CATTLE",1],[0,0,0],-1]                                                ;
MapToConvert[88][39]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[87][39]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[86][39]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_FISH",1],[0,0,0],-1]                                                                           ;
MapToConvert[85][39]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[84][39]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[83][39]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[82][39]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[81][39]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[80][39]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[79][39]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                         ;
MapToConvert[78][39]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_EAST_ASIA",[[1,2],[0,-1],[0,-1]],["RESOURCE_BANANAS",1],[0,0,0],-1]                                 ;
MapToConvert[77][39]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[1,3],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[76][39]=["TERRAIN_GRASS",-1,"CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_WHEAT",1],[0,0,0],-1]                                                 ;
MapToConvert[75][39]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                         ;
MapToConvert[74][39]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[73][39]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                         ;
MapToConvert[72][39]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                        ;
MapToConvert[71][39]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[70][39]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[69][39]=["TERRAIN_GRASS",-1,"CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[68][39]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[67][39]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[66][39]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[65][39]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[64][39]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[63][39]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[62][39]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[61][39]=["TERRAIN_PLAINS",-1,"CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_CATTLE",1],[0,0,0],-1]                                                         ;
MapToConvert[60][39]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                  ;
MapToConvert[59][39]=["TERRAIN_GRASS",-1,"CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                         ;
MapToConvert[58][39]=["TERRAIN_GRASS",-1,"CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                         ;
MapToConvert[57][39]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[56][39]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[55][39]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[54][39]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[53][39]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[52][39]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[51][39]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[50][39]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[49][39]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[48][39]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[47][39]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[46][39]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[45][39]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[44][39]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[43][39]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[42][39]=["TERRAIN_DESERT",-1,"CONTINENT_ARABIAN_PENINSULA",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,1],-1]                                                            ;
MapToConvert[41][39]=["TERRAIN_DESERT",-1,"CONTINENT_ARABIAN_PENINSULA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                            ;
MapToConvert[40][39]=["TERRAIN_DESERT_HILLS",-1,"CONTINENT_ARABIAN_PENINSULA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                      ;
MapToConvert[39][39]=["TERRAIN_DESERT_HILLS",-1,"CONTINENT_ARABIAN_PENINSULA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SILVER",1],[0,0,0],-1]                                       ;
MapToConvert[38][39]=["TERRAIN_DESERT_MOUNTAIN",-1,"CONTINENT_ARABIAN_PENINSULA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[37][39]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_ARABIAN_PENINSULA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_MARBLE",1],[1,0,0],-1]                                       ;
MapToConvert[36][39]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                        ;
MapToConvert[35][39]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[34][39]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                       ;
MapToConvert[33][39]=["TERRAIN_PLAINS",-1,"CONTINENT_EAST_AFRICA",[[1,5],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[32][39]=["TERRAIN_PLAINS",-1,"CONTINENT_EAST_AFRICA",[[0,-1],[1,0],[1,1]],["RESOURCE_WHEAT",1],[0,0,0],-1]                                                      ;
MapToConvert[31][39]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SALT",1],[0,0,0],-1]                                                          ;
MapToConvert[30][39]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[29][39]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_IVORY",1],[0,0,0],-1]                                                         ;
MapToConvert[28][39]=["TERRAIN_DESERT_HILLS",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[27][39]=["TERRAIN_DESERT_HILLS",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_IRON",1],[0,0,0],-1]                                                    ;
MapToConvert[26][39]=["TERRAIN_DESERT_HILLS",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[25][39]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[24][39]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[23][39]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_URANIUM",1],[0,0,0],-1]                                                       ;
MapToConvert[22][39]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[21][39]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_COTTON",1],[0,0,0],-1]                                                        ;
MapToConvert[20][39]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[19][39]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[18][39]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[17][39]=["TERRAIN_PLAINS",-1,"CONTINENT_AFRICA",[[1,2],[0,-1],[0,-1]],["RESOURCE_HORSES",1],[0,0,0],-1]                                                         ;
MapToConvert[16][39]=["TERRAIN_PLAINS",-1,"CONTINENT_AFRICA",[[1,2],[0,-1],[1,1]],["RESOURCE_COTTON",1],[0,0,0],-1]                                                          ;
MapToConvert[15][39]=["TERRAIN_PLAINS",-1,"CONTINENT_AFRICA",[[0,-1],[1,3],[0,-1]],[-1,0],[0,0,0],-1]                                                                        ;
MapToConvert[14][39]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[13][39]=["TERRAIN_PLAINS",-1,"CONTINENT_AFRICA",[[0,-1],[1,3],[1,4]],[-1,0],[0,0,0],-1]                                                                         ;
MapToConvert[12][39]=["TERRAIN_PLAINS",-1,"CONTINENT_AFRICA",[[1,2],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                        ;
MapToConvert[11][39]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_AFRICA",[[1,2],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[10][39]=["TERRAIN_PLAINS",-1,"CONTINENT_AFRICA",[[0,-1],[0,-1],[1,1]],["RESOURCE_WHEAT",1],[0,0,0],-1]                                                          ;
MapToConvert[9][39]=["TERRAIN_PLAINS",-1,"CONTINENT_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                        ;
MapToConvert[8][39]=["TERRAIN_PLAINS",-1,"CONTINENT_AFRICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SHEEP",1],[0,0,0],-1]                                                          ;
MapToConvert[7][39]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_AFRICA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[6][39]=["TERRAIN_PLAINS",-1,"CONTINENT_AFRICA",[[0,-1],[1,0],[1,1]],["RESOURCE_IVORY",1],[0,0,0],-1]                                                            ;
MapToConvert[5][39]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[4][39]=["TERRAIN_PLAINS",-1,"CONTINENT_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                        ;
MapToConvert[3][39]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[2][39]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[1][39]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[0][39]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[179][40]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[178][40]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[177][40]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[176][40]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[175][40]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[174][40]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[173][40]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[172][40]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[171][40]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[170][40]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[169][40]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[168][40]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[167][40]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[166][40]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[165][40]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[164][40]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[163][40]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_WHALES",1],[0,0,0],-1]                                                                        ;
MapToConvert[162][40]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[161][40]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_AMERICA",[[1,2],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[160][40]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_AMERICA",[[1,2],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[159][40]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_AMERICA",[[1,2],[0,-1],[1,1]],["RESOURCE_SPICES",1],[0,0,0],-1]                                    ;
MapToConvert[158][40]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[157][40]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                           ;
MapToConvert[156][40]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                      ;
MapToConvert[155][40]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SUGAR",1],[0,0,0],-1]                                   ;
MapToConvert[154][40]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                           ;
MapToConvert[153][40]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_SOUTH_AMERICA",[[1,5],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                       ;
MapToConvert[152][40]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_SOUTH_AMERICA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                            ;
MapToConvert[151][40]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                           ;
MapToConvert[150][40]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_MESO_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[149][40]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[148][40]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[147][40]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[146][40]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[145][40]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[144][40]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[143][40]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[142][40]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[141][40]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[140][40]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[139][40]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[138][40]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[137][40]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[136][40]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[135][40]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[134][40]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[133][40]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[132][40]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[131][40]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[130][40]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[129][40]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[128][40]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[127][40]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[126][40]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[125][40]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[124][40]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[123][40]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[122][40]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[121][40]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[120][40]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[119][40]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[118][40]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[117][40]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[116][40]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[115][40]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[114][40]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[113][40]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[112][40]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[111][40]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_PEARLS",1],[0,0,0],-1]                                                                        ;
MapToConvert[110][40]=["TERRAIN_PLAINS",-1,"CONTINENT_MICRONESIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                  ;
MapToConvert[109][40]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[108][40]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_FISH",1],[0,0,0],-1]                                                                          ;
MapToConvert[107][40]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[106][40]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[105][40]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[104][40]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[103][40]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[102][40]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[101][40]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[100][40]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[99][40]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[98][40]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[97][40]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[96][40]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[95][40]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[94][40]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[93][40]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[92][40]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[91][40]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[90][40]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[89][40]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[88][40]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_BANANAS",1],[0,0,0],-1]                                ;
MapToConvert[87][40]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[86][40]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[85][40]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[84][40]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[83][40]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[82][40]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[81][40]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[80][40]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_STONE",1],[0,0,1],-1]                                           ;
MapToConvert[79][40]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                ;
MapToConvert[78][40]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_EAST_ASIA",[[1,2],[1,3],[1,4]],["RESOURCE_SILK",1],[0,0,0],-1]                                      ;
MapToConvert[77][40]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[1,3],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[76][40]=["TERRAIN_GRASS",-1,"CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[75][40]=["TERRAIN_GRASS",-1,"CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[74][40]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[73][40]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                                        ;
MapToConvert[72][40]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[71][40]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[70][40]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                                        ;
MapToConvert[69][40]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[68][40]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[67][40]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[66][40]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[65][40]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[64][40]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[63][40]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[62][40]=["TERRAIN_PLAINS",-1,"CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                        ;
MapToConvert[61][40]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_IRON",1],[0,0,0],-1]                                                     ;
MapToConvert[60][40]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                    ;
MapToConvert[59][40]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_BANANAS",1],[0,0,0],-1]                                          ;
MapToConvert[58][40]=["TERRAIN_GRASS",-1,"CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                         ;
MapToConvert[57][40]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[56][40]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[55][40]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[54][40]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[53][40]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[52][40]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[51][40]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[50][40]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[49][40]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[48][40]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[47][40]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[46][40]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[45][40]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[44][40]=["TERRAIN_DESERT",-1,"CONTINENT_ARABIAN_PENINSULA",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,1],-1]                                                            ;
MapToConvert[43][40]=["TERRAIN_DESERT",-1,"CONTINENT_ARABIAN_PENINSULA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                            ;
MapToConvert[42][40]=["TERRAIN_DESERT",-1,"CONTINENT_ARABIAN_PENINSULA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_INCENSE",1],[0,0,0],-1]                                            ;
MapToConvert[41][40]=["TERRAIN_DESERT",-1,"CONTINENT_ARABIAN_PENINSULA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                            ;
MapToConvert[40][40]=["TERRAIN_DESERT",-1,"CONTINENT_ARABIAN_PENINSULA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                            ;
MapToConvert[39][40]=["TERRAIN_DESERT",-1,"CONTINENT_ARABIAN_PENINSULA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                            ;
MapToConvert[38][40]=["TERRAIN_DESERT_MOUNTAIN",-1,"CONTINENT_ARABIAN_PENINSULA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[37][40]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_ARABIAN_PENINSULA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                      ;
MapToConvert[36][40]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[35][40]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                                        ;
MapToConvert[34][40]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[33][40]=["TERRAIN_PLAINS",-1,"CONTINENT_EAST_AFRICA",[[1,5],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[32][40]=["TERRAIN_PLAINS",-1,"CONTINENT_SAHARA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                                                        ;
MapToConvert[31][40]=["TERRAIN_DESERT","FEATURE_FLOODPLAINS","CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                    ;
MapToConvert[30][40]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[29][40]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[28][40]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[27][40]=["TERRAIN_DESERT_HILLS",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_DIAMONDS",1],[0,0,0],-1]                                                ;
MapToConvert[26][40]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[25][40]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_INCENSE",1],[0,0,0],-1]                                                       ;
MapToConvert[24][40]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[23][40]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[22][40]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[21][40]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[20][40]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SALT",1],[0,0,0],-1]                                                          ;
MapToConvert[19][40]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[18][40]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[17][40]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[16][40]=["TERRAIN_DESERT","FEATURE_FLOODPLAINS","CONTINENT_SAHARA",[[1,2],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                     ;
MapToConvert[15][40]=["TERRAIN_PLAINS",-1,"CONTINENT_AFRICA",[[0,-1],[1,3],[0,-1]],[-1,0],[0,0,0],-1]                                                                        ;
MapToConvert[14][40]=["TERRAIN_PLAINS",-1,"CONTINENT_AFRICA",[[1,2],[0,-1],[0,-1]],["RESOURCE_SHEEP",1],[0,0,0],-1]                                                          ;
MapToConvert[13][40]=["TERRAIN_PLAINS",-1,"CONTINENT_AFRICA",[[0,-1],[1,3],[0,-1]],[-1,0],[0,0,0],-1]                                                                        ;
MapToConvert[12][40]=["TERRAIN_DESERT","FEATURE_OASIS","CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[11][40]=["TERRAIN_DESERT","FEATURE_FLOODPLAINS","CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                    ;
MapToConvert[10][40]=["TERRAIN_DESERT","FEATURE_FLOODPLAINS","CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                    ;
MapToConvert[9][40]=["TERRAIN_PLAINS",-1,"CONTINENT_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                        ;
MapToConvert[8][40]=["TERRAIN_DESERT_HILLS",-1,"CONTINENT_SAHARA",[[0,-1],[1,0],[1,1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[7][40]=["TERRAIN_DESERT","FEATURE_FLOODPLAINS","CONTINENT_SAHARA",[[0,-1],[1,0],[1,1]],[-1,0],[0,0,0],-1]                                                       ;
MapToConvert[6][40]=["TERRAIN_PLAINS",-1,"CONTINENT_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                        ;
MapToConvert[5][40]=["TERRAIN_PLAINS",-1,"CONTINENT_AFRICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_CITRUS",1],[0,0,0],-1]                                                         ;
MapToConvert[4][40]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,1],-1]                                                                                         ;
MapToConvert[3][40]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[2][40]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[1][40]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[0][40]=["TERRAIN_GRASS_HILLS","FEATURE_FOREST","CONTINENT_AFRICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,1],-1]                                                     ;
MapToConvert[179][41]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[178][41]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[177][41]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[176][41]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[175][41]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[174][41]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[173][41]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[172][41]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[171][41]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[170][41]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[169][41]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[168][41]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[167][41]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[166][41]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[165][41]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[164][41]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[163][41]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[162][41]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[161][41]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                                       ;
MapToConvert[160][41]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                                       ;
MapToConvert[159][41]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_FISH",1],[0,0,0],-1]                                                                          ;
MapToConvert[158][41]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_IRON",1],[0,0,0],-1]                                             ;
MapToConvert[157][41]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[156][41]=["TERRAIN_GRASS_HILLS","FEATURE_FOREST","CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SILVER",1],[0,0,0],-1]                             ;
MapToConvert[155][41]=["TERRAIN_GRASS_HILLS","FEATURE_FOREST","CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                            ;
MapToConvert[154][41]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                                       ;
MapToConvert[153][41]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[152][41]=["TERRAIN_PLAINS",-1,"CONTINENT_SOUTH_AMERICA",[[1,5],[0,-1],[0,-1]],["RESOURCE_BANANAS",1],[0,0,0],-1]                                                ;
MapToConvert[151][41]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                       ;
MapToConvert[150][41]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                                       ;
MapToConvert[149][41]=["TERRAIN_GRASS_HILLS","FEATURE_JUNGLE","CONTINENT_MESO_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_IRON",1],[0,0,0],-1]                                ;
MapToConvert[148][41]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_MESO_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                            ;
MapToConvert[147][41]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                       ;
MapToConvert[146][41]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[145][41]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_WHALES",1],[0,0,0],-1]                                                                        ;
MapToConvert[144][41]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[143][41]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[142][41]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[141][41]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[140][41]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[139][41]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[138][41]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[137][41]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[136][41]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[135][41]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[134][41]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[133][41]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[132][41]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[131][41]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[130][41]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[129][41]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[128][41]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[127][41]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[126][41]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[125][41]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[124][41]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[123][41]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[122][41]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[121][41]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[120][41]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[119][41]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[118][41]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[117][41]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[116][41]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[115][41]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[114][41]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[113][41]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[112][41]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[111][41]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[110][41]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[109][41]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[108][41]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[107][41]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[106][41]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[105][41]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[104][41]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[103][41]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[102][41]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[101][41]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[100][41]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[99][41]=["TERRAIN_PLAINS",-1,"CONTINENT_MICRONESIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[98][41]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[97][41]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[96][41]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[95][41]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[94][41]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[93][41]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[92][41]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[91][41]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[90][41]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[89][41]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[88][41]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_CRABS",1],[0,0,0],-1]                                                                          ;
MapToConvert[87][41]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                ;
MapToConvert[86][41]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[85][41]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[84][41]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[83][41]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[82][41]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[81][41]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[80][41]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[79][41]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                          ;
MapToConvert[78][41]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_SOUTH_EAST_ASIA",[[1,2],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                           ;
MapToConvert[77][41]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_EAST_ASIA",[[1,2],[1,3],[0,-1]],["RESOURCE_SPICES",1],[0,0,0],-1]                                   ;
MapToConvert[76][41]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_DYES",1],[0,0,0],-1]                                   ;
MapToConvert[75][41]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_BANANAS",1],[0,0,0],-1]                                ;
MapToConvert[74][41]=["TERRAIN_GRASS",-1,"CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_CATTLE",1],[0,0,0],-1]                                                ;
MapToConvert[73][41]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[72][41]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[71][41]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                ;
MapToConvert[70][41]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                        ;
MapToConvert[69][41]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_CRABS",1],[0,0,0],-1]                                                                          ;
MapToConvert[68][41]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[67][41]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[66][41]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[65][41]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[64][41]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[63][41]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[62][41]=["TERRAIN_PLAINS",-1,"CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SHEEP",1],[0,0,0],-1]                                                          ;
MapToConvert[61][41]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                    ;
MapToConvert[60][41]=["TERRAIN_PLAINS",-1,"CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                        ;
MapToConvert[59][41]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                    ;
MapToConvert[58][41]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[57][41]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[56][41]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[55][41]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[54][41]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[53][41]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[52][41]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[51][41]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[50][41]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[49][41]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[48][41]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[47][41]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[46][41]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[45][41]=["TERRAIN_PLAINS",-1,"CONTINENT_ARABIAN_PENINSULA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_HORSES",1],[0,0,0],-1]                                             ;
MapToConvert[44][41]=["TERRAIN_DESERT",-1,"CONTINENT_ARABIAN_PENINSULA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                            ;
MapToConvert[43][41]=["TERRAIN_DESERT",-1,"CONTINENT_ARABIAN_PENINSULA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                            ;
MapToConvert[42][41]=["TERRAIN_DESERT",-1,"CONTINENT_ARABIAN_PENINSULA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                            ;
MapToConvert[41][41]=["TERRAIN_DESERT",-1,"CONTINENT_ARABIAN_PENINSULA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                            ;
MapToConvert[40][41]=["TERRAIN_DESERT",-1,"CONTINENT_ARABIAN_PENINSULA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                            ;
MapToConvert[39][41]=["TERRAIN_DESERT",-1,"CONTINENT_ARABIAN_PENINSULA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_INCENSE",1],[0,0,0],-1]                                            ;
MapToConvert[38][41]=["TERRAIN_DESERT_MOUNTAIN",-1,"CONTINENT_ARABIAN_PENINSULA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[37][41]=["TERRAIN_DESERT_MOUNTAIN",-1,"CONTINENT_ARABIAN_PENINSULA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[36][41]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_ARABIAN_PENINSULA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_HORSES",1],[0,0,0],-1]                                       ;
MapToConvert[35][41]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[34][41]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[33][41]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[32][41]=["TERRAIN_PLAINS",-1,"CONTINENT_SAHARA",[[0,-1],[1,0],[1,1]],["RESOURCE_IVORY",1],[0,0,0],-1]                                                           ;
MapToConvert[31][41]=["TERRAIN_DESERT","FEATURE_FLOODPLAINS","CONTINENT_SAHARA",[[1,5],[1,3],[1,4]],[-1,0],[0,0,0],-1]                                                       ;
MapToConvert[30][41]=["TERRAIN_DESERT","FEATURE_FLOODPLAINS","CONTINENT_SAHARA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                                     ;
MapToConvert[29][41]=["TERRAIN_DESERT","FEATURE_OASIS","CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[28][41]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[27][41]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[26][41]=["TERRAIN_DESERT_HILLS",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[25][41]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[24][41]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[23][41]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[22][41]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[21][41]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[20][41]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[19][41]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[18][41]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[17][41]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[16][41]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[15][41]=["TERRAIN_DESERT","FEATURE_FLOODPLAINS","CONTINENT_SAHARA",[[1,2],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                     ;
MapToConvert[14][41]=["TERRAIN_DESERT_HILLS",-1,"CONTINENT_SAHARA",[[0,-1],[1,3],[0,-1]],[-1,0],[0,0,0],-1]                                                                  ;
MapToConvert[13][41]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[12][41]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_IVORY",1],[0,0,0],-1]                                                         ;
MapToConvert[11][41]=["TERRAIN_DESERT","FEATURE_FLOODPLAINS","CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                    ;
MapToConvert[10][41]=["TERRAIN_DESERT","FEATURE_FLOODPLAINS","CONTINENT_SAHARA",[[1,2],[1,0],[1,1]],[-1,0],[0,0,0],-1]                                                       ;
MapToConvert[9][41]=["TERRAIN_DESERT","FEATURE_FLOODPLAINS","CONTINENT_SAHARA",[[1,2],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                       ;
MapToConvert[8][41]=["TERRAIN_DESERT_HILLS",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[7][41]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[1,5],[0,-1],[0,-1]],["RESOURCE_SALT",1],[0,0,0],-1]                                                            ;
MapToConvert[6][41]=["TERRAIN_DESERT","FEATURE_FLOODPLAINS","CONTINENT_SAHARA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                                      ;
MapToConvert[5][41]=["TERRAIN_DESERT","FEATURE_FLOODPLAINS","CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                     ;
MapToConvert[4][41]=["TERRAIN_PLAINS",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                        ;
MapToConvert[3][41]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[2][41]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[1][41]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[0][41]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[179][42]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[178][42]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[177][42]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[176][42]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[175][42]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[174][42]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[173][42]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[172][42]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[171][42]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[170][42]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[169][42]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[168][42]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[167][42]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[166][42]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[165][42]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[164][42]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[163][42]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[162][42]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[161][42]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[160][42]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[159][42]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                                       ;
MapToConvert[158][42]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                                       ;
MapToConvert[157][42]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[156][42]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[155][42]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                       ;
MapToConvert[154][42]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_SOUTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                           ;
MapToConvert[153][42]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,1],-1]                                                                                       ;
MapToConvert[152][42]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[151][42]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[150][42]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[149][42]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_MESO_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[148][42]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_MESO_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_NITER",1],[1,0,0],-1]                              ;
MapToConvert[147][42]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[146][42]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[145][42]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[144][42]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[143][42]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[142][42]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[141][42]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[140][42]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[139][42]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[138][42]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[137][42]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[136][42]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[135][42]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[134][42]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[133][42]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[132][42]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[131][42]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[130][42]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[129][42]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[128][42]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[127][42]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[126][42]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[125][42]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[124][42]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[123][42]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[122][42]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[121][42]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[120][42]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[119][42]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[118][42]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[117][42]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[116][42]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[115][42]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[114][42]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[113][42]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[112][42]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[111][42]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[110][42]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[109][42]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[108][42]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[107][42]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[106][42]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[105][42]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[104][42]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[103][42]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[102][42]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[101][42]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_WHALES",1],[0,0,0],-1]                                                                        ;
MapToConvert[100][42]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[99][42]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[98][42]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[97][42]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[96][42]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[95][42]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[94][42]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[93][42]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[92][42]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[91][42]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[90][42]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[89][42]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SPICES",1],[0,0,0],-1]                                 ;
MapToConvert[88][42]=["TERRAIN_GRASS_MOUNTAIN",-1,"CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                      ;
MapToConvert[87][42]=["TERRAIN_PLAINS",-1,"CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                              ;
MapToConvert[86][42]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[85][42]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[84][42]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[83][42]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[82][42]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[81][42]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[80][42]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[79][42]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SPICES",1],[0,0,0],-1]                                 ;
MapToConvert[78][42]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_SOUTH_EAST_ASIA",[[1,2],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                           ;
MapToConvert[77][42]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[1,3],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[76][42]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                ;
MapToConvert[75][42]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                ;
MapToConvert[74][42]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                          ;
MapToConvert[73][42]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[1,3],[1,4]],["RESOURCE_SPICES",1],[0,0,0],-1]                                   ;
MapToConvert[72][42]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                          ;
MapToConvert[71][42]=["TERRAIN_GRASS",-1,"CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[70][42]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[69][42]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[68][42]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[67][42]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[66][42]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[65][42]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[64][42]=["TERRAIN_GRASS",-1,"CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_WHEAT",1],[0,1,0],-1]                                                           ;
MapToConvert[63][42]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_INDIA",[[1,2],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                   ;
MapToConvert[62][42]=["TERRAIN_PLAINS",-1,"CONTINENT_INDIA",[[0,-1],[1,3],[0,-1]],["RESOURCE_IVORY",1],[0,0,0],-1]                                                           ;
MapToConvert[61][42]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                    ;
MapToConvert[60][42]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SILVER",1],[0,0,0],-1]                                                   ;
MapToConvert[59][42]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SPICES",1],[0,0,0],-1]                                           ;
MapToConvert[58][42]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[57][42]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_FISH",1],[0,0,0],-1]                                                                           ;
MapToConvert[56][42]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[55][42]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[54][42]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_PEARLS",1],[0,0,0],-1]                                                                         ;
MapToConvert[53][42]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[52][42]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[51][42]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[50][42]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[49][42]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[48][42]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[47][42]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[46][42]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_ARABIAN_PENINSULA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,1],-1]                                              ;
MapToConvert[45][42]=["TERRAIN_DESERT",-1,"CONTINENT_ARABIAN_PENINSULA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                            ;
MapToConvert[44][42]=["TERRAIN_DESERT",-1,"CONTINENT_ARABIAN_PENINSULA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_INCENSE",1],[0,0,0],-1]                                            ;
MapToConvert[43][42]=["TERRAIN_DESERT",-1,"CONTINENT_ARABIAN_PENINSULA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                            ;
MapToConvert[42][42]=["TERRAIN_DESERT","FEATURE_OASIS","CONTINENT_ARABIAN_PENINSULA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                               ;
MapToConvert[41][42]=["TERRAIN_DESERT",-1,"CONTINENT_ARABIAN_PENINSULA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                            ;
MapToConvert[40][42]=["TERRAIN_DESERT",-1,"CONTINENT_ARABIAN_PENINSULA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                            ;
MapToConvert[39][42]=["TERRAIN_DESERT",-1,"CONTINENT_ARABIAN_PENINSULA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                            ;
MapToConvert[38][42]=["TERRAIN_DESERT_HILLS",-1,"CONTINENT_ARABIAN_PENINSULA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                      ;
MapToConvert[37][42]=["TERRAIN_DESERT","FEATURE_OASIS","CONTINENT_ARABIAN_PENINSULA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                               ;
MapToConvert[36][42]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_ARABIAN_PENINSULA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_COPPER",1],[0,0,0],-1]                                       ;
MapToConvert[35][42]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                        ;
MapToConvert[34][42]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[33][42]=["TERRAIN_DESERT","FEATURE_FLOODPLAINS","CONTINENT_SAHARA",[[1,5],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                     ;
MapToConvert[32][42]=["TERRAIN_DESERT","FEATURE_FLOODPLAINS","CONTINENT_SAHARA",[[0,-1],[0,-1],[1,4]],[-1,0],[0,0,0],-1]                                                     ;
MapToConvert[31][42]=["TERRAIN_DESERT","FEATURE_FLOODPLAINS","CONTINENT_SAHARA",[[0,-1],[1,0],[1,1]],[-1,0],[0,0,0],-1]                                                      ;
MapToConvert[30][42]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[29][42]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[28][42]=["TERRAIN_DESERT_HILLS",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[27][42]=["TERRAIN_DESERT_HILLS",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[26][42]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[25][42]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[24][42]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[23][42]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[22][42]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[21][42]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[20][42]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[19][42]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[18][42]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[17][42]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[16][42]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[15][42]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[1,2],[0,-1],[0,-1]],["RESOURCE_INCENSE",1],[0,0,0],-1]                                                        ;
MapToConvert[14][42]=["TERRAIN_DESERT_HILLS",-1,"CONTINENT_SAHARA",[[0,-1],[1,3],[0,-1]],[-1,0],[0,0,0],-1]                                                                  ;
MapToConvert[13][42]=["TERRAIN_DESERT","FEATURE_FLOODPLAINS","CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                    ;
MapToConvert[12][42]=["TERRAIN_DESERT","FEATURE_FLOODPLAINS","CONTINENT_SAHARA",[[1,2],[1,0],[1,1]],[-1,0],[0,0,0],-1]                                                       ;
MapToConvert[11][42]=["TERRAIN_DESERT","FEATURE_FLOODPLAINS","CONTINENT_SAHARA",[[0,-1],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                     ;
MapToConvert[10][42]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[9][42]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                        ;
MapToConvert[8][42]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                        ;
MapToConvert[7][42]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[1,5],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                         ;
MapToConvert[6][42]=["TERRAIN_DESERT","FEATURE_FLOODPLAINS","CONTINENT_SAHARA",[[1,5],[0,-1],[1,4]],[-1,0],[0,0,0],-1]                                                       ;
MapToConvert[5][42]=["TERRAIN_DESERT","FEATURE_FLOODPLAINS","CONTINENT_SAHARA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                                      ;
MapToConvert[4][42]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[3][42]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[2][42]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[1][42]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[0][42]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[179][43]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[178][43]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[177][43]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[176][43]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[175][43]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[174][43]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[173][43]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[172][43]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[171][43]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[170][43]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[169][43]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[168][43]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[167][43]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[166][43]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[165][43]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[164][43]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[163][43]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[162][43]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[161][43]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[160][43]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[159][43]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[158][43]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[157][43]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[156][43]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[155][43]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                                       ;
MapToConvert[154][43]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[153][43]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[152][43]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[151][43]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[150][43]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_FISH",1],[0,0,0],-1]                                                                          ;
MapToConvert[149][43]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[148][43]=["TERRAIN_GRASS",-1,"CONTINENT_MESO_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_WHEAT",1],[0,1,0],-1]                                                   ;
MapToConvert[147][43]=["TERRAIN_GRASS",-1,"CONTINENT_MESO_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_CATTLE",1],[0,0,0],-1]                                                  ;
MapToConvert[146][43]=["TERRAIN_GRASS_MOUNTAIN",-1,"CONTINENT_MESO_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                        ;
MapToConvert[145][43]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                       ;
MapToConvert[144][43]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[143][43]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[142][43]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[141][43]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[140][43]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[139][43]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[138][43]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[137][43]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[136][43]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[135][43]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[134][43]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[133][43]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[132][43]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[131][43]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[130][43]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[129][43]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[128][43]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[127][43]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[126][43]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[125][43]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[124][43]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[123][43]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[122][43]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[121][43]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[120][43]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[119][43]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[118][43]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[117][43]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[116][43]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[115][43]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[114][43]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[113][43]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[112][43]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[111][43]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[110][43]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[109][43]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[108][43]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[107][43]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[106][43]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[105][43]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[104][43]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[103][43]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[102][43]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[101][43]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[100][43]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[99][43]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_MICRONESIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SUGAR",1],[0,1,1],-1]                                       ;
MapToConvert[98][43]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[97][43]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[96][43]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[95][43]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[94][43]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[93][43]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[92][43]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[91][43]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[90][43]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[89][43]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[88][43]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                ;
MapToConvert[87][43]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[86][43]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                        ;
MapToConvert[85][43]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[84][43]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[83][43]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[82][43]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[81][43]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[80][43]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_FISH",1],[0,0,0],-1]                                                                           ;
MapToConvert[79][43]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[78][43]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,1],-1]                                                                                        ;
MapToConvert[77][43]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_EAST_ASIA",[[1,2],[0,-1],[0,-1]],["RESOURCE_SUGAR",1],[0,1,0],-1]                                   ;
MapToConvert[76][43]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[1,3],[0,-1]],[-1,0],[0,0,0],-1]                                           ;
MapToConvert[75][43]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_DYES",1],[0,0,0],-1]                                   ;
MapToConvert[74][43]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_OIL",1],[0,0,0],-1]                                    ;
MapToConvert[73][43]=["TERRAIN_GRASS_MOUNTAIN",-1,"CONTINENT_SOUTH_EAST_ASIA",[[1,2],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                       ;
MapToConvert[72][43]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[1,3],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[71][43]=["TERRAIN_GRASS_MOUNTAIN",-1,"CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                      ;
MapToConvert[70][43]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_IRON",1],[0,0,0],-1]                             ;
MapToConvert[69][43]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                        ;
MapToConvert[68][43]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[67][43]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[66][43]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[65][43]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_FISH",1],[0,0,0],-1]                                                                           ;
MapToConvert[64][43]=["TERRAIN_GRASS",-1,"CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                         ;
MapToConvert[63][43]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[62][43]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_INDIA",[[1,2],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[61][43]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_INDIA",[[1,2],[0,-1],[1,1]],["RESOURCE_SPICES",1],[0,0,0],-1]                                             ;
MapToConvert[60][43]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_INDIA",[[0,-1],[1,3],[0,-1]],["RESOURCE_BANANAS",1],[0,0,0],-1]                                           ;
MapToConvert[59][43]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                  ;
MapToConvert[58][43]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_COAL",1],[0,0,0],-1]                                       ;
MapToConvert[57][43]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                   ;
MapToConvert[56][43]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                        ;
MapToConvert[55][43]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[54][43]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[53][43]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[52][43]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[51][43]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[50][43]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[49][43]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[48][43]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[47][43]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[46][43]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_FISH",1],[0,0,0],-1]                                                                           ;
MapToConvert[45][43]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_ARABIAN_PENINSULA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                              ;
MapToConvert[44][43]=["TERRAIN_PLAINS",-1,"CONTINENT_ARABIAN_PENINSULA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_COTTON",1],[0,0,0],-1]                                             ;
MapToConvert[43][43]=["TERRAIN_PLAINS",-1,"CONTINENT_ARABIAN_PENINSULA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                            ;
MapToConvert[42][43]=["TERRAIN_DESERT",-1,"CONTINENT_ARABIAN_PENINSULA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_OIL",1],[0,0,0],-1]                                                ;
MapToConvert[41][43]=["TERRAIN_DESERT",-1,"CONTINENT_ARABIAN_PENINSULA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                            ;
MapToConvert[40][43]=["TERRAIN_DESERT",-1,"CONTINENT_ARABIAN_PENINSULA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                            ;
MapToConvert[39][43]=["TERRAIN_DESERT",-1,"CONTINENT_ARABIAN_PENINSULA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                            ;
MapToConvert[38][43]=["TERRAIN_DESERT",-1,"CONTINENT_ARABIAN_PENINSULA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_OIL",1],[0,0,0],-1]                                                ;
MapToConvert[37][43]=["TERRAIN_DESERT_HILLS",-1,"CONTINENT_ARABIAN_PENINSULA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_DIAMONDS",1],[0,0,0],-1]                                     ;
MapToConvert[36][43]=["TERRAIN_PLAINS",-1,"CONTINENT_ARABIAN_PENINSULA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                            ;
MapToConvert[35][43]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_FISH",1],[0,0,0],-1]                                                                           ;
MapToConvert[34][43]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[33][43]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[32][43]=["TERRAIN_DESERT","FEATURE_FLOODPLAINS","CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SHEEP",1],[0,0,0],-1]                                      ;
MapToConvert[31][43]=["TERRAIN_DESERT","FEATURE_FLOODPLAINS","CONTINENT_SAHARA",[[0,-1],[1,0],[1,1]],[-1,0],[0,0,0],-1]                                                      ;
MapToConvert[30][43]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_HORSES",1],[0,0,0],-1]                                                        ;
MapToConvert[29][43]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_INCENSE",1],[0,0,0],-1]                                                       ;
MapToConvert[28][43]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[27][43]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[26][43]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[25][43]=["TERRAIN_DESERT_HILLS",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_COPPER",1],[0,0,0],-1]                                                  ;
MapToConvert[24][43]=["TERRAIN_DESERT_HILLS",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[23][43]=["TERRAIN_DESERT_HILLS",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_NITER",1],[0,0,0],-1]                                                   ;
MapToConvert[22][43]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[21][43]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[20][43]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[19][43]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[18][43]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[17][43]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[16][43]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[15][43]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[14][43]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[1,2],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                        ;
MapToConvert[13][43]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[1,2],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                                         ;
MapToConvert[12][43]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                                        ;
MapToConvert[11][43]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[10][43]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[9][43]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                        ;
MapToConvert[8][43]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                        ;
MapToConvert[7][43]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                        ;
MapToConvert[6][43]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                        ;
MapToConvert[5][43]=["TERRAIN_DESERT","FEATURE_OASIS","CONTINENT_SAHARA",[[1,5],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                            ;
MapToConvert[4][43]=["TERRAIN_PLAINS",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[1,4]],[-1,0],[0,0,0],-1]                                                                         ;
MapToConvert[3][43]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[2][43]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_WHALES",1],[0,0,0],-1]                                                                          ;
MapToConvert[1][43]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[0][43]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[179][44]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[178][44]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[177][44]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[176][44]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[175][44]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[174][44]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[173][44]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[172][44]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[171][44]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[170][44]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[169][44]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[168][44]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[167][44]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[166][44]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[165][44]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[164][44]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[163][44]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[162][44]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[161][44]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_CARIBBEANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,1,1],-1]                                                   ;
MapToConvert[160][44]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                       ;
MapToConvert[159][44]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[158][44]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[157][44]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[156][44]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_FISH",1],[0,0,0],-1]                                                                          ;
MapToConvert[155][44]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[154][44]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[153][44]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[152][44]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[151][44]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[150][44]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[149][44]=["TERRAIN_GRASS",-1,"CONTINENT_MESO_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                 ;
MapToConvert[148][44]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_MESO_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[147][44]=["TERRAIN_GRASS_MOUNTAIN",-1,"CONTINENT_MESO_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[146][44]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_MESO_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[145][44]=["TERRAIN_GRASS",-1,"CONTINENT_MESO_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_WHEAT",1],[0,0,0],-1]                                                   ;
MapToConvert[144][44]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                       ;
MapToConvert[143][44]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[142][44]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[141][44]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[140][44]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[139][44]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_FISH",1],[0,0,0],-1]                                                                          ;
MapToConvert[138][44]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[137][44]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[136][44]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[135][44]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[134][44]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[133][44]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[132][44]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[131][44]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[130][44]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[129][44]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[128][44]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[127][44]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[126][44]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[125][44]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[124][44]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[123][44]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[122][44]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[121][44]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[120][44]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[119][44]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[118][44]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[117][44]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[116][44]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[115][44]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[114][44]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[113][44]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[112][44]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[111][44]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[110][44]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[109][44]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[108][44]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[107][44]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[106][44]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[105][44]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[104][44]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[103][44]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[102][44]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[101][44]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[100][44]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[99][44]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[98][44]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[97][44]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[96][44]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[95][44]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[94][44]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[93][44]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[92][44]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[91][44]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[90][44]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[89][44]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[88][44]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[87][44]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                                        ;
MapToConvert[86][44]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[85][44]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[84][44]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[83][44]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[82][44]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[81][44]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[80][44]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[79][44]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[78][44]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[77][44]=["TERRAIN_PLAINS",-1,"CONTINENT_SOUTH_EAST_ASIA",[[1,2],[0,-1],[0,-1]],["RESOURCE_SUGAR",1],[0,0,0],-1]                                                 ;
MapToConvert[76][44]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_SOUTH_EAST_ASIA",[[1,2],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                            ;
MapToConvert[75][44]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[1,3],[0,-1]],[-1,0],[0,0,0],-1]                                           ;
MapToConvert[74][44]=["TERRAIN_GRASS_MOUNTAIN",-1,"CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                      ;
MapToConvert[73][44]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_SOUTH_EAST_ASIA",[[1,2],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                           ;
MapToConvert[72][44]=["TERRAIN_GRASS",-1,"CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[1,3],[0,-1]],["RESOURCE_TRUFFLES",1],[0,0,0],-1]                                               ;
MapToConvert[71][44]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                          ;
MapToConvert[70][44]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                                        ;
MapToConvert[69][44]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[68][44]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[67][44]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[66][44]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SUGAR",1],[0,1,1],-1]                                            ;
MapToConvert[65][44]=["TERRAIN_GRASS_MOUNTAIN",-1,"CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[64][44]=["TERRAIN_PLAINS",-1,"CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                        ;
MapToConvert[63][44]=["TERRAIN_PLAINS",-1,"CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_HORSES",1],[0,0,0],-1]                                                         ;
MapToConvert[62][44]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_BANANAS",1],[0,0,0],-1]                                          ;
MapToConvert[61][44]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_INDIA",[[1,2],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                     ;
MapToConvert[60][44]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_INDIA",[[1,2],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                      ;
MapToConvert[59][44]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_INDIA",[[0,-1],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[58][44]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                    ;
MapToConvert[57][44]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[56][44]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                    ;
MapToConvert[55][44]=["TERRAIN_PLAINS",-1,"CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,1],-1]                                                                        ;
MapToConvert[54][44]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                        ;
MapToConvert[53][44]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[52][44]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[51][44]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[50][44]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[49][44]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[48][44]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[47][44]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[46][44]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[45][44]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_ARABIAN_PENINSULA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                              ;
MapToConvert[44][44]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_ARABIAN_PENINSULA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                              ;
MapToConvert[43][44]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                        ;
MapToConvert[42][44]=["TERRAIN_DESERT_HILLS",-1,"CONTINENT_ARABIAN_PENINSULA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                      ;
MapToConvert[41][44]=["TERRAIN_DESERT_HILLS",-1,"CONTINENT_ARABIAN_PENINSULA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_STONE",1],[0,0,0],-1]                                        ;
MapToConvert[40][44]=["TERRAIN_DESERT",-1,"CONTINENT_ARABIAN_PENINSULA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                            ;
MapToConvert[39][44]=["TERRAIN_DESERT",-1,"CONTINENT_ARABIAN_PENINSULA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                            ;
MapToConvert[38][44]=["TERRAIN_DESERT",-1,"CONTINENT_ARABIAN_PENINSULA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                            ;
MapToConvert[37][44]=["TERRAIN_DESERT_HILLS",-1,"CONTINENT_ARABIAN_PENINSULA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_IRON",1],[0,0,0],-1]                                         ;
MapToConvert[36][44]=["TERRAIN_DESERT",-1,"CONTINENT_ARABIAN_PENINSULA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                            ;
MapToConvert[35][44]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[34][44]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[33][44]=["TERRAIN_DESERT","FEATURE_FLOODPLAINS","CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                    ;
MapToConvert[32][44]=["TERRAIN_DESERT","FEATURE_FLOODPLAINS","CONTINENT_SAHARA",[[0,-1],[1,0],[1,1]],[-1,0],[0,0,0],-1]                                                      ;
MapToConvert[31][44]=["TERRAIN_DESERT","FEATURE_FLOODPLAINS","CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                    ;
MapToConvert[30][44]=["TERRAIN_DESERT_HILLS",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_NITER",1],[0,0,0],-1]                                                   ;
MapToConvert[29][44]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[28][44]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[27][44]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[26][44]=["TERRAIN_DESERT_HILLS",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[25][44]=["TERRAIN_DESERT_HILLS",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_COPPER",1],[0,0,0],-1]                                                  ;
MapToConvert[24][44]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[23][44]=["TERRAIN_DESERT_HILLS",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[22][44]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[21][44]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[20][44]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[19][44]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[18][44]=["TERRAIN_DESERT_HILLS",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[17][44]=["TERRAIN_DESERT_HILLS",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[16][44]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[15][44]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[14][44]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[13][44]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[12][44]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[11][44]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[10][44]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[9][44]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                        ;
MapToConvert[8][44]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_HORSES",1],[0,0,0],-1]                                                         ;
MapToConvert[7][44]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                        ;
MapToConvert[6][44]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_INCENSE",1],[0,0,0],-1]                                                        ;
MapToConvert[5][44]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                        ;
MapToConvert[4][44]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                         ;
MapToConvert[3][44]=["TERRAIN_PLAINS",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                        ;
MapToConvert[2][44]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[1][44]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[0][44]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[179][45]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[178][45]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[177][45]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[176][45]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[175][45]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[174][45]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[173][45]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[172][45]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[171][45]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[170][45]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[169][45]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[168][45]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[167][45]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[166][45]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[165][45]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[164][45]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[163][45]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[162][45]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[161][45]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                                       ;
MapToConvert[160][45]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                                       ;
MapToConvert[159][45]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[158][45]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[157][45]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[156][45]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[155][45]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[154][45]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[153][45]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[152][45]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[151][45]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[150][45]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[149][45]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[148][45]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_MESO_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SUGAR",1],[0,0,0],-1]                                    ;
MapToConvert[147][45]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_MESO_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[146][45]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_MESO_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SILVER",1],[0,0,0],-1]                                            ;
MapToConvert[145][45]=["TERRAIN_GRASS_MOUNTAIN",-1,"CONTINENT_MESO_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[144][45]=["TERRAIN_GRASS_MOUNTAIN",-1,"CONTINENT_MESO_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[143][45]=["TERRAIN_PLAINS",-1,"CONTINENT_MESO_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[142][45]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_MESO_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,1],-1]                                                          ;
MapToConvert[141][45]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_MESO_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[140][45]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_MESO_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[139][45]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                       ;
MapToConvert[138][45]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[137][45]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[136][45]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[135][45]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[134][45]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[133][45]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[132][45]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[131][45]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[130][45]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[129][45]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[128][45]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[127][45]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[126][45]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[125][45]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[124][45]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[123][45]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[122][45]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[121][45]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[120][45]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[119][45]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[118][45]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_WHALES",1],[0,0,0],-1]                                                                        ;
MapToConvert[117][45]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[116][45]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[115][45]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[114][45]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[113][45]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[112][45]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[111][45]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[110][45]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[109][45]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[108][45]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[107][45]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[106][45]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[105][45]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[104][45]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[103][45]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[102][45]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[101][45]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[100][45]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[99][45]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[98][45]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[97][45]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[96][45]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[95][45]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[94][45]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[93][45]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[92][45]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[91][45]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[90][45]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[89][45]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[88][45]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[87][45]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[86][45]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[85][45]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[84][45]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[83][45]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[82][45]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[81][45]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_IRON",1],[1,0,1],-1]                             ;
MapToConvert[80][45]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                          ;
MapToConvert[79][45]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[78][45]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[77][45]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[76][45]=["TERRAIN_PLAINS",-1,"CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SILK",1],[0,0,0],-1]                                                 ;
MapToConvert[75][45]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[1,3],[1,4]],[-1,0],[0,0,0],-1]                                            ;
MapToConvert[74][45]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                     ;
MapToConvert[73][45]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                     ;
MapToConvert[72][45]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[1,3],[1,4]],[-1,0],[0,0,0],-1]                                            ;
MapToConvert[71][45]=["TERRAIN_GRASS",-1,"CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_TRUFFLES",1],[0,0,0],-1]                                              ;
MapToConvert[70][45]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                     ;
MapToConvert[69][45]=["TERRAIN_PLAINS",-1,"CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_WHEAT",1],[0,0,0],-1]                                                ;
MapToConvert[68][45]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[67][45]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[66][45]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[65][45]=["TERRAIN_GRASS_MOUNTAIN",-1,"CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[64][45]=["TERRAIN_PLAINS",-1,"CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SPICES",1],[0,0,0],-1]                                                         ;
MapToConvert[63][45]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                    ;
MapToConvert[62][45]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                    ;
MapToConvert[61][45]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                    ;
MapToConvert[60][45]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                    ;
MapToConvert[59][45]=["TERRAIN_PLAINS",-1,"CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_TRUFFLES",1],[0,0,0],-1]                                                       ;
MapToConvert[58][45]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_INDIA",[[1,5],[1,3],[1,4]],["RESOURCE_SPICES",1],[0,0,0],-1]                                              ;
MapToConvert[57][45]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_INDIA",[[0,-1],[0,-1],[1,4]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[56][45]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_CITRUS",1],[0,0,0],-1]                                           ;
MapToConvert[55][45]=["TERRAIN_PLAINS",-1,"CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                        ;
MapToConvert[54][45]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[53][45]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[52][45]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[51][45]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[50][45]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[49][45]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[48][45]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[47][45]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[46][45]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[45][45]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[44][45]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[43][45]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                                        ;
MapToConvert[42][45]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                                        ;
MapToConvert[41][45]=["TERRAIN_DESERT_HILLS",-1,"CONTINENT_ARABIAN_PENINSULA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                      ;
MapToConvert[40][45]=["TERRAIN_DESERT",-1,"CONTINENT_ARABIAN_PENINSULA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                            ;
MapToConvert[39][45]=["TERRAIN_DESERT",-1,"CONTINENT_ARABIAN_PENINSULA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                            ;
MapToConvert[38][45]=["TERRAIN_DESERT",-1,"CONTINENT_ARABIAN_PENINSULA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                            ;
MapToConvert[37][45]=["TERRAIN_DESERT",-1,"CONTINENT_ARABIAN_PENINSULA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_INCENSE",1],[0,0,0],-1]                                            ;
MapToConvert[36][45]=["TERRAIN_DESERT_HILLS",-1,"CONTINENT_ARABIAN_PENINSULA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_COAL",1],[0,0,0],-1]                                         ;
MapToConvert[35][45]=["TERRAIN_PLAINS",-1,"CONTINENT_ARABIAN_PENINSULA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SHEEP",1],[0,0,0],-1]                                              ;
MapToConvert[34][45]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                        ;
MapToConvert[33][45]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[32][45]=["TERRAIN_DESERT","FEATURE_FLOODPLAINS","CONTINENT_SAHARA",[[1,5],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                     ;
MapToConvert[31][45]=["TERRAIN_DESERT","FEATURE_FLOODPLAINS","CONTINENT_SAHARA",[[1,5],[0,-1],[1,4]],["RESOURCE_IVORY",1],[0,0,0],-1]                                        ;
MapToConvert[30][45]=["TERRAIN_DESERT","FEATURE_FLOODPLAINS","CONTINENT_SAHARA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                                     ;
MapToConvert[29][45]=["TERRAIN_DESERT_HILLS",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_IRON",1],[0,0,0],-1]                                                    ;
MapToConvert[28][45]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_INCENSE",1],[0,0,0],-1]                                                       ;
MapToConvert[27][45]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[26][45]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[25][45]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[24][45]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[23][45]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[22][45]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[21][45]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[20][45]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[19][45]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[18][45]=["TERRAIN_DESERT_HILLS",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_DIAMONDS",1],[0,0,0],-1]                                                ;
MapToConvert[17][45]=["TERRAIN_DESERT_HILLS",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[16][45]=["TERRAIN_DESERT_HILLS",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[15][45]=["TERRAIN_DESERT_HILLS",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_STONE",1],[0,0,0],-1]                                                   ;
MapToConvert[14][45]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[13][45]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[12][45]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[11][45]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[10][45]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[9][45]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                        ;
MapToConvert[8][45]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                        ;
MapToConvert[7][45]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                        ;
MapToConvert[6][45]=["TERRAIN_DESERT_MOUNTAIN",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[5][45]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                        ;
MapToConvert[4][45]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                                         ;
MapToConvert[3][45]=["TERRAIN_DESERT_HILLS",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                  ;
MapToConvert[2][45]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                         ;
MapToConvert[1][45]=["TERRAIN_GRASS",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_ALUMINUM",1],[0,0,0],-1]                                                        ;
MapToConvert[0][45]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[179][46]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[178][46]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[177][46]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[176][46]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[175][46]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[174][46]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[173][46]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[172][46]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[171][46]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[170][46]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[169][46]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[168][46]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[167][46]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[166][46]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[165][46]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[164][46]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[163][46]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[162][46]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[161][46]=["TERRAIN_GRASS","FEATURE_MARSH","CONTINENT_CARIBBEANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                     ;
MapToConvert[160][46]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[159][46]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_CARIBBEANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                             ;
MapToConvert[158][46]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[157][46]=["TERRAIN_GRASS_MOUNTAIN",-1,"CONTINENT_CARIBBEANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[156][46]=["TERRAIN_GRASS",-1,"CONTINENT_CARIBBEANIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SUGAR",1],[1,0,0],-1]                                                    ;
MapToConvert[155][46]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_CARIBBEANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                            ;
MapToConvert[154][46]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                       ;
MapToConvert[153][46]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_CARIBBEANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,1],-1]                                             ;
MapToConvert[152][46]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_CARIBBEANIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_COCOA",1],[0,0,0],-1]                                     ;
MapToConvert[151][46]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[150][46]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[149][46]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_FISH",1],[1,0,0],-1]                                                                          ;
MapToConvert[148][46]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,1],-1]                                                                                       ;
MapToConvert[147][46]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[146][46]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_MESO_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[145][46]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_MESO_AMERICA",[[0,-1],[1,0],[1,1]],["RESOURCE_STONE",1],[0,0,0],-1]                                ;
MapToConvert[144][46]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_MESO_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[143][46]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_MESO_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_NITER",1],[0,0,0],-1]                                            ;
MapToConvert[142][46]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_MESO_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                       ;
MapToConvert[141][46]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_MESO_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                       ;
MapToConvert[140][46]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_MESO_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                            ;
MapToConvert[139][46]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_MESO_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                       ;
MapToConvert[138][46]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_OIL",1],[0,1,0],-1]                                                                           ;
MapToConvert[137][46]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[136][46]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[135][46]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[134][46]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[133][46]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[132][46]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[131][46]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[130][46]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[129][46]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[128][46]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[127][46]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[126][46]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[125][46]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[124][46]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[123][46]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[122][46]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_FISH",1],[0,0,0],-1]                                                                          ;
MapToConvert[121][46]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[120][46]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[119][46]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[118][46]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[117][46]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[116][46]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[115][46]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[114][46]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[113][46]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[112][46]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[111][46]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[110][46]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[109][46]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[108][46]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[107][46]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[106][46]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[105][46]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[104][46]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[103][46]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[102][46]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[101][46]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[100][46]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[99][46]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[98][46]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[97][46]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[96][46]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[95][46]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[94][46]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[93][46]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[92][46]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[91][46]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[90][46]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[89][46]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_WHALES",1],[0,0,0],-1]                                                                         ;
MapToConvert[88][46]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[87][46]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[86][46]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[85][46]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[84][46]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[83][46]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[82][46]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[81][46]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SUGAR",1],[0,0,0],-1]                                  ;
MapToConvert[80][46]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[79][46]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[78][46]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[77][46]=["TERRAIN_GRASS",-1,"CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                               ;
MapToConvert[76][46]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_SOUTH_EAST_ASIA",[[1,2],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                           ;
MapToConvert[75][46]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[1,3],[0,-1]],["RESOURCE_SPICES",1],[0,0,0],-1]                                  ;
MapToConvert[74][46]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[73][46]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_SOUTH_EAST_ASIA",[[1,2],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                           ;
MapToConvert[72][46]=["TERRAIN_GRASS",-1,"CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[1,3],[0,-1]],["RESOURCE_WHEAT",1],[0,0,0],-1]                                                  ;
MapToConvert[71][46]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                     ;
MapToConvert[70][46]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[69][46]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                        ;
MapToConvert[68][46]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[67][46]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SILK",1],[0,1,1],-1]                                             ;
MapToConvert[66][46]=["TERRAIN_GRASS",-1,"CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_IVORY",1],[0,0,0],-1]                                                           ;
MapToConvert[65][46]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                    ;
MapToConvert[64][46]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                  ;
MapToConvert[63][46]=["TERRAIN_PLAINS",-1,"CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_WHEAT",1],[0,0,0],-1]                                                          ;
MapToConvert[62][46]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                    ;
MapToConvert[61][46]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_DIAMONDS",1],[0,0,0],-1]                                   ;
MapToConvert[60][46]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_INDIA",[[1,5],[1,3],[1,4]],[-1,0],[0,0,0],-1]                                                             ;
MapToConvert[59][46]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_INDIA",[[0,-1],[0,-1],[1,4]],["RESOURCE_SPICES",1],[0,0,0],-1]                                            ;
MapToConvert[58][46]=["TERRAIN_GRASS",-1,"CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                         ;
MapToConvert[57][46]=["TERRAIN_PLAINS",-1,"CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_CATTLE",1],[0,0,0],-1]                                                         ;
MapToConvert[56][46]=["TERRAIN_DESERT",-1,"CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_DYES",1],[0,0,0],-1]                                                           ;
MapToConvert[55][46]=["TERRAIN_DESERT","FEATURE_FLOODPLAINS","CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                     ;
MapToConvert[54][46]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[53][46]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[52][46]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_FISH",1],[0,0,0],-1]                                                                           ;
MapToConvert[51][46]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[50][46]=["TERRAIN_PLAINS",-1,"CONTINENT_PERSIAN_PLATEAU",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                              ;
MapToConvert[49][46]=["TERRAIN_PLAINS",-1,"CONTINENT_PERSIAN_PLATEAU",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                              ;
MapToConvert[48][46]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_PERSIAN_PLATEAU",[[0,-1],[1,3],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[47][46]=["TERRAIN_PLAINS",-1,"CONTINENT_PERSIAN_PLATEAU",[[0,-1],[0,-1],[0,-1]],["RESOURCE_CITRUS",1],[1,0,0],-1]                                               ;
MapToConvert[46][46]=["TERRAIN_PLAINS",-1,"CONTINENT_PERSIAN_PLATEAU",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,1],-1]                                                              ;
MapToConvert[45][46]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_PERSIAN_PLATEAU",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                ;
MapToConvert[44][46]=["TERRAIN_PLAINS",-1,"CONTINENT_PERSIAN_PLATEAU",[[0,-1],[1,3],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[43][46]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[42][46]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[41][46]=["TERRAIN_DESERT",-1,"CONTINENT_ARABIAN_PENINSULA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                            ;
MapToConvert[40][46]=["TERRAIN_DESERT",-1,"CONTINENT_ARABIAN_PENINSULA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_INCENSE",1],[0,0,0],-1]                                            ;
MapToConvert[39][46]=["TERRAIN_DESERT",-1,"CONTINENT_ARABIAN_PENINSULA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                            ;
MapToConvert[38][46]=["TERRAIN_DESERT",-1,"CONTINENT_ARABIAN_PENINSULA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                            ;
MapToConvert[37][46]=["TERRAIN_DESERT_HILLS",-1,"CONTINENT_ARABIAN_PENINSULA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                      ;
MapToConvert[36][46]=["TERRAIN_DESERT",-1,"CONTINENT_ARABIAN_PENINSULA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                            ;
MapToConvert[35][46]=["TERRAIN_DESERT",-1,"CONTINENT_ARABIAN_PENINSULA",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                            ;
MapToConvert[34][46]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_FISH",1],[0,0,0],-1]                                                                           ;
MapToConvert[33][46]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[32][46]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[31][46]=["TERRAIN_DESERT","FEATURE_FLOODPLAINS","CONTINENT_SAHARA",[[1,5],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                     ;
MapToConvert[30][46]=["TERRAIN_DESERT","FEATURE_FLOODPLAINS","CONTINENT_SAHARA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                                     ;
MapToConvert[29][46]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[28][46]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[27][46]=["TERRAIN_DESERT_HILLS",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[26][46]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[25][46]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[24][46]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[23][46]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[22][46]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[21][46]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[20][46]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[19][46]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[18][46]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[17][46]=["TERRAIN_DESERT","FEATURE_OASIS","CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[16][46]=["TERRAIN_DESERT_HILLS",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[15][46]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[14][46]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[13][46]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[12][46]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[11][46]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[10][46]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[9][46]=["TERRAIN_DESERT_MOUNTAIN",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[8][46]=["TERRAIN_DESERT_MOUNTAIN",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[7][46]=["TERRAIN_DESERT_HILLS",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                  ;
MapToConvert[6][46]=["TERRAIN_DESERT_HILLS",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                  ;
MapToConvert[5][46]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[4][46]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[3][46]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                                         ;
MapToConvert[2][46]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[1][46]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[0][46]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[179][47]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[178][47]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[177][47]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[176][47]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[175][47]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[174][47]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[173][47]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[172][47]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[171][47]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[170][47]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[169][47]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[168][47]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[167][47]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[166][47]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[165][47]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[164][47]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[163][47]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[162][47]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[161][47]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[160][47]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[159][47]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_CARIBBEANIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_NITER",1],[0,0,1],-1]                               ;
MapToConvert[158][47]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[157][47]=["TERRAIN_GRASS","FEATURE_MARSH","CONTINENT_CARIBBEANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                     ;
MapToConvert[156][47]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_CARIBBEANIA",[[1,5],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                             ;
MapToConvert[155][47]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_CARIBBEANIA",[[1,5],[0,-1],[1,4]],["RESOURCE_STONE",1],[0,0,0],-1]                                 ;
MapToConvert[154][47]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_CARIBBEANIA",[[0,-1],[0,-1],[1,4]],[-1,0],[0,0,0],-1]                                              ;
MapToConvert[153][47]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[152][47]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[151][47]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                                       ;
MapToConvert[150][47]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[149][47]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[148][47]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[147][47]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[146][47]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_MESO_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[145][47]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_MESO_AMERICA",[[1,5],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                             ;
MapToConvert[144][47]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_MESO_AMERICA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[143][47]=["TERRAIN_PLAINS",-1,"CONTINENT_MESO_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[142][47]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_MESO_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[141][47]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_MESO_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                       ;
MapToConvert[140][47]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_MESO_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_IRON",1],[0,0,0],-1]                               ;
MapToConvert[139][47]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_MESO_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[138][47]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_MESO_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                            ;
MapToConvert[137][47]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_MESO_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                          ;
MapToConvert[136][47]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[135][47]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[134][47]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[133][47]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[132][47]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[131][47]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[130][47]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[129][47]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[128][47]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[127][47]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[126][47]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[125][47]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[124][47]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[123][47]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[122][47]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[121][47]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[120][47]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_BANANAS",1],[0,0,0],-1]                                 ;
MapToConvert[119][47]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[118][47]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[117][47]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_PEARLS",1],[0,0,0],-1]                                                                        ;
MapToConvert[116][47]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[115][47]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[114][47]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[113][47]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[112][47]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[111][47]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[110][47]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[109][47]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[108][47]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[107][47]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[106][47]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[105][47]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[104][47]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[103][47]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[102][47]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[101][47]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[100][47]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[99][47]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[98][47]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[97][47]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[96][47]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[95][47]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[94][47]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[93][47]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[92][47]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[91][47]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[90][47]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[89][47]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[88][47]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[87][47]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                ;
MapToConvert[86][47]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[85][47]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_PEARLS",1],[0,0,0],-1]                                                                         ;
MapToConvert[84][47]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[83][47]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[82][47]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[81][47]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[80][47]=["TERRAIN_GRASS",-1,"CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[1,4]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[79][47]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[78][47]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[77][47]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_DYES",1],[0,0,0],-1]                                   ;
MapToConvert[76][47]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[75][47]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_SOUTH_EAST_ASIA",[[1,2],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                           ;
MapToConvert[74][47]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_SOUTH_EAST_ASIA",[[1,2],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                            ;
MapToConvert[73][47]=["TERRAIN_GRASS_MOUNTAIN",-1,"CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[1,3],[0,-1]],[-1,0],[0,0,0],-1]                                                       ;
MapToConvert[72][47]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_SOUTH_EAST_ASIA",[[1,2],[0,-1],[0,-1]],["RESOURCE_DIAMONDS",1],[0,0,0],-1]                          ;
MapToConvert[71][47]=["TERRAIN_GRASS",-1,"CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[1,3],[0,-1]],["RESOURCE_CATTLE",1],[0,0,0],-1]                                                 ;
MapToConvert[70][47]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[69][47]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_FISH",1],[0,0,1],-1]                                                                           ;
MapToConvert[68][47]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[67][47]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[66][47]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[65][47]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SILK",1],[0,0,0],-1]                                             ;
MapToConvert[64][47]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                    ;
MapToConvert[63][47]=["TERRAIN_PLAINS",-1,"CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_IVORY",1],[0,0,0],-1]                                                          ;
MapToConvert[62][47]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                    ;
MapToConvert[61][47]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_INDIA",[[1,5],[0,-1],[1,4]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[60][47]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_INDIA",[[0,-1],[0,-1],[1,4]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[59][47]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[58][47]=["TERRAIN_GRASS",-1,"CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_IVORY",1],[0,0,0],-1]                                                           ;
MapToConvert[57][47]=["TERRAIN_PLAINS",-1,"CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                        ;
MapToConvert[56][47]=["TERRAIN_DESERT",-1,"CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                        ;
MapToConvert[55][47]=["TERRAIN_DESERT","FEATURE_FLOODPLAINS","CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                     ;
MapToConvert[54][47]=["TERRAIN_DESERT","FEATURE_FLOODPLAINS","CONTINENT_INDIA",[[0,-1],[1,3],[1,4]],[-1,0],[0,0,0],-1]                                                       ;
MapToConvert[53][47]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[52][47]=["TERRAIN_PLAINS",-1,"CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,1],-1]                                                                        ;
MapToConvert[51][47]=["TERRAIN_PLAINS",-1,"CONTINENT_PERSIAN_PLATEAU",[[0,-1],[0,-1],[0,-1]],["RESOURCE_WHEAT",1],[0,0,1],-1]                                                ;
MapToConvert[50][47]=["TERRAIN_PLAINS",-1,"CONTINENT_PERSIAN_PLATEAU",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                              ;
MapToConvert[49][47]=["TERRAIN_PLAINS",-1,"CONTINENT_PERSIAN_PLATEAU",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SHEEP",1],[0,0,0],-1]                                                ;
MapToConvert[48][47]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_PERSIAN_PLATEAU",[[0,-1],[1,3],[1,4]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[47][47]=["TERRAIN_PLAINS",-1,"CONTINENT_PERSIAN_PLATEAU",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                              ;
MapToConvert[46][47]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_PERSIAN_PLATEAU",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                ;
MapToConvert[45][47]=["TERRAIN_PLAINS",-1,"CONTINENT_PERSIAN_PLATEAU",[[0,-1],[0,-1],[0,-1]],["RESOURCE_CITRUS",1],[0,0,0],-1]                                               ;
MapToConvert[44][47]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_PERSIAN_PLATEAU",[[0,-1],[0,-1],[1,4]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[43][47]=["TERRAIN_PLAINS",-1,"CONTINENT_PERSIAN_PLATEAU",[[0,-1],[0,-1],[0,-1]],["RESOURCE_COTTON",1],[0,0,0],-1]                                               ;
MapToConvert[42][47]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[41][47]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                                        ;
MapToConvert[40][47]=["TERRAIN_DESERT",-1,"CONTINENT_ARABIAN_PENINSULA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_OIL",1],[0,1,0],-1]                                                ;
MapToConvert[39][47]=["TERRAIN_DESERT",-1,"CONTINENT_ARABIAN_PENINSULA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                            ;
MapToConvert[38][47]=["TERRAIN_DESERT",-1,"CONTINENT_ARABIAN_PENINSULA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                            ;
MapToConvert[37][47]=["TERRAIN_DESERT",-1,"CONTINENT_ARABIAN_PENINSULA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_DIAMONDS",1],[0,0,0],-1]                                           ;
MapToConvert[36][47]=["TERRAIN_DESERT",-1,"CONTINENT_ARABIAN_PENINSULA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                            ;
MapToConvert[35][47]=["TERRAIN_DESERT",-1,"CONTINENT_ARABIAN_PENINSULA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_OIL",1],[0,0,0],-1]                                                ;
MapToConvert[34][47]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[33][47]=["TERRAIN_PLAINS",-1,"CONTINENT_ARABIAN_PENINSULA",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,1],-1]                                                            ;
MapToConvert[32][47]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[31][47]=["TERRAIN_DESERT","FEATURE_FLOODPLAINS","CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SHEEP",1],[0,0,0],-1]                                      ;
MapToConvert[30][47]=["TERRAIN_DESERT","FEATURE_FLOODPLAINS","CONTINENT_SAHARA",[[1,5],[1,0],[1,1]],[-1,0],[0,0,0],-1]                                                       ;
MapToConvert[29][47]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[1,0],[0,-1]],["RESOURCE_HORSES",1],[0,0,0],-1]                                                         ;
MapToConvert[28][47]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[27][47]=["TERRAIN_DESERT","FEATURE_OASIS","CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[26][47]=["TERRAIN_DESERT_HILLS",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[25][47]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_IVORY",1],[0,0,0],-1]                                                         ;
MapToConvert[24][47]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[23][47]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SALT",1],[0,0,0],-1]                                                          ;
MapToConvert[22][47]=["TERRAIN_PLAINS",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_OIL",1],[0,0,0],-1]                                                           ;
MapToConvert[21][47]=["TERRAIN_PLAINS",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[20][47]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_CITRUS",1],[0,0,0],-1]                                                        ;
MapToConvert[19][47]=["TERRAIN_PLAINS",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[18][47]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_URANIUM",1],[0,0,0],-1]                                                       ;
MapToConvert[17][47]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[16][47]=["TERRAIN_DESERT_HILLS",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[15][47]=["TERRAIN_DESERT_HILLS",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_MARBLE",1],[0,0,0],-1]                                                  ;
MapToConvert[14][47]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[13][47]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[12][47]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_HORSES",1],[0,0,0],-1]                                                        ;
MapToConvert[11][47]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[10][47]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[9][47]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_OIL",1],[0,0,0],-1]                                                            ;
MapToConvert[8][47]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                        ;
MapToConvert[7][47]=["TERRAIN_DESERT_HILLS",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_IRON",1],[0,0,0],-1]                                                     ;
MapToConvert[6][47]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                        ;
MapToConvert[5][47]=["TERRAIN_PLAINS",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SHEEP",1],[0,0,0],-1]                                                          ;
MapToConvert[4][47]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                         ;
MapToConvert[3][47]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[2][47]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[1][47]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[0][47]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[179][48]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[178][48]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[177][48]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[176][48]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[175][48]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[174][48]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[173][48]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[172][48]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[171][48]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[170][48]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[169][48]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[168][48]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[167][48]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[166][48]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[165][48]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[164][48]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[163][48]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[162][48]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[161][48]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[160][48]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[159][48]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[158][48]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[157][48]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                                       ;
MapToConvert[156][48]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[155][48]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                                       ;
MapToConvert[154][48]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[153][48]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_CARIBBEANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,1,1],-1]                                             ;
MapToConvert[152][48]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[151][48]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[150][48]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[149][48]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[148][48]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[147][48]=["TERRAIN_GRASS",-1,"CONTINENT_MESO_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_CITRUS",1],[0,1,1],-1]                                                  ;
MapToConvert[146][48]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_MESO_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_DEER",1],[0,0,0],-1]                                     ;
MapToConvert[145][48]=["TERRAIN_GRASS","FEATURE_MARSH","CONTINENT_MESO_AMERICA",[[1,5],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                     ;
MapToConvert[144][48]=["TERRAIN_GRASS",-1,"CONTINENT_MESO_AMERICA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                                                  ;
MapToConvert[143][48]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                                       ;
MapToConvert[142][48]=["TERRAIN_GRASS","FEATURE_JUNGLE","CONTINENT_MESO_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_BANANAS",1],[0,0,0],-1]                                   ;
MapToConvert[141][48]=["TERRAIN_GRASS",-1,"CONTINENT_MESO_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_WHEAT",1],[0,0,0],-1]                                                   ;
MapToConvert[140][48]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_MESO_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[139][48]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_MESO_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[138][48]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_MESO_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_ALUMINUM",1],[0,0,0],-1]                                         ;
MapToConvert[137][48]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_MESO_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                       ;
MapToConvert[136][48]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_MESO_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                       ;
MapToConvert[135][48]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                       ;
MapToConvert[134][48]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[133][48]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[132][48]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[131][48]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[130][48]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[129][48]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[128][48]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[127][48]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[126][48]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[125][48]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[124][48]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[123][48]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[122][48]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[121][48]=["TERRAIN_GRASS",-1,"CONTINENT_NORTH_AMERICA",[[1,2],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[120][48]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                      ;
MapToConvert[119][48]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_NORTH_AMERICA",[[0,-1],[1,0],[0,-1]],[-1,0],[1,0,0],-1]                                            ;
MapToConvert[118][48]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                       ;
MapToConvert[117][48]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[116][48]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[115][48]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[114][48]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[113][48]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[112][48]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[111][48]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[110][48]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[109][48]=["TERRAIN_PLAINS",-1,"CONTINENT_MICRONESIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                  ;
MapToConvert[108][48]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[107][48]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[106][48]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[105][48]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[104][48]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[103][48]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[102][48]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[101][48]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[100][48]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[99][48]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[98][48]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[97][48]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[96][48]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[95][48]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[94][48]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[93][48]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[92][48]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[91][48]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[90][48]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[89][48]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[88][48]=["TERRAIN_PLAINS_MOUNTAIN","FEATURE_JUNGLE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[87][48]=["TERRAIN_GRASS",-1,"CONTINENT_EAST_ASIA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                                                      ;
MapToConvert[86][48]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[85][48]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[84][48]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[83][48]=["TERRAIN_GRASS",-1,"CONTINENT_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                     ;
MapToConvert[82][48]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SPICES",1],[0,0,0],-1]                                 ;
MapToConvert[81][48]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[80][48]=["TERRAIN_GRASS",-1,"CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[79][48]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                ;
MapToConvert[78][48]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[77][48]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SILK",1],[0,0,0],-1]                                   ;
MapToConvert[76][48]=["TERRAIN_GRASS_MOUNTAIN",-1,"CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                      ;
MapToConvert[75][48]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_IRON",1],[0,0,0],-1]                                            ;
MapToConvert[74][48]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_SOUTH_EAST_ASIA",[[1,2],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[73][48]=["TERRAIN_GRASS_MOUNTAIN",-1,"CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[1,3],[0,-1]],[-1,0],[0,0,0],-1]                                                       ;
MapToConvert[72][48]=["TERRAIN_GRASS_MOUNTAIN",-1,"CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[1,3],[1,4]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[71][48]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                          ;
MapToConvert[70][48]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                     ;
MapToConvert[69][48]=["TERRAIN_GRASS",-1,"CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[68][48]=["TERRAIN_GRASS","FEATURE_MARSH","CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                            ;
MapToConvert[67][48]=["TERRAIN_GRASS","FEATURE_MARSH","CONTINENT_INDIA",[[0,-1],[1,3],[0,-1]],[-1,0],[0,0,0],-1]                                                             ;
MapToConvert[66][48]=["TERRAIN_GRASS",-1,"CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SHEEP",1],[0,0,0],-1]                                                           ;
MapToConvert[65][48]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[64][48]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                    ;
MapToConvert[63][48]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                    ;
MapToConvert[62][48]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_COAL",1],[0,0,0],-1]                                                      ;
MapToConvert[61][48]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                    ;
MapToConvert[60][48]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_COTTON",1],[0,0,0],-1]                                                    ;
MapToConvert[59][48]=["TERRAIN_GRASS",-1,"CONTINENT_INDIA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                                                          ;
MapToConvert[58][48]=["TERRAIN_PLAINS",-1,"CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_WHEAT",1],[0,0,0],-1]                                                          ;
MapToConvert[57][48]=["TERRAIN_DESERT",-1,"CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                        ;
MapToConvert[56][48]=["TERRAIN_DESERT","FEATURE_FLOODPLAINS","CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                     ;
MapToConvert[55][48]=["TERRAIN_DESERT","FEATURE_FLOODPLAINS","CONTINENT_INDIA",[[0,-1],[1,3],[1,4]],[-1,0],[0,0,0],-1]                                                       ;
MapToConvert[54][48]=["TERRAIN_DESERT",-1,"CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                        ;
MapToConvert[53][48]=["TERRAIN_DESERT",-1,"CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                        ;
MapToConvert[52][48]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_STONE",1],[0,0,0],-1]                                                    ;
MapToConvert[51][48]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_PERSIAN_PLATEAU",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[50][48]=["TERRAIN_PLAINS",-1,"CONTINENT_PERSIAN_PLATEAU",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                              ;
MapToConvert[49][48]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_PERSIAN_PLATEAU",[[1,2],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                      ;
MapToConvert[48][48]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_PERSIAN_PLATEAU",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                     ;
MapToConvert[47][48]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_PERSIAN_PLATEAU",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[46][48]=["TERRAIN_PLAINS",-1,"CONTINENT_PERSIAN_PLATEAU",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SHEEP",1],[0,0,0],-1]                                                ;
MapToConvert[45][48]=["TERRAIN_DESERT",-1,"CONTINENT_PERSIAN_PLATEAU",[[0,-1],[0,-1],[0,-1]],["RESOURCE_IVORY",1],[0,0,0],-1]                                                ;
MapToConvert[44][48]=["TERRAIN_PLAINS",-1,"CONTINENT_PERSIAN_PLATEAU",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                              ;
MapToConvert[43][48]=["TERRAIN_PLAINS",-1,"CONTINENT_PERSIAN_PLATEAU",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                              ;
MapToConvert[42][48]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_FISH",1],[0,1,0],-1]                                                                           ;
MapToConvert[41][48]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[40][48]=["TERRAIN_DESERT",-1,"CONTINENT_ARABIAN_PENINSULA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                            ;
MapToConvert[39][48]=["TERRAIN_DESERT_HILLS",-1,"CONTINENT_ARABIAN_PENINSULA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                      ;
MapToConvert[38][48]=["TERRAIN_DESERT",-1,"CONTINENT_ARABIAN_PENINSULA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                            ;
MapToConvert[37][48]=["TERRAIN_DESERT_HILLS",-1,"CONTINENT_ARABIAN_PENINSULA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                      ;
MapToConvert[36][48]=["TERRAIN_DESERT",-1,"CONTINENT_ARABIAN_PENINSULA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                            ;
MapToConvert[35][48]=["TERRAIN_DESERT_HILLS",-1,"CONTINENT_ARABIAN_PENINSULA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_STONE",1],[0,0,0],-1]                                        ;
MapToConvert[34][48]=["TERRAIN_DESERT",-1,"CONTINENT_ARABIAN_PENINSULA",[[0,-1],[1,3],[0,-1]],[-1,0],[0,0,0],-1]                                                             ;
MapToConvert[33][48]=["TERRAIN_DESERT_MOUNTAIN",-1,"CONTINENT_ARABIAN_PENINSULA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[32][48]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                        ;
MapToConvert[31][48]=["TERRAIN_GRASS",-1,"CONTINENT_SAHARA",[[1,5],[0,-1],[0,-1]],["RESOURCE_WHEAT",1],[0,0,0],-1]                                                           ;
MapToConvert[30][48]=["TERRAIN_DESERT","FEATURE_FLOODPLAINS","CONTINENT_SAHARA",[[1,5],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                                      ;
MapToConvert[29][48]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_SAHARA",[[0,-1],[1,0],[0,-1]],["RESOURCE_ALUMINUM",1],[0,0,0],-1]                                                 ;
MapToConvert[28][48]=["TERRAIN_PLAINS",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_CITRUS",1],[0,0,0],-1]                                                        ;
MapToConvert[27][48]=["TERRAIN_PLAINS",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[26][48]=["TERRAIN_PLAINS",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_HORSES",1],[0,0,0],-1]                                                        ;
MapToConvert[25][48]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[24][48]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[23][48]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_WINE",1],[0,0,0],-1]                                            ;
MapToConvert[22][48]=["TERRAIN_PLAINS",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[21][48]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[20][48]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_MARBLE",1],[0,0,0],-1]                                                  ;
MapToConvert[19][48]=["TERRAIN_PLAINS",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[18][48]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[17][48]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_INCENSE",1],[0,0,0],-1]                                                       ;
MapToConvert[16][48]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[15][48]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[14][48]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[13][48]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[12][48]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[11][48]=["TERRAIN_DESERT_MOUNTAIN",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                              ;
MapToConvert[10][48]=["TERRAIN_DESERT_HILLS",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[9][48]=["TERRAIN_DESERT_MOUNTAIN",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[8][48]=["TERRAIN_DESERT_MOUNTAIN",-1,"CONTINENT_SAHARA",[[1,5],[1,3],[1,4]],[-1,0],[0,0,0],-1]                                                                  ;
MapToConvert[7][48]=["TERRAIN_PLAINS",-1,"CONTINENT_SAHARA",[[1,5],[0,-1],[1,4]],[-1,0],[0,0,0],-1]                                                                          ;
MapToConvert[6][48]=["TERRAIN_PLAINS",-1,"CONTINENT_SAHARA",[[1,5],[0,-1],[1,4]],[-1,0],[0,0,0],-1]                                                                          ;
MapToConvert[5][48]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[4][48]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[3][48]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_PEARLS",1],[0,0,0],-1]                                                                          ;
MapToConvert[2][48]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[1][48]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[0][48]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[179][49]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[178][49]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[177][49]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[176][49]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[175][49]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[174][49]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[173][49]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[172][49]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[171][49]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[170][49]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[169][49]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[168][49]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[167][49]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[166][49]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[165][49]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[164][49]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[163][49]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[162][49]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[161][49]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[160][49]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[159][49]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[158][49]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[157][49]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[156][49]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[155][49]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[154][49]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_CARIBBEANIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_COCOA",1],[0,0,0],-1]                                     ;
MapToConvert[153][49]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[152][49]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_CARIBBEANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[151][49]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_CARIBBEANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                             ;
MapToConvert[150][49]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[149][49]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[148][49]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[147][49]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[146][49]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_MESO_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[145][49]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_MESO_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_COCOA",1],[0,0,0],-1]                                    ;
MapToConvert[144][49]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[143][49]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[142][49]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_FISH",1],[0,0,0],-1]                                                                          ;
MapToConvert[141][49]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[140][49]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_MESO_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                       ;
MapToConvert[139][49]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_MESO_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_NITER",1],[0,0,0],-1]                                            ;
MapToConvert[138][49]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_MESO_AMERICA",[[0,-1],[1,0],[1,1]],[-1,0],[0,0,0],-1]                                              ;
MapToConvert[137][49]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_CRABS",1],[0,0,0],-1]                                                                         ;
MapToConvert[136][49]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_MESO_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[135][49]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_MESO_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                          ;
MapToConvert[134][49]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                       ;
MapToConvert[133][49]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[132][49]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[131][49]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[130][49]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[129][49]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[128][49]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[127][49]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[126][49]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[125][49]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[124][49]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[123][49]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[122][49]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[121][49]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_FISH",1],[0,0,0],-1]                                                                          ;
MapToConvert[120][49]=["TERRAIN_GRASS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[119][49]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_NORTH_AMERICA",[[1,5],[0,-1],[0,-1]],["RESOURCE_IRON",1],[0,0,0],-1]                               ;
MapToConvert[118][49]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[117][49]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[116][49]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[115][49]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[114][49]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[113][49]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[112][49]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[111][49]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[110][49]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[109][49]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                                       ;
MapToConvert[108][49]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_FISH",1],[0,0,0],-1]                                                                          ;
MapToConvert[107][49]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[106][49]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[105][49]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[104][49]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[103][49]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[102][49]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[101][49]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[100][49]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[99][49]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[98][49]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[97][49]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[96][49]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[95][49]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[94][49]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[93][49]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[92][49]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[91][49]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[90][49]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[89][49]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[88][49]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SPICES",1],[0,0,0],-1]                                 ;
MapToConvert[87][49]=["TERRAIN_GRASS",-1,"CONTINENT_EAST_ASIA",[[1,5],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                      ;
MapToConvert[86][49]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[85][49]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[84][49]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                ;
MapToConvert[83][49]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_BANANAS",1],[0,0,0],-1]                                ;
MapToConvert[82][49]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                ;
MapToConvert[81][49]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[80][49]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SPICES",1],[0,0,0],-1]                                 ;
MapToConvert[79][49]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                ;
MapToConvert[78][49]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_BANANAS",1],[0,0,0],-1]                                ;
MapToConvert[77][49]=["TERRAIN_GRASS",-1,"CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[76][49]=["TERRAIN_GRASS",-1,"CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_COTTON",1],[0,0,0],-1]                                                ;
MapToConvert[75][49]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                          ;
MapToConvert[74][49]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                ;
MapToConvert[73][49]=["TERRAIN_GRASS_MOUNTAIN",-1,"CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[1,3],[1,4]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[72][49]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_SOUTH_EAST_ASIA",[[1,2],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                           ;
MapToConvert[71][49]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[1,3],[0,-1]],["RESOURCE_COAL",1],[0,0,0],-1]                              ;
MapToConvert[70][49]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                     ;
MapToConvert[69][49]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                          ;
MapToConvert[68][49]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[67][49]=["TERRAIN_GRASS","FEATURE_MARSH","CONTINENT_INDIA",[[1,2],[0,-1],[0,-1]],["RESOURCE_CATTLE",1],[0,0,0],-1]                                              ;
MapToConvert[66][49]=["TERRAIN_GRASS","FEATURE_MARSH","CONTINENT_INDIA",[[0,-1],[1,3],[0,-1]],[-1,0],[0,0,0],-1]                                                             ;
MapToConvert[65][49]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[64][49]=["TERRAIN_GRASS",-1,"CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_TRUFFLES",1],[0,0,0],-1]                                                        ;
MapToConvert[63][49]=["TERRAIN_GRASS",-1,"CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                         ;
MapToConvert[62][49]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[61][49]=["TERRAIN_GRASS",-1,"CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                         ;
MapToConvert[60][49]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[59][49]=["TERRAIN_GRASS",-1,"CONTINENT_INDIA",[[0,-1],[1,0],[1,1]],[-1,0],[0,0,0],-1]                                                                           ;
MapToConvert[58][49]=["TERRAIN_PLAINS",-1,"CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_WHEAT",1],[0,0,0],-1]                                                          ;
MapToConvert[57][49]=["TERRAIN_DESERT",-1,"CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                        ;
MapToConvert[56][49]=["TERRAIN_DESERT",-1,"CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_INCENSE",1],[0,0,0],-1]                                                        ;
MapToConvert[55][49]=["TERRAIN_DESERT","FEATURE_FLOODPLAINS","CONTINENT_INDIA",[[1,2],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                      ;
MapToConvert[54][49]=["TERRAIN_DESERT","FEATURE_FLOODPLAINS","CONTINENT_INDIA",[[0,-1],[1,3],[0,-1]],[-1,0],[0,0,0],-1]                                                      ;
MapToConvert[53][49]=["TERRAIN_DESERT",-1,"CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_INCENSE",1],[0,0,0],-1]                                                        ;
MapToConvert[52][49]=["TERRAIN_DESERT","FEATURE_OASIS","CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[51][49]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_PERSIAN_PLATEAU",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                     ;
MapToConvert[50][49]=["TERRAIN_DESERT_HILLS",-1,"CONTINENT_PERSIAN_PLATEAU",[[0,-1],[0,-1],[0,-1]],["RESOURCE_IRON",1],[0,0,0],-1]                                           ;
MapToConvert[49][49]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_PERSIAN_PLATEAU",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                     ;
MapToConvert[48][49]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_PERSIAN_PLATEAU",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                ;
MapToConvert[47][49]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_PERSIAN_PLATEAU",[[0,-1],[0,-1],[0,-1]],["RESOURCE_DIAMONDS",1],[0,0,0],-1]                                       ;
MapToConvert[46][49]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_PERSIAN_PLATEAU",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                     ;
MapToConvert[45][49]=["TERRAIN_DESERT",-1,"CONTINENT_PERSIAN_PLATEAU",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                              ;
MapToConvert[44][49]=["TERRAIN_DESERT",-1,"CONTINENT_PERSIAN_PLATEAU",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                              ;
MapToConvert[43][49]=["TERRAIN_DESERT",-1,"CONTINENT_PERSIAN_PLATEAU",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                              ;
MapToConvert[42][49]=["TERRAIN_DESERT","FEATURE_FLOODPLAINS","CONTINENT_PERSIAN_PLATEAU",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                           ;
MapToConvert[41][49]=["TERRAIN_DESERT","FEATURE_FLOODPLAINS","CONTINENT_PERSIAN_PLATEAU",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                           ;
MapToConvert[40][49]=["TERRAIN_DESERT","FEATURE_FLOODPLAINS","CONTINENT_ARABIAN_PENINSULA",[[0,-1],[1,3],[0,-1]],["RESOURCE_OIL",1],[0,0,0],-1]                              ;
MapToConvert[39][49]=["TERRAIN_DESERT","FEATURE_FLOODPLAINS","CONTINENT_ARABIAN_PENINSULA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                         ;
MapToConvert[38][49]=["TERRAIN_DESERT",-1,"CONTINENT_ARABIAN_PENINSULA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                            ;
MapToConvert[37][49]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_ARABIAN_PENINSULA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                      ;
MapToConvert[36][49]=["TERRAIN_PLAINS",-1,"CONTINENT_ARABIAN_PENINSULA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_WINE",1],[0,0,0],-1]                                               ;
MapToConvert[35][49]=["TERRAIN_PLAINS",-1,"CONTINENT_ARABIAN_PENINSULA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_COTTON",1],[0,0,0],-1]                                             ;
MapToConvert[34][49]=["TERRAIN_DESERT",-1,"CONTINENT_ARABIAN_PENINSULA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                            ;
MapToConvert[33][49]=["TERRAIN_DESERT",-1,"CONTINENT_ARABIAN_PENINSULA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                            ;
MapToConvert[32][49]=["TERRAIN_DESERT","FEATURE_FLOODPLAINS","CONTINENT_ARABIAN_PENINSULA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                         ;
MapToConvert[31][49]=["TERRAIN_GRASS",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                        ;
MapToConvert[30][49]=["TERRAIN_GRASS",-1,"CONTINENT_SAHARA",[[0,-1],[1,0],[1,1]],[-1,0],[0,0,0],-1]                                                                          ;
MapToConvert[29][49]=["TERRAIN_DESERT","FEATURE_FLOODPLAINS","CONTINENT_SAHARA",[[1,5],[1,0],[1,1]],[-1,0],[0,0,0],-1]                                                       ;
MapToConvert[28][49]=["TERRAIN_PLAINS",-1,"CONTINENT_SAHARA",[[0,-1],[1,0],[0,-1]],["RESOURCE_OIL",1],[0,0,0],-1]                                                            ;
MapToConvert[27][49]=["TERRAIN_PLAINS",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_WHEAT",1],[0,0,0],-1]                                                         ;
MapToConvert[26][49]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[25][49]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                                        ;
MapToConvert[24][49]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                                        ;
MapToConvert[23][49]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[22][49]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                                        ;
MapToConvert[21][49]=["TERRAIN_PLAINS",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_WHEAT",1],[0,0,0],-1]                                                         ;
MapToConvert[20][49]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[19][49]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[18][49]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[17][49]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[16][49]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_IVORY",1],[0,0,0],-1]                                                         ;
MapToConvert[15][49]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[14][49]=["TERRAIN_DESERT",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_INCENSE",1],[0,0,0],-1]                                                       ;
MapToConvert[13][49]=["TERRAIN_DESERT_HILLS",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[12][49]=["TERRAIN_DESERT_HILLS",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[11][49]=["TERRAIN_DESERT_HILLS",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[10][49]=["TERRAIN_DESERT_HILLS",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_NITER",1],[0,0,0],-1]                                                   ;
MapToConvert[9][49]=["TERRAIN_DESERT_MOUNTAIN",-1,"CONTINENT_SAHARA",[[0,-1],[1,0],[1,1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[8][49]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_SAHARA",[[1,2],[0,-1],[0,-1]],["RESOURCE_URANIUM",1],[0,0,0],-1]                                                   ;
MapToConvert[7][49]=["TERRAIN_PLAINS",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                        ;
MapToConvert[6][49]=["TERRAIN_PLAINS",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_INCENSE",1],[0,0,0],-1]                                                        ;
MapToConvert[5][49]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                         ;
MapToConvert[4][49]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[3][49]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[2][49]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[1][49]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[0][49]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[179][50]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[178][50]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[177][50]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[176][50]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[175][50]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[174][50]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[173][50]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[172][50]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[171][50]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[170][50]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[169][50]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[168][50]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[167][50]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[166][50]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[165][50]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[164][50]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[163][50]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[162][50]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[161][50]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[160][50]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[159][50]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[158][50]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[157][50]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[156][50]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_FISH",1],[0,0,0],-1]                                                                          ;
MapToConvert[155][50]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[154][50]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[153][50]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[152][50]=["TERRAIN_GRASS","FEATURE_MARSH","CONTINENT_CARIBBEANIA",[[1,5],[0,-1],[0,-1]],["RESOURCE_CITRUS",1],[0,1,0],-1]                                       ;
MapToConvert[151][50]=["TERRAIN_GRASS","FEATURE_MARSH","CONTINENT_CARIBBEANIA",[[0,-1],[0,-1],[1,4]],[-1,0],[0,0,0],-1]                                                      ;
MapToConvert[150][50]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_CARIBBEANIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_COCOA",1],[0,0,1],-1]                                     ;
MapToConvert[149][50]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[148][50]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[147][50]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_MESO_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[146][50]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_MESO_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SUGAR",1],[0,0,0],-1]                                    ;
MapToConvert[145][50]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[144][50]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[143][50]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[142][50]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[141][50]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                                       ;
MapToConvert[140][50]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_MESO_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                       ;
MapToConvert[139][50]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_MESO_AMERICA",[[1,2],[1,0],[1,1]],[-1,0],[0,0,0],-1]                                                             ;
MapToConvert[138][50]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_MESO_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                            ;
MapToConvert[137][50]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_MESO_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                            ;
MapToConvert[136][50]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_MESO_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                       ;
MapToConvert[135][50]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_FISH",1],[0,1,1],-1]                                                                          ;
MapToConvert[134][50]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[133][50]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[132][50]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[131][50]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[130][50]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[129][50]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[128][50]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[127][50]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[126][50]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[125][50]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[124][50]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[123][50]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[122][50]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[121][50]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[120][50]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,1],-1]                                                                                       ;
MapToConvert[119][50]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[118][50]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[117][50]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                          ;
MapToConvert[116][50]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[115][50]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[114][50]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[113][50]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[112][50]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[111][50]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[110][50]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[109][50]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[108][50]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[107][50]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[106][50]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[105][50]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[104][50]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[103][50]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[102][50]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[101][50]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[100][50]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_MICRONESIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                              ;
MapToConvert[99][50]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[98][50]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[97][50]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[96][50]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[95][50]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[94][50]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[93][50]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[92][50]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[91][50]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_BANANAS",1],[1,0,1],-1]                                      ;
MapToConvert[90][50]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[89][50]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[88][50]=["TERRAIN_GRASS",-1,"CONTINENT_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                     ;
MapToConvert[87][50]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[86][50]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[85][50]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                               ;
MapToConvert[84][50]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                ;
MapToConvert[83][50]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                      ;
MapToConvert[82][50]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_DIAMONDS",1],[0,0,0],-1]                               ;
MapToConvert[81][50]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                          ;
MapToConvert[80][50]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                          ;
MapToConvert[79][50]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                          ;
MapToConvert[78][50]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                          ;
MapToConvert[77][50]=["TERRAIN_GRASS",-1,"CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[76][50]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                          ;
MapToConvert[75][50]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_BANANAS",1],[0,0,0],-1]                                ;
MapToConvert[74][50]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_SOUTH_EAST_ASIA",[[1,2],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[73][50]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[1,3],[0,-1]],["RESOURCE_DYES",1],[0,0,0],-1]                                             ;
MapToConvert[72][50]=["TERRAIN_GRASS_MOUNTAIN",-1,"CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[1,3],[1,4]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[71][50]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                          ;
MapToConvert[70][50]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                          ;
MapToConvert[69][50]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SILK",1],[0,0,0],-1]                                   ;
MapToConvert[68][50]=["TERRAIN_GRASS",-1,"CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                         ;
MapToConvert[67][50]=["TERRAIN_GRASS",-1,"CONTINENT_INDIA",[[1,2],[1,3],[1,4]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[66][50]=["TERRAIN_GRASS",-1,"CONTINENT_INDIA",[[1,2],[0,-1],[1,1]],["RESOURCE_IVORY",1],[0,0,0],-1]                                                             ;
MapToConvert[65][50]=["TERRAIN_GRASS",-1,"CONTINENT_INDIA",[[1,2],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                                           ;
MapToConvert[64][50]=["TERRAIN_GRASS",-1,"CONTINENT_INDIA",[[1,2],[1,3],[1,1]],["RESOURCE_WHEAT",1],[0,0,0],-1]                                                              ;
MapToConvert[63][50]=["TERRAIN_GRASS",-1,"CONTINENT_INDIA",[[1,2],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                                           ;
MapToConvert[62][50]=["TERRAIN_GRASS",-1,"CONTINENT_INDIA",[[1,2],[1,3],[1,1]],["RESOURCE_SHEEP",1],[0,0,0],-1]                                                              ;
MapToConvert[61][50]=["TERRAIN_GRASS",-1,"CONTINENT_INDIA",[[1,2],[1,3],[1,1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[60][50]=["TERRAIN_GRASS",-1,"CONTINENT_INDIA",[[0,-1],[0,-1],[1,1]],["RESOURCE_HORSES",1],[0,0,0],-1]                                                           ;
MapToConvert[59][50]=["TERRAIN_PLAINS",-1,"CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                        ;
MapToConvert[58][50]=["TERRAIN_PLAINS",-1,"CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_DYES",1],[0,0,0],-1]                                                           ;
MapToConvert[57][50]=["TERRAIN_DESERT",-1,"CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_OIL",1],[0,0,0],-1]                                                            ;
MapToConvert[56][50]=["TERRAIN_DESERT",-1,"CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                        ;
MapToConvert[55][50]=["TERRAIN_DESERT","FEATURE_FLOODPLAINS","CONTINENT_INDIA",[[1,2],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                      ;
MapToConvert[54][50]=["TERRAIN_DESERT","FEATURE_FLOODPLAINS","CONTINENT_INDIA",[[0,-1],[1,3],[0,-1]],[-1,0],[0,0,0],-1]                                                      ;
MapToConvert[53][50]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[52][50]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_PERSIAN_PLATEAU",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                     ;
MapToConvert[51][50]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_PERSIAN_PLATEAU",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[50][50]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_PERSIAN_PLATEAU",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[49][50]=["TERRAIN_PLAINS",-1,"CONTINENT_PERSIAN_PLATEAU",[[0,-1],[0,-1],[0,-1]],["RESOURCE_WHEAT",1],[0,0,0],-1]                                                ;
MapToConvert[48][50]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_PERSIAN_PLATEAU",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[47][50]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_PERSIAN_PLATEAU",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                     ;
MapToConvert[46][50]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_PERSIAN_PLATEAU",[[0,-1],[0,-1],[0,-1]],["RESOURCE_COAL",1],[0,0,0],-1]                                           ;
MapToConvert[45][50]=["TERRAIN_DESERT",-1,"CONTINENT_PERSIAN_PLATEAU",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                              ;
MapToConvert[44][50]=["TERRAIN_DESERT",-1,"CONTINENT_PERSIAN_PLATEAU",[[0,-1],[0,-1],[0,-1]],["RESOURCE_OIL",1],[0,0,0],-1]                                                  ;
MapToConvert[43][50]=["TERRAIN_DESERT",-1,"CONTINENT_PERSIAN_PLATEAU",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                              ;
MapToConvert[42][50]=["TERRAIN_DESERT","FEATURE_FLOODPLAINS","CONTINENT_PERSIAN_PLATEAU",[[0,-1],[0,-1],[0,-1]],["RESOURCE_IVORY",1],[0,0,0],-1]                             ;
MapToConvert[41][50]=["TERRAIN_DESERT","FEATURE_FLOODPLAINS","CONTINENT_PERSIAN_PLATEAU",[[1,2],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                            ;
MapToConvert[40][50]=["TERRAIN_DESERT","FEATURE_FLOODPLAINS","CONTINENT_ARABIAN_PENINSULA",[[1,2],[1,3],[1,1]],[-1,0],[0,0,0],-1]                                            ;
MapToConvert[39][50]=["TERRAIN_DESERT","FEATURE_FLOODPLAINS","CONTINENT_ARABIAN_PENINSULA",[[0,-1],[1,3],[0,-1]],[-1,0],[0,0,0],-1]                                          ;
MapToConvert[38][50]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_ARABIAN_PENINSULA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                      ;
MapToConvert[37][50]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[36][50]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_ARABIAN_PENINSULA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                       ;
MapToConvert[35][50]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[34][50]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[33][50]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[32][50]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[31][50]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[30][50]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[29][50]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[28][50]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_MARBLE",1],[0,1,0],-1]                                                  ;
MapToConvert[27][50]=["TERRAIN_PLAINS",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[26][50]=["TERRAIN_PLAINS",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[25][50]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                        ;
MapToConvert[24][50]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_FISH",1],[0,0,0],-1]                                                                           ;
MapToConvert[23][50]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[22][50]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[21][50]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[20][50]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,1],-1]                                                                                        ;
MapToConvert[19][50]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_FISH",1],[0,0,0],-1]                                                                           ;
MapToConvert[18][50]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[17][50]=["TERRAIN_PLAINS",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[16][50]=["TERRAIN_DESERT_HILLS",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[15][50]=["TERRAIN_DESERT_HILLS",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_IRON",1],[0,0,0],-1]                                                    ;
MapToConvert[14][50]=["TERRAIN_DESERT_MOUNTAIN",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                              ;
MapToConvert[13][50]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                              ;
MapToConvert[12][50]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                              ;
MapToConvert[11][50]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                              ;
MapToConvert[10][50]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_SAHARA",[[0,-1],[1,0],[1,1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[9][50]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_SAHARA",[[1,5],[0,-1],[1,4]],["RESOURCE_SHEEP",1],[0,0,0],-1]                                                      ;
MapToConvert[8][50]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_SAHARA",[[1,5],[0,-1],[1,4]],[-1,0],[0,0,0],-1]                                                      ;
MapToConvert[7][50]=["TERRAIN_PLAINS",-1,"CONTINENT_SAHARA",[[1,5],[0,-1],[1,4]],[-1,0],[0,0,0],-1]                                                                          ;
MapToConvert[6][50]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                                         ;
MapToConvert[5][50]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[4][50]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[3][50]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[2][50]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                                         ;
MapToConvert[1][50]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[0][50]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[179][51]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[178][51]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[177][51]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[176][51]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[175][51]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[174][51]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[173][51]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[172][51]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[171][51]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[170][51]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[169][51]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[168][51]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[167][51]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[166][51]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[165][51]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[164][51]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[163][51]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[162][51]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[161][51]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[160][51]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[159][51]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[158][51]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[157][51]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[156][51]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[155][51]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[154][51]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_CARIBBEANIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SUGAR",1],[1,0,1],-1]                                     ;
MapToConvert[153][51]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                       ;
MapToConvert[152][51]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                                       ;
MapToConvert[151][51]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[150][51]=["TERRAIN_GRASS",-1,"CONTINENT_CARIBBEANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                  ;
MapToConvert[149][51]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_CARIBBEANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[148][51]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_CARIBBEANIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SUGAR",1],[0,0,0],-1]                                     ;
MapToConvert[147][51]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[146][51]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,1],-1]                                                                                       ;
MapToConvert[145][51]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                                       ;
MapToConvert[144][51]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[143][51]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[142][51]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[141][51]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[140][51]=["TERRAIN_PLAINS",-1,"CONTINENT_MESO_AMERICA",[[1,2],[0,-1],[0,-1]],["RESOURCE_FURS",1],[0,1,0],-1]                                                    ;
MapToConvert[139][51]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_MESO_AMERICA",[[0,-1],[0,-1],[1,1]],["RESOURCE_MARBLE",1],[0,0,0],-1]                                            ;
MapToConvert[138][51]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_MESO_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                       ;
MapToConvert[137][51]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_MESO_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_URANIUM",1],[0,0,0],-1]                                          ;
MapToConvert[136][51]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_MESO_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[135][51]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_MESO_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                       ;
MapToConvert[134][51]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                       ;
MapToConvert[133][51]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[132][51]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[131][51]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[130][51]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[129][51]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[128][51]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[127][51]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[126][51]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[125][51]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[124][51]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[123][51]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[122][51]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[121][51]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[120][51]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[119][51]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[118][51]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[117][51]=["TERRAIN_GRASS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[116][51]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_DYES",1],[0,0,0],-1]                                    ;
MapToConvert[115][51]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[114][51]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[113][51]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[112][51]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[111][51]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[110][51]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[109][51]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[108][51]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[107][51]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[106][51]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[105][51]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[104][51]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[103][51]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[102][51]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[101][51]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[100][51]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[99][51]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[98][51]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[97][51]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_PEARLS",1],[0,0,0],-1]                                                                         ;
MapToConvert[96][51]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[95][51]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[94][51]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[93][51]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[92][51]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[91][51]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[90][51]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[89][51]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[88][51]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_FISH",1],[0,0,0],-1]                                                                           ;
MapToConvert[87][51]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[86][51]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[85][51]=["TERRAIN_GRASS",-1,"CONTINENT_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,1],-1]                                                                     ;
MapToConvert[84][51]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[83][51]=["TERRAIN_GRASS",-1,"CONTINENT_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SILK",1],[0,0,0],-1]                                                        ;
MapToConvert[82][51]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[81][51]=["TERRAIN_GRASS",-1,"CONTINENT_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                     ;
MapToConvert[80][51]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[79][51]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_DEER",1],[0,0,0],-1]                                   ;
MapToConvert[78][51]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[77][51]=["TERRAIN_GRASS_MOUNTAIN",-1,"CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                      ;
MapToConvert[76][51]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[75][51]=["TERRAIN_GRASS_MOUNTAIN",-1,"CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                      ;
MapToConvert[74][51]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_ALUMINUM",1],[0,0,0],-1]                                        ;
MapToConvert[73][51]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[1,3],[1,4]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[72][51]=["TERRAIN_GRASS_MOUNTAIN",-1,"CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[1,3],[1,4]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[71][51]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[70][51]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[69][51]=["TERRAIN_GRASS",-1,"CONTINENT_SOUTH_EAST_ASIA",[[1,5],[1,3],[1,4]],["RESOURCE_SHEEP",1],[0,0,0],-1]                                                    ;
MapToConvert[68][51]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_INDIA",[[1,5],[0,-1],[1,4]],[-1,0],[0,0,0],-1]                                                            ;
MapToConvert[67][51]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_INDIA",[[0,-1],[0,-1],[1,4]],["RESOURCE_DEER",1],[0,0,0],-1]                                              ;
MapToConvert[66][51]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[65][51]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[64][51]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_INDIA",[[0,-1],[1,3],[1,4]],[-1,0],[0,0,0],-1]                                                            ;
MapToConvert[63][51]=["TERRAIN_GRASS",-1,"CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                         ;
MapToConvert[62][51]=["TERRAIN_GRASS",-1,"CONTINENT_INDIA",[[1,2],[0,-1],[0,-1]],["RESOURCE_DYES",1],[0,0,0],-1]                                                             ;
MapToConvert[61][51]=["TERRAIN_GRASS",-1,"CONTINENT_INDIA",[[1,2],[1,3],[0,-1]],["RESOURCE_STONE",1],[0,0,0],-1]                                                             ;
MapToConvert[60][51]=["TERRAIN_GRASS",-1,"CONTINENT_INDIA",[[0,-1],[1,3],[0,-1]],["RESOURCE_COTTON",1],[0,0,0],-1]                                                           ;
MapToConvert[59][51]=["TERRAIN_GRASS",-1,"CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_STONE",1],[0,0,0],-1]                                                           ;
MapToConvert[58][51]=["TERRAIN_PLAINS",-1,"CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SHEEP",1],[0,0,0],-1]                                                          ;
MapToConvert[57][51]=["TERRAIN_DESERT",-1,"CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                        ;
MapToConvert[56][51]=["TERRAIN_DESERT","FEATURE_FLOODPLAINS","CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                     ;
MapToConvert[55][51]=["TERRAIN_DESERT","FEATURE_FLOODPLAINS","CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                     ;
MapToConvert[54][51]=["TERRAIN_PLAINS",-1,"CONTINENT_INDIA",[[0,-1],[1,3],[1,4]],["RESOURCE_IVORY",1],[0,0,0],-1]                                                            ;
MapToConvert[53][51]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                  ;
MapToConvert[52][51]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_PERSIAN_PLATEAU",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                     ;
MapToConvert[51][51]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_PERSIAN_PLATEAU",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SILVER",1],[0,0,0],-1]                                         ;
MapToConvert[50][51]=["TERRAIN_DESERT",-1,"CONTINENT_PERSIAN_PLATEAU",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                              ;
MapToConvert[49][51]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_PERSIAN_PLATEAU",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                          ;
MapToConvert[48][51]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[47][51]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_PERSIAN_PLATEAU",[[0,-1],[0,-1],[0,-1]],["RESOURCE_HORSES",1],[0,0,0],-1]                                 ;
MapToConvert[46][51]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_PERSIAN_PLATEAU",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                ;
MapToConvert[45][51]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_PERSIAN_PLATEAU",[[0,-1],[0,-1],[0,-1]],["RESOURCE_COTTON",1],[0,0,0],-1]                                         ;
MapToConvert[44][51]=["TERRAIN_DESERT_HILLS",-1,"CONTINENT_PERSIAN_PLATEAU",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[43][51]=["TERRAIN_DESERT",-1,"CONTINENT_PERSIAN_PLATEAU",[[0,-1],[0,-1],[0,-1]],["RESOURCE_INCENSE",1],[0,0,0],-1]                                              ;
MapToConvert[42][51]=["TERRAIN_DESERT","FEATURE_FLOODPLAINS","CONTINENT_PERSIAN_PLATEAU",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                           ;
MapToConvert[41][51]=["TERRAIN_DESERT","FEATURE_FLOODPLAINS","CONTINENT_PERSIAN_PLATEAU",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                           ;
MapToConvert[40][51]=["TERRAIN_DESERT","FEATURE_FLOODPLAINS","CONTINENT_ANATOLIA",[[0,-1],[1,3],[1,4]],["RESOURCE_INCENSE",1],[0,0,0],-1]                                    ;
MapToConvert[39][51]=["TERRAIN_DESERT","FEATURE_FLOODPLAINS","CONTINENT_ARABIAN_PENINSULA",[[0,-1],[1,3],[1,4]],["RESOURCE_STONE",1],[0,0,0],-1]                             ;
MapToConvert[38][51]=["TERRAIN_DESERT",-1,"CONTINENT_ARABIAN_PENINSULA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                            ;
MapToConvert[37][51]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[36][51]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_ARABIAN_PENINSULA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                               ;
MapToConvert[35][51]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[34][51]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[33][51]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[32][51]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[31][51]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[30][51]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_FISH",1],[0,0,0],-1]                                                                           ;
MapToConvert[29][51]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[28][51]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                                        ;
MapToConvert[27][51]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[26][51]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[25][51]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                                        ;
MapToConvert[24][51]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[23][51]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[22][51]=["TERRAIN_PLAINS",-1,"CONTINENT_ITALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                       ;
MapToConvert[21][51]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[20][51]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[19][51]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[18][51]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[17][51]=["TERRAIN_PLAINS",-1,"CONTINENT_SAHARA",[[1,2],[1,0],[1,1]],["RESOURCE_SHEEP",1],[0,0,0],-1]                                                            ;
MapToConvert[16][51]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_SAHARA",[[1,2],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[15][51]=["TERRAIN_DESERT_MOUNTAIN",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[14][51]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                              ;
MapToConvert[13][51]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_SAHARA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                                                  ;
MapToConvert[12][51]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[11][51]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_COAL",1],[0,0,0],-1]                                      ;
MapToConvert[10][51]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_SAHARA",[[0,-1],[1,0],[1,1]],[-1,0],[0,0,0],-1]                                                     ;
MapToConvert[9][51]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[8][51]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                                         ;
MapToConvert[7][51]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[6][51]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[5][51]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[4][51]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[3][51]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[2][51]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[1][51]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[0][51]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[179][52]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[178][52]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[177][52]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[176][52]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[175][52]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[174][52]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[173][52]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[172][52]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[171][52]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[170][52]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[169][52]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[168][52]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[167][52]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[166][52]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[165][52]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[164][52]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[163][52]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[162][52]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[161][52]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[160][52]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[159][52]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[158][52]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[157][52]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[156][52]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[155][52]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[154][52]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[153][52]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[152][52]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[151][52]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[150][52]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[149][52]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,1],-1]                                                                                       ;
MapToConvert[148][52]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[147][52]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[146][52]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[145][52]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[144][52]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[143][52]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[142][52]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[141][52]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[140][52]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_MESO_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[139][52]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_MESO_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                       ;
MapToConvert[138][52]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_MESO_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[137][52]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_MESO_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SALT",1],[0,0,0],-1]                                             ;
MapToConvert[136][52]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_MESO_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                       ;
MapToConvert[135][52]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                                       ;
MapToConvert[134][52]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[133][52]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_STONE",1],[0,1,1],-1]                                           ;
MapToConvert[132][52]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[131][52]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[130][52]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[129][52]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[128][52]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[127][52]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[126][52]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[125][52]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[124][52]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[123][52]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[122][52]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[121][52]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[120][52]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[119][52]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[118][52]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[117][52]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[116][52]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_CRABS",1],[0,0,0],-1]                                                                         ;
MapToConvert[115][52]=["TERRAIN_GRASS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_WHEAT",1],[0,0,0],-1]                                                  ;
MapToConvert[114][52]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[113][52]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[112][52]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[111][52]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[110][52]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[109][52]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[108][52]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[107][52]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[106][52]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[105][52]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[104][52]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[103][52]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[102][52]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[101][52]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[100][52]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[99][52]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[98][52]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[97][52]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[96][52]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[95][52]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[94][52]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[93][52]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[92][52]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[91][52]=["TERRAIN_PLAINS",-1,"CONTINENT_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[90][52]=["TERRAIN_PLAINS",-1,"CONTINENT_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                    ;
MapToConvert[89][52]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[88][52]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[87][52]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[86][52]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[85][52]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_ALUMINUM",1],[0,0,0],-1]                                              ;
MapToConvert[84][52]=["TERRAIN_GRASS",-1,"CONTINENT_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                     ;
MapToConvert[83][52]=["TERRAIN_GRASS",-1,"CONTINENT_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_CATTLE",1],[0,0,0],-1]                                                      ;
MapToConvert[82][52]=["TERRAIN_GRASS",-1,"CONTINENT_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                     ;
MapToConvert[81][52]=["TERRAIN_GRASS",-1,"CONTINENT_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_HORSES",1],[0,0,0],-1]                                                      ;
MapToConvert[80][52]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[79][52]=["TERRAIN_GRASS",-1,"CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[78][52]=["TERRAIN_GRASS_MOUNTAIN",-1,"CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                      ;
MapToConvert[77][52]=["TERRAIN_GRASS",-1,"CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SILK",1],[0,0,0],-1]                                                  ;
MapToConvert[76][52]=["TERRAIN_GRASS",-1,"CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[75][52]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[74][52]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_SOUTH_EAST_ASIA",[[1,2],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[73][52]=["TERRAIN_GRASS_MOUNTAIN",-1,"CONTINENT_SOUTH_EAST_ASIA",[[1,2],[1,3],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[72][52]=["TERRAIN_TUNDRA_HILLS",-1,"CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[1,3],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[71][52]=["TERRAIN_TUNDRA_HILLS",-1,"CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_COPPER",1],[0,0,0],-1]                                         ;
MapToConvert[70][52]=["TERRAIN_TUNDRA_HILLS","FEATURE_FOREST","CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[1,3],[1,4]],[-1,0],[0,0,0],-1]                                            ;
MapToConvert[69][52]=["TERRAIN_TUNDRA_HILLS","FEATURE_FOREST","CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                    ;
MapToConvert[68][52]=["TERRAIN_TUNDRA_HILLS","FEATURE_FOREST","CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                    ;
MapToConvert[67][52]=["TERRAIN_TUNDRA_HILLS","FEATURE_FOREST","CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                    ;
MapToConvert[66][52]=["TERRAIN_TUNDRA_HILLS",-1,"CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                  ;
MapToConvert[65][52]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_INDIA",[[1,2],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                            ;
MapToConvert[64][52]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_INDIA",[[0,-1],[1,3],[0,-1]],[-1,0],[0,0,0],-1]                                                            ;
MapToConvert[63][52]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[62][52]=["TERRAIN_GRASS",-1,"CONTINENT_INDIA",[[1,2],[0,-1],[0,-1]],["RESOURCE_DYES",1],[0,0,0],-1]                                                             ;
MapToConvert[61][52]=["TERRAIN_GRASS",-1,"CONTINENT_INDIA",[[1,2],[1,3],[0,-1]],[-1,0],[0,0,0],-1]                                                                           ;
MapToConvert[60][52]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_INDIA",[[0,-1],[1,3],[0,-1]],["RESOURCE_DEER",1],[0,0,0],-1]                                               ;
MapToConvert[59][52]=["TERRAIN_PLAINS",-1,"CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                        ;
MapToConvert[58][52]=["TERRAIN_DESERT","FEATURE_FLOODPLAINS","CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                     ;
MapToConvert[57][52]=["TERRAIN_PLAINS",-1,"CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_DYES",1],[0,0,0],-1]                                                           ;
MapToConvert[56][52]=["TERRAIN_PLAINS",-1,"CONTINENT_INDIA",[[1,5],[1,3],[1,4]],[-1,0],[0,0,0],-1]                                                                           ;
MapToConvert[55][52]=["TERRAIN_PLAINS",-1,"CONTINENT_INDIA",[[0,-1],[0,-1],[1,4]],["RESOURCE_SHEEP",1],[0,0,0],-1]                                                           ;
MapToConvert[54][52]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[53][52]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_PERSIAN_PLATEAU",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[52][52]=["TERRAIN_DESERT",-1,"CONTINENT_PERSIAN_PLATEAU",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                              ;
MapToConvert[51][52]=["TERRAIN_DESERT",-1,"CONTINENT_PERSIAN_PLATEAU",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                              ;
MapToConvert[50][52]=["TERRAIN_PLAINS",-1,"CONTINENT_PERSIAN_PLATEAU",[[0,-1],[0,-1],[0,-1]],["RESOURCE_COTTON",1],[0,0,0],-1]                                               ;
MapToConvert[49][52]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_PERSIAN_PLATEAU",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                          ;
MapToConvert[48][52]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_PERSIAN_PLATEAU",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                     ;
MapToConvert[47][52]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_PERSIAN_PLATEAU",[[0,-1],[0,-1],[0,-1]],["RESOURCE_MARBLE",1],[0,0,0],-1]                                         ;
MapToConvert[46][52]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_PERSIAN_PLATEAU",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                          ;
MapToConvert[45][52]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_PERSIAN_PLATEAU",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[44][52]=["TERRAIN_DESERT_HILLS",-1,"CONTINENT_PERSIAN_PLATEAU",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[43][52]=["TERRAIN_DESERT",-1,"CONTINENT_PERSIAN_PLATEAU",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                              ;
MapToConvert[42][52]=["TERRAIN_DESERT","FEATURE_FLOODPLAINS","CONTINENT_PERSIAN_PLATEAU",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                           ;
MapToConvert[41][52]=["TERRAIN_DESERT","FEATURE_FLOODPLAINS","CONTINENT_ANATOLIA",[[0,-1],[1,3],[1,4]],[-1,0],[0,0,0],-1]                                                    ;
MapToConvert[40][52]=["TERRAIN_DESERT","FEATURE_FLOODPLAINS","CONTINENT_ANATOLIA",[[1,2],[0,-1],[0,-1]],["RESOURCE_OIL",1],[0,0,0],-1]                                       ;
MapToConvert[39][52]=["TERRAIN_DESERT","FEATURE_FLOODPLAINS","CONTINENT_ANATOLIA",[[0,-1],[1,3],[0,-1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[38][52]=["TERRAIN_GRASS",-1,"CONTINENT_ANATOLIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SHEEP",1],[0,0,0],-1]                                                        ;
MapToConvert[37][52]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_ANATOLIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_CITRUS",1],[0,0,0],-1]                                  ;
MapToConvert[36][52]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_ANATOLIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                       ;
MapToConvert[35][52]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[34][52]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_FISH",1],[0,0,0],-1]                                                                           ;
MapToConvert[33][52]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[32][52]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[31][52]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[30][52]=["TERRAIN_PLAINS",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,1],-1]                                                                       ;
MapToConvert[29][52]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],["RESOURCE_MARBLE",1],[0,0,0],-1]                                                   ;
MapToConvert[28][52]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[27][52]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[26][52]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[25][52]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[24][52]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[23][52]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[22][52]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[21][52]=["TERRAIN_PLAINS",-1,"CONTINENT_ITALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[20][52]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_ITALIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_WINE",1],[0,0,0],-1]                                            ;
MapToConvert[19][52]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,1,0],-1]                                                                                        ;
MapToConvert[18][52]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_SAHARA",[[0,-1],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[17][52]=["TERRAIN_PLAINS",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_IVORY",1],[0,0,0],-1]                                                         ;
MapToConvert[16][52]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_WINE",1],[0,0,0],-1]                                            ;
MapToConvert[15][52]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[14][52]=["TERRAIN_PLAINS",-1,"CONTINENT_SAHARA",[[1,5],[0,-1],[0,-1]],["RESOURCE_WHEAT",1],[0,0,0],-1]                                                          ;
MapToConvert[13][52]=["TERRAIN_PLAINS",-1,"CONTINENT_SAHARA",[[1,5],[0,-1],[1,4]],["RESOURCE_CITRUS",1],[0,0,0],-1]                                                          ;
MapToConvert[12][52]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,1,0],-1]                                                                                        ;
MapToConvert[11][52]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                                        ;
MapToConvert[10][52]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[9][52]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[8][52]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[7][52]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_IBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,1],-1]                                                                   ;
MapToConvert[6][52]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[5][52]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_FISH",1],[0,0,0],-1]                                                                            ;
MapToConvert[4][52]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[3][52]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[2][52]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[1][52]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[0][52]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[179][53]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[178][53]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[177][53]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[176][53]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[175][53]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[174][53]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[173][53]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[172][53]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[171][53]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[170][53]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[169][53]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[168][53]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[167][53]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[166][53]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[165][53]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[164][53]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[163][53]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[162][53]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[161][53]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[160][53]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[159][53]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[158][53]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[157][53]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[156][53]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[155][53]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[154][53]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[153][53]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[152][53]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[151][53]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_DYES",1],[0,0,0],-1]                                    ;
MapToConvert[150][53]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[149][53]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[148][53]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_FISH",1],[0,0,0],-1]                                                                          ;
MapToConvert[147][53]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[146][53]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[145][53]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[144][53]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[143][53]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[142][53]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[141][53]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[140][53]=["TERRAIN_PLAINS",-1,"CONTINENT_MESO_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,1],-1]                                                                ;
MapToConvert[139][53]=["TERRAIN_PLAINS",-1,"CONTINENT_MESO_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_WHEAT",1],[0,0,0],-1]                                                  ;
MapToConvert[138][53]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_MESO_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_IRON",1],[0,0,0],-1]                                             ;
MapToConvert[137][53]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_MESO_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                       ;
MapToConvert[136][53]=["TERRAIN_DESERT_HILLS",-1,"CONTINENT_MESO_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[135][53]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_MESO_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                            ;
MapToConvert[134][53]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[133][53]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                                       ;
MapToConvert[132][53]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                         ;
MapToConvert[131][53]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[130][53]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[129][53]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[128][53]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[127][53]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[126][53]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[125][53]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[124][53]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[123][53]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[122][53]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[121][53]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[120][53]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[119][53]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[118][53]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[117][53]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[116][53]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[115][53]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[114][53]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_BANANAS",1],[0,1,0],-1]                                 ;
MapToConvert[113][53]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[112][53]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[111][53]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[110][53]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[109][53]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[108][53]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[107][53]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[106][53]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[105][53]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[104][53]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[103][53]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[102][53]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[101][53]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[100][53]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[99][53]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[98][53]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[97][53]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[96][53]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[95][53]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[94][53]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[93][53]=["TERRAIN_PLAINS",-1,"CONTINENT_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                    ;
MapToConvert[92][53]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[91][53]=["TERRAIN_PLAINS",-1,"CONTINENT_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,1],-1]                                                                    ;
MapToConvert[90][53]=["TERRAIN_GRASS","FEATURE_JUNGLE","CONTINENT_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_WHEAT",1],[0,0,0],-1]                                         ;
MapToConvert[89][53]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[88][53]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[87][53]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[86][53]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[85][53]=["TERRAIN_GRASS_HILLS","FEATURE_FOREST","CONTINENT_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_IRON",1],[0,0,0],-1]                                    ;
MapToConvert[84][53]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[83][53]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[82][53]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                       ;
MapToConvert[81][53]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_EAST_ASIA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[80][53]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[79][53]=["TERRAIN_GRASS",-1,"CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_TRUFFLES",1],[0,0,0],-1]                                              ;
MapToConvert[78][53]=["TERRAIN_GRASS",-1,"CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[77][53]=["TERRAIN_GRASS_HILLS","FEATURE_FOREST","CONTINENT_SOUTH_EAST_ASIA",[[1,2],[1,0],[1,1]],["RESOURCE_COAL",1],[0,0,0],-1]                                 ;
MapToConvert[76][53]=["TERRAIN_GRASS_HILLS","FEATURE_FOREST","CONTINENT_SOUTH_EAST_ASIA",[[1,2],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                             ;
MapToConvert[75][53]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[1,3],[0,-1]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[74][53]=["TERRAIN_GRASS",-1,"CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_WHEAT",1],[0,0,0],-1]                                                 ;
MapToConvert[73][53]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_SOUTH_EAST_ASIA",[[1,2],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[72][53]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_SOUTH_EAST_ASIA",[[1,2],[1,3],[0,-1]],[-1,0],[0,0,0],-1]                                                       ;
MapToConvert[71][53]=["TERRAIN_TUNDRA_HILLS",-1,"CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[1,3],[0,-1]],["RESOURCE_COPPER",1],[0,0,0],-1]                                          ;
MapToConvert[70][53]=["TERRAIN_SNOW_MOUNTAIN",-1,"CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[1,3],[1,4]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[69][53]=["TERRAIN_SNOW_MOUNTAIN",-1,"CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                       ;
MapToConvert[68][53]=["TERRAIN_SNOW_MOUNTAIN",-1,"CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[67][53]=["TERRAIN_SNOW_MOUNTAIN",-1,"CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[66][53]=["TERRAIN_SNOW_MOUNTAIN",-1,"CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[65][53]=["TERRAIN_TUNDRA_HILLS",-1,"CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_IRON",1],[0,0,0],-1]                                                     ;
MapToConvert[64][53]=["TERRAIN_TUNDRA",-1,"CONTINENT_INDIA",[[0,-1],[0,-1],[1,4]],[-1,0],[0,0,0],-1]                                                                         ;
MapToConvert[63][53]=["TERRAIN_TUNDRA_HILLS","FEATURE_FOREST","CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_STONE",1],[0,0,0],-1]                                      ;
MapToConvert[62][53]=["TERRAIN_GRASS_HILLS","FEATURE_FOREST","CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                     ;
MapToConvert[61][53]=["TERRAIN_GRASS",-1,"CONTINENT_INDIA",[[0,-1],[1,3],[1,4]],["RESOURCE_CATTLE",1],[0,0,0],-1]                                                            ;
MapToConvert[60][53]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_INDIA",[[0,-1],[1,3],[1,4]],[-1,0],[0,0,0],-1]                                                             ;
MapToConvert[59][53]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[58][53]=["TERRAIN_PLAINS",-1,"CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_COTTON",1],[0,0,0],-1]                                                         ;
MapToConvert[57][53]=["TERRAIN_PLAINS",-1,"CONTINENT_INDIA",[[1,5],[1,3],[1,4]],[-1,0],[0,0,0],-1]                                                                           ;
MapToConvert[56][53]=["TERRAIN_PLAINS",-1,"CONTINENT_INDIA",[[0,-1],[0,-1],[1,4]],[-1,0],[0,0,0],-1]                                                                         ;
MapToConvert[55][53]=["TERRAIN_PLAINS",-1,"CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_WHEAT",1],[0,0,0],-1]                                                          ;
MapToConvert[54][53]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                  ;
MapToConvert[53][53]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_PERSIAN_PLATEAU",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                     ;
MapToConvert[52][53]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_PERSIAN_PLATEAU",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[51][53]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_PERSIAN_PLATEAU",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[50][53]=["TERRAIN_PLAINS",-1,"CONTINENT_PERSIAN_PLATEAU",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SHEEP",1],[0,0,0],-1]                                                ;
MapToConvert[49][53]=["TERRAIN_DESERT",-1,"CONTINENT_PERSIAN_PLATEAU",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                              ;
MapToConvert[48][53]=["TERRAIN_DESERT","FEATURE_OASIS","CONTINENT_PERSIAN_PLATEAU",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[47][53]=["TERRAIN_DESERT_HILLS",-1,"CONTINENT_PERSIAN_PLATEAU",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[46][53]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_PERSIAN_PLATEAU",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                     ;
MapToConvert[45][53]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_PERSIAN_PLATEAU",[[0,-1],[0,-1],[0,-1]],["RESOURCE_IRON",1],[0,0,0],-1]                             ;
MapToConvert[44][53]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_PERSIAN_PLATEAU",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[43][53]=["TERRAIN_PLAINS",-1,"CONTINENT_PERSIAN_PLATEAU",[[0,-1],[0,-1],[0,-1]],["RESOURCE_HORSES",1],[0,0,0],-1]                                               ;
MapToConvert[42][53]=["TERRAIN_PLAINS",-1,"CONTINENT_PERSIAN_PLATEAU",[[0,-1],[0,-1],[0,-1]],["RESOURCE_OIL",1],[0,0,0],-1]                                                  ;
MapToConvert[41][53]=["TERRAIN_PLAINS",-1,"CONTINENT_ANATOLIA",[[0,-1],[1,3],[1,4]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[40][53]=["TERRAIN_PLAINS",-1,"CONTINENT_ANATOLIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                     ;
MapToConvert[39][53]=["TERRAIN_DESERT","FEATURE_FLOODPLAINS","CONTINENT_ANATOLIA",[[1,2],[0,-1],[0,-1]],["RESOURCE_WINE",1],[0,0,0],-1]                                      ;
MapToConvert[38][53]=["TERRAIN_PLAINS",-1,"CONTINENT_ANATOLIA",[[0,-1],[1,3],[0,-1]],["RESOURCE_WHEAT",1],[0,0,0],-1]                                                        ;
MapToConvert[37][53]=["TERRAIN_GRASS_HILLS","FEATURE_FOREST","CONTINENT_ANATOLIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[36][53]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_ANATOLIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[35][53]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[34][53]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_ANATOLIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                        ;
MapToConvert[33][53]=["TERRAIN_PLAINS",-1,"CONTINENT_ANATOLIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_WINE",1],[0,0,0],-1]                                                        ;
MapToConvert[32][53]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[31][53]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[30][53]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[29][53]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[28][53]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[27][53]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[26][53]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[25][53]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[24][53]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[23][53]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[22][53]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_ITALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[21][53]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                        ;
MapToConvert[20][53]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_ITALIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_MARBLE",1],[0,1,0],-1]                                          ;
MapToConvert[19][53]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_FISH",1],[0,0,0],-1]                                                                           ;
MapToConvert[18][53]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[17][53]=["TERRAIN_PLAINS",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[16][53]=["TERRAIN_PLAINS",-1,"CONTINENT_SAHARA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[15][53]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[14][53]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[13][53]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[12][53]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                                        ;
MapToConvert[11][53]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_FISH",1],[0,0,0],-1]                                                                           ;
MapToConvert[10][53]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[9][53]=["TERRAIN_GRASS",-1,"CONTINENT_IBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                         ;
MapToConvert[8][53]=["TERRAIN_PLAINS",-1,"CONTINENT_IBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                        ;
MapToConvert[7][53]=["TERRAIN_PLAINS",-1,"CONTINENT_IBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                        ;
MapToConvert[6][53]=["TERRAIN_PLAINS",-1,"CONTINENT_IBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                        ;
MapToConvert[5][53]=["TERRAIN_PLAINS",-1,"CONTINENT_IBERIA",[[0,-1],[1,3],[0,-1]],[-1,0],[0,0,0],-1]                                                                         ;
MapToConvert[4][53]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_IBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                          ;
MapToConvert[3][53]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[2][53]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[1][53]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[0][53]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[179][54]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[178][54]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[177][54]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[176][54]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[175][54]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[174][54]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[173][54]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[172][54]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[171][54]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[170][54]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[169][54]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[168][54]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[167][54]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[166][54]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[165][54]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[164][54]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[163][54]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[162][54]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[161][54]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[160][54]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[159][54]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[158][54]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[157][54]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[156][54]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[155][54]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[154][54]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[153][54]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[152][54]=["TERRAIN_GRASS","FEATURE_MARSH","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[151][54]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_NORTH_AMERICA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[150][54]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[149][54]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[148][54]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[147][54]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[146][54]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[145][54]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[144][54]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[143][54]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[142][54]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[141][54]=["TERRAIN_PLAINS",-1,"CONTINENT_NORTH_AMERICA",[[1,2],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[140][54]=["TERRAIN_PLAINS",-1,"CONTINENT_MESO_AMERICA",[[0,-1],[1,3],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[139][54]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_MESO_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[138][54]=["TERRAIN_DESERT_MOUNTAIN",-1,"CONTINENT_MESO_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                       ;
MapToConvert[137][54]=["TERRAIN_DESERT_HILLS",-1,"CONTINENT_MESO_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_COAL",1],[0,0,0],-1]                                             ;
MapToConvert[136][54]=["TERRAIN_DESERT_HILLS",-1,"CONTINENT_MESO_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[135][54]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_MESO_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                  ;
MapToConvert[134][54]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                       ;
MapToConvert[133][54]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[132][54]=["TERRAIN_DESERT",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_WHEAT",1],[0,0,0],-1]                                                 ;
MapToConvert[131][54]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                       ;
MapToConvert[130][54]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[129][54]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[128][54]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[127][54]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[126][54]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[125][54]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[124][54]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[123][54]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[122][54]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[121][54]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[120][54]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[119][54]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[118][54]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[117][54]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[116][54]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[115][54]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                                       ;
MapToConvert[114][54]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[113][54]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[112][54]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[111][54]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[110][54]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,1,1],-1]                                                          ;
MapToConvert[109][54]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                       ;
MapToConvert[108][54]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[107][54]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[106][54]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[105][54]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[104][54]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[103][54]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[102][54]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[101][54]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[100][54]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[99][54]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[98][54]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[97][54]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[96][54]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[95][54]=["TERRAIN_GRASS","FEATURE_JUNGLE","CONTINENT_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                       ;
MapToConvert[94][54]=["TERRAIN_GRASS_HILLS","FEATURE_FOREST","CONTINENT_EAST_ASIA",[[1,2],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[93][54]=["TERRAIN_PLAINS",-1,"CONTINENT_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_COTTON",1],[0,0,0],-1]                                                     ;
MapToConvert[92][54]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[91][54]=["TERRAIN_PLAINS","FEATURE_JUNGLE","CONTINENT_EAST_ASIA",[[1,5],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                       ;
MapToConvert[90][54]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_EAST_ASIA",[[0,-1],[0,-1],[1,4]],["RESOURCE_DYES",1],[0,0,0],-1]                                           ;
MapToConvert[89][54]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                        ;
MapToConvert[88][54]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[87][54]=["TERRAIN_GRASS",-1,"CONTINENT_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                     ;
MapToConvert[86][54]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[85][54]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                       ;
MapToConvert[84][54]=["TERRAIN_GRASS",-1,"CONTINENT_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_COTTON",1],[0,0,0],-1]                                                      ;
MapToConvert[83][54]=["TERRAIN_GRASS",-1,"CONTINENT_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                     ;
MapToConvert[82][54]=["TERRAIN_GRASS",-1,"CONTINENT_EAST_ASIA",[[0,-1],[1,0],[1,1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[81][54]=["TERRAIN_GRASS",-1,"CONTINENT_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SHEEP",1],[1,0,0],-1]                                                       ;
MapToConvert[80][54]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                       ;
MapToConvert[79][54]=["TERRAIN_GRASS",-1,"CONTINENT_EAST_ASIA",[[1,2],[1,0],[1,1]],[-1,0],[0,0,0],-1]                                                                        ;
MapToConvert[78][54]=["TERRAIN_GRASS_MOUNTAIN",-1,"CONTINENT_SOUTH_EAST_ASIA",[[1,2],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[77][54]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[1,3],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[76][54]=["TERRAIN_GRASS",-1,"CONTINENT_SOUTH_EAST_ASIA",[[1,2],[0,-1],[0,-1]],["RESOURCE_CATTLE",1],[0,0,0],-1]                                                 ;
MapToConvert[75][54]=["TERRAIN_GRASS",-1,"CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[1,3],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[74][54]=["TERRAIN_GRASS",-1,"CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SILK",1],[0,0,0],-1]                                                  ;
MapToConvert[73][54]=["TERRAIN_GRASS_HILLS","FEATURE_FOREST","CONTINENT_SOUTH_EAST_ASIA",[[1,2],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                            ;
MapToConvert[72][54]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_SOUTH_EAST_ASIA",[[1,2],[1,3],[0,-1]],[-1,0],[0,0,0],-1]                                                       ;
MapToConvert[71][54]=["TERRAIN_TUNDRA_HILLS",-1,"CONTINENT_SOUTH_EAST_ASIA",[[1,2],[1,3],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[70][54]=["TERRAIN_TUNDRA",-1,"CONTINENT_SOUTH_EAST_ASIA",[[1,2],[0,-1],[1,1]],["RESOURCE_MARBLE",1],[0,0,0],-1]                                                 ;
MapToConvert[69][54]=["TERRAIN_TUNDRA",-1,"CONTINENT_INDIA",[[1,2],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                                          ;
MapToConvert[68][54]=["TERRAIN_SNOW",-1,"CONTINENT_INDIA",[[1,2],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[67][54]=["TERRAIN_SNOW",-1,"CONTINENT_INDIA",[[1,2],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[66][54]=["TERRAIN_SNOW_HILLS",-1,"CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[65][54]=["TERRAIN_TUNDRA",-1,"CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                        ;
MapToConvert[64][54]=["TERRAIN_TUNDRA",-1,"CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                        ;
MapToConvert[63][54]=["TERRAIN_SNOW_MOUNTAIN",-1,"CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[62][54]=["TERRAIN_GRASS_HILLS","FEATURE_FOREST","CONTINENT_INDIA",[[1,2],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                      ;
MapToConvert[61][54]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_INDIA",[[1,2],[1,3],[0,-1]],[-1,0],[0,0,0],-1]                                                             ;
MapToConvert[60][54]=["TERRAIN_GRASS",-1,"CONTINENT_INDIA",[[0,-1],[1,3],[0,-1]],[-1,0],[0,0,0],-1]                                                                          ;
MapToConvert[59][54]=["TERRAIN_GRASS",-1,"CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                         ;
MapToConvert[58][54]=["TERRAIN_PLAINS",-1,"CONTINENT_INDIA",[[0,-1],[1,3],[1,4]],[-1,0],[0,0,0],-1]                                                                          ;
MapToConvert[57][54]=["TERRAIN_PLAINS",-1,"CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SHEEP",1],[0,0,0],-1]                                                          ;
MapToConvert[56][54]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[55][54]=["TERRAIN_TUNDRA_HILLS",-1,"CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                  ;
MapToConvert[54][54]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_PERSIAN_PLATEAU",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                     ;
MapToConvert[53][54]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_PERSIAN_PLATEAU",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[52][54]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_PERSIAN_PLATEAU",[[0,-1],[0,-1],[0,-1]],["RESOURCE_ALUMINUM",1],[0,0,0],-1]                                       ;
MapToConvert[51][54]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_PERSIAN_PLATEAU",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[50][54]=["TERRAIN_DESERT",-1,"CONTINENT_PERSIAN_PLATEAU",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SALT",1],[0,0,0],-1]                                                 ;
MapToConvert[49][54]=["TERRAIN_DESERT",-1,"CONTINENT_PERSIAN_PLATEAU",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                              ;
MapToConvert[48][54]=["TERRAIN_DESERT",-1,"CONTINENT_PERSIAN_PLATEAU",[[0,-1],[0,-1],[0,-1]],["RESOURCE_IVORY",1],[0,0,0],-1]                                                ;
MapToConvert[47][54]=["TERRAIN_DESERT",-1,"CONTINENT_PERSIAN_PLATEAU",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                              ;
MapToConvert[46][54]=["TERRAIN_PLAINS",-1,"CONTINENT_PERSIAN_PLATEAU",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SHEEP",1],[0,0,0],-1]                                                ;
MapToConvert[45][54]=["TERRAIN_PLAINS",-1,"CONTINENT_PERSIAN_PLATEAU",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                              ;
MapToConvert[44][54]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_PERSIAN_PLATEAU",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                     ;
MapToConvert[43][54]=["TERRAIN_PLAINS",-1,"CONTINENT_PERSIAN_PLATEAU",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                              ;
MapToConvert[42][54]=["TERRAIN_PLAINS",-1,"CONTINENT_ANATOLIA",[[0,-1],[1,3],[1,4]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[41][54]=["TERRAIN_PLAINS",-1,"CONTINENT_ANATOLIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SHEEP",1],[0,0,0],-1]                                                       ;
MapToConvert[40][54]=["TERRAIN_PLAINS",-1,"CONTINENT_ANATOLIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                     ;
MapToConvert[39][54]=["TERRAIN_PLAINS",-1,"CONTINENT_ANATOLIA",[[1,2],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                      ;
MapToConvert[38][54]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_ANATOLIA",[[0,-1],[1,3],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[37][54]=["TERRAIN_GRASS",-1,"CONTINENT_ANATOLIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SHEEP",1],[0,0,0],-1]                                                        ;
MapToConvert[36][54]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[35][54]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[34][54]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[33][54]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[32][54]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[31][54]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[30][54]=["TERRAIN_PLAINS",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[29][54]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[28][54]=["TERRAIN_PLAINS",-1,"CONTINENT_BALKANIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_WINE",1],[0,0,0],-1]                                                        ;
MapToConvert[27][54]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_BALKANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                               ;
MapToConvert[26][54]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[25][54]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_FISH",1],[0,0,0],-1]                                                                           ;
MapToConvert[24][54]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[23][54]=["TERRAIN_PLAINS",-1,"CONTINENT_ITALIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_MARBLE",1],[0,0,1],-1]                                                        ;
MapToConvert[22][54]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[21][54]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[20][54]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[19][54]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[18][54]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[17][54]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                                        ;
MapToConvert[16][54]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                                        ;
MapToConvert[15][54]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[14][54]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[13][54]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[12][54]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[11][54]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[10][54]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_IBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                  ;
MapToConvert[9][54]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_IBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                    ;
MapToConvert[8][54]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_IBERIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_COTTON",1],[0,0,0],-1]                                                   ;
MapToConvert[7][54]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_IBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                  ;
MapToConvert[6][54]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_IBERIA",[[0,-1],[1,3],[1,4]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[5][54]=["TERRAIN_PLAINS",-1,"CONTINENT_IBERIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_COTTON",1],[0,0,0],-1]                                                         ;
MapToConvert[4][54]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_IBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                          ;
MapToConvert[3][54]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[2][54]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[1][54]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[0][54]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[179][55]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[178][55]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[177][55]=["TERRAIN_GRASS",-1,"CONTINENT_IBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[176][55]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[175][55]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[174][55]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[173][55]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[172][55]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[171][55]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[170][55]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[169][55]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[168][55]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[167][55]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[166][55]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[165][55]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[164][55]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[163][55]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[162][55]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[161][55]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[160][55]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[159][55]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[158][55]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[157][55]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[156][55]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[155][55]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[154][55]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[153][55]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[152][55]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[151][55]=["TERRAIN_GRASS","FEATURE_MARSH","CONTINENT_NORTH_AMERICA",[[1,5],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                    ;
MapToConvert[150][55]=["TERRAIN_GRASS","FEATURE_MARSH","CONTINENT_NORTH_AMERICA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                                    ;
MapToConvert[149][55]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[148][55]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[147][55]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_OIL",1],[0,0,0],-1]                                                                           ;
MapToConvert[146][55]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[145][55]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_PEARLS",1],[0,0,0],-1]                                                                        ;
MapToConvert[144][55]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[143][55]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[142][55]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_FISH",1],[0,0,0],-1]                                                                          ;
MapToConvert[141][55]=["TERRAIN_PLAINS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_WHEAT",1],[0,0,0],-1]                                                 ;
MapToConvert[140][55]=["TERRAIN_PLAINS",-1,"CONTINENT_NORTH_AMERICA",[[1,2],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[139][55]=["TERRAIN_PLAINS",-1,"CONTINENT_NORTH_AMERICA",[[1,2],[1,3],[1,1]],[-1,0],[0,0,0],-1]                                                                  ;
MapToConvert[138][55]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_MESO_AMERICA",[[0,-1],[1,3],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[137][55]=["TERRAIN_DESERT_MOUNTAIN",-1,"CONTINENT_MESO_AMERICA",[[0,-1],[1,0],[1,1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[136][55]=["TERRAIN_DESERT_HILLS",-1,"CONTINENT_MESO_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[135][55]=["TERRAIN_DESERT_HILLS",-1,"CONTINENT_MESO_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[134][55]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_MESO_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                            ;
MapToConvert[133][55]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[132][55]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[131][55]=["TERRAIN_DESERT_HILLS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                         ;
MapToConvert[130][55]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[129][55]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[128][55]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[127][55]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[126][55]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[125][55]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[124][55]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[123][55]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[122][55]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[121][55]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[120][55]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[119][55]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[118][55]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[117][55]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[116][55]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[115][55]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[114][55]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[113][55]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[112][55]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[111][55]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[110][55]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                                       ;
MapToConvert[109][55]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                                       ;
MapToConvert[108][55]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[107][55]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[106][55]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[105][55]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[104][55]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[103][55]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[102][55]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[101][55]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[100][55]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[99][55]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[98][55]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[97][55]=["TERRAIN_PLAINS",-1,"CONTINENT_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                    ;
MapToConvert[96][55]=["TERRAIN_PLAINS",-1,"CONTINENT_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                    ;
MapToConvert[95][55]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_FISH",1],[0,0,0],-1]                                                                           ;
MapToConvert[94][55]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                       ;
MapToConvert[93][55]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,1],-1]                                                                                        ;
MapToConvert[92][55]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[91][55]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                                        ;
MapToConvert[90][55]=["TERRAIN_GRASS",-1,"CONTINENT_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                     ;
MapToConvert[89][55]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                                        ;
MapToConvert[88][55]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[87][55]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_FISH",1],[0,0,0],-1]                                                                           ;
MapToConvert[86][55]=["TERRAIN_GRASS",-1,"CONTINENT_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                     ;
MapToConvert[85][55]=["TERRAIN_GRASS",-1,"CONTINENT_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                     ;
MapToConvert[84][55]=["TERRAIN_GRASS_HILLS","FEATURE_FOREST","CONTINENT_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[83][55]=["TERRAIN_GRASS",-1,"CONTINENT_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SILK",1],[0,0,0],-1]                                                        ;
MapToConvert[82][55]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_EAST_ASIA",[[1,2],[1,0],[1,1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[81][55]=["TERRAIN_GRASS",-1,"CONTINENT_EAST_ASIA",[[1,2],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[80][55]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_EAST_ASIA",[[1,2],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[79][55]=["TERRAIN_GRASS",-1,"CONTINENT_EAST_ASIA",[[0,-1],[1,3],[1,1]],["RESOURCE_SILK",1],[0,0,0],-1]                                                          ;
MapToConvert[78][55]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[77][55]=["TERRAIN_GRASS_HILLS","FEATURE_FOREST","CONTINENT_SOUTH_EAST_ASIA",[[1,2],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                            ;
MapToConvert[76][55]=["TERRAIN_GRASS_HILLS","FEATURE_FOREST","CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[1,3],[0,-1]],[-1,0],[0,0,0],-1]                                            ;
MapToConvert[75][55]=["TERRAIN_GRASS_HILLS","FEATURE_FOREST","CONTINENT_SOUTH_EAST_ASIA",[[1,2],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                            ;
MapToConvert[74][55]=["TERRAIN_GRASS",-1,"CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[1,3],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[73][55]=["TERRAIN_GRASS",-1,"CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[72][55]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_SOUTH_EAST_ASIA",[[1,2],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[71][55]=["TERRAIN_SNOW_MOUNTAIN",-1,"CONTINENT_SOUTH_EAST_ASIA",[[1,2],[1,3],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[70][55]=["TERRAIN_SNOW_MOUNTAIN",-1,"CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                       ;
MapToConvert[69][55]=["TERRAIN_SNOW_MOUNTAIN",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[68][55]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                        ;
MapToConvert[67][55]=["TERRAIN_SNOW_HILLS",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_MARBLE",1],[0,0,0],-1]                                              ;
MapToConvert[66][55]=["TERRAIN_SNOW_MOUNTAIN",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[65][55]=["TERRAIN_SNOW",-1,"CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                          ;
MapToConvert[64][55]=["TERRAIN_SNOW",-1,"CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                          ;
MapToConvert[63][55]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[62][55]=["TERRAIN_TUNDRA_HILLS",-1,"CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_ALUMINUM",1],[0,0,0],-1]                                                 ;
MapToConvert[61][55]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[60][55]=["TERRAIN_GRASS_HILLS","FEATURE_FOREST","CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                     ;
MapToConvert[59][55]=["TERRAIN_GRASS_HILLS","FEATURE_FOREST","CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                     ;
MapToConvert[58][55]=["TERRAIN_GRASS",-1,"CONTINENT_INDIA",[[0,-1],[1,3],[1,4]],["RESOURCE_WHEAT",1],[0,0,0],-1]                                                             ;
MapToConvert[57][55]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[56][55]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[55][55]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[54][55]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[53][55]=["TERRAIN_TUNDRA_HILLS","FEATURE_FOREST","CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                             ;
MapToConvert[52][55]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[51][55]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[50][55]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_PERSIAN_PLATEAU",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                     ;
MapToConvert[49][55]=["TERRAIN_PLAINS",-1,"CONTINENT_PERSIAN_PLATEAU",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SALT",1],[0,0,0],-1]                                                 ;
MapToConvert[48][55]=["TERRAIN_DESERT",-1,"CONTINENT_PERSIAN_PLATEAU",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                              ;
MapToConvert[47][55]=["TERRAIN_DESERT",-1,"CONTINENT_PERSIAN_PLATEAU",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                              ;
MapToConvert[46][55]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_PERSIAN_PLATEAU",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                          ;
MapToConvert[45][55]=["TERRAIN_PLAINS",-1,"CONTINENT_PERSIAN_PLATEAU",[[0,-1],[0,-1],[0,-1]],["RESOURCE_WHEAT",1],[0,0,0],-1]                                                ;
MapToConvert[44][55]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_PERSIAN_PLATEAU",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                     ;
MapToConvert[43][55]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_ANATOLIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[42][55]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_ANATOLIA",[[1,2],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[41][55]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_ANATOLIA",[[0,-1],[1,3],[0,-1]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[40][55]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_ANATOLIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[39][55]=["TERRAIN_PLAINS",-1,"CONTINENT_ANATOLIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                     ;
MapToConvert[38][55]=["TERRAIN_GRASS",-1,"CONTINENT_ANATOLIA",[[0,-1],[1,3],[1,4]],["RESOURCE_HORSES",1],[0,0,0],-1]                                                         ;
MapToConvert[37][55]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_ANATOLIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                       ;
MapToConvert[36][55]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_ANATOLIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                ;
MapToConvert[35][55]=["TERRAIN_PLAINS",-1,"CONTINENT_ANATOLIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_COTTON",1],[0,0,0],-1]                                                      ;
MapToConvert[34][55]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_ANATOLIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[33][55]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_ANATOLIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                 ;
MapToConvert[32][55]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_ANATOLIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                 ;
MapToConvert[31][55]=["TERRAIN_GRASS",-1,"CONTINENT_ANATOLIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SHEEP",1],[0,0,0],-1]                                                        ;
MapToConvert[30][55]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[29][55]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[28][55]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_FISH",1],[0,0,0],-1]                                                                           ;
MapToConvert[27][55]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_BALKANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[26][55]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_BALKANIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_CITRUS",1],[0,0,0],-1]                                                ;
MapToConvert[25][55]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[24][55]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_ITALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                         ;
MapToConvert[23][55]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[22][55]=["TERRAIN_PLAINS",-1,"CONTINENT_ITALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[21][55]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[20][55]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[19][55]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[18][55]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[17][55]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[16][55]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[15][55]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[14][55]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[13][55]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[12][55]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[11][55]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[10][55]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_IBERIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_COPPER",1],[0,1,0],-1]                                                  ;
MapToConvert[9][55]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_IBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                  ;
MapToConvert[8][55]=["TERRAIN_PLAINS",-1,"CONTINENT_IBERIA",[[1,5],[0,-1],[1,4]],[-1,0],[0,0,0],-1]                                                                          ;
MapToConvert[7][55]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_IBERIA",[[1,5],[0,-1],[1,4]],[-1,0],[0,0,0],-1]                                                      ;
MapToConvert[6][55]=["TERRAIN_PLAINS",-1,"CONTINENT_IBERIA",[[0,-1],[0,-1],[1,4]],[-1,0],[0,0,0],-1]                                                                         ;
MapToConvert[5][55]=["TERRAIN_PLAINS",-1,"CONTINENT_IBERIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_CITRUS",1],[0,0,0],-1]                                                         ;
MapToConvert[4][55]=["TERRAIN_PLAINS",-1,"CONTINENT_IBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                        ;
MapToConvert[3][55]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_FISH",1],[0,0,0],-1]                                                                            ;
MapToConvert[2][55]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[1][55]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[0][55]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[179][56]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[178][56]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                                       ;
MapToConvert[177][56]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_WHALES",1],[0,0,1],-1]                                                                        ;
MapToConvert[176][56]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[175][56]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[174][56]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[173][56]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[172][56]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[171][56]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[170][56]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[169][56]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[168][56]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[167][56]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[166][56]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[165][56]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[164][56]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[163][56]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[162][56]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[161][56]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[160][56]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[159][56]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[158][56]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[157][56]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[156][56]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[155][56]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[154][56]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[153][56]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[152][56]=["TERRAIN_GRASS",-1,"CONTINENT_NORTH_AMERICA",[[1,2],[0,-1],[0,-1]],[-1,0],[0,1,1],-1]                                                                 ;
MapToConvert[151][56]=["TERRAIN_GRASS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[1,1]],["RESOURCE_COTTON",1],[0,0,0],-1]                                                  ;
MapToConvert[150][56]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[149][56]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[148][56]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[147][56]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[146][56]=["TERRAIN_GRASS","FEATURE_MARSH","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[145][56]=["TERRAIN_GRASS","FEATURE_MARSH","CONTINENT_NORTH_AMERICA",[[0,-1],[1,3],[0,-1]],[-1,0],[0,0,0],-1]                                                    ;
MapToConvert[144][56]=["TERRAIN_GRASS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_OIL",1],[1,0,0],-1]                                                    ;
MapToConvert[143][56]=["TERRAIN_GRASS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                ;
MapToConvert[142][56]=["TERRAIN_PLAINS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[141][56]=["TERRAIN_PLAINS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_CATTLE",1],[0,0,0],-1]                                                ;
MapToConvert[140][56]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[1,3],[1,4]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[139][56]=["TERRAIN_PLAINS",-1,"CONTINENT_NORTH_AMERICA",[[1,2],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[138][56]=["TERRAIN_DESERT",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[1,3],[1,1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[137][56]=["TERRAIN_DESERT",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_OIL",1],[0,0,0],-1]                                                   ;
MapToConvert[136][56]=["TERRAIN_DESERT",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[135][56]=["TERRAIN_PLAINS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_WHEAT",1],[0,0,0],-1]                                                 ;
MapToConvert[134][56]=["TERRAIN_PLAINS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_COTTON",1],[0,0,0],-1]                                                ;
MapToConvert[133][56]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                       ;
MapToConvert[132][56]=["TERRAIN_PLAINS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_WINE",1],[0,0,0],-1]                                                  ;
MapToConvert[131][56]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[130][56]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[129][56]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[128][56]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[127][56]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[126][56]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[125][56]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[124][56]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[123][56]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[122][56]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[121][56]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[120][56]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[119][56]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[118][56]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[117][56]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[116][56]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[115][56]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[114][56]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[113][56]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[112][56]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[111][56]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[110][56]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[109][56]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[108][56]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[107][56]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[106][56]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[105][56]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[104][56]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[103][56]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[102][56]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[101][56]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[100][56]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[99][56]=["TERRAIN_PLAINS",-1,"CONTINENT_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[98][56]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_EAST_ASIA",[[0,-1],[1,3],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[97][56]=["TERRAIN_PLAINS",-1,"CONTINENT_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SILK",1],[0,0,0],-1]                                                       ;
MapToConvert[96][56]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[95][56]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[94][56]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[93][56]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[92][56]=["TERRAIN_PLAINS",-1,"CONTINENT_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_WHEAT",1],[0,1,0],-1]                                                      ;
MapToConvert[91][56]=["TERRAIN_PLAINS_HILLS","FEATURE_JUNGLE","CONTINENT_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_STONE",1],[0,0,0],-1]                                  ;
MapToConvert[90][56]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[89][56]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[88][56]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[87][56]=["TERRAIN_GRASS",-1,"CONTINENT_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                     ;
MapToConvert[86][56]=["TERRAIN_GRASS",-1,"CONTINENT_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_COTTON",1],[0,0,0],-1]                                                      ;
MapToConvert[85][56]=["TERRAIN_GRASS",-1,"CONTINENT_EAST_ASIA",[[1,2],[1,0],[1,1]],["RESOURCE_WHEAT",1],[0,0,0],-1]                                                          ;
MapToConvert[84][56]=["TERRAIN_GRASS",-1,"CONTINENT_EAST_ASIA",[[1,2],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[83][56]=["TERRAIN_GRASS_HILLS","FEATURE_FOREST","CONTINENT_EAST_ASIA",[[0,-1],[1,3],[1,1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[82][56]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[81][56]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_COAL",1],[0,0,0],-1]                                                  ;
MapToConvert[80][56]=["TERRAIN_GRASS",-1,"CONTINENT_EAST_ASIA",[[1,2],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                      ;
MapToConvert[79][56]=["TERRAIN_GRASS_MOUNTAIN",-1,"CONTINENT_EAST_ASIA",[[0,-1],[1,3],[0,-1]],[-1,0],[0,0,0],-1]                                                             ;
MapToConvert[78][56]=["TERRAIN_GRASS_MOUNTAIN",-1,"CONTINENT_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                            ;
MapToConvert[77][56]=["TERRAIN_GRASS_HILLS","FEATURE_FOREST","CONTINENT_SOUTH_EAST_ASIA",[[1,2],[0,-1],[0,-1]],["RESOURCE_ALUMINUM",1],[0,0,0],-1]                           ;
MapToConvert[76][56]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[1,3],[0,-1]],[-1,0],[0,0,0],-1]                                           ;
MapToConvert[75][56]=["TERRAIN_GRASS_HILLS","FEATURE_FOREST","CONTINENT_SOUTH_EAST_ASIA",[[1,2],[0,-1],[0,-1]],["RESOURCE_SILK",1],[0,0,0],-1]                               ;
MapToConvert[74][56]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_SOUTH_EAST_ASIA",[[1,2],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                       ;
MapToConvert[73][56]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_SOUTH_EAST_ASIA",[[1,2],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                       ;
MapToConvert[72][56]=["TERRAIN_TUNDRA_HILLS",-1,"CONTINENT_CENTRAL_ASIA",[[1,2],[1,3],[0,-1]],["RESOURCE_NITER",1],[0,0,0],-1]                                               ;
MapToConvert[71][56]=["TERRAIN_TUNDRA_HILLS",-1,"CONTINENT_CENTRAL_ASIA",[[1,2],[0,-1],[1,1]],["RESOURCE_MARBLE",1],[0,0,0],-1]                                              ;
MapToConvert[70][56]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[69][56]=["TERRAIN_SNOW_MOUNTAIN",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[68][56]=["TERRAIN_SNOW",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[67][56]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[66][56]=["TERRAIN_SNOW_MOUNTAIN",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[65][56]=["TERRAIN_SNOW_MOUNTAIN",-1,"CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[64][56]=["TERRAIN_SNOW_MOUNTAIN",-1,"CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[63][56]=["TERRAIN_TUNDRA_HILLS","FEATURE_FOREST","CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                    ;
MapToConvert[62][56]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[61][56]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[60][56]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[59][56]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_INDIA",[[0,-1],[1,3],[1,4]],[-1,0],[0,0,0],-1]                                                                     ;
MapToConvert[58][56]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[57][56]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[56][56]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[55][56]=["TERRAIN_TUNDRA_HILLS","FEATURE_FOREST","CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                             ;
MapToConvert[54][56]=["TERRAIN_TUNDRA_HILLS",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_IRON",1],[0,0,0],-1]                                              ;
MapToConvert[53][56]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[52][56]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_URANIUM",1],[0,0,0],-1]                                           ;
MapToConvert[51][56]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[50][56]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_PERSIAN_PLATEAU",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                     ;
MapToConvert[49][56]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_PERSIAN_PLATEAU",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                     ;
MapToConvert[48][56]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_PERSIAN_PLATEAU",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                          ;
MapToConvert[47][56]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_PERSIAN_PLATEAU",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                     ;
MapToConvert[46][56]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_PERSIAN_PLATEAU",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                     ;
MapToConvert[45][56]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_PERSIAN_PLATEAU",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                          ;
MapToConvert[44][56]=["TERRAIN_PLAINS",-1,"CONTINENT_ANATOLIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_WHEAT",1],[0,0,0],-1]                                                       ;
MapToConvert[43][56]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_ANATOLIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[42][56]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_ANATOLIA",[[1,2],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                             ;
MapToConvert[41][56]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_ANATOLIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_DIAMONDS",1],[0,0,0],-1]                                ;
MapToConvert[40][56]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_ANATOLIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[39][56]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_ANATOLIA",[[1,2],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[38][56]=["TERRAIN_PLAINS",-1,"CONTINENT_ANATOLIA",[[0,-1],[1,3],[0,-1]],["RESOURCE_WINE",1],[0,0,0],-1]                                                         ;
MapToConvert[37][56]=["TERRAIN_GRASS_MOUNTAIN",-1,"CONTINENT_ANATOLIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                             ;
MapToConvert[36][56]=["TERRAIN_GRASS_MOUNTAIN",-1,"CONTINENT_ANATOLIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                             ;
MapToConvert[35][56]=["TERRAIN_PLAINS",-1,"CONTINENT_ANATOLIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                     ;
MapToConvert[34][56]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_ANATOLIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_MARBLE",1],[0,0,0],-1]                                                ;
MapToConvert[33][56]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_ANATOLIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                       ;
MapToConvert[32][56]=["TERRAIN_PLAINS",-1,"CONTINENT_ANATOLIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_CITRUS",1],[0,0,0],-1]                                                      ;
MapToConvert[31][56]=["TERRAIN_PLAINS",-1,"CONTINENT_ANATOLIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                     ;
MapToConvert[30][56]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[29][56]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_FISH",1],[0,0,0],-1]                                                                           ;
MapToConvert[28][56]=["TERRAIN_GRASS",-1,"CONTINENT_BALKANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                      ;
MapToConvert[27][56]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_BALKANIA",[[1,5],[0,-1],[1,4]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[26][56]=["TERRAIN_PLAINS",-1,"CONTINENT_BALKANIA",[[0,-1],[0,-1],[1,4]],["RESOURCE_WINE",1],[0,0,0],-1]                                                         ;
MapToConvert[25][56]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[24][56]=["TERRAIN_PLAINS",-1,"CONTINENT_ITALIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_CITRUS",1],[0,0,0],-1]                                                        ;
MapToConvert[23][56]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_ITALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[22][56]=["TERRAIN_PLAINS",-1,"CONTINENT_ITALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[21][56]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[20][56]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[19][56]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[18][56]=["TERRAIN_PLAINS",-1,"CONTINENT_ITALIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_WINE",1],[0,0,0],-1]                                                          ;
MapToConvert[17][56]=["TERRAIN_PLAINS",-1,"CONTINENT_ITALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,1],-1]                                                                       ;
MapToConvert[16][56]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[15][56]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[14][56]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[13][56]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_IBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[12][56]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[11][56]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[10][56]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_IBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[9][56]=["TERRAIN_PLAINS",-1,"CONTINENT_IBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                        ;
MapToConvert[8][56]=["TERRAIN_PLAINS",-1,"CONTINENT_IBERIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_CITRUS",1],[0,0,0],-1]                                                         ;
MapToConvert[7][56]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_IBERIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_NITER",1],[0,0,0],-1]                                                    ;
MapToConvert[6][56]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_IBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                    ;
MapToConvert[5][56]=["TERRAIN_GRASS",-1,"CONTINENT_IBERIA",[[1,5],[1,3],[1,4]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[4][56]=["TERRAIN_GRASS",-1,"CONTINENT_IBERIA",[[0,-1],[0,-1],[1,4]],["RESOURCE_WHEAT",1],[0,0,0],-1]                                                            ;
MapToConvert[3][56]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[2][56]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[1][56]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[0][56]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[179][57]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[178][57]=["TERRAIN_GRASS",-1,"CONTINENT_IBERIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_HORSES",1],[0,0,0],-1]                                                        ;
MapToConvert[177][57]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[176][57]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[175][57]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[174][57]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[173][57]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[172][57]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[171][57]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[170][57]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[169][57]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[168][57]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[167][57]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[166][57]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[165][57]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[164][57]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[163][57]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[162][57]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[161][57]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[160][57]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[159][57]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[158][57]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[157][57]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[156][57]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[155][57]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[154][57]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[153][57]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_FISH",1],[0,0,0],-1]                                                                          ;
MapToConvert[152][57]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[151][57]=["TERRAIN_GRASS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[150][57]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[149][57]=["TERRAIN_GRASS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[148][57]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[1,3],[0,-1]],[-1,0],[1,0,1],-1]                                                   ;
MapToConvert[147][57]=["TERRAIN_GRASS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[146][57]=["TERRAIN_GRASS","FEATURE_MARSH","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[145][57]=["TERRAIN_GRASS","FEATURE_MARSH","CONTINENT_NORTH_AMERICA",[[0,-1],[1,3],[1,4]],[-1,0],[0,0,0],-1]                                                     ;
MapToConvert[144][57]=["TERRAIN_GRASS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[143][57]=["TERRAIN_GRASS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[142][57]=["TERRAIN_PLAINS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_FURS",1],[0,0,0],-1]                                                  ;
MapToConvert[141][57]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[140][57]=["TERRAIN_PLAINS",-1,"CONTINENT_NORTH_AMERICA",[[1,2],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[139][57]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[138][57]=["TERRAIN_DESERT_HILLS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[1,3],[1,4]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[137][57]=["TERRAIN_DESERT",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[136][57]=["TERRAIN_DESERT",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[135][57]=["TERRAIN_DESERT",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[134][57]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                           ;
MapToConvert[133][57]=["TERRAIN_DESERT",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                               ;
MapToConvert[132][57]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[131][57]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                         ;
MapToConvert[130][57]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                       ;
MapToConvert[129][57]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[128][57]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[127][57]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[126][57]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[125][57]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[124][57]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[123][57]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[122][57]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[121][57]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[120][57]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[119][57]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[118][57]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[117][57]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[116][57]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[115][57]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[114][57]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[113][57]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[112][57]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[111][57]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[110][57]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[109][57]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[108][57]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[107][57]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[106][57]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[105][57]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[104][57]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[103][57]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[102][57]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[101][57]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[100][57]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[99][57]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[98][57]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_EAST_ASIA",[[1,2],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[97][57]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_EAST_ASIA",[[0,-1],[1,3],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[96][57]=["TERRAIN_GRASS_HILLS","FEATURE_FOREST","CONTINENT_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[95][57]=["TERRAIN_GRASS",-1,"CONTINENT_EAST_ASIA",[[0,-1],[1,3],[0,-1]],["RESOURCE_COTTON",1],[0,0,0],-1]                                                       ;
MapToConvert[94][57]=["TERRAIN_GRASS",-1,"CONTINENT_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                     ;
MapToConvert[93][57]=["TERRAIN_GRASS",-1,"CONTINENT_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                     ;
MapToConvert[92][57]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_EAST_ASIA",[[1,2],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[91][57]=["TERRAIN_GRASS_HILLS","FEATURE_FOREST","CONTINENT_EAST_ASIA",[[0,-1],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[90][57]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                                        ;
MapToConvert[89][57]=["TERRAIN_GRASS",-1,"CONTINENT_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_DYES",1],[0,0,0],-1]                                                        ;
MapToConvert[88][57]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[87][57]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[86][57]=["TERRAIN_GRASS",-1,"CONTINENT_EAST_ASIA",[[1,2],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[85][57]=["TERRAIN_GRASS",-1,"CONTINENT_EAST_ASIA",[[0,-1],[0,-1],[1,1]],["RESOURCE_SILK",1],[0,0,0],-1]                                                         ;
MapToConvert[84][57]=["TERRAIN_GRASS",-1,"CONTINENT_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                     ;
MapToConvert[83][57]=["TERRAIN_GRASS",-1,"CONTINENT_EAST_ASIA",[[1,2],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                      ;
MapToConvert[82][57]=["TERRAIN_GRASS",-1,"CONTINENT_EAST_ASIA",[[1,2],[0,-1],[1,1]],["RESOURCE_TRUFFLES",1],[0,0,0],-1]                                                      ;
MapToConvert[81][57]=["TERRAIN_GRASS",-1,"CONTINENT_EAST_ASIA",[[0,-1],[1,3],[0,-1]],[-1,0],[0,0,0],-1]                                                                      ;
MapToConvert[80][57]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[79][57]=["TERRAIN_GRASS",-1,"CONTINENT_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_HORSES",1],[0,0,0],-1]                                                      ;
MapToConvert[78][57]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[77][57]=["TERRAIN_GRASS_MOUNTAIN",-1,"CONTINENT_SOUTH_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                      ;
MapToConvert[76][57]=["TERRAIN_GRASS_MOUNTAIN",-1,"CONTINENT_CENTRAL_ASIA",[[1,2],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[75][57]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_CENTRAL_ASIA",[[1,2],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                             ;
MapToConvert[74][57]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[73][57]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_IRON",1],[0,0,0],-1]                                ;
MapToConvert[72][57]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_CENTRAL_ASIA",[[1,2],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                              ;
MapToConvert[71][57]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_CENTRAL_ASIA",[[1,2],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[70][57]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_CENTRAL_ASIA",[[1,2],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[69][57]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                    ;
MapToConvert[68][57]=["TERRAIN_TUNDRA",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[67][57]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                        ;
MapToConvert[66][57]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[65][57]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[64][57]=["TERRAIN_TUNDRA",-1,"CONTINENT_CENTRAL_ASIA",[[1,5],[0,-1],[0,-1]],["RESOURCE_URANIUM",1],[0,0,0],-1]                                                  ;
MapToConvert[63][57]=["TERRAIN_TUNDRA",-1,"CONTINENT_CENTRAL_ASIA",[[1,5],[0,-1],[1,4]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[62][57]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_CENTRAL_ASIA",[[1,5],[0,-1],[1,4]],[-1,0],[0,0,0],-1]                                                     ;
MapToConvert[61][57]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_CENTRAL_ASIA",[[1,5],[0,-1],[1,4]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[60][57]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_CENTRAL_ASIA",[[1,5],[0,-1],[1,4]],[-1,0],[0,0,0],-1]                                                     ;
MapToConvert[59][57]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_INDIA",[[0,-1],[0,-1],[1,4]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[58][57]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[57][57]=["TERRAIN_TUNDRA_HILLS",-1,"CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_ALUMINUM",1],[0,0,0],-1]                                                 ;
MapToConvert[56][57]=["TERRAIN_TUNDRA_HILLS","FEATURE_FOREST","CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                             ;
MapToConvert[55][57]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[54][57]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[53][57]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[52][57]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[51][57]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[50][57]=["TERRAIN_DESERT","FEATURE_OASIS","CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                    ;
MapToConvert[49][57]=["TERRAIN_DESERT_HILLS",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[48][57]=["TERRAIN_DESERT_HILLS",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[47][57]=["TERRAIN_DESERT",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[46][57]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                                        ;
MapToConvert[45][57]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                                        ;
MapToConvert[44][57]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_CAUCASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[43][57]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_CAUCASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                            ;
MapToConvert[42][57]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_ANATOLIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[41][57]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_ANATOLIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_COAL",1],[0,0,0],-1]                                    ;
MapToConvert[40][57]=["TERRAIN_PLAINS",-1,"CONTINENT_ANATOLIA",[[1,5],[0,-1],[1,4]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[39][57]=["TERRAIN_PLAINS",-1,"CONTINENT_ANATOLIA",[[1,5],[0,-1],[1,4]],["RESOURCE_SHEEP",1],[0,0,0],-1]                                                         ;
MapToConvert[38][57]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_ANATOLIA",[[0,-1],[0,-1],[1,4]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[37][57]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_ANATOLIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_MARBLE",1],[0,0,0],-1]                                                ;
MapToConvert[36][57]=["TERRAIN_PLAINS",-1,"CONTINENT_ANATOLIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                     ;
MapToConvert[35][57]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_ANATOLIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[34][57]=["TERRAIN_GRASS",-1,"CONTINENT_ANATOLIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_HORSES",1],[0,0,0],-1]                                                       ;
MapToConvert[33][57]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_ANATOLIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_IRON",1],[0,0,0],-1]                                                  ;
MapToConvert[32][57]=["TERRAIN_PLAINS",-1,"CONTINENT_ANATOLIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_WHEAT",1],[0,0,0],-1]                                                       ;
MapToConvert[31][57]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_ANATOLIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[30][57]=["TERRAIN_PLAINS",-1,"CONTINENT_ANATOLIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                     ;
MapToConvert[29][57]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                        ;
MapToConvert[28][57]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[27][57]=["TERRAIN_GRASS",-1,"CONTINENT_BALKANIA",[[1,2],[0,-1],[1,1]],["RESOURCE_CATTLE",1],[0,0,0],-1]                                                         ;
MapToConvert[26][57]=["TERRAIN_GRASS_HILLS","FEATURE_FOREST","CONTINENT_BALKANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[25][57]=["TERRAIN_PLAINS",-1,"CONTINENT_BALKANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                     ;
MapToConvert[24][57]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[23][57]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[22][57]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_ITALIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_DEER",1],[0,0,0],-1]                                      ;
MapToConvert[21][57]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_ITALIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_IRON",1],[1,0,0],-1]                                      ;
MapToConvert[20][57]=["TERRAIN_GRASS",-1,"CONTINENT_ITALIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_WHEAT",1],[0,0,0],-1]                                                          ;
MapToConvert[19][57]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_FISH",1],[0,0,0],-1]                                                                           ;
MapToConvert[18][57]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[17][57]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_ITALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[16][57]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[15][57]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[14][57]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[13][57]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[12][57]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[11][57]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[10][57]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_IBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[9][57]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_IBERIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_IRON",1],[0,0,0],-1]                                                     ;
MapToConvert[8][57]=["TERRAIN_GRASS",-1,"CONTINENT_IBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                         ;
MapToConvert[7][57]=["TERRAIN_GRASS",-1,"CONTINENT_IBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                         ;
MapToConvert[6][57]=["TERRAIN_GRASS",-1,"CONTINENT_IBERIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_WHEAT",1],[0,0,0],-1]                                                           ;
MapToConvert[5][57]=["TERRAIN_GRASS_HILLS","FEATURE_FOREST","CONTINENT_IBERIA",[[0,-1],[1,3],[1,4]],[-1,0],[0,0,0],-1]                                                       ;
MapToConvert[4][57]=["TERRAIN_GRASS",-1,"CONTINENT_IBERIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_WINE",1],[0,0,0],-1]                                                            ;
MapToConvert[3][57]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                         ;
MapToConvert[2][57]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[1][57]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[0][57]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[179][58]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[178][58]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[177][58]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[176][58]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[175][58]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[174][58]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[173][58]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[172][58]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[171][58]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[170][58]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[169][58]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[168][58]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[167][58]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[166][58]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[165][58]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[164][58]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[163][58]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[162][58]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[161][58]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[160][58]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[159][58]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[158][58]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[157][58]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[156][58]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[155][58]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[154][58]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[153][58]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[152][58]=["TERRAIN_GRASS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_WHEAT",1],[0,0,0],-1]                                                  ;
MapToConvert[151][58]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[150][58]=["TERRAIN_GRASS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[149][58]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[1,3],[1,4]],["RESOURCE_COTTON",1],[0,0,0],-1]                                     ;
MapToConvert[148][58]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[147][58]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[146][58]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[1,2],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[145][58]=["TERRAIN_GRASS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[1,3],[0,-1]],["RESOURCE_COTTON",1],[0,0,0],-1]                                                  ;
MapToConvert[144][58]=["TERRAIN_GRASS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[143][58]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[142][58]=["TERRAIN_PLAINS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[141][58]=["TERRAIN_PLAINS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_COTTON",1],[0,0,0],-1]                                                ;
MapToConvert[140][58]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[139][58]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[1,3],[1,4]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[138][58]=["TERRAIN_DESERT_MOUNTAIN",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                      ;
MapToConvert[137][58]=["TERRAIN_DESERT",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[136][58]=["TERRAIN_DESERT",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[135][58]=["TERRAIN_DESERT_MOUNTAIN",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                      ;
MapToConvert[134][58]=["TERRAIN_DESERT_HILLS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[133][58]=["TERRAIN_PLAINS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[132][58]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[1,3],[0,-1]],[-1,0],[0,0,0],-1]                                            ;
MapToConvert[131][58]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[130][58]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[129][58]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[128][58]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[127][58]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[126][58]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[125][58]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[124][58]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[123][58]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[122][58]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[121][58]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[120][58]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[119][58]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[118][58]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[117][58]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[116][58]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[115][58]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[114][58]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[113][58]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[112][58]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[111][58]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[110][58]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[109][58]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[108][58]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[107][58]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[106][58]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[105][58]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[104][58]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[103][58]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[102][58]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[101][58]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_WHALES",1],[0,0,0],-1]                                                                        ;
MapToConvert[100][58]=["TERRAIN_PLAINS",-1,"CONTINENT_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,1],-1]                                                                   ;
MapToConvert[99][58]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[98][58]=["TERRAIN_GRASS",-1,"CONTINENT_EAST_ASIA",[[1,2],[0,-1],[0,-1]],["RESOURCE_WHEAT",1],[0,0,0],-1]                                                        ;
MapToConvert[97][58]=["TERRAIN_GRASS",-1,"CONTINENT_EAST_ASIA",[[0,-1],[1,3],[0,-1]],[-1,0],[0,0,0],-1]                                                                      ;
MapToConvert[96][58]=["TERRAIN_PLAINS",-1,"CONTINENT_EAST_ASIA",[[1,2],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                     ;
MapToConvert[95][58]=["TERRAIN_GRASS",-1,"CONTINENT_EAST_ASIA",[[0,-1],[1,3],[0,-1]],["RESOURCE_CATTLE",1],[0,0,0],-1]                                                       ;
MapToConvert[94][58]=["TERRAIN_GRASS_HILLS","FEATURE_FOREST","CONTINENT_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[93][58]=["TERRAIN_GRASS_HILLS","FEATURE_FOREST","CONTINENT_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_ALUMINUM",1],[0,0,0],-1]                                ;
MapToConvert[92][58]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                        ;
MapToConvert[91][58]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[90][58]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[89][58]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[88][58]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[87][58]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[86][58]=["TERRAIN_GRASS",-1,"CONTINENT_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                     ;
MapToConvert[85][58]=["TERRAIN_GRASS",-1,"CONTINENT_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                     ;
MapToConvert[84][58]=["TERRAIN_GRASS",-1,"CONTINENT_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SHEEP",1],[0,0,0],-1]                                                       ;
MapToConvert[83][58]=["TERRAIN_GRASS",-1,"CONTINENT_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                     ;
MapToConvert[82][58]=["TERRAIN_GRASS",-1,"CONTINENT_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                     ;
MapToConvert[81][58]=["TERRAIN_GRASS",-1,"CONTINENT_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SILK",1],[0,0,0],-1]                                                        ;
MapToConvert[80][58]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_COPPER",1],[0,0,0],-1]                                                ;
MapToConvert[79][58]=["TERRAIN_GRASS_HILLS","FEATURE_FOREST","CONTINENT_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SILK",1],[0,0,0],-1]                                    ;
MapToConvert[78][58]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                       ;
MapToConvert[77][58]=["TERRAIN_GRASS",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SHEEP",1],[0,0,0],-1]                                                    ;
MapToConvert[76][58]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[75][58]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_DEER",1],[0,0,0],-1]                                      ;
MapToConvert[74][58]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                             ;
MapToConvert[73][58]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[72][58]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[71][58]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[70][58]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[69][58]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[68][58]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_DEER",1],[0,0,0],-1]                                      ;
MapToConvert[67][58]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[66][58]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[65][58]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[64][58]=["TERRAIN_TUNDRA_HILLS",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[63][58]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[62][58]=["TERRAIN_TUNDRA_HILLS","FEATURE_FOREST","CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                             ;
MapToConvert[61][58]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[60][58]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[59][58]=["TERRAIN_TUNDRA_HILLS","FEATURE_FOREST","CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                    ;
MapToConvert[58][58]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_INDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[57][58]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[56][58]=["TERRAIN_TUNDRA_HILLS",-1,"CONTINENT_KAZAKHSTANIA",[[1,5],[0,-1],[1,4]],["RESOURCE_STONE",1],[0,0,0],-1]                                               ;
MapToConvert[55][58]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                                            ;
MapToConvert[54][58]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[53][58]=["TERRAIN_PLAINS",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SHEEP",1],[0,0,0],-1]                                                   ;
MapToConvert[52][58]=["TERRAIN_PLAINS",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[51][58]=["TERRAIN_DESERT_HILLS",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[50][58]=["TERRAIN_DESERT",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[49][58]=["TERRAIN_DESERT",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[48][58]=["TERRAIN_DESERT_HILLS",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[47][58]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_OIL",1],[0,0,0],-1]                                                                            ;
MapToConvert[46][58]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[45][58]=["TERRAIN_PLAINS",-1,"CONTINENT_CAUCASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SHEEP",1],[0,1,1],-1]                                                       ;
MapToConvert[44][58]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_CAUCASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[43][58]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_CAUCASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_WINE",1],[0,0,0],-1]                                    ;
MapToConvert[42][58]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_CAUCASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                            ;
MapToConvert[41][58]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_ANATOLIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[40][58]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_ANATOLIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_STONE",1],[0,0,0],-1]                                                 ;
MapToConvert[39][58]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_ANATOLIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[38][58]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_ANATOLIA",[[1,5],[0,-1],[1,4]],["RESOURCE_COAL",1],[0,0,0],-1]                                                     ;
MapToConvert[37][58]=["TERRAIN_PLAINS",-1,"CONTINENT_ANATOLIA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                                                      ;
MapToConvert[36][58]=["TERRAIN_PLAINS",-1,"CONTINENT_ANATOLIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_WHEAT",1],[0,0,0],-1]                                                       ;
MapToConvert[35][58]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_ANATOLIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[34][58]=["TERRAIN_PLAINS",-1,"CONTINENT_ANATOLIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_CITRUS",1],[0,0,0],-1]                                                      ;
MapToConvert[33][58]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_ANATOLIA",[[0,-1],[1,0],[1,1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[32][58]=["TERRAIN_GRASS",-1,"CONTINENT_ANATOLIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_CATTLE",1],[0,0,0],-1]                                                       ;
MapToConvert[31][58]=["TERRAIN_GRASS",-1,"CONTINENT_ANATOLIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                      ;
MapToConvert[30][58]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[29][58]=["TERRAIN_GRASS",-1,"CONTINENT_BALKANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                      ;
MapToConvert[28][58]=["TERRAIN_PLAINS",-1,"CONTINENT_BALKANIA",[[0,-1],[1,3],[0,-1]],["RESOURCE_WHEAT",1],[0,0,0],-1]                                                        ;
MapToConvert[27][58]=["TERRAIN_PLAINS",-1,"CONTINENT_BALKANIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_HORSES",1],[0,0,0],-1]                                                      ;
MapToConvert[26][58]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_BALKANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[25][58]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                                        ;
MapToConvert[24][58]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[23][58]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                                        ;
MapToConvert[22][58]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_ITALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[21][58]=["TERRAIN_GRASS",-1,"CONTINENT_ITALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                        ;
MapToConvert[20][58]=["TERRAIN_GRASS",-1,"CONTINENT_ITALIA",[[0,-1],[1,3],[1,4]],[-1,0],[0,0,0],-1]                                                                          ;
MapToConvert[19][58]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[18][58]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[17][58]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[16][58]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[15][58]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[14][58]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[13][58]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[12][58]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_FISH",1],[0,0,0],-1]                                                                           ;
MapToConvert[11][58]=["TERRAIN_PLAINS",-1,"CONTINENT_IBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[10][58]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_IBERIA",[[1,5],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[9][58]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_IBERIA",[[1,5],[0,-1],[1,4]],["RESOURCE_WINE",1],[0,0,0],-1]                                                ;
MapToConvert[8][58]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_IBERIA",[[1,5],[0,-1],[1,4]],[-1,0],[0,0,0],-1]                                                             ;
MapToConvert[7][58]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_IBERIA",[[1,5],[0,-1],[1,4]],["RESOURCE_DEER",1],[0,0,0],-1]                                                ;
MapToConvert[6][58]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_IBERIA",[[0,-1],[0,-1],[1,4]],[-1,0],[0,0,0],-1]                                                            ;
MapToConvert[5][58]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_IBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[4][58]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_IBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[3][58]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_OIL",1],[0,1,0],-1]                                                                             ;
MapToConvert[2][58]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[1][58]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[0][58]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[179][59]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[178][59]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[177][59]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[176][59]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[175][59]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[174][59]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[173][59]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[172][59]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[171][59]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[170][59]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[169][59]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[168][59]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[167][59]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[166][59]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[165][59]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[164][59]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[163][59]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[162][59]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[161][59]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[160][59]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[159][59]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[158][59]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[157][59]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[156][59]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[155][59]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[154][59]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[153][59]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[152][59]=["TERRAIN_GRASS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                ;
MapToConvert[151][59]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[150][59]=["TERRAIN_PLAINS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SHEEP",1],[0,0,0],-1]                                                 ;
MapToConvert[149][59]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[1,2],[1,3],[1,4]],[-1,0],[0,0,0],-1]                                              ;
MapToConvert[148][59]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[1,3],[0,-1]],["RESOURCE_MARBLE",1],[0,0,0],-1]                             ;
MapToConvert[147][59]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[146][59]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_DEER",1],[0,0,0],-1]                                     ;
MapToConvert[145][59]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[1,2],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[144][59]=["TERRAIN_GRASS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[1,3],[0,-1]],["RESOURCE_WHEAT",1],[0,0,0],-1]                                                   ;
MapToConvert[143][59]=["TERRAIN_GRASS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[142][59]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[141][59]=["TERRAIN_PLAINS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[140][59]=["TERRAIN_PLAINS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_CATTLE",1],[0,0,0],-1]                                                ;
MapToConvert[139][59]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_NORTH_AMERICA",[[1,2],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[138][59]=["TERRAIN_DESERT_HILLS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[1,3],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[137][59]=["TERRAIN_DESERT_HILLS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[136][59]=["TERRAIN_DESERT",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[135][59]=["TERRAIN_DESERT",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[134][59]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_DEER",1],[0,0,0],-1]                                    ;
MapToConvert[133][59]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[132][59]=["TERRAIN_PLAINS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[1,3],[1,4]],["RESOURCE_WHEAT",1],[0,0,0],-1]                                                   ;
MapToConvert[131][59]=["TERRAIN_PLAINS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_CITRUS",1],[0,0,0],-1]                                                ;
MapToConvert[130][59]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_FISH",1],[0,0,0],-1]                                                                          ;
MapToConvert[129][59]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[128][59]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[127][59]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[126][59]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[125][59]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[124][59]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[123][59]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[122][59]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[121][59]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[120][59]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[119][59]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[118][59]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[117][59]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[116][59]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[115][59]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[114][59]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[113][59]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[112][59]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[111][59]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[110][59]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[109][59]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[108][59]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[107][59]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[106][59]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[105][59]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[104][59]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[103][59]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[102][59]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[101][59]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[100][59]=["TERRAIN_PLAINS",-1,"CONTINENT_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[99][59]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[98][59]=["TERRAIN_PLAINS",-1,"CONTINENT_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[97][59]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_EAST_ASIA",[[1,2],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[96][59]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_EAST_ASIA",[[0,-1],[1,3],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[95][59]=["TERRAIN_GRASS_HILLS","FEATURE_FOREST","CONTINENT_EAST_ASIA",[[0,-1],[1,3],[1,4]],["RESOURCE_DIAMONDS",1],[0,0,0],-1]                                  ;
MapToConvert[94][59]=["TERRAIN_GRASS_HILLS","FEATURE_FOREST","CONTINENT_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[93][59]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,1,1],-1]                                                                                        ;
MapToConvert[92][59]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                                        ;
MapToConvert[91][59]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[90][59]=["TERRAIN_GRASS",-1,"CONTINENT_MANCHURIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_WHEAT",1],[1,0,0],-1]                                                       ;
MapToConvert[89][59]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_MANCHURIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                               ;
MapToConvert[88][59]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[87][59]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[86][59]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[85][59]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,1],-1]                                                                                        ;
MapToConvert[84][59]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                       ;
MapToConvert[83][59]=["TERRAIN_GRASS",-1,"CONTINENT_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_TRUFFLES",1],[0,0,0],-1]                                                    ;
MapToConvert[82][59]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                       ;
MapToConvert[81][59]=["TERRAIN_GRASS",-1,"CONTINENT_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SHEEP",1],[0,0,0],-1]                                                       ;
MapToConvert[80][59]=["TERRAIN_GRASS",-1,"CONTINENT_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                     ;
MapToConvert[79][59]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_STONE",1],[0,0,0],-1]                                                 ;
MapToConvert[78][59]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[77][59]=["TERRAIN_GRASS",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                  ;
MapToConvert[76][59]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_COAL",1],[0,0,0],-1]                                              ;
MapToConvert[75][59]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                             ;
MapToConvert[74][59]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_CENTRAL_ASIA",[[0,-1],[1,0],[1,1]],[-1,0],[0,0,0],-1]                                               ;
MapToConvert[73][59]=["TERRAIN_PLAINS",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_HORSES",1],[0,0,0],-1]                                                  ;
MapToConvert[72][59]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[71][59]=["TERRAIN_PLAINS",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_URANIUM",1],[0,0,0],-1]                                                 ;
MapToConvert[70][59]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[69][59]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[68][59]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_STONE",1],[0,0,0],-1]                                             ;
MapToConvert[67][59]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[66][59]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[65][59]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[64][59]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[63][59]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[62][59]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[61][59]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[60][59]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_DEER",1],[0,0,0],-1]                                      ;
MapToConvert[59][59]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[58][59]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[57][59]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[56][59]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[55][59]=["TERRAIN_TUNDRA_HILLS",-1,"CONTINENT_KAZAKHSTANIA",[[1,5],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                            ;
MapToConvert[54][59]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                                            ;
MapToConvert[53][59]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[52][59]=["TERRAIN_PLAINS",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_WHEAT",1],[0,0,0],-1]                                                   ;
MapToConvert[51][59]=["TERRAIN_DESERT",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[50][59]=["TERRAIN_DESERT",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[49][59]=["TERRAIN_DESERT",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[48][59]=["TERRAIN_DESERT",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[47][59]=["TERRAIN_DESERT",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[46][59]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[45][59]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[44][59]=["TERRAIN_PLAINS",-1,"CONTINENT_CAUCASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_WHEAT",1],[0,0,0],-1]                                                       ;
MapToConvert[43][59]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_CAUCASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_URANIUM",1],[0,0,0],-1]                                               ;
MapToConvert[42][59]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_CAUCASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                            ;
MapToConvert[41][59]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_CAUCASIA",[[1,5],[0,-1],[0,-1]],["RESOURCE_IRON",1],[0,0,0],-1]                                     ;
MapToConvert[40][59]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_CAUCASIA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                                             ;
MapToConvert[39][59]=["TERRAIN_PLAINS",-1,"CONTINENT_ANATOLIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                     ;
MapToConvert[38][59]=["TERRAIN_PLAINS",-1,"CONTINENT_ANATOLIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                     ;
MapToConvert[37][59]=["TERRAIN_GRASS_HILLS","FEATURE_FOREST","CONTINENT_ANATOLIA",[[1,5],[0,-1],[0,-1]],["RESOURCE_IRON",1],[0,0,0],-1]                                      ;
MapToConvert[36][59]=["TERRAIN_GRASS_HILLS","FEATURE_FOREST","CONTINENT_ANATOLIA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[35][59]=["TERRAIN_PLAINS",-1,"CONTINENT_ANATOLIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SILVER",1],[0,0,0],-1]                                                      ;
MapToConvert[34][59]=["TERRAIN_PLAINS",-1,"CONTINENT_ANATOLIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                     ;
MapToConvert[33][59]=["TERRAIN_GRASS_HILLS","FEATURE_FOREST","CONTINENT_ANATOLIA",[[1,5],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[32][59]=["TERRAIN_GRASS",-1,"CONTINENT_ANATOLIA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[31][59]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[30][59]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[29][59]=["TERRAIN_GRASS",-1,"CONTINENT_BALKANIA",[[1,2],[0,-1],[0,-1]],["RESOURCE_SHEEP",1],[0,1,0],-1]                                                         ;
MapToConvert[28][59]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_BALKANIA",[[1,2],[1,3],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[27][59]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_BALKANIA",[[0,-1],[1,3],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[26][59]=["TERRAIN_GRASS",-1,"CONTINENT_BALKANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                      ;
MapToConvert[25][59]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_BALKANIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_IRON",1],[0,0,0],-1]                                                  ;
MapToConvert[24][59]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[23][59]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_FISH",1],[0,0,0],-1]                                                                           ;
MapToConvert[22][59]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[21][59]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_ITALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[20][59]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_ITALIA",[[0,-1],[1,3],[1,4]],[-1,0],[0,0,0],-1]                                                     ;
MapToConvert[19][59]=["TERRAIN_GRASS",-1,"CONTINENT_ITALIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_CITRUS",1],[0,0,0],-1]                                                         ;
MapToConvert[18][59]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[17][59]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_ITALIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_OIL",1],[0,0,0],-1]                                             ;
MapToConvert[16][59]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[15][59]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_FISH",1],[0,0,0],-1]                                                                           ;
MapToConvert[14][59]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[13][59]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[12][59]=["TERRAIN_PLAINS",-1,"CONTINENT_FRANCIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                      ;
MapToConvert[11][59]=["TERRAIN_PLAINS",-1,"CONTINENT_IBERIA",[[1,2],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                        ;
MapToConvert[10][59]=["TERRAIN_GRASS",-1,"CONTINENT_IBERIA",[[1,2],[0,-1],[1,1]],["RESOURCE_HORSES",1],[0,0,0],-1]                                                           ;
MapToConvert[9][59]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_IBERIA",[[0,-1],[1,3],[0,-1]],[-1,0],[0,0,0],-1]                                                            ;
MapToConvert[8][59]=["TERRAIN_GRASS_HILLS","FEATURE_FOREST","CONTINENT_IBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                     ;
MapToConvert[7][59]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_IBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[6][59]=["TERRAIN_GRASS",-1,"CONTINENT_IBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                         ;
MapToConvert[5][59]=["TERRAIN_GRASS",-1,"CONTINENT_IBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                         ;
MapToConvert[4][59]=["TERRAIN_GRASS_HILLS","FEATURE_FOREST","CONTINENT_IBERIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_IRON",1],[0,0,0],-1]                                        ;
MapToConvert[3][59]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_IBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                           ;
MapToConvert[2][59]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[1][59]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[0][59]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[179][60]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[178][60]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[177][60]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[176][60]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[175][60]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[174][60]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[173][60]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[172][60]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[171][60]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[170][60]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[169][60]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[168][60]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[167][60]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[166][60]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[165][60]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[164][60]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[163][60]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[162][60]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[161][60]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[160][60]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[159][60]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[158][60]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[157][60]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[156][60]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[155][60]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[154][60]=["TERRAIN_GRASS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[153][60]=["TERRAIN_GRASS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[1,3],[0,-1]],[-1,0],[0,0,1],-1]                                                                 ;
MapToConvert[152][60]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[151][60]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_COPPER",1],[0,0,0],-1]                                          ;
MapToConvert[150][60]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_NORTH_AMERICA",[[1,2],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                       ;
MapToConvert[149][60]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[1,2],[1,3],[0,-1]],[-1,0],[0,0,0],-1]                                             ;
MapToConvert[148][60]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[1,3],[0,-1]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[147][60]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[146][60]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[145][60]=["TERRAIN_GRASS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[1,3],[1,4]],[-1,0],[0,0,0],-1]                                                                  ;
MapToConvert[144][60]=["TERRAIN_GRASS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[143][60]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_TRUFFLES",1],[0,0,0],-1]                                 ;
MapToConvert[142][60]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[141][60]=["TERRAIN_PLAINS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[140][60]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[139][60]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[1,3],[1,4]],["RESOURCE_NITER",1],[0,0,0],-1]                                             ;
MapToConvert[138][60]=["TERRAIN_DESERT_HILLS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[137][60]=["TERRAIN_DESERT",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[136][60]=["TERRAIN_DESERT",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[135][60]=["TERRAIN_DESERT_MOUNTAIN",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                      ;
MapToConvert[134][60]=["TERRAIN_DESERT_MOUNTAIN",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                      ;
MapToConvert[133][60]=["TERRAIN_PLAINS",-1,"CONTINENT_NORTH_AMERICA",[[1,2],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[132][60]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[1,3],[0,-1]],[-1,0],[0,0,0],-1]                                            ;
MapToConvert[131][60]=["TERRAIN_PLAINS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[130][60]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[129][60]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[128][60]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[127][60]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[126][60]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[125][60]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[124][60]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[123][60]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[122][60]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[121][60]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[120][60]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[119][60]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[118][60]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[117][60]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[116][60]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[115][60]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[114][60]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[113][60]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[112][60]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[111][60]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[110][60]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[109][60]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[108][60]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[107][60]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[106][60]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[105][60]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[104][60]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[103][60]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[102][60]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[101][60]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[100][60]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                             ;
MapToConvert[99][60]=["TERRAIN_PLAINS",-1,"CONTINENT_EAST_ASIA",[[0,-1],[1,3],[0,-1]],[-1,0],[0,0,0],-1]                                                                     ;
MapToConvert[98][60]=["TERRAIN_GRASS_MOUNTAIN",-1,"CONTINENT_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                            ;
MapToConvert[97][60]=["TERRAIN_GRASS_HILLS","FEATURE_FOREST","CONTINENT_EAST_ASIA",[[0,-1],[0,-1],[1,4]],["RESOURCE_COAL",1],[0,0,0],-1]                                     ;
MapToConvert[96][60]=["TERRAIN_GRASS_MOUNTAIN",-1,"CONTINENT_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                            ;
MapToConvert[95][60]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                        ;
MapToConvert[94][60]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_FISH",1],[0,0,1],-1]                                                                           ;
MapToConvert[93][60]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[92][60]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[91][60]=["TERRAIN_GRASS",-1,"CONTINENT_MANCHURIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SILK",1],[0,0,0],-1]                                                        ;
MapToConvert[90][60]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_MANCHURIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SHEEP",1],[0,0,0],-1]                                                 ;
MapToConvert[89][60]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[88][60]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[87][60]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[86][60]=["TERRAIN_GRASS",-1,"CONTINENT_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                     ;
MapToConvert[85][60]=["TERRAIN_GRASS",-1,"CONTINENT_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_COTTON",1],[0,0,0],-1]                                                      ;
MapToConvert[84][60]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[83][60]=["TERRAIN_GRASS",-1,"CONTINENT_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                     ;
MapToConvert[82][60]=["TERRAIN_PLAINS",-1,"CONTINENT_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[81][60]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_EAST_ASIA",[[1,2],[1,0],[1,1]],["RESOURCE_SILK",1],[0,0,0],-1]                                                    ;
MapToConvert[80][60]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_EAST_ASIA",[[1,2],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                             ;
MapToConvert[79][60]=["TERRAIN_PLAINS",-1,"CONTINENT_EAST_ASIA",[[1,2],[1,3],[1,1]],["RESOURCE_CATTLE",1],[0,0,0],-1]                                                        ;
MapToConvert[78][60]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_CENTRAL_ASIA",[[1,2],[1,3],[1,1]],[-1,0],[0,0,0],-1]                                                      ;
MapToConvert[77][60]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_CENTRAL_ASIA",[[1,2],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                             ;
MapToConvert[76][60]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                    ;
MapToConvert[75][60]=["TERRAIN_PLAINS",-1,"CONTINENT_CENTRAL_ASIA",[[1,5],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                  ;
MapToConvert[74][60]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_CENTRAL_ASIA",[[1,2],[1,0],[1,1]],[-1,0],[0,0,0],-1]                                                              ;
MapToConvert[73][60]=["TERRAIN_PLAINS",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                                  ;
MapToConvert[72][60]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                        ;
MapToConvert[71][60]=["TERRAIN_TUNDRA",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[70][60]=["TERRAIN_TUNDRA",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[69][60]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[68][60]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[67][60]=["TERRAIN_TUNDRA_HILLS",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[66][60]=["TERRAIN_TUNDRA_HILLS",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[65][60]=["TERRAIN_PLAINS",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SALT",1],[0,0,0],-1]                                                    ;
MapToConvert[64][60]=["TERRAIN_DESERT","FEATURE_OASIS","CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                    ;
MapToConvert[63][60]=["TERRAIN_PLAINS",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[62][60]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[61][60]=["TERRAIN_TUNDRA",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[60][60]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[59][60]=["TERRAIN_TUNDRA_HILLS","FEATURE_FOREST","CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                             ;
MapToConvert[58][60]=["TERRAIN_TUNDRA_HILLS",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_URANIUM",1],[0,0,0],-1]                                           ;
MapToConvert[57][60]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[56][60]=["TERRAIN_TUNDRA_HILLS",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SILVER",1],[0,0,0],-1]                                            ;
MapToConvert[55][60]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_KAZAKHSTANIA",[[1,5],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                            ;
MapToConvert[54][60]=["TERRAIN_PLAINS",-1,"CONTINENT_KAZAKHSTANIA",[[1,5],[0,-1],[1,4]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[53][60]=["TERRAIN_DESERT","FEATURE_FLOODPLAINS","CONTINENT_KAZAKHSTANIA",[[1,5],[0,-1],[1,4]],[-1,0],[0,0,0],-1]                                                ;
MapToConvert[52][60]=["TERRAIN_DESERT","FEATURE_FLOODPLAINS","CONTINENT_KAZAKHSTANIA",[[1,5],[0,-1],[1,4]],[-1,0],[0,0,0],-1]                                                ;
MapToConvert[51][60]=["TERRAIN_DESERT",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                                                  ;
MapToConvert[50][60]=["TERRAIN_DESERT",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[49][60]=["TERRAIN_DESERT",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[48][60]=["TERRAIN_DESERT",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[47][60]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                        ;
MapToConvert[46][60]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[45][60]=["TERRAIN_PLAINS",-1,"CONTINENT_CAUCASIA",[[1,2],[0,-1],[0,-1]],["RESOURCE_WHEAT",1],[0,0,0],-1]                                                        ;
MapToConvert[44][60]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_CAUCASIA",[[1,2],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                                  ;
MapToConvert[43][60]=["TERRAIN_GRASS_HILLS","FEATURE_FOREST","CONTINENT_CAUCASIA",[[1,2],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                    ;
MapToConvert[42][60]=["TERRAIN_GRASS_HILLS","FEATURE_FOREST","CONTINENT_CAUCASIA",[[1,2],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                    ;
MapToConvert[41][60]=["TERRAIN_GRASS",-1,"CONTINENT_CAUCASIA",[[0,-1],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[40][60]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[39][60]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_FISH",1],[1,0,1],-1]                                                                           ;
MapToConvert[38][60]=["TERRAIN_PLAINS",-1,"CONTINENT_ANATOLIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                     ;
MapToConvert[37][60]=["TERRAIN_PLAINS",-1,"CONTINENT_ANATOLIA",[[0,-1],[1,0],[1,1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[36][60]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_ANATOLIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[35][60]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_ANATOLIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[34][60]=["TERRAIN_GRASS",-1,"CONTINENT_ANATOLIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                      ;
MapToConvert[33][60]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_FISH",1],[0,1,0],-1]                                                                           ;
MapToConvert[32][60]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[31][60]=["TERRAIN_GRASS",-1,"CONTINENT_BALKANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                      ;
MapToConvert[30][60]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_BALKANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[29][60]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_BALKANIA",[[1,2],[0,-1],[0,-1]],["RESOURCE_COPPER",1],[0,0,0],-1]                                                  ;
MapToConvert[28][60]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_BALKANIA",[[1,2],[1,3],[0,-1]],[-1,0],[0,0,0],-1]                                                                  ;
MapToConvert[27][60]=["TERRAIN_GRASS_HILLS","FEATURE_FOREST","CONTINENT_BALKANIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SILVER",1],[0,0,0],-1]                                   ;
MapToConvert[26][60]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_BALKANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[25][60]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_BALKANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[24][60]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_BALKANIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_MARBLE",1],[0,0,0],-1]                                                 ;
MapToConvert[23][60]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[22][60]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[21][60]=["TERRAIN_PLAINS",-1,"CONTINENT_ITALIA",[[1,2],[0,-1],[0,-1]],["RESOURCE_CATTLE",1],[0,0,0],-1]                                                         ;
MapToConvert[20][60]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_ITALIA",[[0,-1],[1,3],[0,-1]],[-1,0],[0,0,0],-1]                                                    ;
MapToConvert[19][60]=["TERRAIN_GRASS",-1,"CONTINENT_ITALIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_HORSES",1],[0,0,0],-1]                                                         ;
MapToConvert[18][60]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                        ;
MapToConvert[17][60]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                                        ;
MapToConvert[16][60]=["TERRAIN_PLAINS",-1,"CONTINENT_FRANCIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_CITRUS",1],[1,0,0],-1]                                                       ;
MapToConvert[15][60]=["TERRAIN_PLAINS",-1,"CONTINENT_FRANCIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                      ;
MapToConvert[14][60]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[13][60]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                                        ;
MapToConvert[12][60]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_FRANCIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[11][60]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_FRANCIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                             ;
MapToConvert[10][60]=["TERRAIN_GRASS_MOUNTAIN",-1,"CONTINENT_FRANCIA",[[1,2],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[9][60]=["TERRAIN_GRASS_HILLS","FEATURE_FOREST","CONTINENT_IBERIA",[[1,2],[0,-1],[1,1]],["RESOURCE_ALUMINUM",1],[0,0,0],-1]                                      ;
MapToConvert[8][60]=["TERRAIN_GRASS_HILLS","FEATURE_FOREST","CONTINENT_IBERIA",[[0,-1],[0,-1],[1,1]],["RESOURCE_COAL",1],[0,0,0],-1]                                         ;
MapToConvert[7][60]=["TERRAIN_GRASS_HILLS","FEATURE_FOREST","CONTINENT_IBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                     ;
MapToConvert[6][60]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_IBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[5][60]=["TERRAIN_GRASS",-1,"CONTINENT_IBERIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_CATTLE",1],[0,0,0],-1]                                                          ;
MapToConvert[4][60]=["TERRAIN_GRASS",-1,"CONTINENT_IBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                         ;
MapToConvert[3][60]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                                         ;
MapToConvert[2][60]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[1][60]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[0][60]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[179][61]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[178][61]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[177][61]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[176][61]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[175][61]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[174][61]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[173][61]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[172][61]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[171][61]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[170][61]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[169][61]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[168][61]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[167][61]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[166][61]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[165][61]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[164][61]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[163][61]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[162][61]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[161][61]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[160][61]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[159][61]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[158][61]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[157][61]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[156][61]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[155][61]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[154][61]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[153][61]=["TERRAIN_GRASS",-1,"CONTINENT_NORTH_AMERICA",[[1,2],[0,-1],[0,-1]],["RESOURCE_FURS",1],[0,0,0],-1]                                                    ;
MapToConvert[152][61]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[151][61]=["TERRAIN_GRASS_HILLS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_COAL",1],[0,0,0],-1]                               ;
MapToConvert[150][61]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                      ;
MapToConvert[149][61]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[1,4]],[-1,0],[0,0,0],-1]                                            ;
MapToConvert[148][61]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[1,3],[1,4]],[-1,0],[0,0,0],-1]                                             ;
MapToConvert[147][61]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[146][61]=["TERRAIN_PLAINS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[145][61]=["TERRAIN_GRASS",-1,"CONTINENT_NORTH_AMERICA",[[1,2],[1,3],[1,4]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[144][61]=["TERRAIN_GRASS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[1,3],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[143][61]=["TERRAIN_GRASS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[142][61]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                           ;
MapToConvert[141][61]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[140][61]=["TERRAIN_PLAINS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[139][61]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[138][61]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[137][61]=["TERRAIN_DESERT_MOUNTAIN",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                      ;
MapToConvert[136][61]=["TERRAIN_DESERT_MOUNTAIN",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                      ;
MapToConvert[135][61]=["TERRAIN_DESERT",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[134][61]=["TERRAIN_DESERT_HILLS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[133][61]=["TERRAIN_DESERT","FEATURE_FLOODPLAINS","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                            ;
MapToConvert[132][61]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[1,3],[1,4]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[131][61]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_WINE",1],[0,0,0],-1]                              ;
MapToConvert[130][61]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                 ;
MapToConvert[129][61]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                       ;
MapToConvert[128][61]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[127][61]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[126][61]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[125][61]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[124][61]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[123][61]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[122][61]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[121][61]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[120][61]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[119][61]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[118][61]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[117][61]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[116][61]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[115][61]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[114][61]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[113][61]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[112][61]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[111][61]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[110][61]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[109][61]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[108][61]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[107][61]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[106][61]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[105][61]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[104][61]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[103][61]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[102][61]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[101][61]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[100][61]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                                       ;
MapToConvert[99][61]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_EAST_ASIA",[[1,2],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                               ;
MapToConvert[98][61]=["TERRAIN_GRASS",-1,"CONTINENT_EAST_ASIA",[[1,2],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[97][61]=["TERRAIN_GRASS_HILLS","FEATURE_FOREST","CONTINENT_EAST_ASIA",[[0,-1],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[96][61]=["TERRAIN_GRASS_MOUNTAIN",-1,"CONTINENT_EAST_ASIA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                                             ;
MapToConvert[95][61]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,1],-1]                                                                                        ;
MapToConvert[94][61]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[93][61]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[92][61]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[91][61]=["TERRAIN_GRASS_HILLS","FEATURE_FOREST","CONTINENT_MANCHURIA",[[1,2],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[90][61]=["TERRAIN_GRASS_HILLS","FEATURE_FOREST","CONTINENT_MANCHURIA",[[0,-1],[1,3],[0,-1]],["RESOURCE_IRON",1],[0,0,0],-1]                                     ;
MapToConvert[89][61]=["TERRAIN_GRASS",-1,"CONTINENT_MANCHURIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                     ;
MapToConvert[88][61]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_FISH",1],[0,0,0],-1]                                                                           ;
MapToConvert[87][61]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[86][61]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                               ;
MapToConvert[85][61]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[84][61]=["TERRAIN_GRASS",-1,"CONTINENT_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                     ;
MapToConvert[83][61]=["TERRAIN_GRASS",-1,"CONTINENT_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                     ;
MapToConvert[82][61]=["TERRAIN_GRASS",-1,"CONTINENT_EAST_ASIA",[[1,2],[1,0],[1,1]],["RESOURCE_WHEAT",1],[0,0,0],-1]                                                          ;
MapToConvert[81][61]=["TERRAIN_PLAINS",-1,"CONTINENT_EAST_ASIA",[[0,-1],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                                     ;
MapToConvert[80][61]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_STONE",1],[0,0,0],-1]                                                ;
MapToConvert[79][61]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_EAST_ASIA",[[1,2],[1,3],[1,4]],[-1,0],[0,0,0],-1]                                                              ;
MapToConvert[78][61]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_CENTRAL_ASIA",[[1,2],[1,3],[0,-1]],[-1,0],[0,0,0],-1]                                                     ;
MapToConvert[77][61]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[76][61]=["TERRAIN_PLAINS",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_COTTON",1],[0,0,0],-1]                                                  ;
MapToConvert[75][61]=["TERRAIN_PLAINS",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[74][61]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[1,0],[1,1]],[-1,0],[0,0,0],-1]                                                             ;
MapToConvert[73][61]=["TERRAIN_DESERT",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SALT",1],[0,0,0],-1]                                                    ;
MapToConvert[72][61]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_DIAMONDS",1],[0,0,0],-1]                                          ;
MapToConvert[71][61]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[70][61]=["TERRAIN_TUNDRA_HILLS",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SILVER",1],[0,0,0],-1]                                            ;
MapToConvert[69][61]=["TERRAIN_TUNDRA_HILLS",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[68][61]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[67][61]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[66][61]=["TERRAIN_PLAINS",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[65][61]=["TERRAIN_PLAINS",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_WHEAT",1],[0,0,0],-1]                                                   ;
MapToConvert[64][61]=["TERRAIN_DESERT",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[63][61]=["TERRAIN_DESERT",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[62][61]=["TERRAIN_DESERT_HILLS",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_NITER",1],[0,0,0],-1]                                             ;
MapToConvert[61][61]=["TERRAIN_TUNDRA_HILLS",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                                            ;
MapToConvert[60][61]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[59][61]=["TERRAIN_TUNDRA_HILLS","FEATURE_FOREST","CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                             ;
MapToConvert[58][61]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_KAZAKHSTANIA",[[1,5],[0,-1],[1,4]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[57][61]=["TERRAIN_PLAINS",-1,"CONTINENT_KAZAKHSTANIA",[[1,5],[0,-1],[1,4]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[56][61]=["TERRAIN_TUNDRA_HILLS",-1,"CONTINENT_KAZAKHSTANIA",[[1,5],[0,-1],[1,4]],[-1,0],[0,0,0],-1]                                                             ;
MapToConvert[55][61]=["TERRAIN_PLAINS",-1,"CONTINENT_KAZAKHSTANIA",[[1,5],[0,-1],[1,4]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[54][61]=["TERRAIN_PLAINS",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[1,0],[0,-1]],["RESOURCE_SALT",1],[0,0,0],-1]                                                     ;
MapToConvert[53][61]=["TERRAIN_DESERT",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[52][61]=["TERRAIN_DESERT",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[51][61]=["TERRAIN_DESERT","FEATURE_FLOODPLAINS","CONTINENT_KAZAKHSTANIA",[[1,5],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                               ;
MapToConvert[50][61]=["TERRAIN_DESERT","FEATURE_FLOODPLAINS","CONTINENT_KAZAKHSTANIA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                               ;
MapToConvert[49][61]=["TERRAIN_DESERT",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SALT",1],[0,0,0],-1]                                                    ;
MapToConvert[48][61]=["TERRAIN_DESERT",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[47][61]=["TERRAIN_DESERT",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[46][61]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[45][61]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                                        ;
MapToConvert[44][61]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_CAUCASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                               ;
MapToConvert[43][61]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_CAUCASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                            ;
MapToConvert[42][61]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_CAUCASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                            ;
MapToConvert[41][61]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_CAUCASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_COAL",1],[0,0,0],-1]                                                  ;
MapToConvert[40][61]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                                        ;
MapToConvert[39][61]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[38][61]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[37][61]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[36][61]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                                        ;
MapToConvert[35][61]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_OIL",1],[0,0,1],-1]                                                                            ;
MapToConvert[34][61]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[33][61]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                                        ;
MapToConvert[32][61]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[31][61]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[30][61]=["TERRAIN_GRASS",-1,"CONTINENT_BALKANIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_HORSES",1],[0,0,0],-1]                                                       ;
MapToConvert[29][61]=["TERRAIN_GRASS_HILLS","FEATURE_FOREST","CONTINENT_BALKANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[28][61]=["TERRAIN_GRASS_HILLS","FEATURE_FOREST","CONTINENT_BALKANIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_COAL",1],[0,0,0],-1]                                     ;
MapToConvert[27][61]=["TERRAIN_GRASS_HILLS","FEATURE_FOREST","CONTINENT_BALKANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[26][61]=["TERRAIN_GRASS_HILLS","FEATURE_FOREST","CONTINENT_BALKANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[25][61]=["TERRAIN_GRASS_HILLS","FEATURE_FOREST","CONTINENT_BALKANIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_IRON",1],[0,0,0],-1]                                     ;
MapToConvert[24][61]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_BALKANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[23][61]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_BALKANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[22][61]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_BALKANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                ;
MapToConvert[21][61]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                        ;
MapToConvert[20][61]=["TERRAIN_GRASS",-1,"CONTINENT_ITALIA",[[1,2],[0,-1],[0,-1]],["RESOURCE_WINE",1],[0,0,0],-1]                                                            ;
MapToConvert[19][61]=["TERRAIN_PLAINS",-1,"CONTINENT_ITALIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_WHEAT",1],[0,0,0],-1]                                                         ;
MapToConvert[18][61]=["TERRAIN_PLAINS",-1,"CONTINENT_ITALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[17][61]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_ITALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[16][61]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_ITALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[15][61]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_FRANCIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_IRON",1],[0,0,0],-1]                                                    ;
MapToConvert[14][61]=["TERRAIN_PLAINS",-1,"CONTINENT_FRANCIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                      ;
MapToConvert[13][61]=["TERRAIN_PLAINS",-1,"CONTINENT_FRANCIA",[[0,-1],[1,3],[0,-1]],["RESOURCE_WHEAT",1],[0,0,0],-1]                                                         ;
MapToConvert[12][61]=["TERRAIN_PLAINS",-1,"CONTINENT_FRANCIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                      ;
MapToConvert[11][61]=["TERRAIN_GRASS",-1,"CONTINENT_FRANCIA",[[1,5],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                        ;
MapToConvert[10][61]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_FRANCIA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                                                  ;
MapToConvert[9][61]=["TERRAIN_GRASS",-1,"CONTINENT_FRANCIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                        ;
MapToConvert[8][61]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                         ;
MapToConvert[7][61]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                                         ;
MapToConvert[6][61]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,1],-1]                                                                                         ;
MapToConvert[5][61]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[4][61]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_FISH",1],[0,0,0],-1]                                                                            ;
MapToConvert[3][61]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                                         ;
MapToConvert[2][61]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[1][61]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[0][61]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[179][62]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[178][62]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[177][62]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[176][62]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[175][62]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[174][62]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[173][62]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[172][62]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[171][62]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[170][62]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[169][62]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[168][62]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[167][62]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[166][62]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[165][62]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[164][62]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[163][62]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[162][62]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[161][62]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[160][62]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[159][62]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[158][62]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[157][62]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[156][62]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[155][62]=["TERRAIN_GRASS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_HORSES",1],[0,1,1],-1]                                                 ;
MapToConvert[154][62]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[153][62]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[152][62]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[151][62]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[150][62]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                           ;
MapToConvert[149][62]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[1,4]],["RESOURCE_STONE",1],[0,0,0],-1]                              ;
MapToConvert[148][62]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[147][62]=["TERRAIN_PLAINS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_WHEAT",1],[0,0,0],-1]                                                 ;
MapToConvert[146][62]=["TERRAIN_GRASS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[1,3],[1,4]],["RESOURCE_WHEAT",1],[0,0,0],-1]                                                    ;
MapToConvert[145][62]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[1,2],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[144][62]=["TERRAIN_GRASS",-1,"CONTINENT_NORTH_AMERICA",[[1,2],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                                  ;
MapToConvert[143][62]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[1,3],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[142][62]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SILVER",1],[0,0,0],-1]                            ;
MapToConvert[141][62]=["TERRAIN_PLAINS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[140][62]=["TERRAIN_PLAINS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[139][62]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                      ;
MapToConvert[138][62]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[137][62]=["TERRAIN_DESERT_MOUNTAIN",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                      ;
MapToConvert[136][62]=["TERRAIN_DESERT",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[135][62]=["TERRAIN_DESERT_HILLS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[134][62]=["TERRAIN_DESERT_HILLS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_DIAMONDS",1],[0,0,0],-1]                                        ;
MapToConvert[133][62]=["TERRAIN_PLAINS",-1,"CONTINENT_NORTH_AMERICA",[[1,2],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[132][62]=["TERRAIN_PLAINS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[1,3],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[131][62]=["TERRAIN_PLAINS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[130][62]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[129][62]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[128][62]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[127][62]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[126][62]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[125][62]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[124][62]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[123][62]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[122][62]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[121][62]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[120][62]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[119][62]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[118][62]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[117][62]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[116][62]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[115][62]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[114][62]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[113][62]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[112][62]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[111][62]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[110][62]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[109][62]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[108][62]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[107][62]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[106][62]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[105][62]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[104][62]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[103][62]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[102][62]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[101][62]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[100][62]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[99][62]=["TERRAIN_PLAINS",-1,"CONTINENT_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[98][62]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[97][62]=["TERRAIN_GRASS_MOUNTAIN",-1,"CONTINENT_EAST_ASIA",[[0,-1],[1,0],[1,1]],[-1,0],[0,0,0],-1]                                                              ;
MapToConvert[96][62]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,1],-1]                                                                                        ;
MapToConvert[95][62]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[94][62]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[93][62]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_OIL",1],[0,0,0],-1]                                                                            ;
MapToConvert[92][62]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[91][62]=["TERRAIN_GRASS_HILLS","FEATURE_FOREST","CONTINENT_MANCHURIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                 ;
MapToConvert[90][62]=["TERRAIN_GRASS_HILLS","FEATURE_FOREST","CONTINENT_MANCHURIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[89][62]=["TERRAIN_GRASS",-1,"CONTINENT_MANCHURIA",[[0,-1],[1,3],[1,4]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[88][62]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                        ;
MapToConvert[87][62]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                                        ;
MapToConvert[86][62]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[85][62]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[84][62]=["TERRAIN_GRASS",-1,"CONTINENT_EAST_ASIA",[[1,2],[0,-1],[1,1]],["RESOURCE_SILK",1],[0,0,0],-1]                                                          ;
MapToConvert[83][62]=["TERRAIN_GRASS",-1,"CONTINENT_EAST_ASIA",[[0,-1],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                                      ;
MapToConvert[82][62]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                       ;
MapToConvert[81][62]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                      ;
MapToConvert[80][62]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[79][62]=["TERRAIN_PLAINS",-1,"CONTINENT_CENTRAL_ASIA",[[1,2],[0,-1],[0,-1]],["RESOURCE_SILK",1],[0,0,0],-1]                                                     ;
MapToConvert[78][62]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[1,3],[0,-1]],[-1,0],[0,0,0],-1]                                                            ;
MapToConvert[77][62]=["TERRAIN_PLAINS",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[76][62]=["TERRAIN_PLAINS",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[75][62]=["TERRAIN_PLAINS",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[1,0],[1,1]],["RESOURCE_CATTLE",1],[0,0,0],-1]                                                    ;
MapToConvert[74][62]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[73][62]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[72][62]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[71][62]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[70][62]=["TERRAIN_TUNDRA_HILLS",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[69][62]=["TERRAIN_TUNDRA_HILLS",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_COAL",1],[0,0,0],-1]                                              ;
MapToConvert[68][62]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[67][62]=["TERRAIN_PLAINS",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[66][62]=["TERRAIN_PLAINS",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_CATTLE",1],[0,0,0],-1]                                                  ;
MapToConvert[65][62]=["TERRAIN_DESERT",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[64][62]=["TERRAIN_DESERT",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[63][62]=["TERRAIN_DESERT",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[62][62]=["TERRAIN_DESERT_HILLS",-1,"CONTINENT_CENTRAL_ASIA",[[1,5],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                            ;
MapToConvert[61][62]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[60][62]=["TERRAIN_TUNDRA_HILLS","FEATURE_FOREST","CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_IRON",1],[0,0,0],-1]                                ;
MapToConvert[59][62]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[58][62]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[57][62]=["TERRAIN_PLAINS",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SALT",1],[0,0,0],-1]                                                    ;
MapToConvert[56][62]=["TERRAIN_TUNDRA_HILLS",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[55][62]=["TERRAIN_PLAINS",-1,"CONTINENT_KAZAKHSTANIA",[[1,5],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                  ;
MapToConvert[54][62]=["TERRAIN_DESERT","FEATURE_FLOODPLAINS","CONTINENT_KAZAKHSTANIA",[[1,5],[0,-1],[1,4]],[-1,0],[0,0,0],-1]                                                ;
MapToConvert[53][62]=["TERRAIN_DESERT",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                                                  ;
MapToConvert[52][62]=["TERRAIN_DESERT",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_OIL",1],[0,0,0],-1]                                                     ;
MapToConvert[51][62]=["TERRAIN_DESERT",-1,"CONTINENT_KAZAKHSTANIA",[[1,5],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                  ;
MapToConvert[50][62]=["TERRAIN_DESERT","FEATURE_FLOODPLAINS","CONTINENT_KAZAKHSTANIA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                               ;
MapToConvert[49][62]=["TERRAIN_DESERT",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[48][62]=["TERRAIN_DESERT",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[47][62]=["TERRAIN_DESERT",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[46][62]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[45][62]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_FISH",1],[0,0,0],-1]                                                                           ;
MapToConvert[44][62]=["TERRAIN_PLAINS",-1,"CONTINENT_CAUCASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                     ;
MapToConvert[43][62]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_CAUCASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_ALUMINUM",1],[0,0,0],-1]                                              ;
MapToConvert[42][62]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_CAUCASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                            ;
MapToConvert[41][62]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_CAUCASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[40][62]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[39][62]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[38][62]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[37][62]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[36][62]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[35][62]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[34][62]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[33][62]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[32][62]=["TERRAIN_GRASS",-1,"CONTINENT_BALKANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,1],-1]                                                                      ;
MapToConvert[31][62]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_BALKANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[30][62]=["TERRAIN_GRASS",-1,"CONTINENT_BALKANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                      ;
MapToConvert[29][62]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_BALKANIA",[[1,2],[1,0],[1,1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[28][62]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_BALKANIA",[[1,2],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[27][62]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_BALKANIA",[[0,-1],[1,3],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[26][62]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_BALKANIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_DEER",1],[0,0,0],-1]                                          ;
MapToConvert[25][62]=["TERRAIN_GRASS_HILLS","FEATURE_FOREST","CONTINENT_BALKANIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_ALUMINUM",1],[0,0,0],-1]                                 ;
MapToConvert[24][62]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_BALKANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[23][62]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_BALKANIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_COAL",1],[0,0,0],-1]                                                   ;
MapToConvert[22][62]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[21][62]=["TERRAIN_GRASS","FEATURE_MARSH","CONTINENT_ITALIA",[[1,2],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                            ;
MapToConvert[20][62]=["TERRAIN_PLAINS",-1,"CONTINENT_ITALIA",[[1,2],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                                         ;
MapToConvert[19][62]=["TERRAIN_PLAINS",-1,"CONTINENT_ITALIA",[[1,2],[0,-1],[1,1]],["RESOURCE_WHEAT",1],[0,0,0],-1]                                                           ;
MapToConvert[18][62]=["TERRAIN_PLAINS",-1,"CONTINENT_ITALIA",[[1,2],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                                         ;
MapToConvert[17][62]=["TERRAIN_TUNDRA_HILLS","FEATURE_FOREST","CONTINENT_ITALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[16][62]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_FRANCIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                             ;
MapToConvert[15][62]=["TERRAIN_GRASS",-1,"CONTINENT_FRANCIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[14][62]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_FRANCIA",[[0,-1],[1,3],[1,4]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[13][62]=["TERRAIN_GRASS_HILLS","FEATURE_FOREST","CONTINENT_FRANCIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[12][62]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_FRANCIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[11][62]=["TERRAIN_GRASS",-1,"CONTINENT_FRANCIA",[[1,5],[0,-1],[0,-1]],["RESOURCE_WINE",1],[0,0,0],-1]                                                           ;
MapToConvert[10][62]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_FRANCIA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[9][62]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_FISH",1],[0,0,0],-1]                                                                            ;
MapToConvert[8][62]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[7][62]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[6][62]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[5][62]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[4][62]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[3][62]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[2][62]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[1][62]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[0][62]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[179][63]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[178][63]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[177][63]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[176][63]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[175][63]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[174][63]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[173][63]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[172][63]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[171][63]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[170][63]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[169][63]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[168][63]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[167][63]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[166][63]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[165][63]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[164][63]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[163][63]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[162][63]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[161][63]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[160][63]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[159][63]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[158][63]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[157][63]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[156][63]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[155][63]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_FISH",1],[0,0,0],-1]                                                                          ;
MapToConvert[154][63]=["TERRAIN_GRASS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[153][63]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[152][63]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_COAL",1],[0,0,0],-1]                                             ;
MapToConvert[151][63]=["TERRAIN_GRASS_MOUNTAIN",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                       ;
MapToConvert[150][63]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_ALUMINUM",1],[0,0,0],-1]                          ;
MapToConvert[149][63]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                           ;
MapToConvert[148][63]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[147][63]=["TERRAIN_PLAINS",-1,"CONTINENT_NORTH_AMERICA",[[1,5],[1,3],[1,4]],[-1,0],[0,0,0],-1]                                                                  ;
MapToConvert[146][63]=["TERRAIN_PLAINS",-1,"CONTINENT_NORTH_AMERICA",[[1,2],[0,-1],[1,4]],["RESOURCE_WHEAT",1],[0,0,0],-1]                                                   ;
MapToConvert[145][63]=["TERRAIN_GRASS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[1,3],[0,-1]],["RESOURCE_OIL",1],[0,0,0],-1]                                                     ;
MapToConvert[144][63]=["TERRAIN_GRASS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[143][63]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_NORTH_AMERICA",[[1,2],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[142][63]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[1,2],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                             ;
MapToConvert[141][63]=["TERRAIN_PLAINS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[140][63]=["TERRAIN_PLAINS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_WHEAT",1],[0,0,0],-1]                                                 ;
MapToConvert[139][63]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[138][63]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                           ;
MapToConvert[137][63]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                      ;
MapToConvert[136][63]=["TERRAIN_DESERT","FEATURE_FLOODPLAINS","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                            ;
MapToConvert[135][63]=["TERRAIN_DESERT_HILLS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_STONE",1],[0,0,0],-1]                                           ;
MapToConvert[134][63]=["TERRAIN_DESERT","FEATURE_FLOODPLAINS","CONTINENT_NORTH_AMERICA",[[1,5],[1,3],[1,4]],[-1,0],[0,0,0],-1]                                               ;
MapToConvert[133][63]=["TERRAIN_DESERT","FEATURE_OASIS","CONTINENT_NORTH_AMERICA",[[1,5],[0,-1],[1,4]],[-1,0],[0,0,0],-1]                                                    ;
MapToConvert[132][63]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[1,4]],["RESOURCE_IRON",1],[0,0,0],-1]                                             ;
MapToConvert[131][63]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                           ;
MapToConvert[130][63]=["TERRAIN_PLAINS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[1,3],[1,4]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[129][63]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,1],-1]                                                          ;
MapToConvert[128][63]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_OIL",1],[0,1,0],-1]                                                                           ;
MapToConvert[127][63]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[126][63]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[125][63]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[124][63]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[123][63]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[122][63]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[121][63]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[120][63]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[119][63]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[118][63]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[117][63]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[116][63]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[115][63]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[114][63]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[113][63]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[112][63]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[111][63]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[110][63]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[109][63]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[108][63]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[107][63]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[106][63]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[105][63]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[104][63]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[103][63]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[102][63]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[101][63]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[100][63]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[99][63]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,1],-1]                                                ;
MapToConvert[98][63]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                       ;
MapToConvert[97][63]=["TERRAIN_GRASS_HILLS","FEATURE_FOREST","CONTINENT_EAST_ASIA",[[1,5],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[96][63]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,1],-1]                                                                                        ;
MapToConvert[95][63]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_OIL",1],[0,0,0],-1]                                                                            ;
MapToConvert[94][63]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[93][63]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[92][63]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[91][63]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[90][63]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_MANCHURIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_COTTON",1],[0,0,0],-1]                                        ;
MapToConvert[89][63]=["TERRAIN_GRASS",-1,"CONTINENT_MANCHURIA",[[0,-1],[1,3],[1,4]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[88][63]=["TERRAIN_GRASS",-1,"CONTINENT_MANCHURIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                     ;
MapToConvert[87][63]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[86][63]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[85][63]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_FISH",1],[0,0,0],-1]                                                                           ;
MapToConvert[84][63]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[83][63]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                       ;
MapToConvert[82][63]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                       ;
MapToConvert[81][63]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_DEER",1],[0,0,0],-1]                                         ;
MapToConvert[80][63]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                              ;
MapToConvert[79][63]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                             ;
MapToConvert[78][63]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_CENTRAL_ASIA",[[1,2],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                              ;
MapToConvert[77][63]=["TERRAIN_PLAINS",-1,"CONTINENT_CENTRAL_ASIA",[[1,2],[0,-1],[1,1]],["RESOURCE_COTTON",1],[0,0,0],-1]                                                    ;
MapToConvert[76][63]=["TERRAIN_DESERT","FEATURE_FLOODPLAINS","CONTINENT_CENTRAL_ASIA",[[1,2],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                ;
MapToConvert[75][63]=["TERRAIN_PLAINS",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                                  ;
MapToConvert[74][63]=["TERRAIN_DESERT","FEATURE_OASIS","CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                    ;
MapToConvert[73][63]=["TERRAIN_PLAINS",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[72][63]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_MARBLE",1],[0,0,0],-1]                                            ;
MapToConvert[71][63]=["TERRAIN_PLAINS",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[70][63]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[69][63]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[68][63]=["TERRAIN_DESERT",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[67][63]=["TERRAIN_DESERT_HILLS",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[66][63]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[65][63]=["TERRAIN_DESERT","FEATURE_FLOODPLAINS","CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                              ;
MapToConvert[64][63]=["TERRAIN_DESERT",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[63][63]=["TERRAIN_DESERT",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_OIL",1],[0,0,0],-1]                                                     ;
MapToConvert[62][63]=["TERRAIN_DESERT",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[61][63]=["TERRAIN_DESERT_HILLS",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[1,0],[1,1]],[-1,0],[0,0,0],-1]                                                             ;
MapToConvert[60][63]=["TERRAIN_TUNDRA_HILLS",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[59][63]=["TERRAIN_TUNDRA_HILLS",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[58][63]=["TERRAIN_PLAINS",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[57][63]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[56][63]=["TERRAIN_PLAINS",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[55][63]=["TERRAIN_PLAINS",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SHEEP",1],[0,0,0],-1]                                                   ;
MapToConvert[54][63]=["TERRAIN_DESERT",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[53][63]=["TERRAIN_DESERT","FEATURE_FLOODPLAINS","CONTINENT_KAZAKHSTANIA",[[1,5],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                               ;
MapToConvert[52][63]=["TERRAIN_DESERT","FEATURE_FLOODPLAINS","CONTINENT_KAZAKHSTANIA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                               ;
MapToConvert[51][63]=["TERRAIN_DESERT",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[50][63]=["TERRAIN_DESERT","FEATURE_FLOODPLAINS","CONTINENT_KAZAKHSTANIA",[[1,5],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                               ;
MapToConvert[49][63]=["TERRAIN_DESERT",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                                                  ;
MapToConvert[48][63]=["TERRAIN_DESERT",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[47][63]=["TERRAIN_DESERT",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[46][63]=["TERRAIN_DESERT",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[45][63]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                        ;
MapToConvert[44][63]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[43][63]=["TERRAIN_DESERT",-1,"CONTINENT_CAUCASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                     ;
MapToConvert[42][63]=["TERRAIN_PLAINS",-1,"CONTINENT_CAUCASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                     ;
MapToConvert[41][63]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_CAUCASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SALT",1],[0,0,0],-1]                                                   ;
MapToConvert[40][63]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_CAUCASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_ALUMINUM",1],[0,0,0],-1]                                ;
MapToConvert[39][63]=["TERRAIN_GRASS",-1,"CONTINENT_CAUCASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                      ;
MapToConvert[38][63]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[37][63]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[36][63]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[35][63]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[34][63]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[33][63]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[32][63]=["TERRAIN_GRASS","FEATURE_MARSH","CONTINENT_BALKANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[31][63]=["TERRAIN_GRASS",-1,"CONTINENT_BALKANIA",[[1,2],[1,0],[1,1]],[-1,0],[0,0,0],-1]                                                                         ;
MapToConvert[30][63]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_BALKANIA",[[1,2],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[29][63]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_BALKANIA",[[0,-1],[0,-1],[1,1]],["RESOURCE_TRUFFLES",1],[0,0,0],-1]                                        ;
MapToConvert[28][63]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_BALKANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[27][63]=["TERRAIN_GRASS_HILLS","FEATURE_FOREST","CONTINENT_BALKANIA",[[1,2],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[26][63]=["TERRAIN_PLAINS",-1,"CONTINENT_BALKANIA",[[1,2],[0,-1],[1,1]],["RESOURCE_WHEAT",1],[0,0,0],-1]                                                         ;
MapToConvert[25][63]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_BALKANIA",[[0,-1],[1,3],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[24][63]=["TERRAIN_GRASS_HILLS","FEATURE_FOREST","CONTINENT_BALKANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[23][63]=["TERRAIN_GRASS_HILLS","FEATURE_FOREST","CONTINENT_BALKANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[22][63]=["TERRAIN_GRASS",-1,"CONTINENT_ITALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                        ;
MapToConvert[21][63]=["TERRAIN_GRASS",-1,"CONTINENT_ITALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                        ;
MapToConvert[20][63]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_ITALIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_IRON",1],[0,0,0],-1]                                                    ;
MapToConvert[19][63]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_ITALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[18][63]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_ITALIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_DIAMONDS",1],[0,0,0],-1]                                  ;
MapToConvert[17][63]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_ITALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[16][63]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_FRANCIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                             ;
MapToConvert[15][63]=["TERRAIN_GRASS_HILLS","FEATURE_FOREST","CONTINENT_FRANCIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_URANIUM",1],[0,0,0],-1]                                   ;
MapToConvert[14][63]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_FRANCIA",[[0,-1],[1,3],[1,4]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[13][63]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_FRANCIA",[[0,-1],[1,0],[0,-1]],["RESOURCE_STONE",1],[0,0,0],-1]                                     ;
MapToConvert[12][63]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_FRANCIA",[[1,5],[1,3],[1,4]],[-1,0],[0,0,0],-1]                                                     ;
MapToConvert[11][63]=["TERRAIN_GRASS_HILLS","FEATURE_FOREST","CONTINENT_FRANCIA",[[1,5],[0,-1],[1,4]],["RESOURCE_ALUMINUM",1],[0,0,0],-1]                                    ;
MapToConvert[10][63]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_FRANCIA",[[1,5],[0,-1],[1,4]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[9][63]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[8][63]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[7][63]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[6][63]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[5][63]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[4][63]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[3][63]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[2][63]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[1][63]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[0][63]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[179][64]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[178][64]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[177][64]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[176][64]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[175][64]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[174][64]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[173][64]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[172][64]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[171][64]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[170][64]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[169][64]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[168][64]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[167][64]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[166][64]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[165][64]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[164][64]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[163][64]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[162][64]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[161][64]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[160][64]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[159][64]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[158][64]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[157][64]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[156][64]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[155][64]=["TERRAIN_GRASS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[154][64]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[1,2],[1,0],[1,1]],["RESOURCE_DEER",1],[0,0,0],-1]                                        ;
MapToConvert[153][64]=["TERRAIN_GRASS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_WHEAT",1],[0,0,0],-1]                                                  ;
MapToConvert[152][64]=["TERRAIN_GRASS_MOUNTAIN",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                       ;
MapToConvert[151][64]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[150][64]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_DEER",1],[0,0,0],-1]                                    ;
MapToConvert[149][64]=["TERRAIN_PLAINS",-1,"CONTINENT_NORTH_AMERICA",[[1,5],[1,3],[1,4]],[-1,0],[0,0,0],-1]                                                                  ;
MapToConvert[148][64]=["TERRAIN_PLAINS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[1,4]],["RESOURCE_WHEAT",1],[0,0,0],-1]                                                  ;
MapToConvert[147][64]=["TERRAIN_PLAINS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_WHEAT",1],[0,0,0],-1]                                                 ;
MapToConvert[146][64]=["TERRAIN_PLAINS",-1,"CONTINENT_NORTH_AMERICA",[[1,2],[0,-1],[0,-1]],["RESOURCE_WHEAT",1],[0,0,0],-1]                                                  ;
MapToConvert[145][64]=["TERRAIN_GRASS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[1,3],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[144][64]=["TERRAIN_GRASS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_CATTLE",1],[0,0,0],-1]                                                 ;
MapToConvert[143][64]=["TERRAIN_GRASS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[142][64]=["TERRAIN_PLAINS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[141][64]=["TERRAIN_PLAINS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[140][64]=["TERRAIN_PLAINS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[139][64]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_IRON",1],[0,0,0],-1]                              ;
MapToConvert[138][64]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[1,5],[0,-1],[1,4]],[-1,0],[0,0,0],-1]                                             ;
MapToConvert[137][64]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_NORTH_AMERICA",[[1,5],[1,3],[1,4]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[136][64]=["TERRAIN_DESERT_HILLS",-1,"CONTINENT_NORTH_AMERICA",[[1,5],[0,-1],[1,4]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[135][64]=["TERRAIN_DESERT","FEATURE_FLOODPLAINS","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[1,4]],[-1,0],[0,0,0],-1]                                             ;
MapToConvert[134][64]=["TERRAIN_DESERT",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[133][64]=["TERRAIN_DESERT_HILLS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[132][64]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[131][64]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[1,3],[1,4]],["RESOURCE_ALUMINUM",1],[0,0,0],-1]                            ;
MapToConvert[130][64]=["TERRAIN_GRASS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[129][64]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                                       ;
MapToConvert[128][64]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[127][64]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[126][64]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[125][64]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[124][64]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[123][64]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[122][64]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[121][64]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[120][64]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[119][64]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[118][64]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[117][64]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[116][64]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[115][64]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[114][64]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[113][64]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[112][64]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[111][64]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[110][64]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[109][64]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[108][64]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[107][64]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[106][64]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[105][64]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[104][64]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[103][64]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[102][64]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[101][64]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[100][64]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_FISH",1],[1,0,0],-1]                                                                          ;
MapToConvert[99][64]=["TERRAIN_PLAINS",-1,"CONTINENT_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[98][64]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_EAST_ASIA",[[1,5],[0,-1],[0,-1]],["RESOURCE_SILK",1],[0,0,0],-1]                                           ;
MapToConvert[97][64]=["TERRAIN_GRASS_HILLS","FEATURE_FOREST","CONTINENT_EAST_ASIA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[96][64]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                        ;
MapToConvert[95][64]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[94][64]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[93][64]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_PEARLS",1],[0,0,0],-1]                                                                         ;
MapToConvert[92][64]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[91][64]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[90][64]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_MANCHURIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                           ;
MapToConvert[89][64]=["TERRAIN_GRASS",-1,"CONTINENT_MANCHURIA",[[1,5],[1,3],[1,4]],["RESOURCE_WHEAT",1],[0,0,0],-1]                                                          ;
MapToConvert[88][64]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[87][64]=["TERRAIN_GRASS",-1,"CONTINENT_MANCHURIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                     ;
MapToConvert[86][64]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                        ;
MapToConvert[85][64]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[84][64]=["TERRAIN_PLAINS",-1,"CONTINENT_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_HORSES",1],[0,1,1],-1]                                                     ;
MapToConvert[83][64]=["TERRAIN_PLAINS",-1,"CONTINENT_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[82][64]=["TERRAIN_PLAINS",-1,"CONTINENT_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_CATTLE",1],[0,0,0],-1]                                                     ;
MapToConvert[81][64]=["TERRAIN_PLAINS",-1,"CONTINENT_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_INCENSE",1],[0,0,0],-1]                                                    ;
MapToConvert[80][64]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[79][64]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[78][64]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[77][64]=["TERRAIN_PLAINS",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[76][64]=["TERRAIN_DESERT",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[75][64]=["TERRAIN_DESERT",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[74][64]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[73][64]=["TERRAIN_DESERT",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[72][64]=["TERRAIN_DESERT",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_INCENSE",1],[0,0,0],-1]                                                 ;
MapToConvert[71][64]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[70][64]=["TERRAIN_PLAINS",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_WHEAT",1],[0,0,0],-1]                                                   ;
MapToConvert[69][64]=["TERRAIN_DESERT",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[68][64]=["TERRAIN_DESERT",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_OIL",1],[0,0,0],-1]                                                     ;
MapToConvert[67][64]=["TERRAIN_DESERT",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[66][64]=["TERRAIN_DESERT","FEATURE_FLOODPLAINS","CONTINENT_CENTRAL_ASIA",[[1,2],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                               ;
MapToConvert[65][64]=["TERRAIN_DESERT","FEATURE_FLOODPLAINS","CONTINENT_CENTRAL_ASIA",[[0,-1],[1,3],[0,-1]],[-1,0],[0,0,0],-1]                                               ;
MapToConvert[64][64]=["TERRAIN_DESERT","FEATURE_FLOODPLAINS","CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                              ;
MapToConvert[63][64]=["TERRAIN_DESERT",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[62][64]=["TERRAIN_DESERT",-1,"CONTINENT_CENTRAL_ASIA",[[1,5],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                  ;
MapToConvert[61][64]=["TERRAIN_PLAINS",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[1,0],[0,-1]],["RESOURCE_SHEEP",1],[0,0,0],-1]                                                    ;
MapToConvert[60][64]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[59][64]=["TERRAIN_TUNDRA_HILLS",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_COPPER",1],[0,0,0],-1]                                            ;
MapToConvert[58][64]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[57][64]=["TERRAIN_PLAINS",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_WHEAT",1],[0,0,0],-1]                                                   ;
MapToConvert[56][64]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[55][64]=["TERRAIN_PLAINS",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[54][64]=["TERRAIN_DESERT",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[53][64]=["TERRAIN_DESERT",-1,"CONTINENT_KAZAKHSTANIA",[[1,5],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                  ;
MapToConvert[52][64]=["TERRAIN_DESERT","FEATURE_FLOODPLAINS","CONTINENT_KAZAKHSTANIA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                               ;
MapToConvert[51][64]=["TERRAIN_DESERT",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[50][64]=["TERRAIN_DESERT","FEATURE_FLOODPLAINS","CONTINENT_KAZAKHSTANIA",[[1,5],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                               ;
MapToConvert[49][64]=["TERRAIN_DESERT",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                                                  ;
MapToConvert[48][64]=["TERRAIN_DESERT",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[47][64]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                        ;
MapToConvert[46][64]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                                        ;
MapToConvert[45][64]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[44][64]=["TERRAIN_PLAINS",-1,"CONTINENT_CAUCASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SALT",1],[0,0,1],-1]                                                        ;
MapToConvert[43][64]=["TERRAIN_DESERT",-1,"CONTINENT_CAUCASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                     ;
MapToConvert[42][64]=["TERRAIN_PLAINS",-1,"CONTINENT_CAUCASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                     ;
MapToConvert[41][64]=["TERRAIN_PLAINS",-1,"CONTINENT_CAUCASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                     ;
MapToConvert[40][64]=["TERRAIN_GRASS",-1,"CONTINENT_CAUCASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                      ;
MapToConvert[39][64]=["TERRAIN_GRASS",-1,"CONTINENT_CAUCASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                      ;
MapToConvert[38][64]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[37][64]=["TERRAIN_GRASS",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                        ;
MapToConvert[36][64]=["TERRAIN_PLAINS",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],["RESOURCE_WHEAT",1],[1,0,0],-1]                                                         ;
MapToConvert[35][64]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_FISH",1],[0,1,0],-1]                                                                           ;
MapToConvert[34][64]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[33][64]=["TERRAIN_GRASS","FEATURE_MARSH","CONTINENT_BALKANIA",[[1,2],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[32][64]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_BALKANIA",[[0,-1],[0,-1],[1,1]],["RESOURCE_SALT",1],[0,0,0],-1]                                                    ;
MapToConvert[31][64]=["TERRAIN_GRASS",-1,"CONTINENT_BALKANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                      ;
MapToConvert[30][64]=["TERRAIN_GRASS_HILLS","FEATURE_FOREST","CONTINENT_BALKANIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_URANIUM",1],[0,0,0],-1]                                  ;
MapToConvert[29][64]=["TERRAIN_GRASS_MOUNTAIN",-1,"CONTINENT_BALKANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                             ;
MapToConvert[28][64]=["TERRAIN_GRASS_HILLS","FEATURE_FOREST","CONTINENT_BALKANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[27][64]=["TERRAIN_PLAINS",-1,"CONTINENT_BALKANIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_HORSES",1],[0,0,0],-1]                                                      ;
MapToConvert[26][64]=["TERRAIN_PLAINS",-1,"CONTINENT_BALKANIA",[[1,2],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                      ;
MapToConvert[25][64]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_BALKANIA",[[0,-1],[1,3],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[24][64]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_BALKANIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_HORSES",1],[0,0,0],-1]                                         ;
MapToConvert[23][64]=["TERRAIN_GRASS_HILLS","FEATURE_FOREST","CONTINENT_BALKANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[22][64]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_ITALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                              ;
MapToConvert[21][64]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_ITALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                              ;
MapToConvert[20][64]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_ITALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                              ;
MapToConvert[19][64]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_ITALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                              ;
MapToConvert[18][64]=["TERRAIN_TUNDRA_HILLS",-1,"CONTINENT_ITALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[17][64]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_FRANCIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                             ;
MapToConvert[16][64]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_FRANCIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[15][64]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_FRANCIA",[[1,2],[1,3],[1,4]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[14][64]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_FRANCIA",[[1,5],[1,3],[0,-1]],[-1,0],[0,0,0],-1]                                                    ;
MapToConvert[13][64]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_FRANCIA",[[0,-1],[1,0],[0,-1]],["RESOURCE_COAL",1],[0,0,0],-1]                                      ;
MapToConvert[12][64]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_FRANCIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_IRON",1],[0,0,0],-1]                                     ;
MapToConvert[11][64]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_FRANCIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_WINE",1],[0,0,0],-1]                                            ;
MapToConvert[10][64]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_FRANCIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[9][64]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[8][64]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_OIL",1],[0,0,0],-1]                                                                             ;
MapToConvert[7][64]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[6][64]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[5][64]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[4][64]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[3][64]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[2][64]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[1][64]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[0][64]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[179][65]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[178][65]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[177][65]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[176][65]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[175][65]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[174][65]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[173][65]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[172][65]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[171][65]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[170][65]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[169][65]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[168][65]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[167][65]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[166][65]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[165][65]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[164][65]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[163][65]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[162][65]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[161][65]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[160][65]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[159][65]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[158][65]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[157][65]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[156][65]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[155][65]=["TERRAIN_GRASS_HILLS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[1,2],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                             ;
MapToConvert[154][65]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[1,1]],["RESOURCE_COPPER",1],[0,0,0],-1]                                            ;
MapToConvert[153][65]=["TERRAIN_GRASS_MOUNTAIN",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                       ;
MapToConvert[152][65]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[151][65]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[1,5],[1,3],[1,4]],[-1,0],[0,0,0],-1]                                                     ;
MapToConvert[150][65]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[1,5],[0,-1],[1,4]],[-1,0],[0,0,0],-1]                                                    ;
MapToConvert[149][65]=["TERRAIN_PLAINS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[1,4]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[148][65]=["TERRAIN_PLAINS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[147][65]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[146][65]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[145][65]=["TERRAIN_GRASS","FEATURE_MARSH","CONTINENT_NORTH_AMERICA",[[1,2],[1,3],[1,4]],[-1,0],[0,0,0],-1]                                                      ;
MapToConvert[144][65]=["TERRAIN_GRASS","FEATURE_MARSH","CONTINENT_NORTH_AMERICA",[[0,-1],[1,3],[0,-1]],[-1,0],[0,0,0],-1]                                                    ;
MapToConvert[143][65]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[142][65]=["TERRAIN_GRASS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[141][65]=["TERRAIN_PLAINS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_FURS",1],[0,0,0],-1]                                                  ;
MapToConvert[140][65]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[139][65]=["TERRAIN_PLAINS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[138][65]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[137][65]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[1,4]],[-1,0],[0,0,0],-1]                                                       ;
MapToConvert[136][65]=["TERRAIN_DESERT_HILLS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_URANIUM",1],[0,0,0],-1]                                         ;
MapToConvert[135][65]=["TERRAIN_DESERT_HILLS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[134][65]=["TERRAIN_DESERT",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SALT",1],[0,0,0],-1]                                                  ;
MapToConvert[133][65]=["TERRAIN_DESERT_HILLS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[132][65]=["TERRAIN_PLAINS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_WHEAT",1],[0,0,0],-1]                                                 ;
MapToConvert[131][65]=["TERRAIN_PLAINS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[1,3],[1,4]],["RESOURCE_FURS",1],[0,0,0],-1]                                                    ;
MapToConvert[130][65]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[129][65]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[128][65]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[127][65]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[126][65]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[125][65]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[124][65]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[123][65]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[122][65]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[121][65]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[120][65]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[119][65]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[118][65]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[117][65]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[116][65]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[115][65]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[114][65]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[113][65]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[112][65]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[111][65]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[110][65]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[109][65]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[108][65]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[107][65]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[106][65]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[105][65]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[104][65]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[103][65]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[102][65]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[101][65]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[100][65]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[99][65]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_EAST_ASIA",[[1,2],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[98][65]=["TERRAIN_PLAINS",-1,"CONTINENT_EAST_ASIA",[[0,-1],[1,3],[0,-1]],[-1,0],[0,0,0],-1]                                                                     ;
MapToConvert[97][65]=["TERRAIN_GRASS_HILLS","FEATURE_FOREST","CONTINENT_EAST_ASIA",[[1,5],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[96][65]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,1],-1]                                                                                        ;
MapToConvert[95][65]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[94][65]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[93][65]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[92][65]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[91][65]=["TERRAIN_GRASS",-1,"CONTINENT_MANCHURIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_HORSES",1],[0,1,1],-1]                                                      ;
MapToConvert[90][65]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_MANCHURIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                           ;
MapToConvert[89][65]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_MANCHURIA",[[0,-1],[1,3],[1,4]],["RESOURCE_SILK",1],[0,0,0],-1]                                            ;
MapToConvert[88][65]=["TERRAIN_GRASS",-1,"CONTINENT_MANCHURIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                     ;
MapToConvert[87][65]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_MANCHURIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_ALUMINUM",1],[0,0,1],-1]                                              ;
MapToConvert[86][65]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[85][65]=["TERRAIN_GRASS",-1,"CONTINENT_MANCHURIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                     ;
MapToConvert[84][65]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_MANCHURIA",[[1,2],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[83][65]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_MANCHURIA",[[1,2],[1,3],[1,1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[82][65]=["TERRAIN_PLAINS",-1,"CONTINENT_EAST_ASIA",[[1,2],[0,-1],[1,1]],["RESOURCE_WHEAT",1],[0,0,0],-1]                                                        ;
MapToConvert[81][65]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_EAST_ASIA",[[1,2],[1,3],[1,1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[80][65]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[79][65]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_IRON",1],[0,0,0],-1]                                              ;
MapToConvert[78][65]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[77][65]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_COAL",1],[0,0,0],-1]                                              ;
MapToConvert[76][65]=["TERRAIN_DESERT",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[75][65]=["TERRAIN_DESERT",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[74][65]=["TERRAIN_DESERT_HILLS",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[73][65]=["TERRAIN_DESERT",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[72][65]=["TERRAIN_DESERT",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[71][65]=["TERRAIN_DESERT",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_INCENSE",1],[0,0,0],-1]                                                 ;
MapToConvert[70][65]=["TERRAIN_DESERT_HILLS",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[69][65]=["TERRAIN_DESERT",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[68][65]=["TERRAIN_DESERT",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[67][65]=["TERRAIN_DESERT_HILLS",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[66][65]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[65][65]=["TERRAIN_PLAINS",-1,"CONTINENT_CENTRAL_ASIA",[[1,2],[0,-1],[0,-1]],["RESOURCE_SALT",1],[0,0,0],-1]                                                     ;
MapToConvert[64][65]=["TERRAIN_PLAINS",-1,"CONTINENT_CENTRAL_ASIA",[[1,2],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[63][65]=["TERRAIN_PLAINS",-1,"CONTINENT_CENTRAL_ASIA",[[1,2],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[62][65]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_CENTRAL_ASIA",[[1,2],[0,-1],[1,1]],["RESOURCE_IRON",1],[0,0,0],-1]                                                ;
MapToConvert[61][65]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                            ;
MapToConvert[60][65]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                                        ;
MapToConvert[59][65]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                        ;
MapToConvert[58][65]=["TERRAIN_PLAINS",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[57][65]=["TERRAIN_DESERT",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[56][65]=["TERRAIN_PLAINS",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SALT",1],[0,0,0],-1]                                                    ;
MapToConvert[55][65]=["TERRAIN_DESERT",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[54][65]=["TERRAIN_DESERT",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[53][65]=["TERRAIN_DESERT",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[52][65]=["TERRAIN_DESERT",-1,"CONTINENT_KAZAKHSTANIA",[[1,5],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                  ;
MapToConvert[51][65]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_OIL",1],[0,0,0],-1]                                                                            ;
MapToConvert[50][65]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[49][65]=["TERRAIN_DESERT",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                                  ;
MapToConvert[48][65]=["TERRAIN_DESERT",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[47][65]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[46][65]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_OIL",1],[0,0,0],-1]                                                                            ;
MapToConvert[45][65]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[44][65]=["TERRAIN_DESERT","FEATURE_FLOODPLAINS","CONTINENT_CAUCASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[43][65]=["TERRAIN_DESERT",-1,"CONTINENT_CAUCASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                     ;
MapToConvert[42][65]=["TERRAIN_PLAINS",-1,"CONTINENT_CAUCASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                     ;
MapToConvert[41][65]=["TERRAIN_PLAINS",-1,"CONTINENT_CAUCASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                     ;
MapToConvert[40][65]=["TERRAIN_PLAINS",-1,"CONTINENT_CAUCASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_CATTLE",1],[0,0,0],-1]                                                      ;
MapToConvert[39][65]=["TERRAIN_PLAINS",-1,"CONTINENT_CAUCASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                     ;
MapToConvert[38][65]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[37][65]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_OIL",1],[0,0,0],-1]                                                                            ;
MapToConvert[36][65]=["TERRAIN_PLAINS",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],["RESOURCE_WHEAT",1],[0,0,0],-1]                                                         ;
MapToConvert[35][65]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[34][65]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[33][65]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_BALKANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                       ;
MapToConvert[32][65]=["TERRAIN_GRASS",-1,"CONTINENT_BALKANIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SHEEP",1],[0,0,0],-1]                                                        ;
MapToConvert[31][65]=["TERRAIN_GRASS",-1,"CONTINENT_BALKANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                      ;
MapToConvert[30][65]=["TERRAIN_GRASS_MOUNTAIN",-1,"CONTINENT_BALKANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                             ;
MapToConvert[29][65]=["TERRAIN_GRASS_HILLS","FEATURE_FOREST","CONTINENT_BALKANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[28][65]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_BALKANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[27][65]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_BALKANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[26][65]=["TERRAIN_PLAINS",-1,"CONTINENT_BALKANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                     ;
MapToConvert[25][65]=["TERRAIN_PLAINS",-1,"CONTINENT_BALKANIA",[[0,-1],[1,3],[1,4]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[24][65]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_BALKANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                       ;
MapToConvert[23][65]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_BALKANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[22][65]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_BALKANIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SILVER",1],[0,0,0],-1]                                  ;
MapToConvert[21][65]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_ITALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[20][65]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_ITALIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[19][65]=["TERRAIN_GRASS_HILLS","FEATURE_FOREST","CONTINENT_ITALIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_STONE",1],[0,0,0],-1]                                      ;
MapToConvert[18][65]=["TERRAIN_GRASS_HILLS","FEATURE_FOREST","CONTINENT_GERMANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[17][65]=["TERRAIN_GRASS_HILLS","FEATURE_FOREST","CONTINENT_GERMANIA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[16][65]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_FRANCIA",[[1,5],[0,-1],[1,4]],["RESOURCE_DEER",1],[0,0,0],-1]                                              ;
MapToConvert[15][65]=["TERRAIN_PLAINS",-1,"CONTINENT_FRANCIA",[[0,-1],[0,-1],[1,4]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[14][65]=["TERRAIN_PLAINS",-1,"CONTINENT_FRANCIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_HORSES",1],[0,0,0],-1]                                                       ;
MapToConvert[13][65]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_FRANCIA",[[1,5],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[12][65]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_FRANCIA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[11][65]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_FRANCIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[10][65]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_FRANCIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[9][65]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_FRANCIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[8][65]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                         ;
MapToConvert[7][65]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[6][65]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[5][65]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[4][65]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[3][65]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[2][65]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[1][65]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[0][65]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[179][66]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[178][66]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[177][66]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[176][66]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[175][66]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[174][66]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[173][66]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[172][66]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[171][66]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[170][66]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[169][66]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[168][66]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[167][66]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[166][66]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[165][66]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[164][66]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[163][66]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[162][66]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[161][66]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[160][66]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[159][66]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[158][66]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[157][66]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_CRABS",1],[0,0,0],-1]                                                                         ;
MapToConvert[156][66]=["TERRAIN_GRASS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                ;
MapToConvert[155][66]=["TERRAIN_GRASS_HILLS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                            ;
MapToConvert[154][66]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[153][66]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SILVER",1],[0,0,0],-1]                                           ;
MapToConvert[152][66]=["TERRAIN_GRASS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[151][66]=["TERRAIN_GRASS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[150][66]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[149][66]=["TERRAIN_PLAINS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_CATTLE",1],[0,0,0],-1]                                                ;
MapToConvert[148][66]=["TERRAIN_PLAINS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[147][66]=["TERRAIN_PLAINS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[146][66]=["TERRAIN_GRASS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[1,3],[1,4]],["RESOURCE_OIL",1],[0,0,0],-1]                                                      ;
MapToConvert[145][66]=["TERRAIN_GRASS",-1,"CONTINENT_NORTH_AMERICA",[[1,2],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[144][66]=["TERRAIN_GRASS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[1,3],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[143][66]=["TERRAIN_GRASS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[142][66]=["TERRAIN_PLAINS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[141][66]=["TERRAIN_PLAINS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[140][66]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[139][66]=["TERRAIN_PLAINS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[138][66]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                           ;
MapToConvert[137][66]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                           ;
MapToConvert[136][66]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                      ;
MapToConvert[135][66]=["TERRAIN_DESERT_HILLS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[134][66]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[133][66]=["TERRAIN_DESERT_HILLS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[132][66]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                      ;
MapToConvert[131][66]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[130][66]=["TERRAIN_GRASS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[129][66]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[128][66]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[127][66]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[126][66]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[125][66]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[124][66]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[123][66]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[122][66]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[121][66]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[120][66]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[119][66]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[118][66]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[117][66]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[116][66]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[115][66]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[114][66]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[113][66]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[112][66]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[111][66]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[110][66]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[109][66]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[108][66]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[107][66]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[106][66]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[105][66]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[104][66]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[103][66]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[102][66]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[101][66]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[100][66]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[99][66]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_EAST_ASIA",[[1,2],[0,-1],[0,-1]],["RESOURCE_DEER",1],[0,0,0],-1]                                          ;
MapToConvert[98][66]=["TERRAIN_PLAINS",-1,"CONTINENT_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[97][66]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                                        ;
MapToConvert[96][66]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[95][66]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[94][66]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[93][66]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[92][66]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_MANCHURIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,1],-1]                                                       ;
MapToConvert[91][66]=["TERRAIN_TUNDRA_HILLS",-1,"CONTINENT_MANCHURIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                              ;
MapToConvert[90][66]=["TERRAIN_TUNDRA_HILLS","FEATURE_FOREST","CONTINENT_MANCHURIA",[[0,-1],[1,3],[1,4]],["RESOURCE_IRON",1],[0,0,0],-1]                                     ;
MapToConvert[89][66]=["TERRAIN_TUNDRA_HILLS",-1,"CONTINENT_MANCHURIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                              ;
MapToConvert[88][66]=["TERRAIN_GRASS",-1,"CONTINENT_MANCHURIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_COTTON",1],[0,0,0],-1]                                                      ;
MapToConvert[87][66]=["TERRAIN_GRASS",-1,"CONTINENT_MANCHURIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                     ;
MapToConvert[86][66]=["TERRAIN_GRASS",-1,"CONTINENT_MANCHURIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SILK",1],[0,0,0],-1]                                                        ;
MapToConvert[85][66]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_MANCHURIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                ;
MapToConvert[84][66]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_MANCHURIA",[[1,2],[0,-1],[0,-1]],["RESOURCE_DEER",1],[0,0,0],-1]                                          ;
MapToConvert[83][66]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_MANCHURIA",[[0,-1],[1,3],[0,-1]],["RESOURCE_IRON",1],[0,0,0],-1]                                                  ;
MapToConvert[82][66]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                ;
MapToConvert[81][66]=["TERRAIN_DESERT",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[80][66]=["TERRAIN_DESERT",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_INCENSE",1],[0,0,0],-1]                                                 ;
MapToConvert[79][66]=["TERRAIN_DESERT",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[78][66]=["TERRAIN_DESERT",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[77][66]=["TERRAIN_DESERT_HILLS",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[76][66]=["TERRAIN_DESERT_HILLS",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[75][66]=["TERRAIN_DESERT_HILLS",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[74][66]=["TERRAIN_DESERT_HILLS",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_STONE",1],[0,0,0],-1]                                             ;
MapToConvert[73][66]=["TERRAIN_DESERT",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[72][66]=["TERRAIN_DESERT",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[71][66]=["TERRAIN_DESERT",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[70][66]=["TERRAIN_DESERT",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[69][66]=["TERRAIN_DESERT_HILLS",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[68][66]=["TERRAIN_DESERT_HILLS",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[67][66]=["TERRAIN_PLAINS",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_HORSES",1],[0,0,0],-1]                                                  ;
MapToConvert[66][66]=["TERRAIN_PLAINS",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[65][66]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[64][66]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[63][66]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[62][66]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[61][66]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                        ;
MapToConvert[60][66]=["TERRAIN_DESERT","FEATURE_OASIS","CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                    ;
MapToConvert[59][66]=["TERRAIN_DESERT",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[58][66]=["TERRAIN_DESERT",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[57][66]=["TERRAIN_DESERT",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[56][66]=["TERRAIN_DESERT",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[55][66]=["TERRAIN_DESERT",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[54][66]=["TERRAIN_DESERT",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[53][66]=["TERRAIN_DESERT",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[52][66]=["TERRAIN_DESERT",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[51][66]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[50][66]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[49][66]=["TERRAIN_DESERT",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[48][66]=["TERRAIN_DESERT",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[47][66]=["TERRAIN_DESERT","FEATURE_FLOODPLAINS","CONTINENT_EUROPE",[[0,-1],[1,3],[0,-1]],[-1,0],[0,0,0],-1]                                                     ;
MapToConvert[46][66]=["TERRAIN_DESERT",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                       ;
MapToConvert[45][66]=["TERRAIN_DESERT","FEATURE_FLOODPLAINS","CONTINENT_EUROPE",[[1,2],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                     ;
MapToConvert[44][66]=["TERRAIN_DESERT","FEATURE_FLOODPLAINS","CONTINENT_CAUCASIA",[[0,-1],[1,3],[0,-1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[43][66]=["TERRAIN_PLAINS",-1,"CONTINENT_CAUCASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                     ;
MapToConvert[42][66]=["TERRAIN_PLAINS",-1,"CONTINENT_CAUCASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_WHEAT",1],[0,0,0],-1]                                                       ;
MapToConvert[41][66]=["TERRAIN_PLAINS",-1,"CONTINENT_CAUCASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SALT",1],[0,0,0],-1]                                                        ;
MapToConvert[40][66]=["TERRAIN_PLAINS",-1,"CONTINENT_CAUCASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                     ;
MapToConvert[39][66]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[38][66]=["TERRAIN_PLAINS",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[37][66]=["TERRAIN_PLAINS",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],["RESOURCE_WHEAT",1],[0,0,0],-1]                                                         ;
MapToConvert[36][66]=["TERRAIN_PLAINS",-1,"CONTINENT_EUROPE",[[0,-1],[1,3],[1,4]],[-1,0],[0,0,0],-1]                                                                         ;
MapToConvert[35][66]=["TERRAIN_PLAINS",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],["RESOURCE_WHEAT",1],[0,0,0],-1]                                                         ;
MapToConvert[34][66]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_EUROPE",[[1,2],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[33][66]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_EUROPE",[[1,2],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[32][66]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_BALKANIA",[[0,-1],[1,3],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[31][66]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_BALKANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[30][66]=["TERRAIN_GRASS_MOUNTAIN",-1,"CONTINENT_BALKANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                             ;
MapToConvert[29][66]=["TERRAIN_GRASS_HILLS","FEATURE_FOREST","CONTINENT_BALKANIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SILVER",1],[0,0,0],-1]                                   ;
MapToConvert[28][66]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_BALKANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[27][66]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_BALKANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[26][66]=["TERRAIN_GRASS_HILLS","FEATURE_FOREST","CONTINENT_BALKANIA",[[1,2],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[25][66]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_GERMANIA",[[1,2],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[24][66]=["TERRAIN_PLAINS",-1,"CONTINENT_GERMANIA",[[1,2],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[23][66]=["TERRAIN_PLAINS",-1,"CONTINENT_GERMANIA",[[1,2],[0,-1],[1,1]],["RESOURCE_SHEEP",1],[0,0,0],-1]                                                         ;
MapToConvert[22][66]=["TERRAIN_PLAINS",-1,"CONTINENT_GERMANIA",[[1,2],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[21][66]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_GERMANIA",[[1,2],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[20][66]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_GERMANIA",[[0,-1],[1,3],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[19][66]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_GERMANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[18][66]=["TERRAIN_GRASS_HILLS","FEATURE_FOREST","CONTINENT_GERMANIA",[[1,5],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[17][66]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_GERMANIA",[[1,5],[0,-1],[1,4]],[-1,0],[0,0,0],-1]                                                                  ;
MapToConvert[16][66]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_FRANCIA",[[0,-1],[1,0],[0,-1]],["RESOURCE_WINE",1],[0,0,0],-1]                                            ;
MapToConvert[15][66]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_FRANCIA",[[1,5],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[14][66]=["TERRAIN_PLAINS",-1,"CONTINENT_FRANCIA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[13][66]=["TERRAIN_PLAINS",-1,"CONTINENT_FRANCIA",[[1,5],[0,-1],[0,-1]],["RESOURCE_WHEAT",1],[0,0,0],-1]                                                         ;
MapToConvert[12][66]=["TERRAIN_GRASS",-1,"CONTINENT_FRANCIA",[[1,5],[0,-1],[1,4]],[-1,0],[0,0,0],-1]                                                                         ;
MapToConvert[11][66]=["TERRAIN_GRASS_HILLS","FEATURE_FOREST","CONTINENT_FRANCIA",[[1,5],[0,-1],[1,4]],[-1,0],[0,0,0],-1]                                                     ;
MapToConvert[10][66]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_FRANCIA",[[1,5],[0,-1],[1,4]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[9][66]=["TERRAIN_GRASS",-1,"CONTINENT_FRANCIA",[[0,-1],[0,-1],[1,4]],["RESOURCE_TRUFFLES",1],[0,0,0],-1]                                                        ;
MapToConvert[8][66]=["TERRAIN_GRASS",-1,"CONTINENT_FRANCIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                        ;
MapToConvert[7][66]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                         ;
MapToConvert[6][66]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[5][66]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[4][66]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[3][66]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[2][66]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[1][66]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[0][66]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[179][67]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[178][67]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[177][67]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[176][67]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[175][67]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[174][67]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[173][67]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[172][67]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[171][67]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[170][67]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[169][67]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[168][67]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[167][67]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[166][67]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[165][67]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[164][67]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[163][67]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[162][67]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[161][67]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[160][67]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[159][67]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[158][67]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[157][67]=["TERRAIN_GRASS",-1,"CONTINENT_LABRADORIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_CATTLE",1],[0,1,0],-1]                                                    ;
MapToConvert[156][67]=["TERRAIN_GRASS",-1,"CONTINENT_LABRADORIA",[[1,2],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[155][67]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[1,3],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[154][67]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_IRON",1],[0,0,0],-1]                                             ;
MapToConvert[153][67]=["TERRAIN_GRASS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[152][67]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[151][67]=["TERRAIN_GRASS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[150][67]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[149][67]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[148][67]=["TERRAIN_PLAINS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[147][67]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                       ;
MapToConvert[146][67]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[1,2],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[145][67]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[1,3],[0,-1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[144][67]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[1,2],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[143][67]=["TERRAIN_GRASS",-1,"CONTINENT_NORTH_AMERICA",[[1,2],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                                  ;
MapToConvert[142][67]=["TERRAIN_GRASS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[1,3],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[141][67]=["TERRAIN_PLAINS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_COAL",1],[0,0,0],-1]                                                  ;
MapToConvert[140][67]=["TERRAIN_PLAINS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[139][67]=["TERRAIN_PLAINS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_WHEAT",1],[0,0,0],-1]                                                 ;
MapToConvert[138][67]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[137][67]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_DEER",1],[0,0,0],-1]                                    ;
MapToConvert[136][67]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_IRON",1],[0,0,0],-1]                              ;
MapToConvert[135][67]=["TERRAIN_PLAINS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[134][67]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[133][67]=["TERRAIN_DESERT_HILLS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SALT",1],[0,0,0],-1]                                            ;
MapToConvert[132][67]=["TERRAIN_DESERT_HILLS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[131][67]=["TERRAIN_PLAINS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[130][67]=["TERRAIN_GRASS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_WHEAT",1],[0,0,0],-1]                                                  ;
MapToConvert[129][67]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                       ;
MapToConvert[128][67]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_WHALES",1],[0,0,0],-1]                                                                        ;
MapToConvert[127][67]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[126][67]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[125][67]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[124][67]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[123][67]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[122][67]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[121][67]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[120][67]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[119][67]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[118][67]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[117][67]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[116][67]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[115][67]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[114][67]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[113][67]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[112][67]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[111][67]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[110][67]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[109][67]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[108][67]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[107][67]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[106][67]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[105][67]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[104][67]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[103][67]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[102][67]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[101][67]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[100][67]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[99][67]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[98][67]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                      ;
MapToConvert[97][67]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[96][67]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_FISH",1],[0,0,0],-1]                                                                           ;
MapToConvert[95][67]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[94][67]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_CRABS",1],[0,0,0],-1]                                                                          ;
MapToConvert[93][67]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[92][67]=["TERRAIN_GRASS_HILLS","FEATURE_FOREST","CONTINENT_MANCHURIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,1],-1]                                                 ;
MapToConvert[91][67]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_MANCHURIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[90][67]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_MANCHURIA",[[0,-1],[0,-1],[1,4]],[-1,0],[0,0,0],-1]                                                            ;
MapToConvert[89][67]=["TERRAIN_TUNDRA_HILLS",-1,"CONTINENT_MANCHURIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_COAL",1],[0,0,0],-1]                                                 ;
MapToConvert[88][67]=["TERRAIN_GRASS",-1,"CONTINENT_MANCHURIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                     ;
MapToConvert[87][67]=["TERRAIN_GRASS",-1,"CONTINENT_MANCHURIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                     ;
MapToConvert[86][67]=["TERRAIN_PLAINS",-1,"CONTINENT_MANCHURIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_CATTLE",1],[0,0,0],-1]                                                     ;
MapToConvert[85][67]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_MANCHURIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                ;
MapToConvert[84][67]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_MANCHURIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                      ;
MapToConvert[83][67]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_MANCHURIA",[[1,2],[1,3],[1,4]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[82][67]=["TERRAIN_DESERT","FEATURE_OASIS","CONTINENT_MANCHURIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                       ;
MapToConvert[81][67]=["TERRAIN_DESERT",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[80][67]=["TERRAIN_DESERT",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[79][67]=["TERRAIN_DESERT",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[78][67]=["TERRAIN_DESERT_HILLS",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[77][67]=["TERRAIN_DESERT",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[76][67]=["TERRAIN_DESERT",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[75][67]=["TERRAIN_DESERT",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[74][67]=["TERRAIN_DESERT",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[73][67]=["TERRAIN_DESERT",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[72][67]=["TERRAIN_DESERT",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[71][67]=["TERRAIN_DESERT_HILLS",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_NITER",1],[0,0,0],-1]                                             ;
MapToConvert[70][67]=["TERRAIN_DESERT",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[69][67]=["TERRAIN_DESERT",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[68][67]=["TERRAIN_TUNDRA_HILLS",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_COPPER",1],[0,0,0],-1]                                            ;
MapToConvert[67][67]=["TERRAIN_TUNDRA_HILLS",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[66][67]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[65][67]=["TERRAIN_PLAINS",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SHEEP",1],[0,0,0],-1]                                                   ;
MapToConvert[64][67]=["TERRAIN_PLAINS",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[63][67]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[62][67]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[61][67]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[60][67]=["TERRAIN_DESERT",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[59][67]=["TERRAIN_DESERT",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[58][67]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,1],-1]                                                                                        ;
MapToConvert[57][67]=["TERRAIN_DESERT",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[56][67]=["TERRAIN_DESERT",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[55][67]=["TERRAIN_DESERT",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[54][67]=["TERRAIN_DESERT",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[53][67]=["TERRAIN_DESERT",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_STONE",1],[0,0,0],-1]                                                   ;
MapToConvert[52][67]=["TERRAIN_DESERT",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[51][67]=["TERRAIN_DESERT",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[50][67]=["TERRAIN_DESERT",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[49][67]=["TERRAIN_DESERT",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[48][67]=["TERRAIN_DESERT",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[47][67]=["TERRAIN_DESERT","FEATURE_FLOODPLAINS","CONTINENT_KAZAKHSTANIA",[[1,2],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                               ;
MapToConvert[46][67]=["TERRAIN_DESERT","FEATURE_FLOODPLAINS","CONTINENT_EUROPE",[[0,-1],[1,3],[0,-1]],[-1,0],[0,0,0],-1]                                                     ;
MapToConvert[45][67]=["TERRAIN_DESERT",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[44][67]=["TERRAIN_PLAINS",-1,"CONTINENT_EUROPE",[[1,2],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                        ;
MapToConvert[43][67]=["TERRAIN_PLAINS",-1,"CONTINENT_CAUCASIA",[[0,-1],[1,3],[0,-1]],[-1,0],[0,0,0],-1]                                                                      ;
MapToConvert[42][67]=["TERRAIN_PLAINS",-1,"CONTINENT_CAUCASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                     ;
MapToConvert[41][67]=["TERRAIN_PLAINS",-1,"CONTINENT_CAUCASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                     ;
MapToConvert[40][67]=["TERRAIN_PLAINS",-1,"CONTINENT_EUROPE",[[1,5],[1,3],[1,4]],[-1,0],[0,0,0],-1]                                                                          ;
MapToConvert[39][67]=["TERRAIN_PLAINS",-1,"CONTINENT_EUROPE",[[0,-1],[1,3],[1,4]],["RESOURCE_WHEAT",1],[1,0,0],-1]                                                           ;
MapToConvert[38][67]=["TERRAIN_PLAINS",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],["RESOURCE_WHEAT",1],[0,0,1],-1]                                                         ;
MapToConvert[37][67]=["TERRAIN_PLAINS",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],["RESOURCE_WHEAT",1],[0,0,0],-1]                                                         ;
MapToConvert[36][67]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_EUROPE",[[1,2],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[35][67]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_EUROPE",[[0,-1],[1,3],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[34][67]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[33][67]=["TERRAIN_PLAINS",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[32][67]=["TERRAIN_PLAINS",-1,"CONTINENT_EUROPE",[[1,2],[0,-1],[0,-1]],["RESOURCE_WHEAT",1],[0,0,0],-1]                                                          ;
MapToConvert[31][67]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_BALKANIA",[[0,-1],[1,3],[0,-1]],["RESOURCE_STONE",1],[0,0,0],-1]                                                   ;
MapToConvert[30][67]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_BALKANIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_IRON",1],[0,0,0],-1]                                                   ;
MapToConvert[29][67]=["TERRAIN_GRASS_HILLS","FEATURE_FOREST","CONTINENT_BALKANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[28][67]=["TERRAIN_GRASS_MOUNTAIN",-1,"CONTINENT_BALKANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                             ;
MapToConvert[27][67]=["TERRAIN_GRASS_MOUNTAIN",-1,"CONTINENT_BALKANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                             ;
MapToConvert[26][67]=["TERRAIN_GRASS_MOUNTAIN",-1,"CONTINENT_BALKANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                             ;
MapToConvert[25][67]=["TERRAIN_GRASS_HILLS","FEATURE_FOREST","CONTINENT_GERMANIA",[[0,-1],[1,0],[0,-1]],["RESOURCE_IRON",1],[0,0,0],-1]                                      ;
MapToConvert[24][67]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_GERMANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[23][67]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_GERMANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[22][67]=["TERRAIN_GRASS_HILLS","FEATURE_FOREST","CONTINENT_GERMANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[21][67]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_GERMANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[20][67]=["TERRAIN_PLAINS",-1,"CONTINENT_GERMANIA",[[1,2],[0,-1],[0,-1]],["RESOURCE_CATTLE",1],[0,0,0],-1]                                                       ;
MapToConvert[19][67]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_GERMANIA",[[1,2],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[18][67]=["TERRAIN_GRASS_HILLS","FEATURE_FOREST","CONTINENT_GERMANIA",[[1,2],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                    ;
MapToConvert[17][67]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_GERMANIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_IRON",1],[0,0,0],-1]                                    ;
MapToConvert[16][67]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_FRANCIA",[[0,-1],[1,0],[1,1]],[-1,0],[0,0,0],-1]                                                    ;
MapToConvert[15][67]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_FRANCIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[14][67]=["TERRAIN_PLAINS",-1,"CONTINENT_FRANCIA",[[1,5],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[13][67]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_FRANCIA",[[1,5],[0,-1],[1,4]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[12][67]=["TERRAIN_GRASS",-1,"CONTINENT_FRANCIA",[[0,-1],[1,0],[0,-1]],["RESOURCE_CATTLE",1],[0,0,0],-1]                                                         ;
MapToConvert[11][67]=["TERRAIN_GRASS",-1,"CONTINENT_FRANCIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[10][67]=["TERRAIN_GRASS",-1,"CONTINENT_FRANCIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SHEEP",1],[0,0,0],-1]                                                         ;
MapToConvert[9][67]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_FRANCIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_IRON",1],[0,0,0],-1]                                                     ;
MapToConvert[8][67]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_FRANCIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                  ;
MapToConvert[7][67]=["TERRAIN_GRASS",-1,"CONTINENT_FRANCIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                        ;
MapToConvert[6][67]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                         ;
MapToConvert[5][67]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[4][67]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[3][67]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[2][67]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[1][67]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[0][67]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[179][68]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[178][68]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[177][68]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[176][68]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[175][68]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[174][68]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[173][68]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[172][68]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[171][68]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[170][68]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[169][68]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[168][68]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[167][68]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[166][68]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[165][68]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[164][68]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[163][68]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[162][68]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_WHALES",1],[0,0,0],-1]                                                                        ;
MapToConvert[161][68]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[160][68]=["TERRAIN_GRASS",-1,"CONTINENT_LABRADORIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,1,1],-1]                                                                   ;
MapToConvert[159][68]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[158][68]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                                       ;
MapToConvert[157][68]=["TERRAIN_GRASS_HILLS","FEATURE_FOREST","CONTINENT_LABRADORIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                               ;
MapToConvert[156][68]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_LABRADORIA",[[1,2],[0,-1],[0,-1]],["RESOURCE_ALUMINUM",1],[0,0,0],-1]                                             ;
MapToConvert[155][68]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[1,3],[0,-1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[154][68]=["TERRAIN_PLAINS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_WHEAT",1],[0,0,0],-1]                                                 ;
MapToConvert[153][68]=["TERRAIN_GRASS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[152][68]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_TRUFFLES",1],[0,0,0],-1]                                 ;
MapToConvert[151][68]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[150][68]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[149][68]=["TERRAIN_PLAINS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_WHEAT",1],[0,0,0],-1]                                                 ;
MapToConvert[148][68]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_FISH",1],[0,1,1],-1]                                                                          ;
MapToConvert[147][68]=["TERRAIN_GRASS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[146][68]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[1,2],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[145][68]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[1,3],[0,-1]],["RESOURCE_DEER",1],[0,0,0],-1]                                      ;
MapToConvert[144][68]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[143][68]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[1,2],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[142][68]=["TERRAIN_GRASS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[1,3],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[141][68]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[140][68]=["TERRAIN_PLAINS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[139][68]=["TERRAIN_PLAINS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[138][68]=["TERRAIN_PLAINS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[137][68]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                           ;
MapToConvert[136][68]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                           ;
MapToConvert[135][68]=["TERRAIN_GRASS_MOUNTAIN",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                       ;
MapToConvert[134][68]=["TERRAIN_GRASS_MOUNTAIN",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                       ;
MapToConvert[133][68]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[132][68]=["TERRAIN_GRASS_MOUNTAIN",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                       ;
MapToConvert[131][68]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[130][68]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                                       ;
MapToConvert[129][68]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[128][68]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[127][68]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[126][68]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[125][68]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[124][68]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[123][68]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[122][68]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[121][68]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[120][68]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[119][68]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[118][68]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[117][68]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[116][68]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[115][68]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[114][68]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[113][68]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[112][68]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[111][68]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[110][68]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[109][68]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[108][68]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[107][68]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[106][68]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[105][68]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[104][68]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[103][68]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[102][68]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[101][68]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[100][68]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[99][68]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_OIL",1],[0,0,0],-1]                                                                            ;
MapToConvert[98][68]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                                        ;
MapToConvert[97][68]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[96][68]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[95][68]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[94][68]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[93][68]=["TERRAIN_GRASS",-1,"CONTINENT_MANCHURIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                     ;
MapToConvert[92][68]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_MANCHURIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[91][68]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_MANCHURIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_TRUFFLES",1],[0,0,0],-1]                                     ;
MapToConvert[90][68]=["TERRAIN_TUNDRA_HILLS","FEATURE_FOREST","CONTINENT_MANCHURIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                ;
MapToConvert[89][68]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_MANCHURIA",[[1,5],[0,-1],[0,-1]],["RESOURCE_DEER",1],[0,0,0],-1]                                           ;
MapToConvert[88][68]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_MANCHURIA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[87][68]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_MANCHURIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                       ;
MapToConvert[86][68]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_MANCHURIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                      ;
MapToConvert[85][68]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_MANCHURIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_STONE",1],[0,0,0],-1]                                                ;
MapToConvert[84][68]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_MANCHURIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                      ;
MapToConvert[83][68]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_MANCHURIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                              ;
MapToConvert[82][68]=["TERRAIN_DESERT",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[81][68]=["TERRAIN_DESERT",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_OIL",1],[0,0,0],-1]                                                     ;
MapToConvert[80][68]=["TERRAIN_DESERT",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[79][68]=["TERRAIN_DESERT",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[78][68]=["TERRAIN_DESERT",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[77][68]=["TERRAIN_DESERT",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_OIL",1],[0,0,0],-1]                                                     ;
MapToConvert[76][68]=["TERRAIN_DESERT",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[75][68]=["TERRAIN_DESERT",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[74][68]=["TERRAIN_DESERT",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[73][68]=["TERRAIN_DESERT",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[72][68]=["TERRAIN_DESERT",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[71][68]=["TERRAIN_DESERT",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[70][68]=["TERRAIN_DESERT",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[69][68]=["TERRAIN_DESERT",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[68][68]=["TERRAIN_DESERT",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[67][68]=["TERRAIN_DESERT",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[66][68]=["TERRAIN_DESERT",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[65][68]=["TERRAIN_PLAINS",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[64][68]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_IRON",1],[0,0,0],-1]                                              ;
MapToConvert[63][68]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[62][68]=["TERRAIN_DESERT",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[61][68]=["TERRAIN_DESERT",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[60][68]=["TERRAIN_DESERT",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[59][68]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[58][68]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[57][68]=["TERRAIN_DESERT",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[56][68]=["TERRAIN_DESERT",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[55][68]=["TERRAIN_DESERT",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[54][68]=["TERRAIN_DESERT",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[53][68]=["TERRAIN_DESERT",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[52][68]=["TERRAIN_DESERT",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[51][68]=["TERRAIN_DESERT",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[50][68]=["TERRAIN_DESERT",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[49][68]=["TERRAIN_DESERT",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[48][68]=["TERRAIN_DESERT_HILLS",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[47][68]=["TERRAIN_PLAINS",-1,"CONTINENT_EUROPE",[[0,-1],[1,3],[1,4]],[-1,0],[0,0,0],-1]                                                                         ;
MapToConvert[46][68]=["TERRAIN_PLAINS",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[45][68]=["TERRAIN_PLAINS",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],["RESOURCE_WHEAT",1],[0,0,0],-1]                                                         ;
MapToConvert[44][68]=["TERRAIN_PLAINS",-1,"CONTINENT_EUROPE",[[1,2],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                        ;
MapToConvert[43][68]=["TERRAIN_PLAINS",-1,"CONTINENT_EUROPE",[[1,2],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                                         ;
MapToConvert[42][68]=["TERRAIN_PLAINS",-1,"CONTINENT_EUROPE",[[0,-1],[1,3],[0,-1]],["RESOURCE_HORSES",1],[0,0,0],-1]                                                         ;
MapToConvert[41][68]=["TERRAIN_PLAINS",-1,"CONTINENT_EUROPE",[[0,-1],[1,3],[1,4]],[-1,0],[0,0,0],-1]                                                                         ;
MapToConvert[40][68]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_EUROPE",[[1,2],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[39][68]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_EUROPE",[[1,2],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[38][68]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_EUROPE",[[1,2],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[37][68]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_EUROPE",[[0,-1],[1,3],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[36][68]=["TERRAIN_PLAINS",-1,"CONTINENT_EUROPE",[[1,2],[0,-1],[0,-1]],["RESOURCE_URANIUM",1],[0,0,0],-1]                                                        ;
MapToConvert[35][68]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_EUROPE",[[1,2],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[34][68]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_EUROPE",[[1,2],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[33][68]=["TERRAIN_GRASS",-1,"CONTINENT_EUROPE",[[0,-1],[1,3],[0,-1]],["RESOURCE_TRUFFLES",1],[0,0,0],-1]                                                        ;
MapToConvert[32][68]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_EUROPE",[[1,2],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[31][68]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_EUROPE",[[1,2],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                            ;
MapToConvert[30][68]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_EUROPE",[[0,-1],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[29][68]=["TERRAIN_GRASS_HILLS","FEATURE_FOREST","CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],["RESOURCE_COPPER",1],[0,0,0],-1]                                     ;
MapToConvert[28][68]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_GERMANIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_DEER",1],[0,0,0],-1]                                           ;
MapToConvert[27][68]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_GERMANIA",[[1,2],[1,0],[1,1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[26][68]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_GERMANIA",[[0,-1],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[25][68]=["TERRAIN_GRASS_HILLS","FEATURE_FOREST","CONTINENT_GERMANIA",[[0,-1],[1,0],[1,1]],["RESOURCE_ALUMINUM",1],[0,0,0],-1]                                   ;
MapToConvert[24][68]=["TERRAIN_GRASS_HILLS","FEATURE_FOREST","CONTINENT_GERMANIA",[[1,5],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[23][68]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_GERMANIA",[[0,-1],[1,0],[0,-1]],["RESOURCE_IRON",1],[0,0,0],-1]                                                    ;
MapToConvert[22][68]=["TERRAIN_GRASS_HILLS","FEATURE_FOREST","CONTINENT_GERMANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[21][68]=["TERRAIN_PLAINS",-1,"CONTINENT_GERMANIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_WHEAT",1],[0,0,0],-1]                                                       ;
MapToConvert[20][68]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_GERMANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                       ;
MapToConvert[19][68]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_GERMANIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_COAL",1],[0,0,0],-1]                                    ;
MapToConvert[18][68]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_GERMANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[17][68]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_FRANCIA",[[0,-1],[1,0],[1,1]],[-1,0],[0,0,0],-1]                                                    ;
MapToConvert[16][68]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_FRANCIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[15][68]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_FRANCIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_COPPER",1],[0,0,0],-1]                                                 ;
MapToConvert[14][68]=["TERRAIN_GRASS",-1,"CONTINENT_FRANCIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[13][68]=["TERRAIN_GRASS",-1,"CONTINENT_FRANCIA",[[1,5],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                        ;
MapToConvert[12][68]=["TERRAIN_GRASS",-1,"CONTINENT_FRANCIA",[[0,-1],[1,0],[0,-1]],["RESOURCE_OIL",1],[0,0,0],-1]                                                            ;
MapToConvert[11][68]=["TERRAIN_GRASS",-1,"CONTINENT_FRANCIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_NITER",1],[0,0,0],-1]                                                         ;
MapToConvert[10][68]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[9][68]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                                         ;
MapToConvert[8][68]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                                         ;
MapToConvert[7][68]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                                         ;
MapToConvert[6][68]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[5][68]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[4][68]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[3][68]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[2][68]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[1][68]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[0][68]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[179][69]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[178][69]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[177][69]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[176][69]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[175][69]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[174][69]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[173][69]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[172][69]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[171][69]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[170][69]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[169][69]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[168][69]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[167][69]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[166][69]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[165][69]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[164][69]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[163][69]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[162][69]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[161][69]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[160][69]=["TERRAIN_GRASS",-1,"CONTINENT_LABRADORIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[159][69]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[158][69]=["TERRAIN_GRASS_HILLS","FEATURE_FOREST","CONTINENT_LABRADORIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                               ;
MapToConvert[157][69]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_LABRADORIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_DEER",1],[0,0,0],-1]                                        ;
MapToConvert[156][69]=["TERRAIN_GRASS_HILLS","FEATURE_FOREST","CONTINENT_LABRADORIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                               ;
MapToConvert[155][69]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_LABRADORIA",[[0,-1],[0,-1],[1,4]],[-1,0],[0,0,0],-1]                                                      ;
MapToConvert[154][69]=["TERRAIN_PLAINS",-1,"CONTINENT_LABRADORIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_HORSES",1],[0,0,0],-1]                                                   ;
MapToConvert[153][69]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[152][69]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[151][69]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[150][69]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[149][69]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[148][69]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[147][69]=["TERRAIN_GRASS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[146][69]=["TERRAIN_GRASS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SHEEP",1],[0,0,0],-1]                                                  ;
MapToConvert[145][69]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[1,2],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[144][69]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[1,3],[0,-1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[143][69]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_TRUFFLES",1],[0,0,0],-1]                                ;
MapToConvert[142][69]=["TERRAIN_GRASS",-1,"CONTINENT_NORTH_AMERICA",[[1,2],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[141][69]=["TERRAIN_GRASS",-1,"CONTINENT_NORTH_AMERICA",[[1,2],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                                  ;
MapToConvert[140][69]=["TERRAIN_PLAINS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[1,3],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[139][69]=["TERRAIN_PLAINS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_CATTLE",1],[0,0,0],-1]                                                ;
MapToConvert[138][69]=["TERRAIN_PLAINS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[137][69]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                           ;
MapToConvert[136][69]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                      ;
MapToConvert[135][69]=["TERRAIN_GRASS_HILLS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                            ;
MapToConvert[134][69]=["TERRAIN_GRASS_MOUNTAIN",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                       ;
MapToConvert[133][69]=["TERRAIN_GRASS",-1,"CONTINENT_NORTH_AMERICA",[[1,5],[0,-1],[1,4]],["RESOURCE_HORSES",1],[0,0,0],-1]                                                   ;
MapToConvert[132][69]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[1,5],[0,-1],[1,4]],["RESOURCE_FURS",1],[0,0,0],-1]                                       ;
MapToConvert[131][69]=["TERRAIN_GRASS_HILLS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                             ;
MapToConvert[130][69]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[129][69]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[128][69]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[127][69]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[126][69]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[125][69]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[124][69]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[123][69]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[122][69]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[121][69]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[120][69]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[119][69]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[118][69]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[117][69]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[116][69]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[115][69]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[114][69]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[113][69]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[112][69]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[111][69]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[110][69]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[109][69]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[108][69]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[107][69]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[106][69]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[105][69]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[104][69]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[103][69]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[102][69]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[101][69]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[100][69]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[99][69]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[98][69]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[97][69]=["TERRAIN_PLAINS",-1,"CONTINENT_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                    ;
MapToConvert[96][69]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[95][69]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[94][69]=["TERRAIN_GRASS",-1,"CONTINENT_MANCHURIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,1],-1]                                                                     ;
MapToConvert[93][69]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_MANCHURIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[92][69]=["TERRAIN_TUNDRA_HILLS",-1,"CONTINENT_MANCHURIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                              ;
MapToConvert[91][69]=["TERRAIN_TUNDRA_HILLS","FEATURE_FOREST","CONTINENT_MANCHURIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                ;
MapToConvert[90][69]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_MANCHURIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[89][69]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_MANCHURIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                       ;
MapToConvert[88][69]=["TERRAIN_GRASS_HILLS","FEATURE_FOREST","CONTINENT_MANCHURIA",[[1,5],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[87][69]=["TERRAIN_GRASS_HILLS","FEATURE_FOREST","CONTINENT_MANCHURIA",[[0,-1],[1,0],[0,-1]],["RESOURCE_COPPER",1],[0,0,0],-1]                                   ;
MapToConvert[86][69]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_MANCHURIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                      ;
MapToConvert[85][69]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_MANCHURIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                      ;
MapToConvert[84][69]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_MANCHURIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                ;
MapToConvert[83][69]=["TERRAIN_DESERT",-1,"CONTINENT_MANCHURIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[82][69]=["TERRAIN_DESERT",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[81][69]=["TERRAIN_DESERT",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[80][69]=["TERRAIN_DESERT",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[79][69]=["TERRAIN_PLAINS",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_HORSES",1],[0,0,0],-1]                                                  ;
MapToConvert[78][69]=["TERRAIN_PLAINS",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[77][69]=["TERRAIN_PLAINS",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[76][69]=["TERRAIN_PLAINS",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[75][69]=["TERRAIN_PLAINS",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[74][69]=["TERRAIN_PLAINS",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_WHEAT",1],[0,0,0],-1]                                                   ;
MapToConvert[73][69]=["TERRAIN_DESERT_HILLS",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                                            ;
MapToConvert[72][69]=["TERRAIN_DESERT","FEATURE_OASIS","CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                    ;
MapToConvert[71][69]=["TERRAIN_DESERT_HILLS",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[70][69]=["TERRAIN_DESERT_HILLS",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[69][69]=["TERRAIN_DESERT",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_OIL",1],[0,0,0],-1]                                                     ;
MapToConvert[68][69]=["TERRAIN_DESERT",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[67][69]=["TERRAIN_DESERT",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[66][69]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SILVER",1],[0,0,0],-1]                                            ;
MapToConvert[65][69]=["TERRAIN_PLAINS",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[64][69]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[63][69]=["TERRAIN_DESERT",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[62][69]=["TERRAIN_DESERT",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[61][69]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[60][69]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,1],-1]                                                                                        ;
MapToConvert[59][69]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[58][69]=["TERRAIN_DESERT",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_OIL",1],[1,0,0],-1]                                                     ;
MapToConvert[57][69]=["TERRAIN_DESERT",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                 ;
MapToConvert[56][69]=["TERRAIN_DESERT",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[55][69]=["TERRAIN_DESERT",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[54][69]=["TERRAIN_DESERT",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[53][69]=["TERRAIN_DESERT",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[52][69]=["TERRAIN_PLAINS",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                                                  ;
MapToConvert[51][69]=["TERRAIN_PLAINS",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_TRUFFLES",1],[0,0,0],-1]                                                ;
MapToConvert[50][69]=["TERRAIN_PLAINS",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[49][69]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[48][69]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[47][69]=["TERRAIN_GRASS",-1,"CONTINENT_EUROPE",[[0,-1],[1,3],[1,4]],["RESOURCE_CATTLE",1],[0,0,0],-1]                                                           ;
MapToConvert[46][69]=["TERRAIN_GRASS",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                        ;
MapToConvert[45][69]=["TERRAIN_GRASS",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],["RESOURCE_COAL",1],[0,0,0],-1]                                                           ;
MapToConvert[44][69]=["TERRAIN_PLAINS",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[43][69]=["TERRAIN_PLAINS",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SHEEP",1],[0,0,0],-1]                                                         ;
MapToConvert[42][69]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_EUROPE",[[0,-1],[1,3],[1,4]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[41][69]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_EUROPE",[[1,2],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[40][69]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_EUROPE",[[1,2],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[39][69]=["TERRAIN_PLAINS",-1,"CONTINENT_EUROPE",[[1,2],[0,-1],[1,1]],["RESOURCE_WHEAT",1],[0,0,0],-1]                                                           ;
MapToConvert[38][69]=["TERRAIN_PLAINS",-1,"CONTINENT_EUROPE",[[0,-1],[1,3],[0,-1]],["RESOURCE_WHEAT",1],[0,0,0],-1]                                                          ;
MapToConvert[37][69]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_EUROPE",[[1,2],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[36][69]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_EUROPE",[[0,-1],[1,3],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[35][69]=["TERRAIN_PLAINS",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SALT",1],[0,0,0],-1]                                                          ;
MapToConvert[34][69]=["TERRAIN_PLAINS",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],["RESOURCE_WHEAT",1],[0,0,0],-1]                                                         ;
MapToConvert[33][69]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_EUROPE",[[1,2],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[32][69]=["TERRAIN_GRASS",-1,"CONTINENT_EUROPE",[[0,-1],[1,3],[0,-1]],[-1,0],[0,0,0],-1]                                                                         ;
MapToConvert[31][69]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[30][69]=["TERRAIN_GRASS",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SHEEP",1],[0,0,0],-1]                                                          ;
MapToConvert[29][69]=["TERRAIN_GRASS_HILLS","FEATURE_FOREST","CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                    ;
MapToConvert[28][69]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[27][69]=["TERRAIN_PLAINS",-1,"CONTINENT_GERMANIA",[[1,5],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                      ;
MapToConvert[26][69]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_GERMANIA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[25][69]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_GERMANIA",[[1,5],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[24][69]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_GERMANIA",[[0,-1],[1,0],[0,-1]],["RESOURCE_FURS",1],[0,0,0],-1]                                            ;
MapToConvert[23][69]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_GERMANIA",[[1,5],[0,-1],[0,-1]],["RESOURCE_DEER",1],[0,0,0],-1]                                            ;
MapToConvert[22][69]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_GERMANIA",[[1,5],[0,-1],[1,4]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[21][69]=["TERRAIN_GRASS_HILLS","FEATURE_FOREST","CONTINENT_GERMANIA",[[1,5],[0,-1],[1,4]],["RESOURCE_COPPER",1],[0,0,0],-1]                                     ;
MapToConvert[20][69]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_GERMANIA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[19][69]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_GERMANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[18][69]=["TERRAIN_PLAINS",-1,"CONTINENT_GERMANIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_COAL",1],[0,0,0],-1]                                                        ;
MapToConvert[17][69]=["TERRAIN_PLAINS",-1,"CONTINENT_GERMANIA",[[1,5],[0,-1],[0,-1]],["RESOURCE_DEER",1],[0,0,0],-1]                                                         ;
MapToConvert[16][69]=["TERRAIN_PLAINS",-1,"CONTINENT_FRANCIA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[15][69]=["TERRAIN_PLAINS",-1,"CONTINENT_FRANCIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                      ;
MapToConvert[14][69]=["TERRAIN_GRASS",-1,"CONTINENT_FRANCIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_WHEAT",1],[0,0,0],-1]                                                         ;
MapToConvert[13][69]=["TERRAIN_GRASS",-1,"CONTINENT_FRANCIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[12][69]=["TERRAIN_GRASS",-1,"CONTINENT_FRANCIA",[[1,5],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                        ;
MapToConvert[11][69]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                        ;
MapToConvert[10][69]=["TERRAIN_GRASS",-1,"CONTINENT_FRANCIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[9][69]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_FISH",1],[0,1,0],-1]                                                                            ;
MapToConvert[8][69]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[7][69]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[6][69]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[5][69]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[4][69]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[3][69]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[2][69]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[1][69]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[0][69]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[179][70]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[178][70]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[177][70]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[176][70]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[175][70]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[174][70]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[173][70]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[172][70]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[171][70]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[170][70]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[169][70]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[168][70]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[167][70]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[166][70]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[165][70]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[164][70]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[163][70]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[162][70]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[161][70]=["TERRAIN_GRASS",-1,"CONTINENT_LABRADORIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_WHEAT",1],[0,1,0],-1]                                                     ;
MapToConvert[160][70]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_LABRADORIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                     ;
MapToConvert[159][70]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_LABRADORIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                     ;
MapToConvert[158][70]=["TERRAIN_GRASS_HILLS","FEATURE_FOREST","CONTINENT_LABRADORIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                               ;
MapToConvert[157][70]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_LABRADORIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                     ;
MapToConvert[156][70]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_LABRADORIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_COPPER",1],[0,0,0],-1]                                      ;
MapToConvert[155][70]=["TERRAIN_GRASS",-1,"CONTINENT_LABRADORIA",[[1,2],[1,0],[1,1]],[-1,0],[0,0,0],-1]                                                                      ;
MapToConvert[154][70]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_LABRADORIA",[[0,-1],[0,-1],[1,1]],["RESOURCE_FURS",1],[0,0,0],-1]                                         ;
MapToConvert[153][70]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_LABRADORIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                     ;
MapToConvert[152][70]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[151][70]=["TERRAIN_TUNDRA",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[150][70]=["TERRAIN_TUNDRA",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_FURS",1],[1,0,1],-1]                                                  ;
MapToConvert[149][70]=["TERRAIN_TUNDRA",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[148][70]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[147][70]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                                       ;
MapToConvert[146][70]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[145][70]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[1,2],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[144][70]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[1,3],[0,-1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[143][70]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[142][70]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_TRUFFLES",1],[0,0,0],-1]                                 ;
MapToConvert[141][70]=["TERRAIN_PLAINS",-1,"CONTINENT_NORTH_AMERICA",[[1,2],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[140][70]=["TERRAIN_PLAINS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[1,3],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[139][70]=["TERRAIN_PLAINS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[138][70]=["TERRAIN_PLAINS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[137][70]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                           ;
MapToConvert[136][70]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_NITER",1],[0,0,0],-1]                             ;
MapToConvert[135][70]=["TERRAIN_GRASS_MOUNTAIN",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                       ;
MapToConvert[134][70]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_DEER",1],[0,0,0],-1]                                     ;
MapToConvert[133][70]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[132][70]=["TERRAIN_GRASS",-1,"CONTINENT_NORTH_AMERICA",[[1,5],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[131][70]=["TERRAIN_GRASS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[1,4]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[130][70]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[129][70]=["TERRAIN_GRASS_HILLS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                            ;
MapToConvert[128][70]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                       ;
MapToConvert[127][70]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[126][70]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[125][70]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[124][70]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[123][70]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[122][70]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[121][70]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[120][70]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[119][70]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[118][70]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[117][70]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[116][70]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[115][70]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[114][70]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[113][70]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[112][70]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[111][70]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[110][70]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[109][70]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[108][70]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[107][70]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[106][70]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[105][70]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[104][70]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[103][70]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[102][70]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[101][70]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[100][70]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_FURS",1],[0,0,0],-1]                                        ;
MapToConvert[99][70]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                      ;
MapToConvert[98][70]=["TERRAIN_PLAINS",-1,"CONTINENT_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[97][70]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                        ;
MapToConvert[96][70]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[95][70]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_MANCHURIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_IRON",1],[0,0,0],-1]                                                  ;
MapToConvert[94][70]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_MANCHURIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[93][70]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_MANCHURIA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                                       ;
MapToConvert[92][70]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_MANCHURIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_STONE",1],[0,0,0],-1]                                                ;
MapToConvert[91][70]=["TERRAIN_GRASS",-1,"CONTINENT_MANCHURIA",[[1,2],[1,0],[1,1]],["RESOURCE_SILK",1],[0,0,0],-1]                                                           ;
MapToConvert[90][70]=["TERRAIN_GRASS",-1,"CONTINENT_MANCHURIA",[[1,2],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[89][70]=["TERRAIN_GRASS",-1,"CONTINENT_MANCHURIA",[[1,2],[0,-1],[1,1]],["RESOURCE_TRUFFLES",1],[0,0,0],-1]                                                      ;
MapToConvert[88][70]=["TERRAIN_GRASS",-1,"CONTINENT_MANCHURIA",[[1,2],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[87][70]=["TERRAIN_PLAINS",-1,"CONTINENT_MANCHURIA",[[0,-1],[1,3],[0,-1]],[-1,0],[0,0,0],-1]                                                                     ;
MapToConvert[86][70]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_MANCHURIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_COAL",1],[0,0,0],-1]                                   ;
MapToConvert[85][70]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_MANCHURIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                      ;
MapToConvert[84][70]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_MANCHURIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                              ;
MapToConvert[83][70]=["TERRAIN_PLAINS",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_CATTLE",1],[0,0,0],-1]                                                  ;
MapToConvert[82][70]=["TERRAIN_DESERT",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[81][70]=["TERRAIN_PLAINS",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[80][70]=["TERRAIN_PLAINS",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_WHEAT",1],[0,0,0],-1]                                                   ;
MapToConvert[79][70]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[78][70]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[77][70]=["TERRAIN_PLAINS",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[76][70]=["TERRAIN_PLAINS",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_HORSES",1],[0,0,0],-1]                                                  ;
MapToConvert[75][70]=["TERRAIN_PLAINS",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[74][70]=["TERRAIN_PLAINS",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[1,0],[1,1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[73][70]=["TERRAIN_PLAINS",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[72][70]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_CENTRAL_ASIA",[[1,2],[1,0],[1,1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[71][70]=["TERRAIN_DESERT",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[70][70]=["TERRAIN_DESERT",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[69][70]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[68][70]=["TERRAIN_TUNDRA_HILLS",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[67][70]=["TERRAIN_TUNDRA_HILLS",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[66][70]=["TERRAIN_TUNDRA",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[65][70]=["TERRAIN_PLAINS",-1,"CONTINENT_CENTRAL_ASIA",[[1,5],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                  ;
MapToConvert[64][70]=["TERRAIN_DESERT_HILLS",-1,"CONTINENT_CENTRAL_ASIA",[[1,5],[0,-1],[1,4]],["RESOURCE_STONE",1],[0,0,0],-1]                                               ;
MapToConvert[63][70]=["TERRAIN_DESERT",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                                                  ;
MapToConvert[62][70]=["TERRAIN_DESERT",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[61][70]=["TERRAIN_DESERT",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,1],-1]                                                                 ;
MapToConvert[60][70]=["TERRAIN_PLAINS",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[59][70]=["TERRAIN_PLAINS",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[58][70]=["TERRAIN_PLAINS",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[57][70]=["TERRAIN_PLAINS",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[56][70]=["TERRAIN_PLAINS",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[55][70]=["TERRAIN_PLAINS",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[54][70]=["TERRAIN_PLAINS",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[53][70]=["TERRAIN_PLAINS",-1,"CONTINENT_KAZAKHSTANIA",[[1,5],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                  ;
MapToConvert[52][70]=["TERRAIN_PLAINS",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                                                  ;
MapToConvert[51][70]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[50][70]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[49][70]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_EUROPE",[[1,5],[1,3],[1,4]],["RESOURCE_COPPER",1],[0,0,0],-1]                                                      ;
MapToConvert[48][70]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[1,4]],["RESOURCE_SHEEP",1],[0,0,0],-1]                                                     ;
MapToConvert[47][70]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[46][70]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[45][70]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[44][70]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[43][70]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_EUROPE",[[0,-1],[1,3],[1,4]],[-1,0],[0,0,0],-1]                                                            ;
MapToConvert[42][70]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[41][70]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[40][70]=["TERRAIN_PLAINS",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],["RESOURCE_WHEAT",1],[0,0,0],-1]                                                         ;
MapToConvert[39][70]=["TERRAIN_PLAINS",-1,"CONTINENT_EUROPE",[[1,2],[0,-1],[0,-1]],["RESOURCE_WHEAT",1],[0,0,0],-1]                                                          ;
MapToConvert[38][70]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_EUROPE",[[0,-1],[1,3],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[37][70]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[36][70]=["TERRAIN_PLAINS",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],["RESOURCE_WHEAT",1],[0,0,0],-1]                                                         ;
MapToConvert[35][70]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[34][70]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[33][70]=["TERRAIN_PLAINS",-1,"CONTINENT_EUROPE",[[1,2],[0,-1],[0,-1]],["RESOURCE_CATTLE",1],[0,0,0],-1]                                                         ;
MapToConvert[32][70]=["TERRAIN_PLAINS",-1,"CONTINENT_EUROPE",[[0,-1],[1,3],[0,-1]],[-1,0],[0,0,0],-1]                                                                        ;
MapToConvert[31][70]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[30][70]=["TERRAIN_GRASS_HILLS","FEATURE_FOREST","CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                    ;
MapToConvert[29][70]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[28][70]=["TERRAIN_PLAINS",-1,"CONTINENT_BALTICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                      ;
MapToConvert[27][70]=["TERRAIN_PLAINS",-1,"CONTINENT_GERMANIA",[[1,5],[0,-1],[0,-1]],["RESOURCE_OIL",1],[0,0,0],-1]                                                          ;
MapToConvert[26][70]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_GERMANIA",[[0,-1],[1,0],[0,-1]],["RESOURCE_TRUFFLES",1],[0,0,0],-1]                                       ;
MapToConvert[25][70]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_GERMANIA",[[1,5],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[24][70]=["TERRAIN_GRASS",-1,"CONTINENT_GERMANIA",[[0,-1],[1,0],[0,-1]],["RESOURCE_SHEEP",1],[0,0,0],-1]                                                         ;
MapToConvert[23][70]=["TERRAIN_GRASS",-1,"CONTINENT_GERMANIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_NITER",1],[0,0,0],-1]                                                        ;
MapToConvert[22][70]=["TERRAIN_GRASS",-1,"CONTINENT_GERMANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                      ;
MapToConvert[21][70]=["TERRAIN_PLAINS",-1,"CONTINENT_GERMANIA",[[1,5],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                      ;
MapToConvert[20][70]=["TERRAIN_PLAINS",-1,"CONTINENT_GERMANIA",[[1,5],[0,-1],[1,4]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[19][70]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_GERMANIA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[18][70]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_GERMANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                       ;
MapToConvert[17][70]=["TERRAIN_PLAINS",-1,"CONTINENT_GERMANIA",[[1,5],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                      ;
MapToConvert[16][70]=["TERRAIN_GRASS","FEATURE_MARSH","CONTINENT_FRANCIA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[15][70]=["TERRAIN_GRASS",-1,"CONTINENT_FRANCIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_CATTLE",1],[0,0,0],-1]                                                        ;
MapToConvert[14][70]=["TERRAIN_GRASS",-1,"CONTINENT_FRANCIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[13][70]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[12][70]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                                        ;
MapToConvert[11][70]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                                        ;
MapToConvert[10][70]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                                        ;
MapToConvert[9][70]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[8][70]=["TERRAIN_GRASS",-1,"CONTINENT_BRITTANIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_WHEAT",1],[0,0,0],-1]                                                        ;
MapToConvert[7][70]=["TERRAIN_PLAINS",-1,"CONTINENT_BRITTANIA",[[0,-1],[1,3],[0,-1]],["RESOURCE_STONE",1],[1,0,1],-1]                                                        ;
MapToConvert[6][70]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                         ;
MapToConvert[5][70]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[4][70]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[3][70]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[2][70]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[1][70]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[0][70]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[179][71]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[178][71]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[177][71]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[176][71]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[175][71]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[174][71]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[173][71]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[172][71]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[171][71]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[170][71]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[169][71]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[168][71]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[167][71]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[166][71]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_WHALES",1],[0,0,0],-1]                                                                        ;
MapToConvert[165][71]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[164][71]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[163][71]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[162][71]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[161][71]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                                       ;
MapToConvert[160][71]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[159][71]=["TERRAIN_GRASS",-1,"CONTINENT_LABRADORIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[158][71]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_LABRADORIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                             ;
MapToConvert[157][71]=["TERRAIN_GRASS",-1,"CONTINENT_LABRADORIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[156][71]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_LABRADORIA",[[1,2],[1,0],[1,1]],["RESOURCE_COPPER",1],[0,0,0],-1]                                                 ;
MapToConvert[155][71]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_LABRADORIA",[[1,2],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[154][71]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_LABRADORIA",[[1,2],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                       ;
MapToConvert[153][71]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_LABRADORIA",[[0,-1],[1,3],[0,-1]],[-1,0],[0,0,0],-1]                                                      ;
MapToConvert[152][71]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_LABRADORIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                     ;
MapToConvert[151][71]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[150][71]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[149][71]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[148][71]=["TERRAIN_TUNDRA",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[147][71]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_FISH",1],[0,0,0],-1]                                                                          ;
MapToConvert[146][71]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                  ;
MapToConvert[145][71]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[144][71]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[1,2],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[143][71]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[1,3],[0,-1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[142][71]=["TERRAIN_GRASS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[141][71]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[140][71]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[1,2],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[139][71]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[1,2],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[138][71]=["TERRAIN_PLAINS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[1,3],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[137][71]=["TERRAIN_PLAINS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_WHEAT",1],[0,0,0],-1]                                                 ;
MapToConvert[136][71]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                           ;
MapToConvert[135][71]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                            ;
MapToConvert[134][71]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                      ;
MapToConvert[133][71]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[132][71]=["TERRAIN_GRASS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_OIL",1],[0,0,0],-1]                                                    ;
MapToConvert[131][71]=["TERRAIN_GRASS_MOUNTAIN",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                       ;
MapToConvert[130][71]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_CRABS",1],[0,1,0],-1]                                                                         ;
MapToConvert[129][71]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                                       ;
MapToConvert[128][71]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                                       ;
MapToConvert[127][71]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[126][71]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[125][71]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[124][71]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[123][71]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[122][71]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[121][71]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[120][71]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[119][71]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[118][71]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[117][71]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[116][71]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[115][71]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[114][71]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[113][71]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[112][71]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[111][71]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[110][71]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[109][71]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[108][71]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[107][71]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[106][71]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[105][71]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[104][71]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[103][71]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[102][71]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[101][71]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[100][71]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_EAST_ASIA",[[1,2],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                              ;
MapToConvert[99][71]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[98][71]=["TERRAIN_PLAINS",-1,"CONTINENT_EAST_ASIA",[[1,5],[1,3],[1,4]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[97][71]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                                        ;
MapToConvert[96][71]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[95][71]=["TERRAIN_TUNDRA_HILLS",-1,"CONTINENT_MANCHURIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,1],-1]                                                              ;
MapToConvert[94][71]=["TERRAIN_TUNDRA_HILLS",-1,"CONTINENT_MANCHURIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                              ;
MapToConvert[93][71]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_MANCHURIA",[[0,-1],[1,0],[1,1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[92][71]=["TERRAIN_PLAINS",-1,"CONTINENT_MANCHURIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_URANIUM",1],[0,0,0],-1]                                                    ;
MapToConvert[91][71]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_MANCHURIA",[[0,-1],[1,0],[1,1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[90][71]=["TERRAIN_GRASS",-1,"CONTINENT_MANCHURIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_WHEAT",1],[0,0,0],-1]                                                       ;
MapToConvert[89][71]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_MANCHURIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                       ;
MapToConvert[88][71]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_MANCHURIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                      ;
MapToConvert[87][71]=["TERRAIN_PLAINS",-1,"CONTINENT_MANCHURIA",[[0,-1],[1,3],[1,4]],["RESOURCE_OIL",1],[0,0,0],-1]                                                          ;
MapToConvert[86][71]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_MANCHURIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                              ;
MapToConvert[85][71]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_MANCHURIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[84][71]=["TERRAIN_TUNDRA_HILLS","FEATURE_FOREST","CONTINENT_MANCHURIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                ;
MapToConvert[83][71]=["TERRAIN_TUNDRA_HILLS","FEATURE_FOREST","CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                             ;
MapToConvert[82][71]=["TERRAIN_PLAINS",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[81][71]=["TERRAIN_PLAINS",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_OIL",1],[0,0,0],-1]                                                     ;
MapToConvert[80][71]=["TERRAIN_PLAINS",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[79][71]=["TERRAIN_PLAINS",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[78][71]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[77][71]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[76][71]=["TERRAIN_PLAINS",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_WHEAT",1],[0,0,0],-1]                                                   ;
MapToConvert[75][71]=["TERRAIN_PLAINS",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[74][71]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_CENTRAL_ASIA",[[1,2],[1,0],[1,1]],[-1,0],[0,0,0],-1]                                                              ;
MapToConvert[73][71]=["TERRAIN_PLAINS",-1,"CONTINENT_CENTRAL_ASIA",[[1,2],[0,-1],[1,1]],["RESOURCE_URANIUM",1],[0,0,0],-1]                                                   ;
MapToConvert[72][71]=["TERRAIN_PLAINS",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                                  ;
MapToConvert[71][71]=["TERRAIN_TUNDRA_HILLS",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[70][71]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[69][71]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[68][71]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[67][71]=["TERRAIN_TUNDRA_HILLS",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[66][71]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[65][71]=["TERRAIN_PLAINS",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                                                  ;
MapToConvert[64][71]=["TERRAIN_DESERT",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[63][71]=["TERRAIN_DESERT",-1,"CONTINENT_CENTRAL_ASIA",[[1,5],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                  ;
MapToConvert[62][71]=["TERRAIN_DESERT",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[1,0],[0,-1]],["RESOURCE_OIL",1],[0,0,0],-1]                                                      ;
MapToConvert[61][71]=["TERRAIN_DESERT",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[60][71]=["TERRAIN_PLAINS",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[59][71]=["TERRAIN_PLAINS",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[58][71]=["TERRAIN_PLAINS",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SHEEP",1],[0,0,0],-1]                                                   ;
MapToConvert[57][71]=["TERRAIN_PLAINS",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[56][71]=["TERRAIN_PLAINS",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[55][71]=["TERRAIN_PLAINS",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[54][71]=["TERRAIN_PLAINS",-1,"CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_CATTLE",1],[0,0,0],-1]                                                  ;
MapToConvert[53][71]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_KAZAKHSTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[52][71]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_KAZAKHSTANIA",[[1,5],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                    ;
MapToConvert[51][71]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_EUROPE",[[1,5],[0,-1],[1,4]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[50][71]=["TERRAIN_TUNDRA_HILLS",-1,"CONTINENT_EUROPE",[[1,5],[0,-1],[1,4]],["RESOURCE_IRON",1],[0,0,0],-1]                                                      ;
MapToConvert[49][71]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[1,4]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[48][71]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[47][71]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[46][71]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[45][71]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],["RESOURCE_TRUFFLES",1],[0,0,0],-1]                                         ;
MapToConvert[44][71]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[43][71]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_EUROPE",[[0,-1],[1,3],[1,4]],[-1,0],[0,0,0],-1]                                                            ;
MapToConvert[42][71]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[41][71]=["TERRAIN_GRASS",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                        ;
MapToConvert[40][71]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],["RESOURCE_DEER",1],[0,0,0],-1]                                             ;
MapToConvert[39][71]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[38][71]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_EUROPE",[[1,2],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[37][71]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_EUROPE",[[1,2],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                            ;
MapToConvert[36][71]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_EUROPE",[[0,-1],[1,3],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[35][71]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[34][71]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_EUROPE",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[33][71]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[32][71]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_EUROPE",[[1,2],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[31][71]=["TERRAIN_GRASS","FEATURE_MARSH","CONTINENT_EUROPE",[[0,-1],[1,3],[0,-1]],["RESOURCE_DIAMONDS",1],[0,0,0],-1]                                           ;
MapToConvert[30][71]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[29][71]=["TERRAIN_GRASS","FEATURE_MARSH","CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[28][71]=["TERRAIN_PLAINS",-1,"CONTINENT_BALTICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_CATTLE",1],[0,0,0],-1]                                                       ;
MapToConvert[27][71]=["TERRAIN_PLAINS",-1,"CONTINENT_BALTICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                      ;
MapToConvert[26][71]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_GERMANIA",[[0,-1],[1,0],[1,1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[25][71]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_GERMANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[24][71]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_GERMANIA",[[1,5],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[23][71]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_GERMANIA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[22][71]=["TERRAIN_GRASS",-1,"CONTINENT_GERMANIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_WHEAT",1],[0,0,0],-1]                                                        ;
MapToConvert[21][71]=["TERRAIN_GRASS",-1,"CONTINENT_GERMANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                      ;
MapToConvert[20][71]=["TERRAIN_GRASS",-1,"CONTINENT_GERMANIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_IRON",1],[0,0,0],-1]                                                         ;
MapToConvert[19][71]=["TERRAIN_GRASS",-1,"CONTINENT_GERMANIA",[[1,5],[0,-1],[0,-1]],["RESOURCE_TRUFFLES",1],[0,0,0],-1]                                                      ;
MapToConvert[18][71]=["TERRAIN_GRASS",-1,"CONTINENT_GERMANIA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[17][71]=["TERRAIN_GRASS",-1,"CONTINENT_GERMANIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_WHEAT",1],[0,0,0],-1]                                                        ;
MapToConvert[16][71]=["TERRAIN_GRASS","FEATURE_MARSH","CONTINENT_GERMANIA",[[1,5],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[15][71]=["TERRAIN_GRASS","FEATURE_MARSH","CONTINENT_GERMANIA",[[1,5],[0,-1],[1,4]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[14][71]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[13][71]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[12][71]=["TERRAIN_GRASS",-1,"CONTINENT_BRITTANIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_STONE",1],[1,1,1],-1]                                                       ;
MapToConvert[11][71]=["TERRAIN_GRASS",-1,"CONTINENT_BRITTANIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_STONE",1],[1,0,1],-1]                                                       ;
MapToConvert[10][71]=["TERRAIN_GRASS",-1,"CONTINENT_BRITTANIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_CATTLE",1],[1,0,0],-1]                                                      ;
MapToConvert[9][71]=["TERRAIN_GRASS",-1,"CONTINENT_BRITTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                      ;
MapToConvert[8][71]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_BRITTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[7][71]=["TERRAIN_GRASS",-1,"CONTINENT_BRITTANIA",[[0,-1],[0,-1],[1,4]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[6][71]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_FISH",1],[0,0,1],-1]                                                                            ;
MapToConvert[5][71]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[4][71]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[3][71]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[2][71]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[1][71]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[0][71]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[179][72]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[178][72]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[177][72]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[176][72]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[175][72]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[174][72]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[173][72]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[172][72]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[171][72]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[170][72]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[169][72]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[168][72]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[167][72]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_LABRADORIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                    ;
MapToConvert[166][72]=["TERRAIN_TUNDRA",-1,"CONTINENT_LABRADORIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_STONE",1],[0,0,0],-1]                                                    ;
MapToConvert[165][72]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_LABRADORIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,1],-1]                                                    ;
MapToConvert[164][72]=["TERRAIN_TUNDRA",-1,"CONTINENT_LABRADORIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                  ;
MapToConvert[163][72]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[162][72]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[161][72]=["TERRAIN_TUNDRA",-1,"CONTINENT_LABRADORIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_OIL",1],[0,1,1],-1]                                                      ;
MapToConvert[160][72]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[159][72]=["TERRAIN_GRASS",-1,"CONTINENT_LABRADORIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[158][72]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_CRABS",1],[0,0,0],-1]                                                                         ;
MapToConvert[157][72]=["TERRAIN_TUNDRA",-1,"CONTINENT_LABRADORIA",[[0,-1],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[156][72]=["TERRAIN_TUNDRA",-1,"CONTINENT_LABRADORIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                  ;
MapToConvert[155][72]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_LABRADORIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                    ;
MapToConvert[154][72]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_LABRADORIA",[[1,2],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                     ;
MapToConvert[153][72]=["TERRAIN_TUNDRA_HILLS","FEATURE_FOREST","CONTINENT_LABRADORIA",[[1,2],[0,-1],[1,1]],["RESOURCE_IRON",1],[0,0,0],-1]                                   ;
MapToConvert[152][72]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_LABRADORIA",[[1,2],[1,3],[1,1]],[-1,0],[0,0,0],-1]                                                       ;
MapToConvert[151][72]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[150][72]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_DEER",1],[0,0,0],-1]                                    ;
MapToConvert[149][72]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[148][72]=["TERRAIN_TUNDRA",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[147][72]=["TERRAIN_TUNDRA",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_FURS",1],[0,0,1],-1]                                                  ;
MapToConvert[146][72]=["TERRAIN_TUNDRA",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[145][72]=["TERRAIN_PLAINS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[144][72]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[1,2],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[143][72]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[1,3],[0,-1]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[142][72]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[141][72]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[140][72]=["TERRAIN_PLAINS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_FURS",1],[0,0,0],-1]                                                  ;
MapToConvert[139][72]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[1,2],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[138][72]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[1,2],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[137][72]=["TERRAIN_PLAINS",-1,"CONTINENT_NORTH_AMERICA",[[1,2],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[136][72]=["TERRAIN_PLAINS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[135][72]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_STONE",1],[0,0,0],-1]                                           ;
MapToConvert[134][72]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                           ;
MapToConvert[133][72]=["TERRAIN_GRASS_MOUNTAIN",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                       ;
MapToConvert[132][72]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[131][72]=["TERRAIN_GRASS_MOUNTAIN",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[1,3],[1,4]],[-1,0],[1,0,0],-1]                                                         ;
MapToConvert[130][72]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[129][72]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[128][72]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[127][72]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[126][72]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[125][72]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[124][72]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[123][72]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[122][72]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[121][72]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[120][72]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[119][72]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[118][72]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[117][72]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[116][72]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[115][72]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[114][72]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[113][72]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[112][72]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[111][72]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[110][72]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[109][72]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[108][72]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[107][72]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[106][72]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[105][72]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[104][72]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[103][72]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[102][72]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_OIL",1],[0,0,0],-1]                                                                           ;
MapToConvert[101][72]=["TERRAIN_PLAINS",-1,"CONTINENT_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                   ;
MapToConvert[100][72]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                               ;
MapToConvert[99][72]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_EAST_ASIA",[[0,-1],[0,-1],[1,4]],["RESOURCE_DEER",1],[0,0,0],-1]                                    ;
MapToConvert[98][72]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[97][72]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_FISH",1],[0,0,0],-1]                                                                           ;
MapToConvert[96][72]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[95][72]=["TERRAIN_TUNDRA_HILLS",-1,"CONTINENT_MANCHURIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_DIAMONDS",1],[0,0,0],-1]                                             ;
MapToConvert[94][72]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_MANCHURIA",[[1,5],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                            ;
MapToConvert[93][72]=["TERRAIN_GRASS",-1,"CONTINENT_MANCHURIA",[[1,2],[1,0],[1,1]],[-1,0],[0,0,0],-1]                                                                        ;
MapToConvert[92][72]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_MANCHURIA",[[1,2],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[91][72]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_MANCHURIA",[[1,2],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[90][72]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_MANCHURIA",[[0,-1],[1,3],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[89][72]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_MANCHURIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                ;
MapToConvert[88][72]=["TERRAIN_PLAINS",-1,"CONTINENT_MANCHURIA",[[0,-1],[1,3],[1,4]],[-1,0],[0,0,0],-1]                                                                      ;
MapToConvert[87][72]=["TERRAIN_PLAINS",-1,"CONTINENT_MANCHURIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_TRUFFLES",1],[0,0,0],-1]                                                   ;
MapToConvert[86][72]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_MANCHURIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                              ;
MapToConvert[85][72]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_MANCHURIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[84][72]=["TERRAIN_TUNDRA_HILLS","FEATURE_FOREST","CONTINENT_CENTRAL_ASIA",[[1,5],[0,-1],[1,4]],[-1,0],[0,0,0],-1]                                               ;
MapToConvert[83][72]=["TERRAIN_TUNDRA_HILLS","FEATURE_FOREST","CONTINENT_CENTRAL_ASIA",[[0,-1],[1,0],[0,-1]],["RESOURCE_ALUMINUM",1],[0,0,0],-1]                             ;
MapToConvert[82][72]=["TERRAIN_PLAINS",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[81][72]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                             ;
MapToConvert[80][72]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[79][72]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                             ;
MapToConvert[78][72]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_TRUFFLES",1],[0,0,0],-1]                                  ;
MapToConvert[77][72]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[76][72]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[75][72]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_CENTRAL_ASIA",[[0,-1],[1,0],[1,1]],[-1,0],[0,0,0],-1]                                               ;
MapToConvert[74][72]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[73][72]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[72][72]=["TERRAIN_PLAINS",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SHEEP",1],[0,0,0],-1]                                                   ;
MapToConvert[71][72]=["TERRAIN_PLAINS",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[70][72]=["TERRAIN_PLAINS",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[69][72]=["TERRAIN_PLAINS",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[68][72]=["TERRAIN_PLAINS",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[67][72]=["TERRAIN_PLAINS",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_FURS",1],[0,0,0],-1]                                                    ;
MapToConvert[66][72]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_CENTRAL_ASIA",[[1,5],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[65][72]=["TERRAIN_PLAINS",-1,"CONTINENT_WEST_SIBERIA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                                                  ;
MapToConvert[64][72]=["TERRAIN_PLAINS",-1,"CONTINENT_WEST_SIBERIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_TRUFFLES",1],[0,0,0],-1]                                                ;
MapToConvert[63][72]=["TERRAIN_PLAINS",-1,"CONTINENT_WEST_SIBERIA",[[1,5],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                  ;
MapToConvert[62][72]=["TERRAIN_PLAINS",-1,"CONTINENT_WEST_SIBERIA",[[1,5],[0,-1],[1,4]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[61][72]=["TERRAIN_PLAINS",-1,"CONTINENT_WEST_SIBERIA",[[1,5],[0,-1],[1,4]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[60][72]=["TERRAIN_PLAINS",-1,"CONTINENT_WEST_SIBERIA",[[1,5],[0,-1],[1,4]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[59][72]=["TERRAIN_PLAINS",-1,"CONTINENT_WEST_SIBERIA",[[1,5],[0,-1],[1,4]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[58][72]=["TERRAIN_GRASS",-1,"CONTINENT_WEST_SIBERIA",[[1,5],[0,-1],[1,4]],["RESOURCE_WHEAT",1],[0,0,0],-1]                                                      ;
MapToConvert[57][72]=["TERRAIN_GRASS",-1,"CONTINENT_WEST_SIBERIA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[56][72]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_WEST_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                    ;
MapToConvert[55][72]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_WEST_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                    ;
MapToConvert[54][72]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_WEST_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                    ;
MapToConvert[53][72]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_WEST_SIBERIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_DEER",1],[0,0,0],-1]                                       ;
MapToConvert[52][72]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_WEST_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[51][72]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                              ;
MapToConvert[50][72]=["TERRAIN_TUNDRA_HILLS","FEATURE_FOREST","CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],["RESOURCE_COAL",1],[0,0,0],-1]                                      ;
MapToConvert[49][72]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[48][72]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[47][72]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[46][72]=["TERRAIN_GRASS",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                        ;
MapToConvert[45][72]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[44][72]=["TERRAIN_GRASS",-1,"CONTINENT_EUROPE",[[0,-1],[1,3],[1,4]],[-1,0],[0,0,0],-1]                                                                          ;
MapToConvert[43][72]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[42][72]=["TERRAIN_GRASS",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SHEEP",1],[0,0,0],-1]                                                          ;
MapToConvert[41][72]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[40][72]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[39][72]=["TERRAIN_GRASS",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],["RESOURCE_CATTLE",1],[0,0,0],-1]                                                         ;
MapToConvert[38][72]=["TERRAIN_GRASS",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],["RESOURCE_HORSES",1],[0,0,0],-1]                                                         ;
MapToConvert[37][72]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[36][72]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_EUROPE",[[1,2],[1,0],[1,1]],["RESOURCE_COPPER",1],[0,0,0],-1]                                                      ;
MapToConvert[35][72]=["TERRAIN_GRASS_HILLS","FEATURE_FOREST","CONTINENT_EUROPE",[[0,-1],[0,-1],[1,1]],["RESOURCE_IRON",1],[0,0,0],-1]                                        ;
MapToConvert[34][72]=["TERRAIN_PLAINS",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],["RESOURCE_COAL",1],[0,0,0],-1]                                                          ;
MapToConvert[33][72]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[32][72]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_EUROPE",[[1,2],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[31][72]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_EUROPE",[[0,-1],[1,3],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[30][72]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[29][72]=["TERRAIN_PLAINS",-1,"CONTINENT_BALTICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                      ;
MapToConvert[28][72]=["TERRAIN_PLAINS",-1,"CONTINENT_BALTICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                      ;
MapToConvert[27][72]=["TERRAIN_PLAINS",-1,"CONTINENT_BALTICA",[[1,5],[0,-1],[0,-1]],["RESOURCE_WHEAT",1],[0,0,0],-1]                                                         ;
MapToConvert[26][72]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_GERMANIA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[25][72]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_GERMANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[24][72]=["TERRAIN_GRASS",-1,"CONTINENT_GERMANIA",[[1,5],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[23][72]=["TERRAIN_GRASS",-1,"CONTINENT_GERMANIA",[[0,-1],[1,0],[0,-1]],["RESOURCE_URANIUM",1],[0,0,0],-1]                                                       ;
MapToConvert[22][72]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_GERMANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[21][72]=["TERRAIN_GRASS",-1,"CONTINENT_GERMANIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_HORSES",1],[0,0,0],-1]                                                       ;
MapToConvert[20][72]=["TERRAIN_GRASS",-1,"CONTINENT_GERMANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                      ;
MapToConvert[19][72]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_GERMANIA",[[1,5],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[18][72]=["TERRAIN_GRASS","FEATURE_MARSH","CONTINENT_GERMANIA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[17][72]=["TERRAIN_GRASS","FEATURE_MARSH","CONTINENT_GERMANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[16][72]=["TERRAIN_GRASS",-1,"CONTINENT_GERMANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                      ;
MapToConvert[15][72]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[14][72]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[13][72]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_FISH",1],[1,0,0],-1]                                                                           ;
MapToConvert[12][72]=["TERRAIN_GRASS",-1,"CONTINENT_BRITTANIA",[[1,2],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[11][72]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_BRITTANIA",[[1,2],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[10][72]=["TERRAIN_GRASS",-1,"CONTINENT_BRITTANIA",[[0,-1],[0,-1],[1,1]],["RESOURCE_WHEAT",1],[0,0,0],-1]                                                        ;
MapToConvert[9][72]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_BRITTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[8][72]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[7][72]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[6][72]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[5][72]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[4][72]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[3][72]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[2][72]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[1][72]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[0][72]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[179][73]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[178][73]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[177][73]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[176][73]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[175][73]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[174][73]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[173][73]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[172][73]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[171][73]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[170][73]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[169][73]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[168][73]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[167][73]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[166][73]=["TERRAIN_TUNDRA",-1,"CONTINENT_LABRADORIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_TRUFFLES",1],[0,1,0],-1]                                                 ;
MapToConvert[165][73]=["TERRAIN_SNOW_HILLS",-1,"CONTINENT_LABRADORIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_IRON",1],[0,0,0],-1]                                                 ;
MapToConvert[164][73]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_LABRADORIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_FURS",1],[0,0,0],-1]                                       ;
MapToConvert[163][73]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,1],-1]                                                                                       ;
MapToConvert[162][73]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[161][73]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[160][73]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[159][73]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                                       ;
MapToConvert[158][73]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                                       ;
MapToConvert[157][73]=["TERRAIN_TUNDRA_HILLS",-1,"CONTINENT_LABRADORIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_DIAMONDS",1],[0,1,1],-1]                                           ;
MapToConvert[156][73]=["TERRAIN_TUNDRA",-1,"CONTINENT_LABRADORIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                  ;
MapToConvert[155][73]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_LABRADORIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                    ;
MapToConvert[154][73]=["TERRAIN_TUNDRA",-1,"CONTINENT_LABRADORIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_FURS",1],[0,0,0],-1]                                                     ;
MapToConvert[153][73]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_LABRADORIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                    ;
MapToConvert[152][73]=["TERRAIN_TUNDRA",-1,"CONTINENT_LABRADORIA",[[0,-1],[0,-1],[1,4]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[151][73]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[150][73]=["TERRAIN_TUNDRA",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[149][73]=["TERRAIN_TUNDRA",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[148][73]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[147][73]=["TERRAIN_TUNDRA",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[146][73]=["TERRAIN_TUNDRA",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[145][73]=["TERRAIN_TUNDRA_HILLS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[144][73]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[143][73]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[1,2],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[142][73]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[141][73]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_FURS",1],[0,0,0],-1]                                    ;
MapToConvert[140][73]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[139][73]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[138][73]=["TERRAIN_PLAINS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_COPPER",1],[0,0,0],-1]                                                ;
MapToConvert[137][73]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_DEER",1],[0,0,0],-1]                                    ;
MapToConvert[136][73]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[135][73]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[134][73]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[133][73]=["TERRAIN_GRASS_MOUNTAIN",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                       ;
MapToConvert[132][73]=["TERRAIN_GRASS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[131][73]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[1,3],[1,4]],[-1,0],[0,0,0],-1]                                                    ;
MapToConvert[130][73]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_DEER",1],[0,0,0],-1]                                     ;
MapToConvert[129][73]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[128][73]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                         ;
MapToConvert[127][73]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[126][73]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[125][73]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[124][73]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[123][73]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[122][73]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[121][73]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[120][73]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[119][73]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[118][73]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[117][73]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[116][73]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[115][73]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[114][73]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[113][73]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[112][73]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[111][73]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[110][73]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[109][73]=["TERRAIN_TUNDRA",-1,"CONTINENT_ALASKANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[108][73]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                       ;
MapToConvert[107][73]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[106][73]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[105][73]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[104][73]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[103][73]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_WHALES",1],[0,0,0],-1]                                                                        ;
MapToConvert[102][73]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[101][73]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                                       ;
MapToConvert[100][73]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[99][73]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[98][73]=["TERRAIN_PLAINS",-1,"CONTINENT_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[97][73]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                        ;
MapToConvert[96][73]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[95][73]=["TERRAIN_TUNDRA_HILLS",-1,"CONTINENT_MANCHURIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                              ;
MapToConvert[94][73]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_MANCHURIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[93][73]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_MANCHURIA",[[0,-1],[1,0],[1,1]],["RESOURCE_TRUFFLES",1],[0,0,0],-1]                                       ;
MapToConvert[92][73]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_MANCHURIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[91][73]=["TERRAIN_TUNDRA_HILLS",-1,"CONTINENT_MANCHURIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SILVER",1],[0,0,0],-1]                                               ;
MapToConvert[90][73]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_MANCHURIA",[[1,2],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                       ;
MapToConvert[89][73]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_MANCHURIA",[[0,-1],[1,3],[0,-1]],["RESOURCE_COPPER",1],[0,0,0],-1]                                  ;
MapToConvert[88][73]=["TERRAIN_PLAINS",-1,"CONTINENT_MANCHURIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[87][73]=["TERRAIN_PLAINS",-1,"CONTINENT_MANCHURIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[86][73]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_MANCHURIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[85][73]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_MANCHURIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                      ;
MapToConvert[84][73]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[83][73]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_CENTRAL_ASIA",[[1,5],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                            ;
MapToConvert[82][73]=["TERRAIN_TUNDRA_HILLS","FEATURE_FOREST","CONTINENT_CENTRAL_ASIA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                              ;
MapToConvert[81][73]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[80][73]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_DEER",1],[0,0,0],-1]                                      ;
MapToConvert[79][73]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[78][73]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[77][73]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[76][73]=["TERRAIN_PLAINS",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[75][73]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_CENTRAL_ASIA",[[0,-1],[1,0],[1,1]],[-1,0],[0,0,0],-1]                                               ;
MapToConvert[74][73]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_NITER",1],[0,0,0],-1]                                             ;
MapToConvert[73][73]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                             ;
MapToConvert[72][73]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                             ;
MapToConvert[71][73]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[70][73]=["TERRAIN_PLAINS",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[69][73]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_STONE",1],[0,0,0],-1]                                             ;
MapToConvert[68][73]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[67][73]=["TERRAIN_PLAINS",-1,"CONTINENT_WEST_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                 ;
MapToConvert[66][73]=["TERRAIN_PLAINS",-1,"CONTINENT_WEST_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[65][73]=["TERRAIN_PLAINS",-1,"CONTINENT_WEST_SIBERIA",[[0,-1],[1,0],[1,1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[64][73]=["TERRAIN_PLAINS",-1,"CONTINENT_WEST_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[63][73]=["TERRAIN_GRASS",-1,"CONTINENT_WEST_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                  ;
MapToConvert[62][73]=["TERRAIN_GRASS",-1,"CONTINENT_WEST_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                  ;
MapToConvert[61][73]=["TERRAIN_GRASS",-1,"CONTINENT_WEST_SIBERIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_HORSES",1],[0,0,0],-1]                                                   ;
MapToConvert[60][73]=["TERRAIN_PLAINS",-1,"CONTINENT_WEST_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[59][73]=["TERRAIN_GRASS",-1,"CONTINENT_WEST_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                  ;
MapToConvert[58][73]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_WEST_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                    ;
MapToConvert[57][73]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_WEST_SIBERIA",[[1,5],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                     ;
MapToConvert[56][73]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_WEST_SIBERIA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                                     ;
MapToConvert[55][73]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_WEST_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                    ;
MapToConvert[54][73]=["TERRAIN_GRASS",-1,"CONTINENT_WEST_SIBERIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_WHEAT",1],[0,0,0],-1]                                                    ;
MapToConvert[53][73]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_WEST_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                    ;
MapToConvert[52][73]=["TERRAIN_TUNDRA_HILLS","FEATURE_FOREST","CONTINENT_WEST_SIBERIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SILVER",1],[0,0,0],-1]                              ;
MapToConvert[51][73]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_WEST_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[50][73]=["TERRAIN_TUNDRA_HILLS","FEATURE_FOREST","CONTINENT_EUROPE",[[1,5],[1,3],[1,4]],[-1,0],[0,0,0],-1]                                                      ;
MapToConvert[49][73]=["TERRAIN_TUNDRA_HILLS","FEATURE_FOREST","CONTINENT_EUROPE",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                                    ;
MapToConvert[48][73]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[47][73]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[46][73]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_EUROPE",[[1,5],[1,3],[1,4]],["RESOURCE_OIL",1],[0,0,0],-1]                                                 ;
MapToConvert[45][73]=["TERRAIN_GRASS",-1,"CONTINENT_EUROPE",[[1,5],[0,-1],[1,4]],[-1,0],[0,0,0],-1]                                                                          ;
MapToConvert[44][73]=["TERRAIN_GRASS",-1,"CONTINENT_EUROPE",[[1,2],[0,-1],[1,4]],["RESOURCE_CATTLE",1],[0,0,0],-1]                                                           ;
MapToConvert[43][73]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_EUROPE",[[1,2],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                            ;
MapToConvert[42][73]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_EUROPE",[[0,-1],[1,3],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[41][73]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[40][73]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[39][73]=["TERRAIN_GRASS",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],["RESOURCE_CATTLE",1],[0,0,0],-1]                                                         ;
MapToConvert[38][73]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_EUROPE",[[1,2],[1,0],[1,1]],[-1,0],[0,0,0],-1]                                                             ;
MapToConvert[37][73]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_EUROPE",[[1,2],[0,-1],[1,1]],["RESOURCE_DEER",1],[0,0,0],-1]                                               ;
MapToConvert[36][73]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_EUROPE",[[1,2],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                            ;
MapToConvert[35][73]=["TERRAIN_GRASS",-1,"CONTINENT_EUROPE",[[0,-1],[1,3],[0,-1]],["RESOURCE_CATTLE",1],[0,0,0],-1]                                                          ;
MapToConvert[34][73]=["TERRAIN_PLAINS",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[33][73]=["TERRAIN_PLAINS",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SHEEP",1],[0,0,0],-1]                                                         ;
MapToConvert[32][73]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[31][73]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_EUROPE",[[1,2],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[30][73]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_BALTICA",[[0,-1],[1,3],[0,-1]],["RESOURCE_STONE",1],[0,0,0],-1]                                           ;
MapToConvert[29][73]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_BALTICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[28][73]=["TERRAIN_PLAINS",-1,"CONTINENT_BALTICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                      ;
MapToConvert[27][73]=["TERRAIN_PLAINS",-1,"CONTINENT_BALTICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_COAL",1],[0,0,0],-1]                                                         ;
MapToConvert[26][73]=["TERRAIN_PLAINS",-1,"CONTINENT_BALTICA",[[1,5],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[25][73]=["TERRAIN_GRASS","FEATURE_MARSH","CONTINENT_GERMANIA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[24][73]=["TERRAIN_GRASS",-1,"CONTINENT_GERMANIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_CATTLE",1],[0,0,0],-1]                                                       ;
MapToConvert[23][73]=["TERRAIN_GRASS",-1,"CONTINENT_GERMANIA",[[1,5],[0,-1],[1,4]],[-1,0],[0,0,0],-1]                                                                        ;
MapToConvert[22][73]=["TERRAIN_GRASS",-1,"CONTINENT_GERMANIA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[21][73]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,1],-1]                                                                                        ;
MapToConvert[20][73]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[19][73]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_SCANDINAVIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                     ;
MapToConvert[18][73]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[17][73]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_FISH",1],[0,0,0],-1]                                                                           ;
MapToConvert[16][73]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_OIL",1],[0,0,0],-1]                                                                            ;
MapToConvert[15][73]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[14][73]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[13][73]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[12][73]=["TERRAIN_GRASS","FEATURE_MARSH","CONTINENT_BRITTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[11][73]=["TERRAIN_GRASS",-1,"CONTINENT_BRITTANIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_HORSES",1],[0,0,0],-1]                                                      ;
MapToConvert[10][73]=["TERRAIN_GRASS",-1,"CONTINENT_BRITTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                     ;
MapToConvert[9][73]=["TERRAIN_GRASS_HILLS","FEATURE_FOREST","CONTINENT_BRITTANIA",[[1,5],[1,3],[1,4]],[-1,0],[0,0,0],-1]                                                     ;
MapToConvert[8][73]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_BRITTANIA",[[0,-1],[0,-1],[1,4]],["RESOURCE_COPPER",1],[0,0,0],-1]                                                  ;
MapToConvert[7][73]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_BRITTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                ;
MapToConvert[6][73]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[5][73]=["TERRAIN_GRASS_HILLS","FEATURE_FOREST","CONTINENT_BRITTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                  ;
MapToConvert[4][73]=["TERRAIN_GRASS",-1,"CONTINENT_BRITTANIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SHEEP",1],[0,0,0],-1]                                                        ;
MapToConvert[3][73]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_BRITTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[2][73]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                         ;
MapToConvert[1][73]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[0][73]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[179][74]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[178][74]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[177][74]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[176][74]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[175][74]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[174][74]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[173][74]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[172][74]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[171][74]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[170][74]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[169][74]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[168][74]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[167][74]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                                       ;
MapToConvert[166][74]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[165][74]=["TERRAIN_SNOW_HILLS",-1,"CONTINENT_LABRADORIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                              ;
MapToConvert[164][74]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[163][74]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[162][74]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[161][74]=["TERRAIN_TUNDRA",-1,"CONTINENT_LABRADORIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,1],-1]                                                                  ;
MapToConvert[160][74]=["TERRAIN_TUNDRA_HILLS",-1,"CONTINENT_LABRADORIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                            ;
MapToConvert[159][74]=["TERRAIN_TUNDRA_HILLS",-1,"CONTINENT_LABRADORIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_IRON",1],[0,0,0],-1]                                               ;
MapToConvert[158][74]=["TERRAIN_TUNDRA",-1,"CONTINENT_LABRADORIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                  ;
MapToConvert[157][74]=["TERRAIN_TUNDRA",-1,"CONTINENT_LABRADORIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                  ;
MapToConvert[156][74]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_LABRADORIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                    ;
MapToConvert[155][74]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_LABRADORIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                    ;
MapToConvert[154][74]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_LABRADORIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                    ;
MapToConvert[153][74]=["TERRAIN_TUNDRA",-1,"CONTINENT_LABRADORIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                  ;
MapToConvert[152][74]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[151][74]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[150][74]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[149][74]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[148][74]=["TERRAIN_TUNDRA",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_OIL",1],[0,0,0],-1]                                                   ;
MapToConvert[147][74]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[146][74]=["TERRAIN_TUNDRA_HILLS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_DIAMONDS",1],[0,0,0],-1]                          ;
MapToConvert[145][74]=["TERRAIN_TUNDRA_HILLS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_IRON",1],[0,0,0],-1]                                            ;
MapToConvert[144][74]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                           ;
MapToConvert[143][74]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[142][74]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[141][74]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[140][74]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_FISH",1],[0,0,0],-1]                                                                          ;
MapToConvert[139][74]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[138][74]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[137][74]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[136][74]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_FURS",1],[0,0,0],-1]                                    ;
MapToConvert[135][74]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[134][74]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_COAL",1],[0,0,0],-1]                                            ;
MapToConvert[133][74]=["TERRAIN_GRASS_MOUNTAIN",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                       ;
MapToConvert[132][74]=["TERRAIN_GRASS_MOUNTAIN",-1,"CONTINENT_NORTH_AMERICA",[[1,2],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[131][74]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[1,3],[0,-1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[130][74]=["TERRAIN_GRASS_HILLS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                            ;
MapToConvert[129][74]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,1,0],-1]                                                                                       ;
MapToConvert[128][74]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[127][74]=["TERRAIN_PLAINS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[126][74]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[125][74]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[124][74]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[123][74]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[122][74]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[121][74]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[120][74]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[119][74]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[118][74]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[117][74]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[116][74]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[115][74]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[114][74]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[113][74]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[112][74]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_ALASKANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                     ;
MapToConvert[111][74]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[110][74]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[109][74]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                                       ;
MapToConvert[108][74]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[107][74]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[106][74]=["TERRAIN_TUNDRA",-1,"CONTINENT_ALASKANIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_URANIUM",1],[0,0,0],-1]                                                   ;
MapToConvert[105][74]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[104][74]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[103][74]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[102][74]=["TERRAIN_PLAINS",-1,"CONTINENT_KOLYMA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                      ;
MapToConvert[101][74]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                       ;
MapToConvert[100][74]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[99][74]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                                        ;
MapToConvert[98][74]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                                        ;
MapToConvert[97][74]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[96][74]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                                        ;
MapToConvert[95][74]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_MANCHURIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                              ;
MapToConvert[94][74]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_MANCHURIA",[[0,-1],[1,0],[1,1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[93][74]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_MANCHURIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[92][74]=["TERRAIN_TUNDRA",-1,"CONTINENT_MANCHURIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[91][74]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_MANCHURIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[90][74]=["TERRAIN_PLAINS",-1,"CONTINENT_MANCHURIA",[[1,2],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                     ;
MapToConvert[89][74]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_MANCHURIA",[[0,-1],[1,3],[0,-1]],[-1,0],[0,0,0],-1]                                                       ;
MapToConvert[88][74]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_MANCHURIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                      ;
MapToConvert[87][74]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_MANCHURIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                              ;
MapToConvert[86][74]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_MANCHURIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[85][74]=["TERRAIN_PLAINS",-1,"CONTINENT_MANCHURIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[84][74]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[83][74]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[1,0],[1,1]],["RESOURCE_DIAMONDS",1],[0,0,0],-1]                                            ;
MapToConvert[82][74]=["TERRAIN_PLAINS",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[81][74]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_IRON",1],[0,0,0],-1]                                              ;
MapToConvert[80][74]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[79][74]=["TERRAIN_PLAINS",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[78][74]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_COPPER",1],[0,0,0],-1]                                            ;
MapToConvert[77][74]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[76][74]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_CENTRAL_ASIA",[[1,5],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                            ;
MapToConvert[75][74]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[74][74]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                                        ;
MapToConvert[73][74]=["TERRAIN_PLAINS",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[72][74]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                        ;
MapToConvert[71][74]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[70][74]=["TERRAIN_TUNDRA_HILLS",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SALT",1],[0,0,0],-1]                                              ;
MapToConvert[69][74]=["TERRAIN_TUNDRA_HILLS",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[68][74]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                     ;
MapToConvert[67][74]=["TERRAIN_PLAINS",-1,"CONTINENT_WEST_SIBERIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_COAL",1],[0,0,0],-1]                                                    ;
MapToConvert[66][74]=["TERRAIN_PLAINS",-1,"CONTINENT_WEST_SIBERIA",[[1,5],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                  ;
MapToConvert[65][74]=["TERRAIN_PLAINS",-1,"CONTINENT_WEST_SIBERIA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                                                  ;
MapToConvert[64][74]=["TERRAIN_PLAINS",-1,"CONTINENT_WEST_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[63][74]=["TERRAIN_PLAINS",-1,"CONTINENT_WEST_SIBERIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_DIAMONDS",1],[0,0,0],-1]                                                ;
MapToConvert[62][74]=["TERRAIN_PLAINS",-1,"CONTINENT_WEST_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[61][74]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_WEST_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                    ;
MapToConvert[60][74]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_WEST_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                    ;
MapToConvert[59][74]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_WEST_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                    ;
MapToConvert[58][74]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_WEST_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                    ;
MapToConvert[57][74]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_WEST_SIBERIA",[[1,5],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                     ;
MapToConvert[56][74]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_WEST_SIBERIA",[[1,5],[0,-1],[1,4]],[-1,0],[0,0,0],-1]                                                      ;
MapToConvert[55][74]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_WEST_SIBERIA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                                     ;
MapToConvert[54][74]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_WEST_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                    ;
MapToConvert[53][74]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_WEST_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                    ;
MapToConvert[52][74]=["TERRAIN_TUNDRA_HILLS","FEATURE_FOREST","CONTINENT_WEST_SIBERIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_COAL",1],[0,0,0],-1]                                ;
MapToConvert[51][74]=["TERRAIN_GRASS_MOUNTAIN",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[1,4]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[50][74]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_EUROPE",[[1,5],[0,-1],[0,-1]],["RESOURCE_FURS",1],[0,0,0],-1]                                             ;
MapToConvert[49][74]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_EUROPE",[[1,5],[0,-1],[1,4]],[-1,0],[0,0,0],-1]                                                            ;
MapToConvert[48][74]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_EUROPE",[[1,5],[0,-1],[1,4]],["RESOURCE_DEER",1],[0,0,0],-1]                                               ;
MapToConvert[47][74]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_EUROPE",[[0,-1],[1,3],[1,4]],[-1,0],[0,0,0],-1]                                                            ;
MapToConvert[46][74]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[45][74]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[44][74]=["TERRAIN_GRASS",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                        ;
MapToConvert[43][74]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_EUROPE",[[1,2],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[42][74]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_EUROPE",[[1,2],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                            ;
MapToConvert[41][74]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_EUROPE",[[1,2],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                            ;
MapToConvert[40][74]=["TERRAIN_GRASS",-1,"CONTINENT_EUROPE",[[1,2],[1,3],[1,1]],["RESOURCE_COAL",1],[0,0,0],-1]                                                              ;
MapToConvert[39][74]=["TERRAIN_GRASS",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                                         ;
MapToConvert[38][74]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[37][74]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[36][74]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_EUROPE",[[1,2],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[35][74]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_EUROPE",[[0,-1],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[34][74]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[33][74]=["TERRAIN_PLAINS",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[32][74]=["TERRAIN_GRASS","FEATURE_MARSH","CONTINENT_EUROPE",[[1,5],[0,-1],[1,4]],["RESOURCE_WHEAT",1],[0,0,0],-1]                                               ;
MapToConvert[31][74]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_BALTICA",[[0,-1],[0,-1],[1,4]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[30][74]=["TERRAIN_GRASS","FEATURE_MARSH","CONTINENT_BALTICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[29][74]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_BALTICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_TRUFFLES",1],[0,0,0],-1]                                        ;
MapToConvert[28][74]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_BALTICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_NITER",1],[0,0,0],-1]                                           ;
MapToConvert[27][74]=["TERRAIN_PLAINS",-1,"CONTINENT_BALTICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                      ;
MapToConvert[26][74]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[25][74]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                                        ;
MapToConvert[24][74]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[23][74]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[22][74]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[21][74]=["TERRAIN_GRASS",-1,"CONTINENT_SCANDINAVIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                   ;
MapToConvert[20][74]=["TERRAIN_GRASS",-1,"CONTINENT_SCANDINAVIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_WHEAT",1],[0,0,0],-1]                                                     ;
MapToConvert[19][74]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_SCANDINAVIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                     ;
MapToConvert[18][74]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[17][74]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[16][74]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[15][74]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[14][74]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_OIL",1],[0,0,0],-1]                                                                            ;
MapToConvert[13][74]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[12][74]=["TERRAIN_PLAINS",-1,"CONTINENT_BRITTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[11][74]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_BRITTANIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_DEER",1],[0,0,0],-1]                                          ;
MapToConvert[10][74]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_BRITTANIA",[[1,2],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[9][74]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_BRITTANIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_IRON",1],[0,0,0],-1]                                                   ;
MapToConvert[8][74]=["TERRAIN_GRASS",-1,"CONTINENT_BRITTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                      ;
MapToConvert[7][74]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,1],-1]                                                                                         ;
MapToConvert[6][74]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_BRITTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[5][74]=["TERRAIN_GRASS",-1,"CONTINENT_BRITTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                      ;
MapToConvert[4][74]=["TERRAIN_GRASS",-1,"CONTINENT_BRITTANIA",[[1,5],[1,3],[1,4]],["RESOURCE_COPPER",1],[0,0,0],-1]                                                          ;
MapToConvert[3][74]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                                         ;
MapToConvert[2][74]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_WHALES",1],[0,0,0],-1]                                                                          ;
MapToConvert[1][74]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[0][74]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[179][75]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[178][75]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[177][75]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[176][75]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[175][75]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[174][75]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[173][75]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[172][75]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[171][75]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[170][75]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[169][75]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[168][75]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[167][75]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[166][75]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[165][75]=["TERRAIN_SNOW",-1,"CONTINENT_LABRADORIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                    ;
MapToConvert[164][75]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                       ;
MapToConvert[163][75]=["TERRAIN_TUNDRA",-1,"CONTINENT_LABRADORIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                  ;
MapToConvert[162][75]=["TERRAIN_TUNDRA_HILLS","FEATURE_FOREST","CONTINENT_LABRADORIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                              ;
MapToConvert[161][75]=["TERRAIN_TUNDRA_HILLS","FEATURE_FOREST","CONTINENT_LABRADORIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                              ;
MapToConvert[160][75]=["TERRAIN_TUNDRA_HILLS","FEATURE_FOREST","CONTINENT_LABRADORIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                              ;
MapToConvert[159][75]=["TERRAIN_TUNDRA_HILLS","FEATURE_FOREST","CONTINENT_LABRADORIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_ALUMINUM",1],[0,0,0],-1]                             ;
MapToConvert[158][75]=["TERRAIN_TUNDRA",-1,"CONTINENT_LABRADORIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                  ;
MapToConvert[157][75]=["TERRAIN_TUNDRA_HILLS",-1,"CONTINENT_LABRADORIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_NITER",1],[0,0,0],-1]                                              ;
MapToConvert[156][75]=["TERRAIN_TUNDRA_HILLS","FEATURE_FOREST","CONTINENT_LABRADORIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                              ;
MapToConvert[155][75]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_LABRADORIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                    ;
MapToConvert[154][75]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_LABRADORIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                    ;
MapToConvert[153][75]=["TERRAIN_TUNDRA",-1,"CONTINENT_LABRADORIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_OIL",1],[0,0,0],-1]                                                      ;
MapToConvert[152][75]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,1],-1]                                                                                       ;
MapToConvert[151][75]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                                       ;
MapToConvert[150][75]=["TERRAIN_TUNDRA",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                               ;
MapToConvert[149][75]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[148][75]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[147][75]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[146][75]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_DEER",1],[0,0,0],-1]                                    ;
MapToConvert[145][75]=["TERRAIN_TUNDRA_HILLS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                           ;
MapToConvert[144][75]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_FURS",1],[0,0,0],-1]                                    ;
MapToConvert[143][75]=["TERRAIN_TUNDRA",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[142][75]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[141][75]=["TERRAIN_TUNDRA",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,1],-1]                                                               ;
MapToConvert[140][75]=["TERRAIN_TUNDRA",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[139][75]=["TERRAIN_PLAINS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[138][75]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[137][75]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[136][75]=["TERRAIN_PLAINS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_COPPER",1],[0,0,0],-1]                                                ;
MapToConvert[135][75]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[134][75]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[1,2],[1,0],[1,1]],[-1,0],[0,0,0],-1]                                                    ;
MapToConvert[133][75]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[132][75]=["TERRAIN_GRASS_MOUNTAIN",-1,"CONTINENT_NORTH_AMERICA",[[1,5],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[131][75]=["TERRAIN_GRASS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[1,4]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[130][75]=["TERRAIN_GRASS_MOUNTAIN",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                       ;
MapToConvert[129][75]=["TERRAIN_GRASS_HILLS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_IRON",1],[1,0,0],-1]                               ;
MapToConvert[128][75]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[127][75]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[126][75]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[125][75]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[124][75]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[123][75]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[122][75]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[121][75]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[120][75]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[119][75]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[118][75]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[117][75]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[116][75]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[115][75]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[114][75]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[113][75]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[112][75]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[111][75]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[110][75]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[109][75]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[108][75]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[107][75]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[106][75]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[105][75]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[104][75]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[103][75]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[102][75]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_KOLYMA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,1],-1]                                                                ;
MapToConvert[101][75]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_KOLYMA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[100][75]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                       ;
MapToConvert[99][75]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[98][75]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[97][75]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,1],-1]                                                      ;
MapToConvert[96][75]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[95][75]=["TERRAIN_PLAINS",-1,"CONTINENT_MANCHURIA",[[1,2],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                     ;
MapToConvert[94][75]=["TERRAIN_PLAINS",-1,"CONTINENT_MANCHURIA",[[0,-1],[0,-1],[1,1]],["RESOURCE_WHEAT",1],[0,0,0],-1]                                                       ;
MapToConvert[93][75]=["TERRAIN_PLAINS",-1,"CONTINENT_MANCHURIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[92][75]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_MANCHURIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[91][75]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_MANCHURIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                      ;
MapToConvert[90][75]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_MANCHURIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[89][75]=["TERRAIN_PLAINS",-1,"CONTINENT_MANCHURIA",[[1,2],[0,-1],[0,-1]],["RESOURCE_HORSES",1],[0,0,0],-1]                                                      ;
MapToConvert[88][75]=["TERRAIN_PLAINS",-1,"CONTINENT_MANCHURIA",[[1,2],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                                      ;
MapToConvert[87][75]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_MANCHURIA",[[0,-1],[1,3],[0,-1]],["RESOURCE_NITER",1],[0,0,0],-1]                                                 ;
MapToConvert[86][75]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_MANCHURIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[85][75]=["TERRAIN_TUNDRA_HILLS",-1,"CONTINENT_MANCHURIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                              ;
MapToConvert[84][75]=["TERRAIN_TUNDRA_HILLS","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                          ;
MapToConvert[83][75]=["TERRAIN_TUNDRA_HILLS",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[1,0],[1,1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[82][75]=["TERRAIN_TUNDRA_HILLS","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                          ;
MapToConvert[81][75]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                     ;
MapToConvert[80][75]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                ;
MapToConvert[79][75]=["TERRAIN_TUNDRA_HILLS",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_IRON",1],[0,0,0],-1]                                           ;
MapToConvert[78][75]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                                      ;
MapToConvert[77][75]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[76][75]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[75][75]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[74][75]=["TERRAIN_PLAINS",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                              ;
MapToConvert[73][75]=["TERRAIN_PLAINS",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_COPPER",1],[0,0,0],-1]                                               ;
MapToConvert[72][75]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[71][75]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                ;
MapToConvert[70][75]=["TERRAIN_PLAINS",-1,"CONTINENT_CENTRAL_SIBERIA",[[1,5],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[69][75]=["TERRAIN_PLAINS",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[68][75]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                ;
MapToConvert[67][75]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                ;
MapToConvert[66][75]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_WEST_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[65][75]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_WEST_SIBERIA",[[1,5],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                    ;
MapToConvert[64][75]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_WEST_SIBERIA",[[1,5],[0,-1],[1,4]],[-1,0],[0,0,0],-1]                                                     ;
MapToConvert[63][75]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_WEST_SIBERIA",[[1,5],[0,-1],[1,4]],[-1,0],[0,0,0],-1]                                                     ;
MapToConvert[62][75]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_WEST_SIBERIA",[[1,5],[0,-1],[1,4]],[-1,0],[0,0,0],-1]                                                     ;
MapToConvert[61][75]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_WEST_SIBERIA",[[1,5],[0,-1],[1,4]],[-1,0],[0,0,0],-1]                                                     ;
MapToConvert[60][75]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_WEST_SIBERIA",[[1,5],[0,-1],[1,4]],[-1,0],[0,0,0],-1]                                                     ;
MapToConvert[59][75]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_WEST_SIBERIA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                                    ;
MapToConvert[58][75]=["TERRAIN_PLAINS",-1,"CONTINENT_WEST_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[57][75]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_WEST_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[56][75]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_WEST_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[55][75]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_WEST_SIBERIA",[[1,2],[1,0],[1,1]],[-1,0],[0,0,0],-1]                                                      ;
MapToConvert[54][75]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_WEST_SIBERIA",[[1,2],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                     ;
MapToConvert[53][75]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_WEST_SIBERIA",[[0,-1],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                    ;
MapToConvert[52][75]=["TERRAIN_TUNDRA_HILLS","FEATURE_FOREST","CONTINENT_WEST_SIBERIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_IRON",1],[0,0,0],-1]                                ;
MapToConvert[51][75]=["TERRAIN_TUNDRA_HILLS",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],["RESOURCE_DIAMONDS",1],[0,0,0],-1]                                                ;
MapToConvert[50][75]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[49][75]=["TERRAIN_TUNDRA",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[48][75]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[47][75]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_EUROPE",[[0,-1],[1,3],[1,4]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[46][75]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[45][75]=["TERRAIN_GRASS",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                        ;
MapToConvert[44][75]=["TERRAIN_GRASS",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],["RESOURCE_TRUFFLES",1],[0,0,0],-1]                                                       ;
MapToConvert[43][75]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[42][75]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],["RESOURCE_URANIUM",1],[0,0,0],-1]                                         ;
MapToConvert[41][75]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[40][75]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_EUROPE",[[1,2],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[39][75]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_EUROPE",[[0,-1],[1,3],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[38][75]=["TERRAIN_GRASS",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],["RESOURCE_WHEAT",1],[0,0,0],-1]                                                          ;
MapToConvert[37][75]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[36][75]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],["RESOURCE_TRUFFLES",1],[0,0,0],-1]                                         ;
MapToConvert[35][75]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[34][75]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[33][75]=["TERRAIN_PLAINS",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],["RESOURCE_OIL",1],[0,0,0],-1]                                                           ;
MapToConvert[32][75]=["TERRAIN_GRASS_HILLS","FEATURE_FOREST","CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                    ;
MapToConvert[31][75]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_BALTICA",[[1,5],[1,3],[1,4]],[-1,0],[0,0,0],-1]                                                            ;
MapToConvert[30][75]=["TERRAIN_GRASS","FEATURE_MARSH","CONTINENT_BALTICA",[[1,5],[0,-1],[1,4]],[-1,0],[0,0,0],-1]                                                            ;
MapToConvert[29][75]=["TERRAIN_GRASS",-1,"CONTINENT_BALTICA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                                                        ;
MapToConvert[28][75]=["TERRAIN_GRASS",-1,"CONTINENT_BALTICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[27][75]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_BALTICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[26][75]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                        ;
MapToConvert[25][75]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[24][75]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_OIL",1],[0,0,0],-1]                                                                            ;
MapToConvert[23][75]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[22][75]=["TERRAIN_GRASS",-1,"CONTINENT_SCANDINAVIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                   ;
MapToConvert[21][75]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[20][75]=["TERRAIN_GRASS",-1,"CONTINENT_SCANDINAVIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SALT",1],[0,0,0],-1]                                                      ;
MapToConvert[19][75]=["TERRAIN_GRASS","FEATURE_MARSH","CONTINENT_SCANDINAVIA",[[1,5],[1,3],[1,4]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[18][75]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                        ;
MapToConvert[17][75]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[16][75]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[15][75]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[14][75]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[13][75]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[12][75]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[11][75]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_BRITTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                       ;
MapToConvert[10][75]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_BRITTANIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_COAL",1],[0,0,0],-1]                                          ;
MapToConvert[9][75]=["TERRAIN_GRASS",-1,"CONTINENT_BRITTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                      ;
MapToConvert[8][75]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[7][75]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[6][75]=["TERRAIN_GRASS",-1,"CONTINENT_BRITTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                      ;
MapToConvert[5][75]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_BRITTANIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_DEER",1],[0,0,0],-1]                                           ;
MapToConvert[4][75]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_BRITTANIA",[[0,-1],[1,3],[1,4]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[3][75]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[2][75]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[1][75]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[0][75]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[179][76]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[178][76]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[177][76]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[176][76]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[175][76]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[174][76]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[173][76]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[172][76]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[171][76]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[170][76]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[169][76]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[168][76]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[167][76]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[166][76]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[165][76]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                                       ;
MapToConvert[164][76]=["TERRAIN_TUNDRA",-1,"CONTINENT_LABRADORIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_OIL",1],[0,1,0],-1]                                                      ;
MapToConvert[163][76]=["TERRAIN_SNOW",-1,"CONTINENT_LABRADORIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[162][76]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_LABRADORIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_DEER",1],[0,0,0],-1]                                       ;
MapToConvert[161][76]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_LABRADORIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_FURS",1],[0,0,0],-1]                                       ;
MapToConvert[160][76]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_LABRADORIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                    ;
MapToConvert[159][76]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_LABRADORIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                    ;
MapToConvert[158][76]=["TERRAIN_TUNDRA",-1,"CONTINENT_LABRADORIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                  ;
MapToConvert[157][76]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_LABRADORIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                    ;
MapToConvert[156][76]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_LABRADORIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_FURS",1],[0,0,0],-1]                                       ;
MapToConvert[155][76]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_LABRADORIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                    ;
MapToConvert[154][76]=["TERRAIN_TUNDRA",-1,"CONTINENT_LABRADORIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                  ;
MapToConvert[153][76]=["TERRAIN_TUNDRA",-1,"CONTINENT_LABRADORIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                  ;
MapToConvert[152][76]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                       ;
MapToConvert[151][76]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[150][76]=["TERRAIN_SNOW",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[149][76]=["TERRAIN_SNOW",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[148][76]=["TERRAIN_SNOW",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[147][76]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[146][76]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[145][76]=["TERRAIN_TUNDRA",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[144][76]=["TERRAIN_TUNDRA",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[143][76]=["TERRAIN_TUNDRA",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[142][76]=["TERRAIN_TUNDRA",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                               ;
MapToConvert[141][76]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,1],-1]                                                                                       ;
MapToConvert[140][76]=["TERRAIN_PLAINS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[139][76]=["TERRAIN_PLAINS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_WHEAT",1],[0,0,0],-1]                                                 ;
MapToConvert[138][76]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[137][76]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_TRUFFLES",1],[0,0,0],-1]                                ;
MapToConvert[136][76]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[135][76]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[1,0],[1,1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[134][76]=["TERRAIN_PLAINS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_TRUFFLES",1],[0,0,0],-1]                                              ;
MapToConvert[133][76]=["TERRAIN_PLAINS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[132][76]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[131][76]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                      ;
MapToConvert[130][76]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_FURS",1],[0,0,0],-1]                                    ;
MapToConvert[129][76]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[128][76]=["TERRAIN_PLAINS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                               ;
MapToConvert[127][76]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[126][76]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[125][76]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                       ;
MapToConvert[124][76]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_FISH",1],[0,0,0],-1]                                                                          ;
MapToConvert[123][76]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[122][76]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[121][76]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[120][76]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[119][76]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[118][76]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[117][76]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[116][76]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[115][76]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[114][76]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[113][76]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[112][76]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[111][76]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[110][76]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[109][76]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[108][76]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[107][76]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[106][76]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[105][76]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[104][76]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[103][76]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_KOLYMA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_STONE",1],[0,0,0],-1]                                                  ;
MapToConvert[102][76]=["TERRAIN_TUNDRA_HILLS","FEATURE_FOREST","CONTINENT_KOLYMA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[101][76]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_KOLYMA",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                        ;
MapToConvert[100][76]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[99][76]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[98][76]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[97][76]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_EAST_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                      ;
MapToConvert[96][76]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[95][76]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[94][76]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[93][76]=["TERRAIN_GRASS",-1,"CONTINENT_MANCHURIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                     ;
MapToConvert[92][76]=["TERRAIN_PLAINS",-1,"CONTINENT_MANCHURIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_OIL",1],[0,0,0],-1]                                                        ;
MapToConvert[91][76]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_MANCHURIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                      ;
MapToConvert[90][76]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_MANCHURIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[89][76]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_MANCHURIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[88][76]=["TERRAIN_PLAINS",-1,"CONTINENT_MANCHURIA",[[1,2],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                     ;
MapToConvert[87][76]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_MANCHURIA",[[1,2],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[86][76]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_MANCHURIA",[[1,2],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[85][76]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[1,2],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                            ;
MapToConvert[84][76]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[1,2],[0,-1],[1,1]],["RESOURCE_COAL",1],[0,0,0],-1]                               ;
MapToConvert[83][76]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[1,2],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                            ;
MapToConvert[82][76]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[1,2],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[81][76]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[1,2],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[80][76]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[1,2],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[79][76]=["TERRAIN_TUNDRA_HILLS","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                           ;
MapToConvert[78][76]=["TERRAIN_TUNDRA_HILLS","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_STONE",1],[0,0,0],-1]                            ;
MapToConvert[77][76]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                     ;
MapToConvert[76][76]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                        ;
MapToConvert[75][76]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SILVER",1],[0,1,0],-1]                                         ;
MapToConvert[74][76]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                     ;
MapToConvert[73][76]=["TERRAIN_PLAINS",-1,"CONTINENT_CENTRAL_SIBERIA",[[1,5],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[72][76]=["TERRAIN_PLAINS",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[71][76]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                ;
MapToConvert[70][76]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[1,5],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[69][76]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[68][76]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                ;
MapToConvert[67][76]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                ;
MapToConvert[66][76]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_WEST_SIBERIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_DEER",1],[0,0,0],-1]                                      ;
MapToConvert[65][76]=["TERRAIN_PLAINS",-1,"CONTINENT_WEST_SIBERIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_TRUFFLES",1],[0,0,0],-1]                                                ;
MapToConvert[64][76]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_WEST_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[63][76]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_WEST_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[62][76]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_WEST_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[61][76]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_WEST_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[60][76]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_WEST_SIBERIA",[[1,5],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                    ;
MapToConvert[59][76]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_WEST_SIBERIA",[[0,-1],[1,0],[0,-1]],["RESOURCE_TRUFFLES",1],[0,0,0],-1]                                   ;
MapToConvert[58][76]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_WEST_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[57][76]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_WEST_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[56][76]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_WEST_SIBERIA",[[1,5],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                    ;
MapToConvert[55][76]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_WEST_SIBERIA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                                    ;
MapToConvert[54][76]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_WEST_SIBERIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_DEER",1],[0,0,0],-1]                                      ;
MapToConvert[53][76]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_WEST_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[52][76]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                              ;
MapToConvert[51][76]=["TERRAIN_TUNDRA_HILLS","FEATURE_FOREST","CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[50][76]=["TERRAIN_TUNDRA",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[49][76]=["TERRAIN_PLAINS",-1,"CONTINENT_EUROPE",[[1,5],[1,3],[1,4]],[-1,0],[0,0,0],-1]                                                                          ;
MapToConvert[48][76]=["TERRAIN_GRASS",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[1,4]],[-1,0],[0,0,0],-1]                                                                         ;
MapToConvert[47][76]=["TERRAIN_GRASS",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],["RESOURCE_WHEAT",1],[0,0,0],-1]                                                          ;
MapToConvert[46][76]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[45][76]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[44][76]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[43][76]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[42][76]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[41][76]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[40][76]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_EUROPE",[[1,2],[0,-1],[0,-1]],["RESOURCE_FURS",1],[0,0,0],-1]                                             ;
MapToConvert[39][76]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_EUROPE",[[1,2],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                            ;
MapToConvert[38][76]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_EUROPE",[[1,2],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                            ;
MapToConvert[37][76]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_EUROPE",[[1,2],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                            ;
MapToConvert[36][76]=["TERRAIN_PLAINS",-1,"CONTINENT_EUROPE",[[0,-1],[1,3],[0,-1]],[-1,0],[0,0,0],-1]                                                                        ;
MapToConvert[35][76]=["TERRAIN_PLAINS",-1,"CONTINENT_EUROPE",[[1,2],[1,0],[1,1]],["RESOURCE_HORSES",1],[0,0,0],-1]                                                           ;
MapToConvert[34][76]=["TERRAIN_PLAINS",-1,"CONTINENT_EUROPE",[[1,2],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                                         ;
MapToConvert[33][76]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_EUROPE",[[1,2],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                            ;
MapToConvert[32][76]=["TERRAIN_GRASS_HILLS","FEATURE_FOREST","CONTINENT_BALTICA",[[0,-1],[1,3],[0,-1]],[-1,0],[0,0,0],-1]                                                    ;
MapToConvert[31][76]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_BALTICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[30][76]=["TERRAIN_GRASS",-1,"CONTINENT_BALTICA",[[1,5],[0,-1],[0,-1]],["RESOURCE_CATTLE",1],[0,0,0],-1]                                                         ;
MapToConvert[29][76]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_BALTICA",[[1,5],[0,-1],[1,4]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[28][76]=["TERRAIN_GRASS",-1,"CONTINENT_BALTICA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                                                        ;
MapToConvert[27][76]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_FISH",1],[0,0,1],-1]                                                                           ;
MapToConvert[26][76]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[25][76]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[24][76]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[23][76]=["TERRAIN_GRASS",-1,"CONTINENT_SCANDINAVIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,1],-1]                                                                   ;
MapToConvert[22][76]=["TERRAIN_GRASS",-1,"CONTINENT_SCANDINAVIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SHEEP",1],[0,0,0],-1]                                                     ;
MapToConvert[21][76]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[20][76]=["TERRAIN_GRASS","FEATURE_MARSH","CONTINENT_SCANDINAVIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                      ;
MapToConvert[19][76]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[18][76]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_OIL",1],[0,0,0],-1]                                                                            ;
MapToConvert[17][76]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[16][76]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[15][76]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[14][76]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[13][76]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[12][76]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[11][76]=["TERRAIN_GRASS",-1,"CONTINENT_BRITTANIA",[[0,-1],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                                      ;
MapToConvert[10][76]=["TERRAIN_GRASS_HILLS","FEATURE_FOREST","CONTINENT_BRITTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[9][76]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[8][76]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_BRITTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[7][76]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[6][76]=["TERRAIN_GRASS",-1,"CONTINENT_BRITTANIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_CATTLE",1],[0,0,0],-1]                                                       ;
MapToConvert[5][76]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_BRITTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[4][76]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_BRITTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[3][76]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                         ;
MapToConvert[2][76]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[1][76]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[0][76]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[179][77]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[178][77]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[177][77]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[176][77]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[175][77]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[174][77]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[173][77]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[172][77]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[171][77]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[170][77]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[169][77]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[168][77]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[167][77]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[166][77]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[165][77]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[164][77]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                                       ;
MapToConvert[163][77]=["TERRAIN_SNOW",-1,"CONTINENT_LABRADORIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                    ;
MapToConvert[162][77]=["TERRAIN_SNOW_HILLS",-1,"CONTINENT_LABRADORIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                              ;
MapToConvert[161][77]=["TERRAIN_SNOW_HILLS",-1,"CONTINENT_LABRADORIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                              ;
MapToConvert[160][77]=["TERRAIN_SNOW",-1,"CONTINENT_LABRADORIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[159][77]=["TERRAIN_SNOW",-1,"CONTINENT_LABRADORIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[158][77]=["TERRAIN_TUNDRA",-1,"CONTINENT_LABRADORIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                  ;
MapToConvert[157][77]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_LABRADORIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                    ;
MapToConvert[156][77]=["TERRAIN_TUNDRA",-1,"CONTINENT_LABRADORIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                  ;
MapToConvert[155][77]=["TERRAIN_TUNDRA",-1,"CONTINENT_LABRADORIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                  ;
MapToConvert[154][77]=["TERRAIN_TUNDRA",-1,"CONTINENT_LABRADORIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_COAL",1],[0,0,0],-1]                                                     ;
MapToConvert[153][77]=["TERRAIN_SNOW",-1,"CONTINENT_LABRADORIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[152][77]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                       ;
MapToConvert[151][77]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_WHALES",1],[0,0,0],-1]                                                                        ;
MapToConvert[150][77]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[149][77]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,1],-1]                                                                                       ;
MapToConvert[148][77]=["TERRAIN_SNOW",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                 ;
MapToConvert[147][77]=["TERRAIN_TUNDRA",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[146][77]=["TERRAIN_SNOW",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[145][77]=["TERRAIN_SNOW",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[144][77]=["TERRAIN_SNOW",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[143][77]=["TERRAIN_TUNDRA",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[142][77]=["TERRAIN_TUNDRA",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[141][77]=["TERRAIN_TUNDRA",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_NITER",1],[0,0,0],-1]                                                 ;
MapToConvert[140][77]=["TERRAIN_TUNDRA",-1,"CONTINENT_NORTH_AMERICA",[[1,2],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[139][77]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[1,2],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[138][77]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[1,2],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[137][77]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[1,2],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[136][77]=["TERRAIN_PLAINS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[1,3],[0,-1]],["RESOURCE_URANIUM",1],[0,0,0],-1]                                                ;
MapToConvert[135][77]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[1,0],[1,1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[134][77]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[1,2],[1,0],[1,1]],[-1,0],[0,0,0],-1]                                                    ;
MapToConvert[133][77]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[1,2],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[132][77]=["TERRAIN_PLAINS",-1,"CONTINENT_NORTH_AMERICA",[[1,2],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[131][77]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                       ;
MapToConvert[130][77]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                      ;
MapToConvert[129][77]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[128][77]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                      ;
MapToConvert[127][77]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                      ;
MapToConvert[126][77]=["TERRAIN_PLAINS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[125][77]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                                       ;
MapToConvert[124][77]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[123][77]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[122][77]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_OIL",1],[0,0,0],-1]                                                                           ;
MapToConvert[121][77]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[120][77]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[119][77]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[118][77]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[117][77]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[116][77]=["TERRAIN_TUNDRA_HILLS",-1,"CONTINENT_ALASKANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,1,1],-1]                                                             ;
MapToConvert[115][77]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[114][77]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[113][77]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[112][77]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[111][77]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[110][77]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[109][77]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[108][77]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[107][77]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[106][77]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[105][77]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[104][77]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[103][77]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_KOLYMA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[102][77]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_KOLYMA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                             ;
MapToConvert[101][77]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_KOLYMA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_OIL",1],[0,0,0],-1]                                            ;
MapToConvert[100][77]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[99][77]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[98][77]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[97][77]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_CRABS",1],[0,0,0],-1]                                                                          ;
MapToConvert[96][77]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[95][77]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[94][77]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[93][77]=["TERRAIN_GRASS",-1,"CONTINENT_MANCHURIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                     ;
MapToConvert[92][77]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_MANCHURIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                              ;
MapToConvert[91][77]=["TERRAIN_PLAINS",-1,"CONTINENT_MANCHURIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[90][77]=["TERRAIN_PLAINS",-1,"CONTINENT_MANCHURIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_FURS",1],[0,0,0],-1]                                                       ;
MapToConvert[89][77]=["TERRAIN_PLAINS",-1,"CONTINENT_MANCHURIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[88][77]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_MANCHURIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[87][77]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_MANCHURIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[86][77]=["TERRAIN_TUNDRA_HILLS","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_STONE",1],[0,0,0],-1]                            ;
MapToConvert[85][77]=["TERRAIN_TUNDRA_HILLS","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                          ;
MapToConvert[84][77]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                ;
MapToConvert[83][77]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                ;
MapToConvert[82][77]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                ;
MapToConvert[81][77]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_TRUFFLES",1],[0,0,0],-1]                               ;
MapToConvert[80][77]=["TERRAIN_TUNDRA_HILLS","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                          ;
MapToConvert[79][77]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                ;
MapToConvert[78][77]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                     ;
MapToConvert[77][77]=["TERRAIN_TUNDRA_HILLS","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                          ;
MapToConvert[76][77]=["TERRAIN_TUNDRA_HILLS","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                          ;
MapToConvert[75][77]=["TERRAIN_PLAINS",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                              ;
MapToConvert[74][77]=["TERRAIN_PLAINS",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[73][77]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,1],-1]                                                                                        ;
MapToConvert[72][77]=["TERRAIN_PLAINS",-1,"CONTINENT_CENTRAL_SIBERIA",[[1,5],[0,-1],[0,-1]],["RESOURCE_COAL",1],[0,0,0],-1]                                                  ;
MapToConvert[71][77]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[1,5],[0,-1],[1,4]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[70][77]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[69][77]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[1,5],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[68][77]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[67][77]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                ;
MapToConvert[66][77]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_WEST_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[65][77]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_WEST_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[64][77]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_WEST_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[63][77]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_WEST_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[62][77]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_WEST_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[61][77]=["TERRAIN_PLAINS",-1,"CONTINENT_WEST_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[60][77]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_WEST_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[59][77]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_WEST_SIBERIA",[[1,5],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                    ;
MapToConvert[58][77]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_WEST_SIBERIA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                                    ;
MapToConvert[57][77]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_WEST_SIBERIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_FURS",1],[0,0,0],-1]                                      ;
MapToConvert[56][77]=["TERRAIN_PLAINS",-1,"CONTINENT_WEST_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[55][77]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_WEST_SIBERIA",[[1,5],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                    ;
MapToConvert[54][77]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_WEST_SIBERIA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                                    ;
MapToConvert[53][77]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_WEST_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[52][77]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_WEST_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[51][77]=["TERRAIN_TUNDRA_HILLS","FEATURE_FOREST","CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[50][77]=["TERRAIN_TUNDRA_HILLS",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],["RESOURCE_STONE",1],[0,0,0],-1]                                                   ;
MapToConvert[49][77]=["TERRAIN_PLAINS",-1,"CONTINENT_EUROPE",[[0,-1],[1,3],[1,4]],[-1,0],[0,0,0],-1]                                                                         ;
MapToConvert[48][77]=["TERRAIN_GRASS",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],["RESOURCE_FURS",1],[0,0,0],-1]                                                           ;
MapToConvert[47][77]=["TERRAIN_GRASS",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],["RESOURCE_WHEAT",1],[0,0,0],-1]                                                          ;
MapToConvert[46][77]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[45][77]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[44][77]=["TERRAIN_TUNDRA",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[43][77]=["TERRAIN_TUNDRA",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],["RESOURCE_COPPER",1],[0,0,0],-1]                                                        ;
MapToConvert[42][77]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[41][77]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[40][77]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[39][77]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[38][77]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[37][77]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[36][77]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_EUROPE",[[1,2],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[35][77]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                        ;
MapToConvert[34][77]=["TERRAIN_PLAINS",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[33][77]=["TERRAIN_PLAINS",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[32][77]=["TERRAIN_GRASS",-1,"CONTINENT_BALTICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_ALUMINUM",1],[0,0,0],-1]                                                      ;
MapToConvert[31][77]=["TERRAIN_GRASS",-1,"CONTINENT_BALTICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[30][77]=["TERRAIN_GRASS",-1,"CONTINENT_BALTICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[29][77]=["TERRAIN_GRASS",-1,"CONTINENT_BALTICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[28][77]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                        ;
MapToConvert[27][77]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[26][77]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[25][77]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_SCANDINAVIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                    ;
MapToConvert[24][77]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                        ;
MapToConvert[23][77]=["TERRAIN_GRASS",-1,"CONTINENT_SCANDINAVIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[22][77]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_SCANDINAVIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                     ;
MapToConvert[21][77]=["TERRAIN_GRASS",-1,"CONTINENT_SCANDINAVIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[20][77]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[19][77]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[18][77]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[17][77]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[16][77]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[15][77]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[14][77]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[13][77]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[12][77]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[11][77]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_CRABS",1],[0,0,0],-1]                                                                          ;
MapToConvert[10][77]=["TERRAIN_GRASS_HILLS","FEATURE_FOREST","CONTINENT_BRITTANIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_COAL",1],[0,0,0],-1]                                    ;
MapToConvert[9][77]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_BRITTANIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SHEEP",1],[1,0,0],-1]                                                  ;
MapToConvert[8][77]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[7][77]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[6][77]=["TERRAIN_GRASS_HILLS","FEATURE_FOREST","CONTINENT_BRITTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[5][77]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_BRITTANIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SHEEP",1],[0,0,0],-1]                                                  ;
MapToConvert[4][77]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[3][77]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                                         ;
MapToConvert[2][77]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[1][77]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[0][77]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[179][78]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[178][78]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[177][78]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[176][78]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[175][78]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[174][78]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[173][78]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[172][78]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[171][78]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[170][78]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[169][78]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[168][78]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[167][78]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[166][78]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[165][78]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[164][78]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                                       ;
MapToConvert[163][78]=["TERRAIN_SNOW",-1,"CONTINENT_LABRADORIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[162][78]=["TERRAIN_SNOW_HILLS",-1,"CONTINENT_LABRADORIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                              ;
MapToConvert[161][78]=["TERRAIN_SNOW_HILLS",-1,"CONTINENT_LABRADORIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                              ;
MapToConvert[160][78]=["TERRAIN_SNOW",-1,"CONTINENT_LABRADORIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[159][78]=["TERRAIN_TUNDRA",-1,"CONTINENT_LABRADORIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                  ;
MapToConvert[158][78]=["TERRAIN_TUNDRA",-1,"CONTINENT_LABRADORIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                  ;
MapToConvert[157][78]=["TERRAIN_TUNDRA",-1,"CONTINENT_LABRADORIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_FURS",1],[0,0,0],-1]                                                     ;
MapToConvert[156][78]=["TERRAIN_TUNDRA",-1,"CONTINENT_LABRADORIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                  ;
MapToConvert[155][78]=["TERRAIN_TUNDRA",-1,"CONTINENT_LABRADORIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                  ;
MapToConvert[154][78]=["TERRAIN_TUNDRA",-1,"CONTINENT_LABRADORIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                  ;
MapToConvert[153][78]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[152][78]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[151][78]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[150][78]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[149][78]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[148][78]=["TERRAIN_SNOW",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[147][78]=["TERRAIN_SNOW",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[146][78]=["TERRAIN_SNOW",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[145][78]=["TERRAIN_SNOW",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[144][78]=["TERRAIN_TUNDRA",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[143][78]=["TERRAIN_TUNDRA",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_FURS",1],[0,0,0],-1]                                                  ;
MapToConvert[142][78]=["TERRAIN_TUNDRA",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[141][78]=["TERRAIN_TUNDRA",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[140][78]=["TERRAIN_TUNDRA_HILLS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_IRON",1],[0,0,0],-1]                              ;
MapToConvert[139][78]=["TERRAIN_TUNDRA",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[138][78]=["TERRAIN_TUNDRA",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[137][78]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[1,2],[0,-1],[0,-1]],["RESOURCE_FURS",1],[0,0,0],-1]                                     ;
MapToConvert[136][78]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[1,2],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[135][78]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[134][78]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[133][78]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[132][78]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[131][78]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_NORTH_AMERICA",[[1,2],[1,0],[1,1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[130][78]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[129][78]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_DEER",1],[0,0,0],-1]                                    ;
MapToConvert[128][78]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[127][78]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[126][78]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_ALASKANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[125][78]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[124][78]=["TERRAIN_TUNDRA_HILLS",-1,"CONTINENT_ALASKANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,1],-1]                                                             ;
MapToConvert[123][78]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                       ;
MapToConvert[122][78]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[121][78]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[120][78]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[119][78]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[118][78]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_OIL",1],[0,0,0],-1]                                                                           ;
MapToConvert[117][78]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[116][78]=["TERRAIN_TUNDRA_HILLS",-1,"CONTINENT_ALASKANIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_IRON",1],[0,0,0],-1]                                                ;
MapToConvert[115][78]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[114][78]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[113][78]=["TERRAIN_TUNDRA_HILLS",-1,"CONTINENT_ALASKANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                             ;
MapToConvert[112][78]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[111][78]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[110][78]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[109][78]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[108][78]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[107][78]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[106][78]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[105][78]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_FISH",1],[0,0,0],-1]                                                                          ;
MapToConvert[104][78]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[103][78]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_KOLYMA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                ;
MapToConvert[102][78]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_KOLYMA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[101][78]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,1],-1]                                                                                       ;
MapToConvert[100][78]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[99][78]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[98][78]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[97][78]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[96][78]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[95][78]=["TERRAIN_PLAINS",-1,"CONTINENT_KOLYMA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                       ;
MapToConvert[94][78]=["TERRAIN_PLAINS",-1,"CONTINENT_KOLYMA",[[1,2],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                        ;
MapToConvert[93][78]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_CENTRAL_SIBERIA",[[1,2],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                       ;
MapToConvert[92][78]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_ALUMINUM",1],[0,0,0],-1]                         ;
MapToConvert[91][78]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                ;
MapToConvert[90][78]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                ;
MapToConvert[89][78]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                     ;
MapToConvert[88][78]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                     ;
MapToConvert[87][78]=["TERRAIN_TUNDRA_HILLS","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                          ;
MapToConvert[86][78]=["TERRAIN_TUNDRA_HILLS","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                          ;
MapToConvert[85][78]=["TERRAIN_TUNDRA_HILLS","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                          ;
MapToConvert[84][78]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[83][78]=["TERRAIN_PLAINS",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                              ;
MapToConvert[82][78]=["TERRAIN_PLAINS",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                              ;
MapToConvert[81][78]=["TERRAIN_TUNDRA_HILLS","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                          ;
MapToConvert[80][78]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                     ;
MapToConvert[79][78]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                ;
MapToConvert[78][78]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                     ;
MapToConvert[77][78]=["TERRAIN_TUNDRA_HILLS","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_ALUMINUM",1],[0,0,0],-1]                         ;
MapToConvert[76][78]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                ;
MapToConvert[75][78]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[1,5],[0,-1],[0,-1]],["RESOURCE_FURS",1],[0,0,0],-1]                                    ;
MapToConvert[74][78]=["TERRAIN_PLAINS",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[73][78]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[72][78]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                ;
MapToConvert[71][78]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[1,5],[0,-1],[0,-1]],["RESOURCE_FURS",1],[0,0,0],-1]                                    ;
MapToConvert[70][78]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[1,5],[0,-1],[1,4]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[69][78]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[1,5],[0,-1],[1,4]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[68][78]=["TERRAIN_PLAINS",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[1,0],[0,-1]],["RESOURCE_WHEAT",1],[0,0,0],-1]                                                 ;
MapToConvert[67][78]=["TERRAIN_PLAINS",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                              ;
MapToConvert[66][78]=["TERRAIN_PLAINS",-1,"CONTINENT_WEST_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[65][78]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_WEST_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[64][78]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_WEST_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[63][78]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_WEST_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[62][78]=["TERRAIN_PLAINS",-1,"CONTINENT_WEST_SIBERIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SHEEP",1],[0,0,0],-1]                                                   ;
MapToConvert[61][78]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_WEST_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[60][78]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_WEST_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[59][78]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_WEST_SIBERIA",[[1,5],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                    ;
MapToConvert[58][78]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_WEST_SIBERIA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                                    ;
MapToConvert[57][78]=["TERRAIN_PLAINS",-1,"CONTINENT_WEST_SIBERIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_OIL",1],[0,0,0],-1]                                                     ;
MapToConvert[56][78]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_WEST_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[55][78]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_WEST_SIBERIA",[[0,-1],[1,0],[1,1]],[-1,0],[0,0,0],-1]                                                     ;
MapToConvert[54][78]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_WEST_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[53][78]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_WEST_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[52][78]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                              ;
MapToConvert[51][78]=["TERRAIN_TUNDRA_HILLS","FEATURE_FOREST","CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[50][78]=["TERRAIN_PLAINS",-1,"CONTINENT_EUROPE",[[0,-1],[1,3],[1,4]],[-1,0],[0,0,0],-1]                                                                         ;
MapToConvert[49][78]=["TERRAIN_PLAINS",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[48][78]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[47][78]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[46][78]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[45][78]=["TERRAIN_TUNDRA",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[44][78]=["TERRAIN_TUNDRA",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[43][78]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[42][78]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],["RESOURCE_DEER",1],[0,0,0],-1]                                            ;
MapToConvert[41][78]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[40][78]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[39][78]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[38][78]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],["RESOURCE_DEER",1],[0,0,0],-1]                                            ;
MapToConvert[37][78]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_EUROPE",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[36][78]=["TERRAIN_PLAINS",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[35][78]=["TERRAIN_PLAINS",-1,"CONTINENT_EUROPE",[[0,-1],[1,3],[0,-1]],["RESOURCE_WHEAT",1],[0,0,0],-1]                                                          ;
MapToConvert[34][78]=["TERRAIN_GRASS","FEATURE_MARSH","CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[33][78]=["TERRAIN_GRASS","FEATURE_MARSH","CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[32][78]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_BALTICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[31][78]=["TERRAIN_GRASS",-1,"CONTINENT_BALTICA",[[1,5],[1,3],[1,4]],[-1,0],[0,0,0],-1]                                                                          ;
MapToConvert[30][78]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[29][78]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[28][78]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[27][78]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[26][78]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[25][78]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                                        ;
MapToConvert[24][78]=["TERRAIN_PLAINS",-1,"CONTINENT_SCANDINAVIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_WHEAT",1],[0,0,0],-1]                                                    ;
MapToConvert[23][78]=["TERRAIN_GRASS","FEATURE_MARSH","CONTINENT_SCANDINAVIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                      ;
MapToConvert[22][78]=["TERRAIN_GRASS",-1,"CONTINENT_SCANDINAVIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_CATTLE",1],[0,0,0],-1]                                                    ;
MapToConvert[21][78]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[20][78]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[19][78]=["TERRAIN_GRASS",-1,"CONTINENT_SCANDINAVIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,1],-1]                                                                   ;
MapToConvert[18][78]=["TERRAIN_GRASS",-1,"CONTINENT_SCANDINAVIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[17][78]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                        ;
MapToConvert[16][78]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[15][78]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[14][78]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[13][78]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[12][78]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[11][78]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[10][78]=["TERRAIN_GRASS",-1,"CONTINENT_BRITTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                     ;
MapToConvert[9][78]=["TERRAIN_GRASS",-1,"CONTINENT_BRITTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                      ;
MapToConvert[8][78]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_BRITTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,1],-1]                                                                ;
MapToConvert[7][78]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                                         ;
MapToConvert[6][78]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                                         ;
MapToConvert[5][78]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[4][78]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[3][78]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[2][78]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[1][78]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[0][78]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[179][79]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[178][79]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[177][79]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[176][79]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[175][79]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[174][79]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[173][79]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[172][79]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[171][79]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[170][79]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[169][79]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[168][79]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[167][79]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[166][79]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[165][79]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[164][79]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[163][79]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[162][79]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[161][79]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                                       ;
MapToConvert[160][79]=["TERRAIN_SNOW_HILLS",-1,"CONTINENT_LABRADORIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                              ;
MapToConvert[159][79]=["TERRAIN_SNOW_HILLS",-1,"CONTINENT_LABRADORIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                              ;
MapToConvert[158][79]=["TERRAIN_TUNDRA",-1,"CONTINENT_LABRADORIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                  ;
MapToConvert[157][79]=["TERRAIN_TUNDRA",-1,"CONTINENT_LABRADORIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                  ;
MapToConvert[156][79]=["TERRAIN_SNOW",-1,"CONTINENT_LABRADORIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[155][79]=["TERRAIN_SNOW",-1,"CONTINENT_LABRADORIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[154][79]=["TERRAIN_SNOW",-1,"CONTINENT_LABRADORIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[153][79]=["TERRAIN_TUNDRA",-1,"CONTINENT_LABRADORIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                  ;
MapToConvert[152][79]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[151][79]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[150][79]=["TERRAIN_SNOW",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[149][79]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[148][79]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[147][79]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[146][79]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,1],-1]                                                                                       ;
MapToConvert[145][79]=["TERRAIN_SNOW",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[144][79]=["TERRAIN_SNOW",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[143][79]=["TERRAIN_SNOW",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[142][79]=["TERRAIN_TUNDRA",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_OIL",1],[0,0,0],-1]                                                   ;
MapToConvert[141][79]=["TERRAIN_TUNDRA",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[140][79]=["TERRAIN_TUNDRA_HILLS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                           ;
MapToConvert[139][79]=["TERRAIN_TUNDRA_HILLS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_ALUMINUM",1],[0,0,0],-1]                                        ;
MapToConvert[138][79]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                                       ;
MapToConvert[137][79]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[136][79]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[135][79]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_FURS",1],[0,0,0],-1]                                    ;
MapToConvert[134][79]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,1],-1]                                                                                       ;
MapToConvert[133][79]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[1,5],[0,-1],[0,-1]],["RESOURCE_DEER",1],[0,0,0],-1]                                     ;
MapToConvert[132][79]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[1,5],[0,-1],[1,4]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[131][79]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[1,5],[0,-1],[1,4]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[130][79]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[129][79]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                      ;
MapToConvert[128][79]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                      ;
MapToConvert[127][79]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_ALASKANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[126][79]=["TERRAIN_PLAINS",-1,"CONTINENT_ALASKANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[125][79]=["TERRAIN_TUNDRA_HILLS","FEATURE_FOREST","CONTINENT_ALASKANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                               ;
MapToConvert[124][79]=["TERRAIN_TUNDRA_HILLS",-1,"CONTINENT_ALASKANIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_DIAMONDS",1],[0,0,0],-1]                                            ;
MapToConvert[123][79]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[122][79]=["TERRAIN_TUNDRA_HILLS",-1,"CONTINENT_ALASKANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                             ;
MapToConvert[121][79]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                       ;
MapToConvert[120][79]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[119][79]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_WHALES",1],[0,0,0],-1]                                                                        ;
MapToConvert[118][79]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[117][79]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[116][79]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[115][79]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[114][79]=["TERRAIN_SNOW_HILLS",-1,"CONTINENT_ALASKANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[113][79]=["TERRAIN_SNOW_HILLS",-1,"CONTINENT_ALASKANIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_STONE",1],[0,0,0],-1]                                                 ;
MapToConvert[112][79]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[111][79]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[110][79]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[109][79]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[108][79]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[107][79]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[106][79]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[105][79]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[104][79]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[103][79]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_KOLYMA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                ;
MapToConvert[102][79]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_KOLYMA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[101][79]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[100][79]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[99][79]=["TERRAIN_PLAINS",-1,"CONTINENT_KOLYMA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[98][79]=["TERRAIN_PLAINS",-1,"CONTINENT_KOLYMA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_COAL",1],[1,0,0],-1]                                                          ;
MapToConvert[97][79]=["TERRAIN_PLAINS",-1,"CONTINENT_KOLYMA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                       ;
MapToConvert[96][79]=["TERRAIN_GRASS",-1,"CONTINENT_KOLYMA",[[0,-1],[1,3],[0,-1]],[-1,0],[0,0,0],-1]                                                                         ;
MapToConvert[95][79]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_KOLYMA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_FURS",1],[0,0,1],-1]                                            ;
MapToConvert[94][79]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_KOLYMA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[93][79]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                     ;
MapToConvert[92][79]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                ;
MapToConvert[91][79]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                ;
MapToConvert[90][79]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                ;
MapToConvert[89][79]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                ;
MapToConvert[88][79]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                ;
MapToConvert[87][79]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                ;
MapToConvert[86][79]=["TERRAIN_PLAINS",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                              ;
MapToConvert[85][79]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_FURS",1],[0,0,0],-1]                                   ;
MapToConvert[84][79]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[0,-1],[1,0],[1,1]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[83][79]=["TERRAIN_PLAINS",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_WHEAT",1],[0,0,0],-1]                                                ;
MapToConvert[82][79]=["TERRAIN_PLAINS",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                              ;
MapToConvert[81][79]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                ;
MapToConvert[80][79]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                ;
MapToConvert[79][79]=["TERRAIN_TUNDRA_HILLS","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                          ;
MapToConvert[78][79]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                ;
MapToConvert[77][79]=["TERRAIN_PLAINS",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_TRUFFLES",1],[0,0,0],-1]                                             ;
MapToConvert[76][79]=["TERRAIN_TUNDRA_HILLS","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                          ;
MapToConvert[75][79]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[1,2],[1,0],[1,1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[74][79]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[73][79]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[72][79]=["TERRAIN_PLAINS",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                              ;
MapToConvert[71][79]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                ;
MapToConvert[70][79]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                ;
MapToConvert[69][79]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                ;
MapToConvert[68][79]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[1,5],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[67][79]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[1,5],[0,-1],[1,4]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[66][79]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_WEST_SIBERIA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                                    ;
MapToConvert[65][79]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_WEST_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[64][79]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_WEST_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[63][79]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_WEST_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[62][79]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_WEST_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[61][79]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_WEST_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[60][79]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_WEST_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[59][79]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_WEST_SIBERIA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                                    ;
MapToConvert[58][79]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_WEST_SIBERIA",[[1,5],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                                     ;
MapToConvert[57][79]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_WEST_SIBERIA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                                    ;
MapToConvert[56][79]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_WEST_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[55][79]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_WEST_SIBERIA",[[0,-1],[1,0],[1,1]],[-1,0],[0,0,0],-1]                                                     ;
MapToConvert[54][79]=["TERRAIN_PLAINS",-1,"CONTINENT_WEST_SIBERIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_ALUMINUM",1],[0,0,0],-1]                                                ;
MapToConvert[53][79]=["TERRAIN_TUNDRA",-1,"CONTINENT_WEST_SIBERIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_URANIUM",1],[0,0,0],-1]                                                 ;
MapToConvert[52][79]=["TERRAIN_TUNDRA",-1,"CONTINENT_WEST_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[51][79]=["TERRAIN_TUNDRA_HILLS",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[50][79]=["TERRAIN_TUNDRA_HILLS","FEATURE_FOREST","CONTINENT_EUROPE",[[1,2],[0,-1],[0,-1]],["RESOURCE_IRON",1],[0,0,0],-1]                                       ;
MapToConvert[49][79]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_EUROPE",[[1,2],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[48][79]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[47][79]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[46][79]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[45][79]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_EUROPE",[[1,5],[1,3],[1,4]],[-1,0],[0,0,0],-1]                                                            ;
MapToConvert[44][79]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_EUROPE",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[43][79]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[42][79]=["TERRAIN_TUNDRA",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[41][79]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[40][79]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],["RESOURCE_FURS",1],[0,0,0],-1]                                            ;
MapToConvert[39][79]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_EUROPE",[[1,2],[1,0],[1,1]],[-1,0],[0,0,0],-1]                                                            ;
MapToConvert[38][79]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_EUROPE",[[1,2],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[37][79]=["TERRAIN_TUNDRA",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                                        ;
MapToConvert[36][79]=["TERRAIN_TUNDRA",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],["RESOURCE_FURS",1],[0,0,0],-1]                                                          ;
MapToConvert[35][79]=["TERRAIN_TUNDRA",-1,"CONTINENT_EUROPE",[[1,2],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                        ;
MapToConvert[34][79]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_EUROPE",[[0,-1],[1,3],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[33][79]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[32][79]=["TERRAIN_GRASS",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                        ;
MapToConvert[31][79]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[30][79]=["TERRAIN_PLAINS",-1,"CONTINENT_SCANDINAVIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_IRON",1],[0,0,0],-1]                                                     ;
MapToConvert[29][79]=["TERRAIN_PLAINS",-1,"CONTINENT_SCANDINAVIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                  ;
MapToConvert[28][79]=["TERRAIN_GRASS",-1,"CONTINENT_SCANDINAVIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,1],-1]                                                                   ;
MapToConvert[27][79]=["TERRAIN_GRASS","FEATURE_MARSH","CONTINENT_SCANDINAVIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                      ;
MapToConvert[26][79]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[25][79]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[24][79]=["TERRAIN_GRASS",-1,"CONTINENT_SCANDINAVIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[23][79]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_SCANDINAVIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_HORSES",1],[0,0,0],-1]                                     ;
MapToConvert[22][79]=["TERRAIN_GRASS","FEATURE_MARSH","CONTINENT_SCANDINAVIA",[[1,5],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                       ;
MapToConvert[21][79]=["TERRAIN_GRASS",-1,"CONTINENT_SCANDINAVIA",[[0,-1],[0,-1],[1,4]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[20][79]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[19][79]=["TERRAIN_GRASS",-1,"CONTINENT_SCANDINAVIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[18][79]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_SCANDINAVIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_STONE",1],[0,0,0],-1]                                               ;
MapToConvert[17][79]=["TERRAIN_GRASS",-1,"CONTINENT_SCANDINAVIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_WHEAT",1],[0,0,0],-1]                                                     ;
MapToConvert[16][79]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[15][79]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[14][79]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[13][79]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[12][79]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[11][79]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_OIL",1],[0,0,0],-1]                                                                            ;
MapToConvert[10][79]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[9][79]=["TERRAIN_GRASS",-1,"CONTINENT_BRITTANIA",[[0,-1],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[8][79]=["TERRAIN_GRASS_HILLS","FEATURE_FOREST","CONTINENT_BRITTANIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_IRON",1],[0,0,0],-1]                                     ;
MapToConvert[7][79]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_FISH",1],[0,1,1],-1]                                                                            ;
MapToConvert[6][79]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[5][79]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[4][79]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[3][79]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[2][79]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[1][79]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[0][79]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[179][80]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[178][80]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[177][80]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[176][80]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[175][80]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[174][80]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[173][80]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[172][80]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[171][80]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_WHALES",1],[0,0,0],-1]                                                                        ;
MapToConvert[170][80]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[169][80]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_OIL",1],[0,0,0],-1]                                                                           ;
MapToConvert[168][80]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[167][80]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[166][80]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[165][80]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[164][80]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[163][80]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_FISH",1],[0,0,0],-1]                                                                          ;
MapToConvert[162][80]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[161][80]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                                       ;
MapToConvert[160][80]=["TERRAIN_SNOW_HILLS",-1,"CONTINENT_LABRADORIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                              ;
MapToConvert[159][80]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,1],-1]                                                                                       ;
MapToConvert[158][80]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                                       ;
MapToConvert[157][80]=["TERRAIN_SNOW",-1,"CONTINENT_LABRADORIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                    ;
MapToConvert[156][80]=["TERRAIN_SNOW",-1,"CONTINENT_LABRADORIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[155][80]=["TERRAIN_SNOW",-1,"CONTINENT_LABRADORIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[154][80]=["TERRAIN_SNOW",-1,"CONTINENT_LABRADORIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[153][80]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                       ;
MapToConvert[152][80]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[151][80]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[150][80]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[149][80]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[148][80]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_FISH",1],[0,0,0],-1]                                                                          ;
MapToConvert[147][80]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[146][80]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[145][80]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[144][80]=["TERRAIN_SNOW",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[143][80]=["TERRAIN_SNOW",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[142][80]=["TERRAIN_TUNDRA",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[141][80]=["TERRAIN_TUNDRA",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[140][80]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[139][80]=["TERRAIN_TUNDRA",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_OIL",1],[0,0,0],-1]                                                   ;
MapToConvert[138][80]=["TERRAIN_TUNDRA",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[137][80]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[136][80]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[135][80]=["TERRAIN_TUNDRA",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[134][80]=["TERRAIN_TUNDRA",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[133][80]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[132][80]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[131][80]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[1,5],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[130][80]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[129][80]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[128][80]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_ALASKANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[127][80]=["TERRAIN_TUNDRA_HILLS","FEATURE_FOREST","CONTINENT_ALASKANIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_IRON",1],[0,0,0],-1]                                  ;
MapToConvert[126][80]=["TERRAIN_TUNDRA_HILLS","FEATURE_FOREST","CONTINENT_ALASKANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                               ;
MapToConvert[125][80]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_ALASKANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[124][80]=["TERRAIN_TUNDRA_HILLS","FEATURE_FOREST","CONTINENT_ALASKANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                               ;
MapToConvert[123][80]=["TERRAIN_TUNDRA_HILLS","FEATURE_FOREST","CONTINENT_ALASKANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                               ;
MapToConvert[122][80]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                                       ;
MapToConvert[121][80]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[120][80]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[119][80]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[118][80]=["TERRAIN_TUNDRA_HILLS",-1,"CONTINENT_ALASKANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                             ;
MapToConvert[117][80]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[116][80]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[115][80]=["TERRAIN_TUNDRA",-1,"CONTINENT_ALASKANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[114][80]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,1],-1]                                                                                       ;
MapToConvert[113][80]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[112][80]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[111][80]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[110][80]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[109][80]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[108][80]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_OIL",1],[0,0,0],-1]                                                                           ;
MapToConvert[107][80]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[106][80]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[105][80]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[104][80]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_KOLYMA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,1],-1]                                                        ;
MapToConvert[103][80]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_KOLYMA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[102][80]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[101][80]=["TERRAIN_TUNDRA",-1,"CONTINENT_KOLYMA",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,1],-1]                                                                      ;
MapToConvert[100][80]=["TERRAIN_PLAINS",-1,"CONTINENT_KOLYMA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                      ;
MapToConvert[99][80]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_KOLYMA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[98][80]=["TERRAIN_PLAINS",-1,"CONTINENT_KOLYMA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[97][80]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_KOLYMA",[[1,2],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[96][80]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_KOLYMA",[[1,2],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[95][80]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_KOLYMA",[[0,-1],[1,3],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[94][80]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_FURS",1],[0,0,0],-1]                                   ;
MapToConvert[93][80]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                ;
MapToConvert[92][80]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                ;
MapToConvert[91][80]=["TERRAIN_PLAINS",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                              ;
MapToConvert[90][80]=["TERRAIN_PLAINS",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_URANIUM",1],[0,0,0],-1]                                              ;
MapToConvert[89][80]=["TERRAIN_PLAINS",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                              ;
MapToConvert[88][80]=["TERRAIN_PLAINS",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                              ;
MapToConvert[87][80]=["TERRAIN_PLAINS",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                              ;
MapToConvert[86][80]=["TERRAIN_TUNDRA",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                              ;
MapToConvert[85][80]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[0,-1],[1,0],[1,1]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[84][80]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                ;
MapToConvert[83][80]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                ;
MapToConvert[82][80]=["TERRAIN_PLAINS",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                              ;
MapToConvert[81][80]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[1,2],[1,0],[1,1]],["RESOURCE_COPPER",1],[0,0,0],-1]                              ;
MapToConvert[80][80]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[1,2],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                            ;
MapToConvert[79][80]=["TERRAIN_TUNDRA_HILLS","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[0,-1],[1,3],[0,-1]],["RESOURCE_DIAMONDS",1],[0,0,0],-1]                          ;
MapToConvert[78][80]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                ;
MapToConvert[77][80]=["TERRAIN_PLAINS",-1,"CONTINENT_CENTRAL_SIBERIA",[[1,2],[1,0],[1,1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[76][80]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[75][80]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                ;
MapToConvert[74][80]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_DEER",1],[0,0,0],-1]                                   ;
MapToConvert[73][80]=["TERRAIN_TUNDRA_HILLS","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_COAL",1],[0,0,0],-1]                             ;
MapToConvert[72][80]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                ;
MapToConvert[71][80]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                ;
MapToConvert[70][80]=["TERRAIN_TUNDRA_HILLS","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[1,5],[0,-1],[1,4]],["RESOURCE_STONE",1],[0,0,0],-1]                              ;
MapToConvert[69][80]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[1,5],[0,-1],[1,4]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[68][80]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[1,5],[0,-1],[1,4]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[67][80]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[1,5],[0,-1],[1,4]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[66][80]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_WEST_SIBERIA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                                    ;
MapToConvert[65][80]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_WEST_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[64][80]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_WEST_SIBERIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_DEER",1],[0,0,0],-1]                                      ;
MapToConvert[63][80]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_WEST_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[62][80]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_WEST_SIBERIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_FURS",1],[0,0,0],-1]                                      ;
MapToConvert[61][80]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_WEST_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[60][80]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_WEST_SIBERIA",[[1,5],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                    ;
MapToConvert[59][80]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_WEST_SIBERIA",[[0,-1],[1,0],[1,1]],["RESOURCE_FURS",1],[0,0,0],-1]                                        ;
MapToConvert[58][80]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_WEST_SIBERIA",[[1,5],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                    ;
MapToConvert[57][80]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_WEST_SIBERIA",[[1,5],[0,-1],[1,4]],[-1,0],[0,0,0],-1]                                                     ;
MapToConvert[56][80]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_WEST_SIBERIA",[[1,5],[0,-1],[1,4]],[-1,0],[0,0,0],-1]                                                     ;
MapToConvert[55][80]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_WEST_SIBERIA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                                    ;
MapToConvert[54][80]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_WEST_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[53][80]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_WEST_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[52][80]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                              ;
MapToConvert[51][80]=["TERRAIN_TUNDRA_HILLS","FEATURE_FOREST","CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],["RESOURCE_ALUMINUM",1],[0,0,0],-1]                                  ;
MapToConvert[50][80]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[49][80]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],["RESOURCE_DEER",1],[0,0,0],-1]                                            ;
MapToConvert[48][80]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[47][80]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[46][80]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_EUROPE",[[1,2],[0,-1],[0,-1]],["RESOURCE_FURS",1],[0,0,0],-1]                                             ;
MapToConvert[45][80]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_EUROPE",[[1,5],[1,3],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[44][80]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_EUROPE",[[1,5],[0,-1],[1,4]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[43][80]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_EUROPE",[[1,5],[0,-1],[1,4]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[42][80]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_EUROPE",[[1,5],[0,-1],[1,4]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[41][80]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_EUROPE",[[1,5],[0,-1],[1,4]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[40][80]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_EUROPE",[[1,5],[0,-1],[1,4]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[39][80]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_EUROPE",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[38][80]=["TERRAIN_TUNDRA",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],["RESOURCE_FURS",1],[0,0,0],-1]                                                          ;
MapToConvert[37][80]=["TERRAIN_TUNDRA",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[36][80]=["TERRAIN_TUNDRA",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[35][80]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],["RESOURCE_FURS",1],[0,0,0],-1]                                            ;
MapToConvert[34][80]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[33][80]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[32][80]=["TERRAIN_PLAINS",-1,"CONTINENT_SCANDINAVIA",[[0,-1],[0,-1],[1,4]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[31][80]=["TERRAIN_PLAINS",-1,"CONTINENT_SCANDINAVIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                  ;
MapToConvert[30][80]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_SCANDINAVIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                    ;
MapToConvert[29][80]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_SCANDINAVIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                     ;
MapToConvert[28][80]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_SCANDINAVIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                     ;
MapToConvert[27][80]=["TERRAIN_GRASS",-1,"CONTINENT_SCANDINAVIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_CATTLE",1],[0,0,0],-1]                                                    ;
MapToConvert[26][80]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[25][80]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_FISH",1],[0,0,0],-1]                                                                           ;
MapToConvert[24][80]=["TERRAIN_GRASS",-1,"CONTINENT_SCANDINAVIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_WHEAT",1],[0,1,0],-1]                                                     ;
MapToConvert[23][80]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_SCANDINAVIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                     ;
MapToConvert[22][80]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[21][80]=["TERRAIN_GRASS",-1,"CONTINENT_SCANDINAVIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[20][80]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_SCANDINAVIA",[[0,-1],[1,3],[0,-1]],[-1,0],[0,0,0],-1]                                                      ;
MapToConvert[19][80]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_SCANDINAVIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                             ;
MapToConvert[18][80]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_SCANDINAVIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                             ;
MapToConvert[17][80]=["TERRAIN_GRASS",-1,"CONTINENT_SCANDINAVIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[16][80]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[15][80]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[14][80]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[13][80]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[12][80]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[11][80]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[10][80]=["TERRAIN_GRASS",-1,"CONTINENT_BRITTANIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_HORSES",1],[0,1,0],-1]                                                      ;
MapToConvert[9][80]=["TERRAIN_GRASS_HILLS","FEATURE_FOREST","CONTINENT_BRITTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[8][80]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_BRITTANIA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[7][80]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[6][80]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_BRITTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                               ;
MapToConvert[5][80]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[4][80]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[3][80]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[2][80]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[1][80]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[0][80]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[179][81]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[178][81]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[177][81]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[176][81]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[175][81]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[174][81]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[173][81]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[172][81]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[171][81]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[170][81]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[169][81]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[168][81]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[167][81]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[166][81]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[165][81]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[164][81]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[163][81]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[162][81]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[161][81]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[160][81]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[159][81]=["TERRAIN_SNOW_HILLS",-1,"CONTINENT_LABRADORIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                              ;
MapToConvert[158][81]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[157][81]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[156][81]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                                       ;
MapToConvert[155][81]=["TERRAIN_SNOW",-1,"CONTINENT_LABRADORIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[154][81]=["TERRAIN_SNOW",-1,"CONTINENT_LABRADORIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[153][81]=["TERRAIN_SNOW",-1,"CONTINENT_LABRADORIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                    ;
MapToConvert[152][81]=["TERRAIN_TUNDRA",-1,"CONTINENT_LABRADORIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                  ;
MapToConvert[151][81]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[150][81]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[149][81]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[148][81]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[147][81]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[146][81]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[145][81]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[144][81]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[143][81]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,1],-1]                                                                                       ;
MapToConvert[142][81]=["TERRAIN_SNOW",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[141][81]=["TERRAIN_SNOW",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[140][81]=["TERRAIN_TUNDRA",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[139][81]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[138][81]=["TERRAIN_TUNDRA_HILLS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                           ;
MapToConvert[137][81]=["TERRAIN_TUNDRA_HILLS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                           ;
MapToConvert[136][81]=["TERRAIN_TUNDRA_HILLS","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_DIAMONDS",1],[0,0,0],-1]                          ;
MapToConvert[135][81]=["TERRAIN_TUNDRA",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[134][81]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[133][81]=["TERRAIN_TUNDRA",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                               ;
MapToConvert[132][81]=["TERRAIN_TUNDRA",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[131][81]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[130][81]=["TERRAIN_TUNDRA",-1,"CONTINENT_NORTH_AMERICA",[[1,5],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[129][81]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[128][81]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_FURS",1],[0,0,0],-1]                                    ;
MapToConvert[127][81]=["TERRAIN_SNOW",-1,"CONTINENT_ALASKANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                     ;
MapToConvert[126][81]=["TERRAIN_SNOW_MOUNTAIN",-1,"CONTINENT_ALASKANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                            ;
MapToConvert[125][81]=["TERRAIN_TUNDRA_HILLS",-1,"CONTINENT_ALASKANIA",[[1,5],[0,-1],[0,-1]],["RESOURCE_STONE",1],[0,0,0],-1]                                                ;
MapToConvert[124][81]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_ALASKANIA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[123][81]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_ALASKANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[122][81]=["TERRAIN_TUNDRA_HILLS","FEATURE_FOREST","CONTINENT_ALASKANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                               ;
MapToConvert[121][81]=["TERRAIN_TUNDRA_HILLS",-1,"CONTINENT_ALASKANIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SILVER",1],[0,0,0],-1]                                              ;
MapToConvert[120][81]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[119][81]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_CRABS",1],[0,0,0],-1]                                                                         ;
MapToConvert[118][81]=["TERRAIN_TUNDRA_HILLS",-1,"CONTINENT_ALASKANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,1],-1]                                                             ;
MapToConvert[117][81]=["TERRAIN_TUNDRA",-1,"CONTINENT_ALASKANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                   ;
MapToConvert[116][81]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                       ;
MapToConvert[115][81]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_ALASKANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[114][81]=["TERRAIN_SNOW_HILLS",-1,"CONTINENT_ALASKANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[113][81]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                       ;
MapToConvert[112][81]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_FISH",1],[0,0,0],-1]                                                                          ;
MapToConvert[111][81]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[110][81]=["TERRAIN_SNOW_HILLS",-1,"CONTINENT_KOLYMA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                  ;
MapToConvert[109][81]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[108][81]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[107][81]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[106][81]=["TERRAIN_TUNDRA",-1,"CONTINENT_KOLYMA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,1],-1]                                                                      ;
MapToConvert[105][81]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_KOLYMA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                             ;
MapToConvert[104][81]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_KOLYMA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                             ;
MapToConvert[103][81]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_KOLYMA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[102][81]=["TERRAIN_TUNDRA",-1,"CONTINENT_KOLYMA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                      ;
MapToConvert[101][81]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_KOLYMA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[100][81]=["TERRAIN_TUNDRA",-1,"CONTINENT_KOLYMA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SALT",1],[0,0,0],-1]                                                         ;
MapToConvert[99][81]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_KOLYMA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[98][81]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_KOLYMA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[97][81]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_KOLYMA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[96][81]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_KOLYMA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[95][81]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_KOLYMA",[[1,2],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[94][81]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                     ;
MapToConvert[93][81]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                     ;
MapToConvert[92][81]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                ;
MapToConvert[91][81]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                ;
MapToConvert[90][81]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                ;
MapToConvert[89][81]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                ;
MapToConvert[88][81]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_DEER",1],[0,0,0],-1]                                   ;
MapToConvert[87][81]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                ;
MapToConvert[86][81]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                ;
MapToConvert[85][81]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[0,-1],[1,0],[1,1]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[84][81]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[1,2],[1,0],[1,1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[83][81]=["TERRAIN_TUNDRA_HILLS","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[1,2],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                            ;
MapToConvert[82][81]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[1,2],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[81][81]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[80][81]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_DEER",1],[0,0,0],-1]                                   ;
MapToConvert[79][81]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[1,2],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[78][81]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[1,2],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[77][81]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[76][81]=["TERRAIN_TUNDRA_HILLS","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                          ;
MapToConvert[75][81]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                ;
MapToConvert[74][81]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                ;
MapToConvert[73][81]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                ;
MapToConvert[72][81]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                ;
MapToConvert[71][81]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                ;
MapToConvert[70][81]=["TERRAIN_TUNDRA_HILLS","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                           ;
MapToConvert[69][81]=["TERRAIN_TUNDRA_HILLS","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                          ;
MapToConvert[68][81]=["TERRAIN_TUNDRA_HILLS","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_IRON",1],[0,0,0],-1]                             ;
MapToConvert[67][81]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                ;
MapToConvert[66][81]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[1,5],[0,-1],[0,-1]],["RESOURCE_FURS",1],[0,0,0],-1]                                    ;
MapToConvert[65][81]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_WEST_SIBERIA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                                    ;
MapToConvert[64][81]=["TERRAIN_TUNDRA",-1,"CONTINENT_WEST_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[63][81]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_WEST_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[62][81]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_WEST_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[61][81]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_WEST_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[60][81]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_WEST_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[59][81]=["TERRAIN_TUNDRA",-1,"CONTINENT_WEST_SIBERIA",[[1,5],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                  ;
MapToConvert[58][81]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_WEST_SIBERIA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                                    ;
MapToConvert[57][81]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_WEST_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[56][81]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_WEST_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[55][81]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_WEST_SIBERIA",[[1,5],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                    ;
MapToConvert[54][81]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_WEST_SIBERIA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                                    ;
MapToConvert[53][81]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_WEST_SIBERIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_FURS",1],[0,0,0],-1]                                      ;
MapToConvert[52][81]=["TERRAIN_TUNDRA_HILLS","FEATURE_FOREST","CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[51][81]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                              ;
MapToConvert[50][81]=["TERRAIN_TUNDRA_HILLS","FEATURE_FOREST","CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[49][81]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[48][81]=["TERRAIN_TUNDRA",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[47][81]=["TERRAIN_TUNDRA",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],["RESOURCE_FURS",1],[0,0,0],-1]                                                          ;
MapToConvert[46][81]=["TERRAIN_TUNDRA",-1,"CONTINENT_EUROPE",[[1,5],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                        ;
MapToConvert[45][81]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_EUROPE",[[0,-1],[0,-1],[1,4]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[44][81]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],["RESOURCE_FURS",1],[0,0,0],-1]                                            ;
MapToConvert[43][81]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[42][81]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[41][81]=["TERRAIN_TUNDRA",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[40][81]=["TERRAIN_TUNDRA",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[39][81]=["TERRAIN_TUNDRA",-1,"CONTINENT_EUROPE",[[1,5],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                        ;
MapToConvert[38][81]=["TERRAIN_TUNDRA",-1,"CONTINENT_EUROPE",[[1,5],[0,-1],[1,4]],[-1,0],[0,0,0],-1]                                                                         ;
MapToConvert[37][81]=["TERRAIN_TUNDRA",-1,"CONTINENT_EUROPE",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                                                        ;
MapToConvert[36][81]=["TERRAIN_TUNDRA",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[35][81]=["TERRAIN_TUNDRA",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[34][81]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[33][81]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                         ;
MapToConvert[32][81]=["TERRAIN_PLAINS",-1,"CONTINENT_SCANDINAVIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                  ;
MapToConvert[31][81]=["TERRAIN_PLAINS",-1,"CONTINENT_SCANDINAVIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_HORSES",1],[0,0,0],-1]                                                   ;
MapToConvert[30][81]=["TERRAIN_PLAINS",-1,"CONTINENT_SCANDINAVIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                  ;
MapToConvert[29][81]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_SCANDINAVIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                     ;
MapToConvert[28][81]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_SCANDINAVIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_TRUFFLES",1],[0,0,0],-1]                                    ;
MapToConvert[27][81]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_SCANDINAVIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                     ;
MapToConvert[26][81]=["TERRAIN_GRASS",-1,"CONTINENT_SCANDINAVIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                   ;
MapToConvert[25][81]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[24][81]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                                        ;
MapToConvert[23][81]=["TERRAIN_GRASS",-1,"CONTINENT_SCANDINAVIA",[[1,2],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                                     ;
MapToConvert[22][81]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_SCANDINAVIA",[[0,-1],[1,3],[0,-1]],[-1,0],[0,0,0],-1]                                                      ;
MapToConvert[21][81]=["TERRAIN_GRASS",-1,"CONTINENT_SCANDINAVIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_WHEAT",1],[0,0,1],-1]                                                     ;
MapToConvert[20][81]=["TERRAIN_GRASS",-1,"CONTINENT_SCANDINAVIA",[[0,-1],[0,-1],[1,4]],["RESOURCE_CATTLE",1],[0,0,0],-1]                                                     ;
MapToConvert[19][81]=["TERRAIN_GRASS_MOUNTAIN",-1,"CONTINENT_SCANDINAVIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[18][81]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_SCANDINAVIA",[[1,5],[0,-1],[1,4]],["RESOURCE_SHEEP",1],[0,0,0],-1]                                                 ;
MapToConvert[17][81]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_SCANDINAVIA",[[1,5],[0,-1],[1,4]],["RESOURCE_COAL",1],[0,0,0],-1]                                                  ;
MapToConvert[16][81]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[15][81]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_OIL",1],[0,0,0],-1]                                                                            ;
MapToConvert[14][81]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[13][81]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[12][81]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[11][81]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[10][81]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_BRITTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                               ;
MapToConvert[9][81]=["TERRAIN_GRASS_HILLS","FEATURE_FOREST","CONTINENT_BRITTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[8][81]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_BRITTANIA",[[0,-1],[1,0],[1,1]],["RESOURCE_ALUMINUM",1],[0,0,0],-1]                                                 ;
MapToConvert[7][81]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_BRITTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[6][81]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[5][81]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[4][81]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[3][81]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[2][81]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[1][81]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[0][81]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[179][82]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[178][82]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[177][82]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[176][82]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[175][82]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[174][82]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[173][82]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[172][82]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[171][82]=["TERRAIN_SNOW_HILLS",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                             ;
MapToConvert[170][82]=["TERRAIN_SNOW_HILLS",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                             ;
MapToConvert[169][82]=["TERRAIN_SNOW_MOUNTAIN",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                          ;
MapToConvert[168][82]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                       ;
MapToConvert[167][82]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[166][82]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[165][82]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[164][82]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[163][82]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[162][82]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[161][82]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[160][82]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[159][82]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[158][82]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_FISH",1],[0,0,0],-1]                                                                          ;
MapToConvert[157][82]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[156][82]=["TERRAIN_SNOW",-1,"CONTINENT_LABRADORIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[155][82]=["TERRAIN_SNOW",-1,"CONTINENT_LABRADORIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[154][82]=["TERRAIN_SNOW",-1,"CONTINENT_LABRADORIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[153][82]=["TERRAIN_SNOW",-1,"CONTINENT_LABRADORIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[152][82]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                       ;
MapToConvert[151][82]=["TERRAIN_SNOW",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                 ;
MapToConvert[150][82]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                       ;
MapToConvert[149][82]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[148][82]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[147][82]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[146][82]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[145][82]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[144][82]=["TERRAIN_SNOW",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[143][82]=["TERRAIN_SNOW",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[142][82]=["TERRAIN_SNOW",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[141][82]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[140][82]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[139][82]=["TERRAIN_TUNDRA",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[138][82]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_FURS",1],[0,0,0],-1]                                    ;
MapToConvert[137][82]=["TERRAIN_TUNDRA",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[136][82]=["TERRAIN_TUNDRA",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[135][82]=["TERRAIN_TUNDRA",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[134][82]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                                       ;
MapToConvert[133][82]=["TERRAIN_TUNDRA",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_OIL",1],[0,0,0],-1]                                                   ;
MapToConvert[132][82]=["TERRAIN_TUNDRA",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[131][82]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[130][82]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[1,5],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[129][82]=["TERRAIN_TUNDRA",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[128][82]=["TERRAIN_SNOW",-1,"CONTINENT_ALASKANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                     ;
MapToConvert[127][82]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_ALASKANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[126][82]=["TERRAIN_TUNDRA_HILLS",-1,"CONTINENT_ALASKANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                             ;
MapToConvert[125][82]=["TERRAIN_TUNDRA_HILLS","FEATURE_FOREST","CONTINENT_ALASKANIA",[[1,5],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                ;
MapToConvert[124][82]=["TERRAIN_TUNDRA_HILLS",-1,"CONTINENT_ALASKANIA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                                              ;
MapToConvert[123][82]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_ALASKANIA",[[1,5],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[122][82]=["TERRAIN_TUNDRA_HILLS",-1,"CONTINENT_ALASKANIA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                                              ;
MapToConvert[121][82]=["TERRAIN_TUNDRA_HILLS","FEATURE_FOREST","CONTINENT_ALASKANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                               ;
MapToConvert[120][82]=["TERRAIN_SNOW_HILLS",-1,"CONTINENT_ALASKANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,1],-1]                                                               ;
MapToConvert[119][82]=["TERRAIN_SNOW_HILLS",-1,"CONTINENT_ALASKANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[118][82]=["TERRAIN_TUNDRA_HILLS",-1,"CONTINENT_ALASKANIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_COAL",1],[0,0,0],-1]                                                ;
MapToConvert[117][82]=["TERRAIN_SNOW",-1,"CONTINENT_ALASKANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                     ;
MapToConvert[116][82]=["TERRAIN_SNOW_MOUNTAIN",-1,"CONTINENT_ALASKANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                            ;
MapToConvert[115][82]=["TERRAIN_TUNDRA",-1,"CONTINENT_ALASKANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[114][82]=["TERRAIN_TUNDRA",-1,"CONTINENT_ALASKANIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_FURS",1],[0,0,0],-1]                                                      ;
MapToConvert[113][82]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[112][82]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[111][82]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[110][82]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[109][82]=["TERRAIN_TUNDRA",-1,"CONTINENT_KOLYMA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,1],-1]                                                                      ;
MapToConvert[108][82]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_KOLYMA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[107][82]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_KOLYMA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                             ;
MapToConvert[106][82]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_KOLYMA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                             ;
MapToConvert[105][82]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_KOLYMA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[104][82]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_KOLYMA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                             ;
MapToConvert[103][82]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_KOLYMA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_FURS",1],[0,0,0],-1]                                           ;
MapToConvert[102][82]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_KOLYMA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[101][82]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_KOLYMA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                             ;
MapToConvert[100][82]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_KOLYMA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                             ;
MapToConvert[99][82]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_KOLYMA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                              ;
MapToConvert[98][82]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_KOLYMA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                              ;
MapToConvert[97][82]=["TERRAIN_TUNDRA_HILLS","FEATURE_FOREST","CONTINENT_KOLYMA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_STONE",1],[0,0,0],-1]                                     ;
MapToConvert[96][82]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_KOLYMA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[95][82]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                     ;
MapToConvert[94][82]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                     ;
MapToConvert[93][82]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                     ;
MapToConvert[92][82]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                     ;
MapToConvert[91][82]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_FURS",1],[0,0,0],-1]                                   ;
MapToConvert[90][82]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                     ;
MapToConvert[89][82]=["TERRAIN_TUNDRA_HILLS","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_DIAMONDS",1],[0,0,0],-1]                         ;
MapToConvert[88][82]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                     ;
MapToConvert[87][82]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                     ;
MapToConvert[86][82]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[1,5],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[85][82]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[0,-1],[1,0],[1,1]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[84][82]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                ;
MapToConvert[83][82]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                ;
MapToConvert[82][82]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                ;
MapToConvert[81][82]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                ;
MapToConvert[80][82]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                ;
MapToConvert[79][82]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                ;
MapToConvert[78][82]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                ;
MapToConvert[77][82]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                ;
MapToConvert[76][82]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_FURS",1],[0,0,0],-1]                                   ;
MapToConvert[75][82]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                ;
MapToConvert[74][82]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                ;
MapToConvert[73][82]=["TERRAIN_TUNDRA",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                              ;
MapToConvert[72][82]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                ;
MapToConvert[71][82]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[0,-1],[1,0],[1,1]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[70][82]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_DEER",1],[0,0,0],-1]                                   ;
MapToConvert[69][82]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                     ;
MapToConvert[68][82]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                     ;
MapToConvert[67][82]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                ;
MapToConvert[66][82]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_WEST_SIBERIA",[[1,5],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                    ;
MapToConvert[65][82]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_WEST_SIBERIA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                                    ;
MapToConvert[64][82]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_WEST_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[63][82]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_WEST_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[62][82]=["TERRAIN_TUNDRA",-1,"CONTINENT_WEST_SIBERIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_FURS",1],[0,0,0],-1]                                                    ;
MapToConvert[61][82]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_WEST_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[60][82]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_WEST_SIBERIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_FURS",1],[0,0,0],-1]                                      ;
MapToConvert[59][82]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_WEST_SIBERIA",[[1,5],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                    ;
MapToConvert[58][82]=["TERRAIN_TUNDRA",-1,"CONTINENT_WEST_SIBERIA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                                                  ;
MapToConvert[57][82]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_WEST_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[56][82]=["TERRAIN_TUNDRA",-1,"CONTINENT_WEST_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[55][82]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_WEST_SIBERIA",[[0,-1],[1,0],[1,1]],[-1,0],[0,0,0],-1]                                                     ;
MapToConvert[54][82]=["TERRAIN_TUNDRA_HILLS","FEATURE_FOREST","CONTINENT_WEST_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                             ;
MapToConvert[53][82]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                              ;
MapToConvert[52][82]=["TERRAIN_TUNDRA_HILLS","FEATURE_FOREST","CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],["RESOURCE_IRON",1],[0,0,0],-1]                                      ;
MapToConvert[51][82]=["TERRAIN_TUNDRA_HILLS","FEATURE_FOREST","CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[50][82]=["TERRAIN_TUNDRA",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[49][82]=["TERRAIN_TUNDRA",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[48][82]=["TERRAIN_TUNDRA",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[47][82]=["TERRAIN_TUNDRA",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[46][82]=["TERRAIN_TUNDRA",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],["RESOURCE_OIL",1],[0,0,0],-1]                                                           ;
MapToConvert[45][82]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[44][82]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[43][82]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],["RESOURCE_FURS",1],[0,0,0],-1]                                            ;
MapToConvert[42][82]=["TERRAIN_TUNDRA",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[41][82]=["TERRAIN_SNOW",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                         ;
MapToConvert[40][82]=["TERRAIN_TUNDRA",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],["RESOURCE_COPPER",1],[0,0,0],-1]                                                        ;
MapToConvert[39][82]=["TERRAIN_TUNDRA",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[38][82]=["TERRAIN_TUNDRA",-1,"CONTINENT_EUROPE",[[1,5],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                        ;
MapToConvert[37][82]=["TERRAIN_TUNDRA",-1,"CONTINENT_EUROPE",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                                                        ;
MapToConvert[36][82]=["TERRAIN_TUNDRA",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[35][82]=["TERRAIN_TUNDRA",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[34][82]=["TERRAIN_TUNDRA",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[33][82]=["TERRAIN_PLAINS",-1,"CONTINENT_SCANDINAVIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_FURS",1],[0,0,0],-1]                                                     ;
MapToConvert[32][82]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_SCANDINAVIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                     ;
MapToConvert[31][82]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_SCANDINAVIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                    ;
MapToConvert[30][82]=["TERRAIN_PLAINS",-1,"CONTINENT_SCANDINAVIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_WHEAT",1],[0,0,0],-1]                                                    ;
MapToConvert[29][82]=["TERRAIN_GRASS","FEATURE_MARSH","CONTINENT_SCANDINAVIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                      ;
MapToConvert[28][82]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_SCANDINAVIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                     ;
MapToConvert[27][82]=["TERRAIN_GRASS","FEATURE_MARSH","CONTINENT_SCANDINAVIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                      ;
MapToConvert[26][82]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[25][82]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[24][82]=["TERRAIN_GRASS",-1,"CONTINENT_SCANDINAVIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_TRUFFLES",1],[0,0,0],-1]                                                  ;
MapToConvert[23][82]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_SCANDINAVIA",[[1,2],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                      ;
MapToConvert[22][82]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_SCANDINAVIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                     ;
MapToConvert[21][82]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_SCANDINAVIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                             ;
MapToConvert[20][82]=["TERRAIN_GRASS_HILLS","FEATURE_FOREST","CONTINENT_SCANDINAVIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                               ;
MapToConvert[19][82]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_SCANDINAVIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                              ;
MapToConvert[18][82]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_SCANDINAVIA",[[1,5],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                               ;
MapToConvert[17][82]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                        ;
MapToConvert[16][82]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[15][82]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[14][82]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[13][82]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[12][82]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[11][82]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[10][82]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[9][82]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_BRITTANIA",[[0,-1],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[8][82]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_BRITTANIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SILVER",1],[0,0,0],-1]                                                ;
MapToConvert[7][82]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,1],-1]                                                                                         ;
MapToConvert[6][82]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[5][82]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[4][82]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[3][82]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[2][82]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[1][82]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[0][82]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[179][83]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[178][83]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[177][83]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[176][83]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[175][83]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[174][83]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[173][83]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[172][83]=["TERRAIN_SNOW_HILLS",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                             ;
MapToConvert[171][83]=["TERRAIN_SNOW_HILLS",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                             ;
MapToConvert[170][83]=["TERRAIN_SNOW_HILLS",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                             ;
MapToConvert[169][83]=["TERRAIN_SNOW_HILLS",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                             ;
MapToConvert[168][83]=["TERRAIN_SNOW_MOUNTAIN",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                          ;
MapToConvert[167][83]=["TERRAIN_SNOW_MOUNTAIN",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                          ;
MapToConvert[166][83]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[165][83]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[164][83]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[163][83]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[162][83]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[161][83]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[160][83]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[159][83]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[158][83]=["TERRAIN_SNOW_HILLS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[157][83]=["TERRAIN_SNOW",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[156][83]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                       ;
MapToConvert[155][83]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                                       ;
MapToConvert[154][83]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                                       ;
MapToConvert[153][83]=["TERRAIN_SNOW",-1,"CONTINENT_LABRADORIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[152][83]=["TERRAIN_SNOW",-1,"CONTINENT_LABRADORIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                    ;
MapToConvert[151][83]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[150][83]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[149][83]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[148][83]=["TERRAIN_SNOW",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,1],-1]                                                                 ;
MapToConvert[147][83]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[146][83]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[145][83]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[144][83]=["TERRAIN_SNOW",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,1],-1]                                                                 ;
MapToConvert[143][83]=["TERRAIN_SNOW",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[142][83]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[141][83]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[140][83]=["TERRAIN_SNOW",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,1],-1]                                                                 ;
MapToConvert[139][83]=["TERRAIN_SNOW",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[138][83]=["TERRAIN_SNOW",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[137][83]=["TERRAIN_SNOW",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[136][83]=["TERRAIN_TUNDRA",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[135][83]=["TERRAIN_TUNDRA",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[134][83]=["TERRAIN_TUNDRA",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[133][83]=["TERRAIN_TUNDRA",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[132][83]=["TERRAIN_TUNDRA",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[131][83]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,1],-1]                                                                                       ;
MapToConvert[130][83]=["TERRAIN_TUNDRA",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[129][83]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_NORTH_AMERICA",[[1,5],[0,-1],[0,-1]],["RESOURCE_FURS",1],[0,0,0],-1]                                     ;
MapToConvert[128][83]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_ALASKANIA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                                      ;
MapToConvert[127][83]=["TERRAIN_TUNDRA",-1,"CONTINENT_ALASKANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[126][83]=["TERRAIN_TUNDRA",-1,"CONTINENT_ALASKANIA",[[1,5],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[125][83]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_ALASKANIA",[[1,5],[0,-1],[1,4]],[-1,0],[0,0,0],-1]                                                            ;
MapToConvert[124][83]=["TERRAIN_TUNDRA_HILLS","FEATURE_FOREST","CONTINENT_ALASKANIA",[[1,5],[0,-1],[1,4]],["RESOURCE_NITER",1],[0,0,0],-1]                                   ;
MapToConvert[123][83]=["TERRAIN_TUNDRA_HILLS",-1,"CONTINENT_ALASKANIA",[[1,5],[0,-1],[1,4]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[122][83]=["TERRAIN_TUNDRA_HILLS",-1,"CONTINENT_ALASKANIA",[[1,5],[1,0],[0,-1]],["RESOURCE_COAL",1],[0,0,0],-1]                                                  ;
MapToConvert[121][83]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_ALASKANIA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[120][83]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_ALASKANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[119][83]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_ALASKANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[118][83]=["TERRAIN_TUNDRA",-1,"CONTINENT_ALASKANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[117][83]=["TERRAIN_SNOW_MOUNTAIN",-1,"CONTINENT_ALASKANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                            ;
MapToConvert[116][83]=["TERRAIN_SNOW_MOUNTAIN",-1,"CONTINENT_ALASKANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                            ;
MapToConvert[115][83]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_ALASKANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[114][83]=["TERRAIN_TUNDRA",-1,"CONTINENT_ALASKANIA",[[1,5],[1,3],[1,4]],[-1,0],[0,0,0],-1]                                                                      ;
MapToConvert[113][83]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,1],-1]                                                                                       ;
MapToConvert[112][83]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_OIL",1],[0,0,0],-1]                                                                           ;
MapToConvert[111][83]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[110][83]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[109][83]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[108][83]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,1],-1]                                                                                       ;
MapToConvert[107][83]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_KOLYMA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[106][83]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_KOLYMA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_FURS",1],[0,0,0],-1]                                           ;
MapToConvert[105][83]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_KOLYMA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[104][83]=["TERRAIN_TUNDRA_HILLS","FEATURE_FOREST","CONTINENT_KOLYMA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_ALUMINUM",1],[0,0,0],-1]                                 ;
MapToConvert[103][83]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_KOLYMA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                             ;
MapToConvert[102][83]=["TERRAIN_TUNDRA_HILLS","FEATURE_FOREST","CONTINENT_KOLYMA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[101][83]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_KOLYMA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                             ;
MapToConvert[100][83]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_KOLYMA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[99][83]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_KOLYMA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[98][83]=["TERRAIN_TUNDRA_HILLS","FEATURE_FOREST","CONTINENT_KOLYMA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SILVER",1],[0,0,0],-1]                                    ;
MapToConvert[97][83]=["TERRAIN_TUNDRA_HILLS","FEATURE_FOREST","CONTINENT_KOLYMA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[96][83]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_KOLYMA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_DEER",1],[0,0,0],-1]                                            ;
MapToConvert[95][83]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_KOLYMA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[94][83]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_FURS",1],[0,0,0],-1]                                   ;
MapToConvert[93][83]=["TERRAIN_SNOW",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[92][83]=["TERRAIN_SNOW",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[91][83]=["TERRAIN_TUNDRA_HILLS","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                          ;
MapToConvert[90][83]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                ;
MapToConvert[89][83]=["TERRAIN_SNOW_MOUNTAIN",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                       ;
MapToConvert[88][83]=["TERRAIN_SNOW_MOUNTAIN",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                       ;
MapToConvert[87][83]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                     ;
MapToConvert[86][83]=["TERRAIN_TUNDRA_HILLS","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                          ;
MapToConvert[85][83]=["TERRAIN_TUNDRA",-1,"CONTINENT_CENTRAL_SIBERIA",[[1,5],[0,-1],[0,-1]],["RESOURCE_FURS",1],[0,0,0],-1]                                                  ;
MapToConvert[84][83]=["TERRAIN_TUNDRA",-1,"CONTINENT_CENTRAL_SIBERIA",[[1,5],[0,-1],[1,4]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[83][83]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[1,2],[1,0],[1,1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[82][83]=["TERRAIN_TUNDRA_HILLS","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[1,2],[0,-1],[1,1]],["RESOURCE_ALUMINUM",1],[0,0,0],-1]                           ;
MapToConvert[81][83]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[1,2],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[80][83]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[1,2],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[79][83]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[0,-1],[1,3],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[78][83]=["TERRAIN_TUNDRA",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                              ;
MapToConvert[77][83]=["TERRAIN_TUNDRA",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                              ;
MapToConvert[76][83]=["TERRAIN_TUNDRA",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                              ;
MapToConvert[75][83]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                ;
MapToConvert[74][83]=["TERRAIN_TUNDRA",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                              ;
MapToConvert[73][83]=["TERRAIN_TUNDRA",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_OIL",1],[0,0,0],-1]                                                  ;
MapToConvert[72][83]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                ;
MapToConvert[71][83]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[1,5],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[70][83]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[1,5],[0,-1],[1,4]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[69][83]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[1,5],[0,-1],[1,4]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[68][83]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[1,5],[0,-1],[1,4]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[67][83]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[1,5],[0,-1],[1,4]],[-1,0],[0,0,0],-1]                                                  ;
MapToConvert[66][83]=["TERRAIN_TUNDRA_HILLS","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[1,5],[0,-1],[1,4]],[-1,0],[0,0,0],-1]                                            ;
MapToConvert[65][83]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_WEST_SIBERIA",[[1,5],[0,-1],[1,4]],[-1,0],[0,0,0],-1]                                                     ;
MapToConvert[64][83]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_WEST_SIBERIA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                                    ;
MapToConvert[63][83]=["TERRAIN_TUNDRA",-1,"CONTINENT_WEST_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[62][83]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_WEST_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[61][83]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_WEST_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[60][83]=["TERRAIN_SNOW",-1,"CONTINENT_WEST_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[59][83]=["TERRAIN_SNOW",-1,"CONTINENT_WEST_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[58][83]=["TERRAIN_TUNDRA",-1,"CONTINENT_WEST_SIBERIA",[[1,5],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                  ;
MapToConvert[57][83]=["TERRAIN_TUNDRA",-1,"CONTINENT_WEST_SIBERIA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                                                  ;
MapToConvert[56][83]=["TERRAIN_TUNDRA",-1,"CONTINENT_WEST_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[55][83]=["TERRAIN_TUNDRA",-1,"CONTINENT_WEST_SIBERIA",[[0,-1],[1,0],[1,1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[54][83]=["TERRAIN_SNOW",-1,"CONTINENT_WEST_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[53][83]=["TERRAIN_TUNDRA_HILLS","FEATURE_FOREST","CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SILVER",1],[0,0,0],-1]                                    ;
MapToConvert[52][83]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                              ;
MapToConvert[51][83]=["TERRAIN_SNOW",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                         ;
MapToConvert[50][83]=["TERRAIN_SNOW",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                         ;
MapToConvert[49][83]=["TERRAIN_SNOW_HILLS",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],["RESOURCE_STONE",1],[0,0,0],-1]                                                     ;
MapToConvert[48][83]=["TERRAIN_SNOW",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                         ;
MapToConvert[47][83]=["TERRAIN_SNOW",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                         ;
MapToConvert[46][83]=["TERRAIN_SNOW",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                         ;
MapToConvert[45][83]=["TERRAIN_SNOW",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                         ;
MapToConvert[44][83]=["TERRAIN_SNOW",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                         ;
MapToConvert[43][83]=["TERRAIN_SNOW",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                         ;
MapToConvert[42][83]=["TERRAIN_SNOW",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                         ;
MapToConvert[41][83]=["TERRAIN_SNOW",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                         ;
MapToConvert[40][83]=["TERRAIN_SNOW",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                         ;
MapToConvert[39][83]=["TERRAIN_SNOW",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                         ;
MapToConvert[38][83]=["TERRAIN_SNOW",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                         ;
MapToConvert[37][83]=["TERRAIN_TUNDRA",-1,"CONTINENT_EUROPE",[[1,5],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                        ;
MapToConvert[36][83]=["TERRAIN_TUNDRA",-1,"CONTINENT_EUROPE",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                                                        ;
MapToConvert[35][83]=["TERRAIN_TUNDRA",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[34][83]=["TERRAIN_TUNDRA",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[33][83]=["TERRAIN_TUNDRA",-1,"CONTINENT_SCANDINAVIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                  ;
MapToConvert[32][83]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_SCANDINAVIA",[[1,2],[1,0],[1,1]],[-1,0],[0,0,0],-1]                                                       ;
MapToConvert[31][83]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_SCANDINAVIA",[[1,2],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                      ;
MapToConvert[30][83]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_SCANDINAVIA",[[1,2],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                      ;
MapToConvert[29][83]=["TERRAIN_GRASS","FEATURE_MARSH","CONTINENT_SCANDINAVIA",[[1,2],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[28][83]=["TERRAIN_GRASS","FEATURE_MARSH","CONTINENT_SCANDINAVIA",[[0,-1],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                       ;
MapToConvert[27][83]=["TERRAIN_GRASS",-1,"CONTINENT_SCANDINAVIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SHEEP",1],[0,0,0],-1]                                                     ;
MapToConvert[26][83]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_FISH",1],[0,0,0],-1]                                                                           ;
MapToConvert[25][83]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[24][83]=["TERRAIN_GRASS",-1,"CONTINENT_SCANDINAVIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                   ;
MapToConvert[23][83]=["TERRAIN_GRASS","FEATURE_FOREST","CONTINENT_SCANDINAVIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                     ;
MapToConvert[22][83]=["TERRAIN_GRASS_HILLS",-1,"CONTINENT_SCANDINAVIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                             ;
MapToConvert[21][83]=["TERRAIN_GRASS_HILLS","FEATURE_FOREST","CONTINENT_SCANDINAVIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_DEER",1],[0,0,0],-1]                                  ;
MapToConvert[20][83]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_SCANDINAVIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[19][83]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_SCANDINAVIA",[[1,5],[0,-1],[0,-1]],["RESOURCE_SILVER",1],[0,0,0],-1]                                ;
MapToConvert[18][83]=["TERRAIN_PLAINS",-1,"CONTINENT_SCANDINAVIA",[[1,5],[0,-1],[1,4]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[17][83]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_FISH",1],[0,1,1],-1]                                                                           ;
MapToConvert[16][83]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[15][83]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[14][83]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[13][83]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[12][83]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[11][83]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[10][83]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[9][83]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_BRITTANIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_FURS",1],[0,1,1],-1]                                                  ;
MapToConvert[8][83]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_BRITTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[7][83]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,1],-1]                                                                                         ;
MapToConvert[6][83]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[5][83]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[4][83]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_WHALES",1],[0,0,0],-1]                                                                          ;
MapToConvert[3][83]=["TERRAIN_PLAINS",-1,"CONTINENT_BRITTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                     ;
MapToConvert[2][83]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_BRITTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[1][83]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_BRITTANIA",[[0,-1],[1,3],[0,-1]],["RESOURCE_DEER",1],[1,0,0],-1]                                           ;
MapToConvert[0][83]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                         ;
MapToConvert[179][84]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[178][84]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[177][84]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[176][84]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[175][84]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[174][84]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[173][84]=["TERRAIN_SNOW_HILLS",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_STONE",1],[0,0,0],-1]                                               ;
MapToConvert[172][84]=["TERRAIN_SNOW",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[171][84]=["TERRAIN_SNOW_HILLS",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                             ;
MapToConvert[170][84]=["TERRAIN_SNOW_HILLS",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                             ;
MapToConvert[169][84]=["TERRAIN_SNOW_HILLS",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                             ;
MapToConvert[168][84]=["TERRAIN_SNOW",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[167][84]=["TERRAIN_SNOW_MOUNTAIN",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                          ;
MapToConvert[166][84]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                       ;
MapToConvert[165][84]=["TERRAIN_SNOW",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                   ;
MapToConvert[164][84]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[163][84]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[162][84]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[161][84]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[160][84]=["TERRAIN_SNOW_HILLS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                           ;
MapToConvert[159][84]=["TERRAIN_SNOW_HILLS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                           ;
MapToConvert[158][84]=["TERRAIN_SNOW_HILLS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[157][84]=["TERRAIN_SNOW",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                 ;
MapToConvert[156][84]=["TERRAIN_SNOW",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                 ;
MapToConvert[155][84]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[154][84]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[153][84]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,1],-1]                                                                                       ;
MapToConvert[152][84]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[151][84]=["TERRAIN_SNOW",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[150][84]=["TERRAIN_SNOW",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,1],-1]                                                                 ;
MapToConvert[149][84]=["TERRAIN_SNOW",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[148][84]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[147][84]=["TERRAIN_SNOW",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[146][84]=["TERRAIN_SNOW",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                 ;
MapToConvert[145][84]=["TERRAIN_SNOW",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                 ;
MapToConvert[144][84]=["TERRAIN_SNOW",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[143][84]=["TERRAIN_SNOW",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[142][84]=["TERRAIN_SNOW",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[141][84]=["TERRAIN_SNOW",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[140][84]=["TERRAIN_SNOW",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[139][84]=["TERRAIN_SNOW",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[138][84]=["TERRAIN_SNOW",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[137][84]=["TERRAIN_SNOW",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[136][84]=["TERRAIN_SNOW",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[135][84]=["TERRAIN_SNOW",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[134][84]=["TERRAIN_SNOW",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[133][84]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[132][84]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[131][84]=["TERRAIN_TUNDRA",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[130][84]=["TERRAIN_TUNDRA",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[129][84]=["TERRAIN_TUNDRA",-1,"CONTINENT_NORTH_AMERICA",[[1,5],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[128][84]=["TERRAIN_TUNDRA",-1,"CONTINENT_ALASKANIA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[127][84]=["TERRAIN_SNOW",-1,"CONTINENT_ALASKANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                     ;
MapToConvert[126][84]=["TERRAIN_TUNDRA",-1,"CONTINENT_ALASKANIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_OIL",1],[0,0,0],-1]                                                       ;
MapToConvert[125][84]=["TERRAIN_SNOW_HILLS",-1,"CONTINENT_ALASKANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[124][84]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_ALASKANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[123][84]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_ALASKANIA",[[1,5],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[122][84]=["TERRAIN_TUNDRA",-1,"CONTINENT_ALASKANIA",[[1,5],[0,-1],[1,4]],["RESOURCE_FURS",1],[0,0,0],-1]                                                        ;
MapToConvert[121][84]=["TERRAIN_TUNDRA",-1,"CONTINENT_ALASKANIA",[[1,5],[0,-1],[1,4]],[-1,0],[0,0,0],-1]                                                                     ;
MapToConvert[120][84]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_ALASKANIA",[[1,5],[0,-1],[1,4]],["RESOURCE_DEER",1],[0,0,0],-1]                                          ;
MapToConvert[119][84]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_ALASKANIA",[[1,5],[0,-1],[1,4]],[-1,0],[0,0,0],-1]                                                       ;
MapToConvert[118][84]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_ALASKANIA",[[1,5],[0,-1],[1,4]],["RESOURCE_FURS",1],[0,0,0],-1]                                          ;
MapToConvert[117][84]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_ALASKANIA",[[1,5],[1,3],[1,4]],[-1,0],[0,0,0],-1]                                                             ;
MapToConvert[116][84]=["TERRAIN_TUNDRA",-1,"CONTINENT_ALASKANIA",[[1,5],[0,-1],[1,4]],["RESOURCE_ALUMINUM",1],[0,0,0],-1]                                                    ;
MapToConvert[115][84]=["TERRAIN_TUNDRA",-1,"CONTINENT_ALASKANIA",[[0,-1],[0,-1],[1,4]],["RESOURCE_OIL",1],[0,0,0],-1]                                                        ;
MapToConvert[114][84]=["TERRAIN_SNOW",-1,"CONTINENT_ALASKANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                     ;
MapToConvert[113][84]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[112][84]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[111][84]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[110][84]=["TERRAIN_SNOW",-1,"CONTINENT_KOLYMA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                        ;
MapToConvert[109][84]=["TERRAIN_SNOW_MOUNTAIN",-1,"CONTINENT_KOLYMA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[108][84]=["TERRAIN_SNOW",-1,"CONTINENT_KOLYMA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                        ;
MapToConvert[107][84]=["TERRAIN_SNOW_MOUNTAIN",-1,"CONTINENT_KOLYMA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[106][84]=["TERRAIN_SNOW_MOUNTAIN",-1,"CONTINENT_KOLYMA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[105][84]=["TERRAIN_SNOW",-1,"CONTINENT_KOLYMA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                        ;
MapToConvert[104][84]=["TERRAIN_SNOW",-1,"CONTINENT_KOLYMA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                        ;
MapToConvert[103][84]=["TERRAIN_SNOW_MOUNTAIN",-1,"CONTINENT_KOLYMA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[102][84]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_KOLYMA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[101][84]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_KOLYMA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[100][84]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_KOLYMA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_FURS",1],[0,0,0],-1]                                           ;
MapToConvert[99][84]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_KOLYMA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[98][84]=["TERRAIN_TUNDRA_HILLS","FEATURE_FOREST","CONTINENT_KOLYMA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                   ;
MapToConvert[97][84]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_KOLYMA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[96][84]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_KOLYMA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[95][84]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                ;
MapToConvert[94][84]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                ;
MapToConvert[93][84]=["TERRAIN_SNOW",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[92][84]=["TERRAIN_TUNDRA_HILLS","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                          ;
MapToConvert[91][84]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                ;
MapToConvert[90][84]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                ;
MapToConvert[89][84]=["TERRAIN_SNOW_MOUNTAIN",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                       ;
MapToConvert[88][84]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                     ;
MapToConvert[87][84]=["TERRAIN_TUNDRA_HILLS",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_IRON",1],[0,0,0],-1]                                           ;
MapToConvert[86][84]=["TERRAIN_SNOW",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[85][84]=["TERRAIN_TUNDRA",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                              ;
MapToConvert[84][84]=["TERRAIN_TUNDRA",-1,"CONTINENT_CENTRAL_SIBERIA",[[1,5],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[83][84]=["TERRAIN_TUNDRA_HILLS","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                           ;
MapToConvert[82][84]=["TERRAIN_TUNDRA_HILLS","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                          ;
MapToConvert[81][84]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_FURS",1],[0,0,0],-1]                                   ;
MapToConvert[80][84]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[1,2],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[79][84]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                ;
MapToConvert[78][84]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_FURS",1],[0,0,0],-1]                                   ;
MapToConvert[77][84]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                ;
MapToConvert[76][84]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                ;
MapToConvert[75][84]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                ;
MapToConvert[74][84]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_FURS",1],[0,0,0],-1]                                   ;
MapToConvert[73][84]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                ;
MapToConvert[72][84]=["TERRAIN_TUNDRA",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                              ;
MapToConvert[71][84]=["TERRAIN_TUNDRA",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_FURS",1],[0,0,0],-1]                                                 ;
MapToConvert[70][84]=["TERRAIN_TUNDRA_HILLS","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                          ;
MapToConvert[69][84]=["TERRAIN_TUNDRA_HILLS","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                          ;
MapToConvert[68][84]=["TERRAIN_TUNDRA_HILLS","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_IRON",1],[0,0,0],-1]                             ;
MapToConvert[67][84]=["TERRAIN_TUNDRA_HILLS","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                          ;
MapToConvert[66][84]=["TERRAIN_SNOW",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[65][84]=["TERRAIN_TUNDRA",-1,"CONTINENT_WEST_SIBERIA",[[1,5],[0,-1],[0,-1]],["RESOURCE_FURS",1],[0,0,0],-1]                                                     ;
MapToConvert[64][84]=["TERRAIN_TUNDRA",-1,"CONTINENT_WEST_SIBERIA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                                                  ;
MapToConvert[63][84]=["TERRAIN_SNOW",-1,"CONTINENT_WEST_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[62][84]=["TERRAIN_SNOW",-1,"CONTINENT_WEST_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[61][84]=["TERRAIN_SNOW",-1,"CONTINENT_WEST_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[60][84]=["TERRAIN_SNOW_HILLS",-1,"CONTINENT_WEST_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                             ;
MapToConvert[59][84]=["TERRAIN_SNOW",-1,"CONTINENT_WEST_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[58][84]=["TERRAIN_TUNDRA",-1,"CONTINENT_WEST_SIBERIA",[[1,5],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                  ;
MapToConvert[57][84]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,1],-1]                                                                                        ;
MapToConvert[56][84]=["TERRAIN_TUNDRA",-1,"CONTINENT_WEST_SIBERIA",[[0,-1],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                                  ;
MapToConvert[55][84]=["TERRAIN_SNOW",-1,"CONTINENT_WEST_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[54][84]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                              ;
MapToConvert[53][84]=["TERRAIN_SNOW",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                         ;
MapToConvert[52][84]=["TERRAIN_SNOW",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                         ;
MapToConvert[51][84]=["TERRAIN_SNOW",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                         ;
MapToConvert[50][84]=["TERRAIN_SNOW",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                         ;
MapToConvert[49][84]=["TERRAIN_SNOW_HILLS",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[48][84]=["TERRAIN_SNOW_HILLS",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[47][84]=["TERRAIN_SNOW",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                         ;
MapToConvert[46][84]=["TERRAIN_SNOW",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                         ;
MapToConvert[45][84]=["TERRAIN_SNOW",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                         ;
MapToConvert[44][84]=["TERRAIN_SNOW",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                         ;
MapToConvert[43][84]=["TERRAIN_SNOW",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                         ;
MapToConvert[42][84]=["TERRAIN_SNOW",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                         ;
MapToConvert[41][84]=["TERRAIN_SNOW",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                         ;
MapToConvert[40][84]=["TERRAIN_SNOW",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                         ;
MapToConvert[39][84]=["TERRAIN_SNOW",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                         ;
MapToConvert[38][84]=["TERRAIN_SNOW",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                         ;
MapToConvert[37][84]=["TERRAIN_TUNDRA",-1,"CONTINENT_EUROPE",[[1,5],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                        ;
MapToConvert[36][84]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[35][84]=["TERRAIN_TUNDRA",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[34][84]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[33][84]=["TERRAIN_TUNDRA",-1,"CONTINENT_SCANDINAVIA",[[0,-1],[1,0],[1,1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[32][84]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_SCANDINAVIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_DEER",1],[0,0,0],-1]                                       ;
MapToConvert[31][84]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_SCANDINAVIA",[[1,5],[1,3],[1,4]],[-1,0],[0,0,0],-1]                                                       ;
MapToConvert[30][84]=["TERRAIN_PLAINS",-1,"CONTINENT_SCANDINAVIA",[[1,5],[1,3],[1,4]],[-1,0],[0,0,0],-1]                                                                     ;
MapToConvert[29][84]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_SCANDINAVIA",[[1,5],[0,-1],[1,4]],["RESOURCE_FURS",1],[0,0,0],-1]                                         ;
MapToConvert[28][84]=["TERRAIN_PLAINS",-1,"CONTINENT_SCANDINAVIA",[[1,5],[0,-1],[1,4]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[27][84]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[26][84]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[25][84]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_SCANDINAVIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,1],-1]                                                    ;
MapToConvert[24][84]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_SCANDINAVIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_FURS",1],[0,0,0],-1]                                       ;
MapToConvert[23][84]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_SCANDINAVIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                              ;
MapToConvert[22][84]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_SCANDINAVIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[21][84]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_SCANDINAVIA",[[0,-1],[1,0],[0,-1]],["RESOURCE_IRON",1],[0,0,0],-1]                                                ;
MapToConvert[20][84]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_SCANDINAVIA",[[1,5],[0,-1],[1,4]],[-1,0],[0,0,0],-1]                                                              ;
MapToConvert[19][84]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,1,1],-1]                                                                                        ;
MapToConvert[18][84]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                                        ;
MapToConvert[17][84]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[16][84]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[15][84]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[14][84]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[13][84]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[12][84]=["TERRAIN_TUNDRA_HILLS",-1,"CONTINENT_BRITTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,1],-1]                                                              ;
MapToConvert[11][84]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                        ;
MapToConvert[10][84]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[9][84]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                                         ;
MapToConvert[8][84]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[7][84]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[6][84]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[5][84]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[4][84]=["TERRAIN_TUNDRA_HILLS","FEATURE_FOREST","CONTINENT_BRITTANIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_URANIUM",1],[0,1,0],-1]                                 ;
MapToConvert[3][84]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_BRITTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                 ;
MapToConvert[2][84]=["TERRAIN_PLAINS",-1,"CONTINENT_BRITTANIA",[[0,-1],[1,3],[1,4]],["RESOURCE_FURS",1],[0,0,0],-1]                                                          ;
MapToConvert[1][84]=["TERRAIN_TUNDRA",-1,"CONTINENT_BRITTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                     ;
MapToConvert[0][84]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                         ;
MapToConvert[179][85]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[178][85]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[177][85]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[176][85]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[175][85]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[174][85]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[173][85]=["TERRAIN_SNOW",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[172][85]=["TERRAIN_SNOW",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[171][85]=["TERRAIN_SNOW",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[170][85]=["TERRAIN_SNOW",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[169][85]=["TERRAIN_SNOW",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[168][85]=["TERRAIN_SNOW",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[167][85]=["TERRAIN_SNOW",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[166][85]=["TERRAIN_SNOW_HILLS",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                             ;
MapToConvert[165][85]=["TERRAIN_SNOW_MOUNTAIN",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                          ;
MapToConvert[164][85]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[163][85]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[162][85]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[161][85]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[160][85]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[159][85]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[158][85]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[157][85]=["TERRAIN_SNOW",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[156][85]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[155][85]=["TERRAIN_SNOW",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[154][85]=["TERRAIN_SNOW",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[153][85]=["TERRAIN_SNOW",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[152][85]=["TERRAIN_SNOW",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[151][85]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[150][85]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[149][85]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[148][85]=["TERRAIN_SNOW",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[147][85]=["TERRAIN_SNOW",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[146][85]=["TERRAIN_SNOW",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[145][85]=["TERRAIN_SNOW",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[144][85]=["TERRAIN_SNOW",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[143][85]=["TERRAIN_SNOW",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[142][85]=["TERRAIN_SNOW",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[141][85]=["TERRAIN_SNOW",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[140][85]=["TERRAIN_SNOW",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[139][85]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                       ;
MapToConvert[138][85]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[137][85]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[136][85]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,1],-1]                                                                                       ;
MapToConvert[135][85]=["TERRAIN_SNOW",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[134][85]=["TERRAIN_SNOW",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[133][85]=["TERRAIN_SNOW",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                 ;
MapToConvert[132][85]=["TERRAIN_SNOW",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[131][85]=["TERRAIN_SNOW",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[130][85]=["TERRAIN_SNOW",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[129][85]=["TERRAIN_SNOW",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[128][85]=["TERRAIN_TUNDRA",-1,"CONTINENT_NORTH_AMERICA",[[1,5],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[127][85]=["TERRAIN_TUNDRA",-1,"CONTINENT_ALASKANIA",[[0,-1],[1,0],[0,-1]],["RESOURCE_FURS",1],[0,0,0],-1]                                                       ;
MapToConvert[126][85]=["TERRAIN_SNOW",-1,"CONTINENT_ALASKANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                     ;
MapToConvert[125][85]=["TERRAIN_SNOW",-1,"CONTINENT_ALASKANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                     ;
MapToConvert[124][85]=["TERRAIN_SNOW",-1,"CONTINENT_ALASKANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                     ;
MapToConvert[123][85]=["TERRAIN_SNOW_HILLS",-1,"CONTINENT_ALASKANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[122][85]=["TERRAIN_SNOW_MOUNTAIN",-1,"CONTINENT_ALASKANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                            ;
MapToConvert[121][85]=["TERRAIN_SNOW_MOUNTAIN",-1,"CONTINENT_ALASKANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                            ;
MapToConvert[120][85]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_ALASKANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[119][85]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_ALASKANIA",[[1,5],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[118][85]=["TERRAIN_SNOW_MOUNTAIN",-1,"CONTINENT_ALASKANIA",[[1,5],[0,-1],[1,4]],[-1,0],[0,0,0],-1]                                                              ;
MapToConvert[117][85]=["TERRAIN_SNOW_MOUNTAIN",-1,"CONTINENT_ALASKANIA",[[0,-1],[0,-1],[1,4]],[-1,0],[0,0,0],-1]                                                             ;
MapToConvert[116][85]=["TERRAIN_SNOW",-1,"CONTINENT_ALASKANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                     ;
MapToConvert[115][85]=["TERRAIN_SNOW_MOUNTAIN",-1,"CONTINENT_ALASKANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                            ;
MapToConvert[114][85]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                       ;
MapToConvert[113][85]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[112][85]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[111][85]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[110][85]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                                       ;
MapToConvert[109][85]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[108][85]=["TERRAIN_SNOW",-1,"CONTINENT_KOLYMA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                        ;
MapToConvert[107][85]=["TERRAIN_SNOW",-1,"CONTINENT_KOLYMA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                        ;
MapToConvert[106][85]=["TERRAIN_SNOW",-1,"CONTINENT_KOLYMA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                        ;
MapToConvert[105][85]=["TERRAIN_SNOW_MOUNTAIN",-1,"CONTINENT_KOLYMA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[104][85]=["TERRAIN_SNOW",-1,"CONTINENT_KOLYMA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                        ;
MapToConvert[103][85]=["TERRAIN_SNOW",-1,"CONTINENT_KOLYMA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                        ;
MapToConvert[102][85]=["TERRAIN_SNOW_MOUNTAIN",-1,"CONTINENT_KOLYMA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[101][85]=["TERRAIN_SNOW",-1,"CONTINENT_KOLYMA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                        ;
MapToConvert[100][85]=["TERRAIN_SNOW",-1,"CONTINENT_KOLYMA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                        ;
MapToConvert[99][85]=["TERRAIN_SNOW",-1,"CONTINENT_KOLYMA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                         ;
MapToConvert[98][85]=["TERRAIN_TUNDRA",-1,"CONTINENT_KOLYMA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[97][85]=["TERRAIN_TUNDRA",-1,"CONTINENT_KOLYMA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[96][85]=["TERRAIN_SNOW",-1,"CONTINENT_KOLYMA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                         ;
MapToConvert[95][85]=["TERRAIN_SNOW",-1,"CONTINENT_KOLYMA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                         ;
MapToConvert[94][85]=["TERRAIN_SNOW",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[93][85]=["TERRAIN_TUNDRA",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                              ;
MapToConvert[92][85]=["TERRAIN_SNOW",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[91][85]=["TERRAIN_SNOW",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[90][85]=["TERRAIN_SNOW",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[89][85]=["TERRAIN_SNOW",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[88][85]=["TERRAIN_SNOW_MOUNTAIN",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                       ;
MapToConvert[87][85]=["TERRAIN_TUNDRA",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                              ;
MapToConvert[86][85]=["TERRAIN_TUNDRA",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                              ;
MapToConvert[85][85]=["TERRAIN_SNOW",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[84][85]=["TERRAIN_SNOW",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[83][85]=["TERRAIN_TUNDRA",-1,"CONTINENT_CENTRAL_SIBERIA",[[1,5],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[82][85]=["TERRAIN_TUNDRA_HILLS","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                           ;
MapToConvert[81][85]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                ;
MapToConvert[80][85]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                ;
MapToConvert[79][85]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                ;
MapToConvert[78][85]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                ;
MapToConvert[77][85]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                ;
MapToConvert[76][85]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                ;
MapToConvert[75][85]=["TERRAIN_TUNDRA",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                              ;
MapToConvert[74][85]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                ;
MapToConvert[73][85]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                ;
MapToConvert[72][85]=["TERRAIN_TUNDRA_HILLS","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                          ;
MapToConvert[71][85]=["TERRAIN_TUNDRA_HILLS","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                          ;
MapToConvert[70][85]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                ;
MapToConvert[69][85]=["TERRAIN_TUNDRA_HILLS",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_STONE",1],[0,0,0],-1]                                          ;
MapToConvert[68][85]=["TERRAIN_TUNDRA_HILLS",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[67][85]=["TERRAIN_TUNDRA_HILLS",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[66][85]=["TERRAIN_SNOW",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[65][85]=["TERRAIN_SNOW",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[64][85]=["TERRAIN_TUNDRA",-1,"CONTINENT_WEST_SIBERIA",[[1,5],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                  ;
MapToConvert[63][85]=["TERRAIN_TUNDRA",-1,"CONTINENT_WEST_SIBERIA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                                                  ;
MapToConvert[62][85]=["TERRAIN_SNOW",-1,"CONTINENT_WEST_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[61][85]=["TERRAIN_SNOW_HILLS",-1,"CONTINENT_WEST_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                             ;
MapToConvert[60][85]=["TERRAIN_SNOW_HILLS",-1,"CONTINENT_WEST_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                             ;
MapToConvert[59][85]=["TERRAIN_SNOW",-1,"CONTINENT_WEST_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[58][85]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[57][85]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[56][85]=["TERRAIN_SNOW",-1,"CONTINENT_WEST_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[55][85]=["TERRAIN_SNOW",-1,"CONTINENT_WEST_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[54][85]=["TERRAIN_SNOW",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                         ;
MapToConvert[53][85]=["TERRAIN_SNOW",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                         ;
MapToConvert[52][85]=["TERRAIN_SNOW",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                         ;
MapToConvert[51][85]=["TERRAIN_SNOW",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                         ;
MapToConvert[50][85]=["TERRAIN_SNOW",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                         ;
MapToConvert[49][85]=["TERRAIN_SNOW",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                         ;
MapToConvert[48][85]=["TERRAIN_SNOW",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                         ;
MapToConvert[47][85]=["TERRAIN_SNOW",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                         ;
MapToConvert[46][85]=["TERRAIN_SNOW",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                         ;
MapToConvert[45][85]=["TERRAIN_SNOW",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                         ;
MapToConvert[44][85]=["TERRAIN_SNOW",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                         ;
MapToConvert[43][85]=["TERRAIN_SNOW",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                         ;
MapToConvert[42][85]=["TERRAIN_SNOW",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                         ;
MapToConvert[41][85]=["TERRAIN_SNOW",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                         ;
MapToConvert[40][85]=["TERRAIN_SNOW",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                         ;
MapToConvert[39][85]=["TERRAIN_SNOW",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                         ;
MapToConvert[38][85]=["TERRAIN_SNOW",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                         ;
MapToConvert[37][85]=["TERRAIN_SNOW",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                         ;
MapToConvert[36][85]=["TERRAIN_SNOW",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                         ;
MapToConvert[35][85]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                        ;
MapToConvert[34][85]=["TERRAIN_TUNDRA",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[33][85]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[32][85]=["TERRAIN_TUNDRA_HILLS",-1,"CONTINENT_SCANDINAVIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_IRON",1],[0,0,0],-1]                                               ;
MapToConvert[31][85]=["TERRAIN_TUNDRA",-1,"CONTINENT_SCANDINAVIA",[[0,-1],[0,-1],[1,4]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[30][85]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_SCANDINAVIA",[[0,-1],[1,3],[1,4]],[-1,0],[0,0,0],-1]                                                      ;
MapToConvert[29][85]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_SCANDINAVIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                    ;
MapToConvert[28][85]=["TERRAIN_PLAINS",-1,"CONTINENT_SCANDINAVIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                  ;
MapToConvert[27][85]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,1],-1]                                                                                        ;
MapToConvert[26][85]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[25][85]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_SCANDINAVIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_DEER",1],[0,0,0],-1]                                       ;
MapToConvert[24][85]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_SCANDINAVIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                    ;
MapToConvert[23][85]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_SCANDINAVIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                    ;
MapToConvert[22][85]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_SCANDINAVIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[21][85]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_SCANDINAVIA",[[1,5],[0,-1],[0,-1]],["RESOURCE_SHEEP",1],[0,0,0],-1]                                               ;
MapToConvert[20][85]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_FISH",1],[1,1,0],-1]                                                                           ;
MapToConvert[19][85]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                                        ;
MapToConvert[18][85]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[17][85]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[16][85]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[15][85]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[14][85]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[13][85]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[12][85]=["TERRAIN_PLAINS",-1,"CONTINENT_BRITTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[11][85]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[10][85]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[9][85]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[8][85]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[7][85]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[6][85]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[5][85]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[4][85]=["TERRAIN_SNOW",-1,"CONTINENT_BRITTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,1],-1]                                                                       ;
MapToConvert[3][85]=["TERRAIN_SNOW_MOUNTAIN",-1,"CONTINENT_BRITTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                              ;
MapToConvert[2][85]=["TERRAIN_SNOW",-1,"CONTINENT_BRITTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[1][85]=["TERRAIN_SNOW_HILLS",-1,"CONTINENT_BRITTANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[0][85]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[179][86]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[178][86]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[177][86]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_WHALES",1],[0,0,0],-1]                                                                        ;
MapToConvert[176][86]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[175][86]=["TERRAIN_SNOW",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[174][86]=["TERRAIN_SNOW_HILLS",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                             ;
MapToConvert[173][86]=["TERRAIN_SNOW",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[172][86]=["TERRAIN_SNOW",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[171][86]=["TERRAIN_SNOW",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[170][86]=["TERRAIN_SNOW",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[169][86]=["TERRAIN_SNOW",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[168][86]=["TERRAIN_SNOW",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[167][86]=["TERRAIN_SNOW",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[166][86]=["TERRAIN_SNOW_MOUNTAIN",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[165][86]=["TERRAIN_SNOW_MOUNTAIN",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                          ;
MapToConvert[164][86]=["TERRAIN_SNOW_MOUNTAIN",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                          ;
MapToConvert[163][86]=["TERRAIN_SNOW",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[162][86]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                       ;
MapToConvert[161][86]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[160][86]=["TERRAIN_SNOW_MOUNTAIN",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[159][86]=["TERRAIN_SNOW_MOUNTAIN",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[158][86]=["TERRAIN_SNOW_HILLS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[157][86]=["TERRAIN_SNOW",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[156][86]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                       ;
MapToConvert[155][86]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[154][86]=["TERRAIN_SNOW",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[153][86]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,1],-1]                                                                                       ;
MapToConvert[152][86]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[151][86]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[150][86]=["TERRAIN_SNOW",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                 ;
MapToConvert[149][86]=["TERRAIN_SNOW",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                 ;
MapToConvert[148][86]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[147][86]=["TERRAIN_SNOW",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[146][86]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[145][86]=["TERRAIN_SNOW",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[144][86]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,1],-1]                                                                                       ;
MapToConvert[143][86]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,1],-1]                                                                                       ;
MapToConvert[142][86]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[141][86]=["TERRAIN_SNOW",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[140][86]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,1],-1]                                                                                       ;
MapToConvert[139][86]=["TERRAIN_SNOW",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[138][86]=["TERRAIN_SNOW",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[137][86]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[136][86]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[135][86]=["TERRAIN_SNOW",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[134][86]=["TERRAIN_SNOW",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[133][86]=["TERRAIN_SNOW",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[132][86]=["TERRAIN_SNOW",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[131][86]=["TERRAIN_SNOW",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[130][86]=["TERRAIN_SNOW",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[129][86]=["TERRAIN_SNOW",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[128][86]=["TERRAIN_SNOW",-1,"CONTINENT_ALASKANIA",[[0,-1],[1,0],[1,1]],[-1,0],[0,0,0],-1]                                                                       ;
MapToConvert[127][86]=["TERRAIN_SNOW",-1,"CONTINENT_ALASKANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                     ;
MapToConvert[126][86]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[125][86]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[124][86]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[123][86]=["TERRAIN_SNOW_HILLS",-1,"CONTINENT_ALASKANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[122][86]=["TERRAIN_SNOW_HILLS",-1,"CONTINENT_ALASKANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[121][86]=["TERRAIN_SNOW_HILLS",-1,"CONTINENT_ALASKANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[120][86]=["TERRAIN_SNOW_MOUNTAIN",-1,"CONTINENT_ALASKANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                            ;
MapToConvert[119][86]=["TERRAIN_SNOW_MOUNTAIN",-1,"CONTINENT_ALASKANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                            ;
MapToConvert[118][86]=["TERRAIN_SNOW_MOUNTAIN",-1,"CONTINENT_ALASKANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                            ;
MapToConvert[117][86]=["TERRAIN_SNOW_MOUNTAIN",-1,"CONTINENT_ALASKANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                            ;
MapToConvert[116][86]=["TERRAIN_SNOW",-1,"CONTINENT_ALASKANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                     ;
MapToConvert[115][86]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                                       ;
MapToConvert[114][86]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_WHALES",1],[0,0,0],-1]                                                                        ;
MapToConvert[113][86]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[112][86]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[111][86]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[110][86]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[109][86]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                                       ;
MapToConvert[108][86]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[107][86]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[106][86]=["TERRAIN_SNOW",-1,"CONTINENT_KOLYMA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                        ;
MapToConvert[105][86]=["TERRAIN_SNOW",-1,"CONTINENT_KOLYMA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                        ;
MapToConvert[104][86]=["TERRAIN_SNOW",-1,"CONTINENT_KOLYMA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                        ;
MapToConvert[103][86]=["TERRAIN_SNOW",-1,"CONTINENT_KOLYMA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                        ;
MapToConvert[102][86]=["TERRAIN_SNOW",-1,"CONTINENT_KOLYMA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                        ;
MapToConvert[101][86]=["TERRAIN_SNOW",-1,"CONTINENT_KOLYMA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                        ;
MapToConvert[100][86]=["TERRAIN_SNOW",-1,"CONTINENT_KOLYMA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                        ;
MapToConvert[99][86]=["TERRAIN_SNOW",-1,"CONTINENT_KOLYMA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                         ;
MapToConvert[98][86]=["TERRAIN_SNOW",-1,"CONTINENT_KOLYMA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                         ;
MapToConvert[97][86]=["TERRAIN_SNOW",-1,"CONTINENT_KOLYMA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                         ;
MapToConvert[96][86]=["TERRAIN_SNOW",-1,"CONTINENT_KOLYMA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                         ;
MapToConvert[95][86]=["TERRAIN_SNOW",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[94][86]=["TERRAIN_SNOW",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[93][86]=["TERRAIN_SNOW",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[92][86]=["TERRAIN_SNOW",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[91][86]=["TERRAIN_SNOW",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[90][86]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[89][86]=["TERRAIN_TUNDRA",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                              ;
MapToConvert[88][86]=["TERRAIN_TUNDRA",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                              ;
MapToConvert[87][86]=["TERRAIN_SNOW",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[86][86]=["TERRAIN_SNOW",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[85][86]=["TERRAIN_SNOW",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[84][86]=["TERRAIN_TUNDRA",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                              ;
MapToConvert[83][86]=["TERRAIN_TUNDRA",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[1,0],[1,1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[82][86]=["TERRAIN_SNOW",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[81][86]=["TERRAIN_SNOW",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[80][86]=["TERRAIN_SNOW",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[79][86]=["TERRAIN_SNOW",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[78][86]=["TERRAIN_SNOW",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[77][86]=["TERRAIN_TUNDRA",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                              ;
MapToConvert[76][86]=["TERRAIN_TUNDRA",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                              ;
MapToConvert[75][86]=["TERRAIN_SNOW",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[74][86]=["TERRAIN_SNOW",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[73][86]=["TERRAIN_SNOW",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[72][86]=["TERRAIN_SNOW",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[71][86]=["TERRAIN_SNOW",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[70][86]=["TERRAIN_SNOW",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[69][86]=["TERRAIN_SNOW",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[68][86]=["TERRAIN_SNOW",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[67][86]=["TERRAIN_SNOW",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[66][86]=["TERRAIN_SNOW",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[65][86]=["TERRAIN_SNOW",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[64][86]=["TERRAIN_TUNDRA",-1,"CONTINENT_WEST_SIBERIA",[[1,5],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                  ;
MapToConvert[63][86]=["TERRAIN_TUNDRA",-1,"CONTINENT_WEST_SIBERIA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                                                  ;
MapToConvert[62][86]=["TERRAIN_SNOW",-1,"CONTINENT_WEST_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[61][86]=["TERRAIN_SNOW",-1,"CONTINENT_WEST_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[60][86]=["TERRAIN_SNOW",-1,"CONTINENT_WEST_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[59][86]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,1],-1]                                                                                        ;
MapToConvert[58][86]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[57][86]=["TERRAIN_SNOW",-1,"CONTINENT_WEST_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,1],-1]                                                                   ;
MapToConvert[56][86]=["TERRAIN_SNOW",-1,"CONTINENT_WEST_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[55][86]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[54][86]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[53][86]=["TERRAIN_SNOW",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                         ;
MapToConvert[52][86]=["TERRAIN_SNOW",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                         ;
MapToConvert[51][86]=["TERRAIN_SNOW",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                         ;
MapToConvert[50][86]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[49][86]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[48][86]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[47][86]=["TERRAIN_SNOW",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                         ;
MapToConvert[46][86]=["TERRAIN_SNOW",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                         ;
MapToConvert[45][86]=["TERRAIN_SNOW",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                         ;
MapToConvert[44][86]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                        ;
MapToConvert[43][86]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[42][86]=["TERRAIN_SNOW",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                         ;
MapToConvert[41][86]=["TERRAIN_SNOW",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                         ;
MapToConvert[40][86]=["TERRAIN_SNOW",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                         ;
MapToConvert[39][86]=["TERRAIN_SNOW",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                         ;
MapToConvert[38][86]=["TERRAIN_SNOW",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                         ;
MapToConvert[37][86]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[36][86]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                                        ;
MapToConvert[35][86]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[34][86]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[33][86]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[32][86]=["TERRAIN_TUNDRA",-1,"CONTINENT_SCANDINAVIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                  ;
MapToConvert[31][86]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_SCANDINAVIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                    ;
MapToConvert[30][86]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_SCANDINAVIA",[[1,2],[1,0],[1,1]],["RESOURCE_FURS",1],[0,0,0],-1]                                          ;
MapToConvert[29][86]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_SCANDINAVIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                    ;
MapToConvert[28][86]=["TERRAIN_PLAINS",-1,"CONTINENT_SCANDINAVIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                  ;
MapToConvert[27][86]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[26][86]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_SCANDINAVIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                    ;
MapToConvert[25][86]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_SCANDINAVIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                    ;
MapToConvert[24][86]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_SCANDINAVIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_COPPER",1],[0,0,0],-1]                               ;
MapToConvert[23][86]=["TERRAIN_PLAINS_MOUNTAIN",-1,"CONTINENT_SCANDINAVIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[22][86]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_SCANDINAVIA",[[1,5],[0,-1],[1,4]],["RESOURCE_ALUMINUM",1],[0,0,0],-1]                                             ;
MapToConvert[21][86]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,1],-1]                                                                                        ;
MapToConvert[20][86]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[19][86]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[18][86]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[17][86]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[16][86]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[15][86]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[14][86]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[13][86]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[12][86]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[11][86]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[10][86]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[9][86]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[8][86]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[7][86]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[6][86]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[5][86]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[4][86]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[3][86]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[2][86]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                              ;
MapToConvert[1][86]=["TERRAIN_SNOW_HILLS",-1,"CONTINENT_BRITTANIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_OIL",1],[0,0,0],-1]                                                     ;
MapToConvert[0][86]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                         ;
MapToConvert[179][87]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[178][87]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[177][87]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[176][87]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[175][87]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[174][87]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[173][87]=["TERRAIN_SNOW",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[172][87]=["TERRAIN_SNOW",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[171][87]=["TERRAIN_SNOW_HILLS",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                             ;
MapToConvert[170][87]=["TERRAIN_SNOW_HILLS",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                             ;
MapToConvert[169][87]=["TERRAIN_SNOW",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[168][87]=["TERRAIN_SNOW",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[167][87]=["TERRAIN_SNOW",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[166][87]=["TERRAIN_SNOW",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[165][87]=["TERRAIN_SNOW",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[164][87]=["TERRAIN_SNOW",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[163][87]=["TERRAIN_SNOW_MOUNTAIN",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[162][87]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,1],-1]                                                                                       ;
MapToConvert[161][87]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[160][87]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                                       ;
MapToConvert[159][87]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,1],-1]                                                                                       ;
MapToConvert[158][87]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[157][87]=["TERRAIN_SNOW_MOUNTAIN",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[156][87]=["TERRAIN_SNOW_HILLS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                           ;
MapToConvert[155][87]=["TERRAIN_SNOW",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                 ;
MapToConvert[154][87]=["TERRAIN_SNOW",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[153][87]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[152][87]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[151][87]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[150][87]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[149][87]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[148][87]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[147][87]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[146][87]=["TERRAIN_SNOW_HILLS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[145][87]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                                       ;
MapToConvert[144][87]=["TERRAIN_SNOW",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                 ;
MapToConvert[143][87]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[142][87]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[141][87]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[140][87]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[139][87]=["TERRAIN_SNOW",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,1],-1]                                                                 ;
MapToConvert[138][87]=["TERRAIN_SNOW",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[137][87]=["TERRAIN_SNOW",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                 ;
MapToConvert[136][87]=["TERRAIN_SNOW",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                 ;
MapToConvert[135][87]=["TERRAIN_SNOW",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[134][87]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[133][87]=["TERRAIN_SNOW",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                 ;
MapToConvert[132][87]=["TERRAIN_SNOW",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[131][87]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,1,1],-1]                                                                                       ;
MapToConvert[130][87]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                                       ;
MapToConvert[129][87]=["TERRAIN_SNOW",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[128][87]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,1,0],-1]                                                                                       ;
MapToConvert[127][87]=["TERRAIN_SNOW",-1,"CONTINENT_ALASKANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                     ;
MapToConvert[126][87]=["TERRAIN_SNOW",-1,"CONTINENT_ALASKANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                     ;
MapToConvert[125][87]=["TERRAIN_SNOW",-1,"CONTINENT_ALASKANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                     ;
MapToConvert[124][87]=["TERRAIN_SNOW",-1,"CONTINENT_ALASKANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                     ;
MapToConvert[123][87]=["TERRAIN_SNOW",-1,"CONTINENT_ALASKANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                     ;
MapToConvert[122][87]=["TERRAIN_SNOW",-1,"CONTINENT_ALASKANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                     ;
MapToConvert[121][87]=["TERRAIN_SNOW",-1,"CONTINENT_ALASKANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                     ;
MapToConvert[120][87]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[119][87]=["TERRAIN_SNOW",-1,"CONTINENT_ALASKANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                     ;
MapToConvert[118][87]=["TERRAIN_SNOW",-1,"CONTINENT_ALASKANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                     ;
MapToConvert[117][87]=["TERRAIN_SNOW",-1,"CONTINENT_ALASKANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                     ;
MapToConvert[116][87]=["TERRAIN_SNOW",-1,"CONTINENT_ALASKANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                     ;
MapToConvert[115][87]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[114][87]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[113][87]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[112][87]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[111][87]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[110][87]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[109][87]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[108][87]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[107][87]=["TERRAIN_SNOW",-1,"CONTINENT_KOLYMA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                        ;
MapToConvert[106][87]=["TERRAIN_SNOW",-1,"CONTINENT_KOLYMA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                        ;
MapToConvert[105][87]=["TERRAIN_SNOW",-1,"CONTINENT_KOLYMA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                        ;
MapToConvert[104][87]=["TERRAIN_SNOW",-1,"CONTINENT_KOLYMA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                        ;
MapToConvert[103][87]=["TERRAIN_SNOW",-1,"CONTINENT_KOLYMA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                        ;
MapToConvert[102][87]=["TERRAIN_SNOW",-1,"CONTINENT_KOLYMA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                        ;
MapToConvert[101][87]=["TERRAIN_SNOW",-1,"CONTINENT_KOLYMA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                        ;
MapToConvert[100][87]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,1,1],-1]                                                                                       ;
MapToConvert[99][87]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[98][87]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[97][87]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[96][87]=["TERRAIN_SNOW",-1,"CONTINENT_KOLYMA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                         ;
MapToConvert[95][87]=["TERRAIN_SNOW",-1,"CONTINENT_KOLYMA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                         ;
MapToConvert[94][87]=["TERRAIN_SNOW",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[93][87]=["TERRAIN_SNOW",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[92][87]=["TERRAIN_SNOW",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[91][87]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                        ;
MapToConvert[90][87]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[89][87]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                                        ;
MapToConvert[88][87]=["TERRAIN_TUNDRA",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                              ;
MapToConvert[87][87]=["TERRAIN_SNOW",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[86][87]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                        ;
MapToConvert[85][87]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[84][87]=["TERRAIN_SNOW",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[83][87]=["TERRAIN_TUNDRA",-1,"CONTINENT_CENTRAL_SIBERIA",[[1,5],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[82][87]=["TERRAIN_TUNDRA",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[81][87]=["TERRAIN_SNOW",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[80][87]=["TERRAIN_SNOW",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[79][87]=["TERRAIN_SNOW",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[78][87]=["TERRAIN_SNOW",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[77][87]=["TERRAIN_SNOW",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[76][87]=["TERRAIN_SNOW",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[75][87]=["TERRAIN_SNOW",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[74][87]=["TERRAIN_SNOW",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[73][87]=["TERRAIN_SNOW",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[72][87]=["TERRAIN_SNOW",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[71][87]=["TERRAIN_SNOW",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[70][87]=["TERRAIN_SNOW",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[69][87]=["TERRAIN_SNOW",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[68][87]=["TERRAIN_SNOW",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[67][87]=["TERRAIN_SNOW_HILLS",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[66][87]=["TERRAIN_SNOW_HILLS",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[65][87]=["TERRAIN_SNOW",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[64][87]=["TERRAIN_SNOW",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[63][87]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                        ;
MapToConvert[62][87]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                                        ;
MapToConvert[61][87]=["TERRAIN_SNOW",-1,"CONTINENT_WEST_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                   ;
MapToConvert[60][87]=["TERRAIN_SNOW",-1,"CONTINENT_WEST_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[59][87]=["TERRAIN_SNOW",-1,"CONTINENT_WEST_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[58][87]=["TERRAIN_SNOW",-1,"CONTINENT_WEST_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[57][87]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[56][87]=["TERRAIN_SNOW",-1,"CONTINENT_WEST_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[55][87]=["TERRAIN_SNOW",-1,"CONTINENT_WEST_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[54][87]=["TERRAIN_SNOW",-1,"CONTINENT_WEST_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[53][87]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                                        ;
MapToConvert[52][87]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                                        ;
MapToConvert[51][87]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[50][87]=["TERRAIN_SNOW",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                         ;
MapToConvert[49][87]=["TERRAIN_SNOW",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                         ;
MapToConvert[48][87]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[47][87]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[46][87]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[45][87]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                                        ;
MapToConvert[44][87]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                                        ;
MapToConvert[43][87]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[42][87]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[41][87]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[40][87]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[39][87]=["TERRAIN_SNOW",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                         ;
MapToConvert[38][87]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[37][87]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[36][87]=["TERRAIN_SNOW",-1,"CONTINENT_SCANDINAVIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[35][87]=["TERRAIN_TUNDRA",-1,"CONTINENT_SCANDINAVIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                  ;
MapToConvert[34][87]=["TERRAIN_TUNDRA",-1,"CONTINENT_SCANDINAVIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                  ;
MapToConvert[33][87]=["TERRAIN_TUNDRA",-1,"CONTINENT_SCANDINAVIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_STONE",1],[1,0,0],-1]                                                    ;
MapToConvert[32][87]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,1,0],-1]                                                                                        ;
MapToConvert[31][87]=["TERRAIN_TUNDRA_HILLS",-1,"CONTINENT_SCANDINAVIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                            ;
MapToConvert[30][87]=["TERRAIN_TUNDRA_HILLS","FEATURE_FOREST","CONTINENT_SCANDINAVIA",[[0,-1],[1,0],[1,1]],[-1,0],[0,0,0],-1]                                                ;
MapToConvert[29][87]=["TERRAIN_PLAINS",-1,"CONTINENT_SCANDINAVIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                  ;
MapToConvert[28][87]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_SCANDINAVIA",[[0,-1],[1,0],[0,-1]],["RESOURCE_DEER",1],[0,0,0],-1]                                        ;
MapToConvert[27][87]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_SCANDINAVIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                    ;
MapToConvert[26][87]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_SCANDINAVIA",[[0,-1],[1,3],[0,-1]],[-1,0],[0,0,1],-1]                                                     ;
MapToConvert[25][87]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_SCANDINAVIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_FURS",1],[0,0,0],-1]                                       ;
MapToConvert[24][87]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_SCANDINAVIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                            ;
MapToConvert[23][87]=["TERRAIN_PLAINS_HILLS","FEATURE_FOREST","CONTINENT_SCANDINAVIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                              ;
MapToConvert[22][87]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_SCANDINAVIA",[[1,5],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                             ;
MapToConvert[21][87]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                        ;
MapToConvert[20][87]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_WHALES",1],[0,0,0],-1]                                                                         ;
MapToConvert[19][87]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[18][87]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[17][87]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[16][87]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[15][87]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[14][87]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[13][87]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[12][87]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[11][87]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[10][87]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[9][87]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[8][87]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[7][87]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[6][87]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[5][87]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[4][87]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[3][87]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[2][87]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[1][87]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[0][87]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                                         ;
MapToConvert[179][88]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[178][88]=["TERRAIN_SNOW_MOUNTAIN",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                          ;
MapToConvert[177][88]=["TERRAIN_SNOW_MOUNTAIN",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                          ;
MapToConvert[176][88]=["TERRAIN_SNOW_MOUNTAIN",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                          ;
MapToConvert[175][88]=["TERRAIN_SNOW_HILLS",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                             ;
MapToConvert[174][88]=["TERRAIN_SNOW",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[173][88]=["TERRAIN_SNOW_HILLS",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                             ;
MapToConvert[172][88]=["TERRAIN_SNOW_HILLS",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                             ;
MapToConvert[171][88]=["TERRAIN_SNOW_HILLS",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                             ;
MapToConvert[170][88]=["TERRAIN_SNOW",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[169][88]=["TERRAIN_SNOW",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[168][88]=["TERRAIN_SNOW",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[167][88]=["TERRAIN_SNOW",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[166][88]=["TERRAIN_SNOW",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[165][88]=["TERRAIN_SNOW",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[164][88]=["TERRAIN_SNOW",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[163][88]=["TERRAIN_SNOW",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                   ;
MapToConvert[162][88]=["TERRAIN_SNOW",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                   ;
MapToConvert[161][88]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[160][88]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[159][88]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[158][88]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[157][88]=["TERRAIN_SNOW_MOUNTAIN",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[156][88]=["TERRAIN_SNOW_HILLS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[155][88]=["TERRAIN_SNOW",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[154][88]=["TERRAIN_SNOW",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[153][88]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[152][88]=["TERRAIN_SNOW",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[151][88]=["TERRAIN_SNOW",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[150][88]=["TERRAIN_SNOW",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                 ;
MapToConvert[149][88]=["TERRAIN_SNOW",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[148][88]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[147][88]=["TERRAIN_SNOW_HILLS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[146][88]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[145][88]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[144][88]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[143][88]=["TERRAIN_SNOW",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[142][88]=["TERRAIN_SNOW",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[141][88]=["TERRAIN_SNOW",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[140][88]=["TERRAIN_SNOW",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[139][88]=["TERRAIN_SNOW",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[138][88]=["TERRAIN_SNOW",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[137][88]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                                       ;
MapToConvert[136][88]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[135][88]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[134][88]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[133][88]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[132][88]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[131][88]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[130][88]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[129][88]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[128][88]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[127][88]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[126][88]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[125][88]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[124][88]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[123][88]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[122][88]=["TERRAIN_SNOW",-1,"CONTINENT_ALASKANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                     ;
MapToConvert[121][88]=["TERRAIN_SNOW",-1,"CONTINENT_ALASKANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                     ;
MapToConvert[120][88]=["TERRAIN_SNOW",-1,"CONTINENT_ALASKANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                     ;
MapToConvert[119][88]=["TERRAIN_SNOW",-1,"CONTINENT_ALASKANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                     ;
MapToConvert[118][88]=["TERRAIN_SNOW",-1,"CONTINENT_ALASKANIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                     ;
MapToConvert[117][88]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                       ;
MapToConvert[116][88]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[115][88]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[114][88]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[113][88]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[112][88]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[111][88]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[110][88]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[109][88]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[108][88]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[107][88]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[106][88]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[105][88]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[104][88]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                                       ;
MapToConvert[103][88]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[102][88]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[101][88]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[100][88]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[99][88]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_WHALES",1],[0,0,0],-1]                                                                         ;
MapToConvert[98][88]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[97][88]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[96][88]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,1],-1]                                                                                        ;
MapToConvert[95][88]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                                        ;
MapToConvert[94][88]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[93][88]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[92][88]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                                        ;
MapToConvert[91][88]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[90][88]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[89][88]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[88][88]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[87][88]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                                        ;
MapToConvert[86][88]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[85][88]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[84][88]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[83][88]=["TERRAIN_TUNDRA",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[1,1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[82][88]=["TERRAIN_SNOW",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[81][88]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[80][88]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[79][88]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                                        ;
MapToConvert[78][88]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[77][88]=["TERRAIN_SNOW",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[76][88]=["TERRAIN_SNOW",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[75][88]=["TERRAIN_SNOW",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[74][88]=["TERRAIN_SNOW",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[73][88]=["TERRAIN_SNOW_HILLS",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[72][88]=["TERRAIN_SNOW_MOUNTAIN",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                       ;
MapToConvert[71][88]=["TERRAIN_SNOW_MOUNTAIN",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                       ;
MapToConvert[70][88]=["TERRAIN_SNOW",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[69][88]=["TERRAIN_SNOW",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[68][88]=["TERRAIN_SNOW",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[67][88]=["TERRAIN_SNOW",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[66][88]=["TERRAIN_SNOW",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[65][88]=["TERRAIN_SNOW",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[64][88]=["TERRAIN_SNOW",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                ;
MapToConvert[63][88]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[62][88]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[61][88]=["TERRAIN_SNOW",-1,"CONTINENT_WEST_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[60][88]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[59][88]=["TERRAIN_SNOW",-1,"CONTINENT_WEST_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[58][88]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                        ;
MapToConvert[57][88]=["TERRAIN_SNOW",-1,"CONTINENT_WEST_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[56][88]=["TERRAIN_SNOW",-1,"CONTINENT_WEST_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[55][88]=["TERRAIN_SNOW",-1,"CONTINENT_WEST_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[54][88]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[53][88]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[52][88]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[51][88]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[50][88]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                                        ;
MapToConvert[49][88]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                                        ;
MapToConvert[48][88]=["TERRAIN_SNOW",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                         ;
MapToConvert[47][88]=["TERRAIN_SNOW",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                         ;
MapToConvert[46][88]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                        ;
MapToConvert[45][88]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[44][88]=["TERRAIN_SNOW",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                         ;
MapToConvert[43][88]=["TERRAIN_SNOW",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,1],-1]                                                                         ;
MapToConvert[42][88]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[41][88]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[40][88]=["TERRAIN_SNOW",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                         ;
MapToConvert[39][88]=["TERRAIN_SNOW",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                         ;
MapToConvert[38][88]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                        ;
MapToConvert[37][88]=["TERRAIN_SNOW",-1,"CONTINENT_SCANDINAVIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[36][88]=["TERRAIN_SNOW",-1,"CONTINENT_SCANDINAVIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[35][88]=["TERRAIN_SNOW",-1,"CONTINENT_SCANDINAVIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[34][88]=["TERRAIN_SNOW",-1,"CONTINENT_SCANDINAVIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[33][88]=["TERRAIN_TUNDRA",-1,"CONTINENT_SCANDINAVIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                  ;
MapToConvert[32][88]=["TERRAIN_TUNDRA",-1,"CONTINENT_SCANDINAVIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                  ;
MapToConvert[31][88]=["TERRAIN_TUNDRA_HILLS",-1,"CONTINENT_SCANDINAVIA",[[0,-1],[1,0],[1,1]],["RESOURCE_URANIUM",1],[0,0,0],-1]                                              ;
MapToConvert[30][88]=["TERRAIN_TUNDRA","FEATURE_FOREST","CONTINENT_SCANDINAVIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                    ;
MapToConvert[29][88]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_SCANDINAVIA",[[0,-1],[1,0],[1,1]],[-1,0],[0,0,0],-1]                                                      ;
MapToConvert[28][88]=["TERRAIN_PLAINS","FEATURE_FOREST","CONTINENT_SCANDINAVIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                    ;
MapToConvert[27][88]=["TERRAIN_TUNDRA",-1,"CONTINENT_SCANDINAVIA",[[1,2],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[26][88]=["TERRAIN_TUNDRA_HILLS",-1,"CONTINENT_SCANDINAVIA",[[1,2],[0,-1],[1,1]],["RESOURCE_IRON",1],[0,0,0],-1]                                                 ;
MapToConvert[25][88]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_SCANDINAVIA",[[0,-1],[1,3],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[24][88]=["TERRAIN_TUNDRA_HILLS",-1,"CONTINENT_SCANDINAVIA",[[1,5],[0,-1],[0,-1]],["RESOURCE_COAL",1],[0,0,0],-1]                                                ;
MapToConvert[23][88]=["TERRAIN_PLAINS_HILLS",-1,"CONTINENT_SCANDINAVIA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                                             ;
MapToConvert[22][88]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,1],-1]                                                                                        ;
MapToConvert[21][88]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[20][88]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[19][88]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[18][88]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[17][88]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[16][88]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[15][88]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[14][88]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[13][88]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[12][88]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[11][88]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[10][88]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[9][88]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                              ;
MapToConvert[8][88]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[7][88]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[6][88]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                              ;
MapToConvert[5][88]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                              ;
MapToConvert[4][88]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[3][88]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[2][88]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[1][88]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[0][88]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_FISH",1],[0,0,0],-1]                                                                            ;
MapToConvert[179][89]=["TERRAIN_SNOW_MOUNTAIN",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,1,1],-1]                                                          ;
MapToConvert[178][89]=["TERRAIN_SNOW_MOUNTAIN",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[177][89]=["TERRAIN_SNOW_MOUNTAIN",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[176][89]=["TERRAIN_SNOW",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[175][89]=["TERRAIN_SNOW",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[174][89]=["TERRAIN_SNOW",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[173][89]=["TERRAIN_SNOW",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[172][89]=["TERRAIN_SNOW_HILLS",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                             ;
MapToConvert[171][89]=["TERRAIN_SNOW_HILLS",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                             ;
MapToConvert[170][89]=["TERRAIN_SNOW_HILLS",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                             ;
MapToConvert[169][89]=["TERRAIN_SNOW",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[168][89]=["TERRAIN_SNOW",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[167][89]=["TERRAIN_SNOW",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[166][89]=["TERRAIN_SNOW",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[165][89]=["TERRAIN_SNOW",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[164][89]=["TERRAIN_SNOW",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[163][89]=["TERRAIN_SNOW",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[162][89]=["TERRAIN_SNOW",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[161][89]=["TERRAIN_SNOW",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[160][89]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[159][89]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[158][89]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[157][89]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[156][89]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,1],-1]                                                                                       ;
MapToConvert[155][89]=["TERRAIN_SNOW_MOUNTAIN",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[154][89]=["TERRAIN_SNOW_MOUNTAIN",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[153][89]=["TERRAIN_SNOW_HILLS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[152][89]=["TERRAIN_SNOW_HILLS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[151][89]=["TERRAIN_SNOW_MOUNTAIN",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[150][89]=["TERRAIN_SNOW_HILLS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[149][89]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                       ;
MapToConvert[148][89]=["TERRAIN_SNOW",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[147][89]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[146][89]=["TERRAIN_SNOW",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[145][89]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[144][89]=["TERRAIN_SNOW",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[143][89]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[142][89]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[141][89]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[140][89]=["TERRAIN_SNOW",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[139][89]=["TERRAIN_SNOW",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[138][89]=["TERRAIN_SNOW",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[137][89]=["TERRAIN_SNOW",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[136][89]=["TERRAIN_SNOW_HILLS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,1],-1]                                                           ;
MapToConvert[135][89]=["TERRAIN_SNOW_HILLS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                           ;
MapToConvert[134][89]=["TERRAIN_SNOW",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[133][89]=["TERRAIN_SNOW",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                 ;
MapToConvert[132][89]=["TERRAIN_SNOW",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,1],-1]                                                                 ;
MapToConvert[131][89]=["TERRAIN_SNOW",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                 ;
MapToConvert[130][89]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[129][89]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[128][89]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[127][89]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[126][89]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[125][89]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[124][89]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[123][89]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[122][89]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[121][89]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[120][89]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[119][89]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                                       ;
MapToConvert[118][89]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                                       ;
MapToConvert[117][89]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                                       ;
MapToConvert[116][89]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_FISH",1],[0,0,0],-1]                                                                          ;
MapToConvert[115][89]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[114][89]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[113][89]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[112][89]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[111][89]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[110][89]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[109][89]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[108][89]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[107][89]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[106][89]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[105][89]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[104][89]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[103][89]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[102][89]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[101][89]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[100][89]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[99][89]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[98][89]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[97][89]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[96][89]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[95][89]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[94][89]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[93][89]=["TERRAIN_SNOW",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[92][89]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[91][89]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[90][89]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[89][89]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[88][89]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[87][89]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[86][89]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[85][89]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[84][89]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[83][89]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[82][89]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                             ;
MapToConvert[81][89]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                                        ;
MapToConvert[80][89]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[79][89]=["TERRAIN_SNOW",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,1],-1]                                                                ;
MapToConvert[78][89]=["TERRAIN_SNOW",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[77][89]=["TERRAIN_SNOW",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[76][89]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[75][89]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[74][89]=["TERRAIN_SNOW_MOUNTAIN",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                       ;
MapToConvert[73][89]=["TERRAIN_SNOW_MOUNTAIN",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                       ;
MapToConvert[72][89]=["TERRAIN_SNOW_MOUNTAIN",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                       ;
MapToConvert[71][89]=["TERRAIN_SNOW_MOUNTAIN",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                       ;
MapToConvert[70][89]=["TERRAIN_SNOW_MOUNTAIN",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                       ;
MapToConvert[69][89]=["TERRAIN_SNOW",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[68][89]=["TERRAIN_SNOW",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[67][89]=["TERRAIN_SNOW",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[66][89]=["TERRAIN_SNOW",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[65][89]=["TERRAIN_SNOW",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[64][89]=["TERRAIN_SNOW",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[63][89]=["TERRAIN_SNOW",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[62][89]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[61][89]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[60][89]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[59][89]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                                        ;
MapToConvert[58][89]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                                        ;
MapToConvert[57][89]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                                        ;
MapToConvert[56][89]=["TERRAIN_SNOW",-1,"CONTINENT_WEST_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[55][89]=["TERRAIN_SNOW",-1,"CONTINENT_WEST_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[54][89]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,1],-1]                                                                                        ;
MapToConvert[53][89]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[52][89]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[51][89]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[50][89]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[49][89]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[48][89]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[47][89]=["TERRAIN_SNOW",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                         ;
MapToConvert[46][89]=["TERRAIN_SNOW",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                         ;
MapToConvert[45][89]=["TERRAIN_SNOW",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                         ;
MapToConvert[44][89]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[43][89]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[42][89]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[41][89]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[40][89]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[39][89]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[38][89]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                                        ;
MapToConvert[37][89]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[36][89]=["TERRAIN_SNOW",-1,"CONTINENT_SCANDINAVIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[35][89]=["TERRAIN_SNOW",-1,"CONTINENT_SCANDINAVIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[34][89]=["TERRAIN_SNOW",-1,"CONTINENT_SCANDINAVIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[33][89]=["TERRAIN_SNOW",-1,"CONTINENT_SCANDINAVIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[32][89]=["TERRAIN_SNOW",-1,"CONTINENT_SCANDINAVIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[31][89]=["TERRAIN_SNOW",-1,"CONTINENT_SCANDINAVIA",[[0,-1],[1,0],[1,1]],[-1,0],[0,0,0],-1]                                                                      ;
MapToConvert[30][89]=["TERRAIN_TUNDRA_HILLS",-1,"CONTINENT_SCANDINAVIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                            ;
MapToConvert[29][89]=["TERRAIN_TUNDRA",-1,"CONTINENT_SCANDINAVIA",[[0,-1],[1,0],[1,1]],["RESOURCE_ALUMINUM",1],[0,0,0],-1]                                                   ;
MapToConvert[28][89]=["TERRAIN_TUNDRA_MOUNTAIN",-1,"CONTINENT_SCANDINAVIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                         ;
MapToConvert[27][89]=["TERRAIN_TUNDRA_HILLS",-1,"CONTINENT_SCANDINAVIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_SILVER",1],[0,0,0],-1]                                             ;
MapToConvert[26][89]=["TERRAIN_SNOW_MOUNTAIN",-1,"CONTINENT_SCANDINAVIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[25][89]=["TERRAIN_SNOW_MOUNTAIN",-1,"CONTINENT_SCANDINAVIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[24][89]=["TERRAIN_SNOW_HILLS",-1,"CONTINENT_SCANDINAVIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                              ;
MapToConvert[23][89]=["TERRAIN_TUNDRA",-1,"CONTINENT_SCANDINAVIA",[[1,5],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[22][89]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                                        ;
MapToConvert[21][89]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[20][89]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[19][89]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[18][89]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[17][89]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[16][89]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[15][89]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[14][89]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[13][89]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[12][89]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[11][89]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[10][89]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[9][89]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[8][89]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[7][89]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[6][89]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[5][89]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[4][89]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[3][89]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[2][89]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[1][89]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[0][89]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[179][90]=["TERRAIN_SNOW",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[178][90]=["TERRAIN_SNOW",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[177][90]=["TERRAIN_SNOW",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[176][90]=["TERRAIN_SNOW",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[175][90]=["TERRAIN_SNOW",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[174][90]=["TERRAIN_SNOW_HILLS",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                             ;
MapToConvert[173][90]=["TERRAIN_SNOW_HILLS",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                             ;
MapToConvert[172][90]=["TERRAIN_SNOW_HILLS",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                             ;
MapToConvert[171][90]=["TERRAIN_SNOW_HILLS",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                             ;
MapToConvert[170][90]=["TERRAIN_SNOW",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[169][90]=["TERRAIN_SNOW",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[168][90]=["TERRAIN_SNOW",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[167][90]=["TERRAIN_SNOW",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[166][90]=["TERRAIN_SNOW",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[165][90]=["TERRAIN_SNOW",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[164][90]=["TERRAIN_SNOW",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[163][90]=["TERRAIN_SNOW",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[162][90]=["TERRAIN_SNOW",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[161][90]=["TERRAIN_SNOW",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[160][90]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[159][90]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[158][90]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[157][90]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[156][90]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[155][90]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[154][90]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,1],-1]                                                                                       ;
MapToConvert[153][90]=["TERRAIN_SNOW_MOUNTAIN",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                        ;
MapToConvert[152][90]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[151][90]=["TERRAIN_SNOW_MOUNTAIN",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                        ;
MapToConvert[150][90]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                                       ;
MapToConvert[149][90]=["TERRAIN_SNOW",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[148][90]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,1],-1]                                                                                       ;
MapToConvert[147][90]=["TERRAIN_SNOW",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[146][90]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,1],-1]                                                                                       ;
MapToConvert[145][90]=["TERRAIN_SNOW",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[144][90]=["TERRAIN_SNOW",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[143][90]=["TERRAIN_SNOW",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[142][90]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[141][90]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[140][90]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[139][90]=["TERRAIN_SNOW_HILLS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[138][90]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                                       ;
MapToConvert[137][90]=["TERRAIN_SNOW_HILLS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[136][90]=["TERRAIN_SNOW",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[135][90]=["TERRAIN_SNOW",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[134][90]=["TERRAIN_SNOW",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[133][90]=["TERRAIN_SNOW",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[132][90]=["TERRAIN_SNOW",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[131][90]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                                       ;
MapToConvert[130][90]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[129][90]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[128][90]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[127][90]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[126][90]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[125][90]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[124][90]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[123][90]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[122][90]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[121][90]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[120][90]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[119][90]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[118][90]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[117][90]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[116][90]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[115][90]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[114][90]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[113][90]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[112][90]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[111][90]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[110][90]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[109][90]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[108][90]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[107][90]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[106][90]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[105][90]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[104][90]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[103][90]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[102][90]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[101][90]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[100][90]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[99][90]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[98][90]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[97][90]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[96][90]=["TERRAIN_SNOW",-1,"CONTINENT_KOLYMA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                         ;
MapToConvert[95][90]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[94][90]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[93][90]=["TERRAIN_SNOW",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[92][90]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[91][90]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[90][90]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[89][90]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[88][90]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[87][90]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[86][90]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[85][90]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[84][90]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[83][90]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[82][90]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[81][90]=["TERRAIN_SNOW",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[80][90]=["TERRAIN_SNOW",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[79][90]=["TERRAIN_SNOW",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[78][90]=["TERRAIN_SNOW_MOUNTAIN",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                       ;
MapToConvert[77][90]=["TERRAIN_SNOW_MOUNTAIN",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                       ;
MapToConvert[76][90]=["TERRAIN_SNOW_MOUNTAIN",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                       ;
MapToConvert[75][90]=["TERRAIN_SNOW",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[74][90]=["TERRAIN_SNOW",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[73][90]=["TERRAIN_SNOW",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[72][90]=["TERRAIN_SNOW",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[71][90]=["TERRAIN_SNOW",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[70][90]=["TERRAIN_SNOW",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[69][90]=["TERRAIN_SNOW",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[68][90]=["TERRAIN_SNOW",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[67][90]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[66][90]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[65][90]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[64][90]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[63][90]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[62][90]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[61][90]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[60][90]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[59][90]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[58][90]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[57][90]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[56][90]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[55][90]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                                        ;
MapToConvert[54][90]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[53][90]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[52][90]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[51][90]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[50][90]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[49][90]=["TERRAIN_SNOW",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,1,1],-1]                                                                         ;
MapToConvert[48][90]=["TERRAIN_SNOW",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                         ;
MapToConvert[47][90]=["TERRAIN_SNOW",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                         ;
MapToConvert[46][90]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[45][90]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[44][90]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[43][90]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[42][90]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[41][90]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[40][90]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[39][90]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[38][90]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[37][90]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[36][90]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,1],-1]                                                                                        ;
MapToConvert[35][90]=["TERRAIN_SNOW",-1,"CONTINENT_SCANDINAVIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                    ;
MapToConvert[34][90]=["TERRAIN_SNOW",-1,"CONTINENT_SCANDINAVIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[33][90]=["TERRAIN_SNOW",-1,"CONTINENT_SCANDINAVIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_OIL",1],[0,0,0],-1]                                                        ;
MapToConvert[32][90]=["TERRAIN_SNOW",-1,"CONTINENT_SCANDINAVIA",[[0,-1],[1,0],[1,1]],[-1,0],[0,0,0],-1]                                                                      ;
MapToConvert[31][90]=["TERRAIN_SNOW",-1,"CONTINENT_SCANDINAVIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[30][90]=["TERRAIN_SNOW",-1,"CONTINENT_SCANDINAVIA",[[0,-1],[1,0],[1,1]],[-1,0],[0,0,0],-1]                                                                      ;
MapToConvert[29][90]=["TERRAIN_SNOW",-1,"CONTINENT_SCANDINAVIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[28][90]=["TERRAIN_SNOW_HILLS",-1,"CONTINENT_SCANDINAVIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                              ;
MapToConvert[27][90]=["TERRAIN_SNOW_HILLS",-1,"CONTINENT_SCANDINAVIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                              ;
MapToConvert[26][90]=["TERRAIN_SNOW_HILLS",-1,"CONTINENT_SCANDINAVIA",[[0,-1],[0,-1],[0,-1]],["RESOURCE_URANIUM",1],[0,0,0],-1]                                              ;
MapToConvert[25][90]=["TERRAIN_SNOW_HILLS",-1,"CONTINENT_SCANDINAVIA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[24][90]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,1,0],-1]                                                                                        ;
MapToConvert[23][90]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                                        ;
MapToConvert[22][90]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[21][90]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[20][90]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[19][90]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[18][90]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[17][90]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[16][90]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[15][90]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[14][90]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[13][90]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[12][90]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[11][90]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[10][90]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[9][90]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[8][90]=["TERRAIN_SNOW",-1,"CONTINENT_CENTRAL_ASIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[7][90]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[6][90]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[5][90]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                              ;
MapToConvert[4][90]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[3][90]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[2][90]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[1][90]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[0][90]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[179][91]=["TERRAIN_SNOW_MOUNTAIN",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,1],-1]                                                          ;
MapToConvert[178][91]=["TERRAIN_SNOW",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[177][91]=["TERRAIN_SNOW",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[176][91]=["TERRAIN_SNOW",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[175][91]=["TERRAIN_SNOW",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[174][91]=["TERRAIN_SNOW",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[173][91]=["TERRAIN_SNOW_HILLS",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                             ;
MapToConvert[172][91]=["TERRAIN_SNOW_HILLS",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                             ;
MapToConvert[171][91]=["TERRAIN_SNOW_HILLS",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                             ;
MapToConvert[170][91]=["TERRAIN_SNOW_HILLS",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                             ;
MapToConvert[169][91]=["TERRAIN_SNOW_HILLS",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                             ;
MapToConvert[168][91]=["TERRAIN_SNOW_HILLS",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                             ;
MapToConvert[167][91]=["TERRAIN_SNOW",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[166][91]=["TERRAIN_SNOW",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[165][91]=["TERRAIN_SNOW",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[164][91]=["TERRAIN_SNOW",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[163][91]=["TERRAIN_SNOW",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[162][91]=["TERRAIN_SNOW",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[161][91]=["TERRAIN_SNOW",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[160][91]=["TERRAIN_SNOW_MOUNTAIN",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[159][91]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[158][91]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[157][91]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[156][91]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[155][91]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[154][91]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[153][91]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                                       ;
MapToConvert[152][91]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[151][91]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[150][91]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[149][91]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[148][91]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[147][91]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[146][91]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[145][91]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[144][91]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,1],-1]                                                                                       ;
MapToConvert[143][91]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[142][91]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[141][91]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[140][91]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[139][91]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[138][91]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                                       ;
MapToConvert[137][91]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[136][91]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[135][91]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                                       ;
MapToConvert[134][91]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[133][91]=["TERRAIN_SNOW",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[132][91]=["TERRAIN_SNOW",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[131][91]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[130][91]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[129][91]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[128][91]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[127][91]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[126][91]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[125][91]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[124][91]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[123][91]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[122][91]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[121][91]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[120][91]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[119][91]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[118][91]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[117][91]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[116][91]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[115][91]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[114][91]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[113][91]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[112][91]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[111][91]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[110][91]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[109][91]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[108][91]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[107][91]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[106][91]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[105][91]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[104][91]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[103][91]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[102][91]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[101][91]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[100][91]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[99][91]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[98][91]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[97][91]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[96][91]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[95][91]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[94][91]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[93][91]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[92][91]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[91][91]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[90][91]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[89][91]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[88][91]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[87][91]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[86][91]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[85][91]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[84][91]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[83][91]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[82][91]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[81][91]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[80][91]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[79][91]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[78][91]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[77][91]=["TERRAIN_SNOW",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,0],-1]                                                                ;
MapToConvert[76][91]=["TERRAIN_SNOW",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[75][91]=["TERRAIN_SNOW",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[74][91]=["TERRAIN_SNOW",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[73][91]=["TERRAIN_SNOW",-1,"CONTINENT_CENTRAL_SIBERIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                ;
MapToConvert[72][91]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[71][91]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[70][91]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[69][91]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[68][91]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[67][91]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                                        ;
MapToConvert[66][91]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[65][91]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[64][91]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[63][91]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[62][91]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[61][91]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[60][91]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[59][91]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[58][91]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[57][91]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[56][91]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[55][91]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[54][91]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[53][91]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[52][91]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[51][91]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[50][91]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[49][91]=["TERRAIN_SNOW",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                         ;
MapToConvert[48][91]=["TERRAIN_SNOW",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                         ;
MapToConvert[47][91]=["TERRAIN_SNOW",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                         ;
MapToConvert[46][91]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,1],-1]                                                                                        ;
MapToConvert[45][91]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[44][91]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[43][91]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[42][91]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[41][91]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[40][91]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[39][91]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[38][91]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[37][91]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[36][91]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[35][91]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                                        ;
MapToConvert[34][91]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,1],-1]                                                                                        ;
MapToConvert[33][91]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,1],-1]                                                                                        ;
MapToConvert[32][91]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                                        ;
MapToConvert[31][91]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,1],-1]                                                                                        ;
MapToConvert[30][91]=["TERRAIN_SNOW",-1,"CONTINENT_SCANDINAVIA",[[0,-1],[0,-1],[1,1]],[-1,0],[0,1,0],-1]                                                                     ;
MapToConvert[29][91]=["TERRAIN_SNOW",-1,"CONTINENT_SCANDINAVIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[28][91]=["TERRAIN_SNOW",-1,"CONTINENT_SCANDINAVIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                    ;
MapToConvert[27][91]=["TERRAIN_SNOW_HILLS",-1,"CONTINENT_SCANDINAVIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                              ;
MapToConvert[26][91]=["TERRAIN_SNOW_HILLS",-1,"CONTINENT_SCANDINAVIA",[[0,-1],[1,0],[0,-1]],[-1,0],[0,0,0],-1]                                                               ;
MapToConvert[25][91]=["TERRAIN_SNOW",-1,"CONTINENT_SCANDINAVIA",[[1,5],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                     ;
MapToConvert[24][91]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],["RESOURCE_OIL",1],[0,0,1],-1]                                                                            ;
MapToConvert[23][91]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[22][91]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[21][91]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[20][91]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[19][91]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[18][91]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[17][91]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[16][91]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[15][91]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[14][91]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[13][91]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[12][91]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[11][91]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[10][91]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[9][91]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                              ;
MapToConvert[8][91]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[7][91]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                                         ;
MapToConvert[6][91]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[5][91]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[4][91]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                              ;
MapToConvert[3][91]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[2][91]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[1][91]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[0][91]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[179][92]=["TERRAIN_SNOW",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[178][92]=["TERRAIN_SNOW",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[177][92]=["TERRAIN_SNOW",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[176][92]=["TERRAIN_SNOW_HILLS",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                             ;
MapToConvert[175][92]=["TERRAIN_SNOW_HILLS",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                             ;
MapToConvert[174][92]=["TERRAIN_SNOW_HILLS",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                             ;
MapToConvert[173][92]=["TERRAIN_SNOW_HILLS",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                             ;
MapToConvert[172][92]=["TERRAIN_SNOW_HILLS",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                             ;
MapToConvert[171][92]=["TERRAIN_SNOW_HILLS",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                             ;
MapToConvert[170][92]=["TERRAIN_SNOW_HILLS",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                             ;
MapToConvert[169][92]=["TERRAIN_SNOW_HILLS",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                             ;
MapToConvert[168][92]=["TERRAIN_SNOW",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[167][92]=["TERRAIN_SNOW",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[166][92]=["TERRAIN_SNOW",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[165][92]=["TERRAIN_SNOW",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[164][92]=["TERRAIN_SNOW",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[163][92]=["TERRAIN_SNOW",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[162][92]=["TERRAIN_SNOW",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[161][92]=["TERRAIN_SNOW",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[160][92]=["TERRAIN_SNOW_MOUNTAIN",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[159][92]=["TERRAIN_SNOW_MOUNTAIN",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[158][92]=["TERRAIN_SNOW_MOUNTAIN",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[157][92]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[156][92]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[155][92]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[154][92]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[153][92]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[152][92]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[151][92]=["TERRAIN_SNOW_HILLS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[150][92]=["TERRAIN_SNOW_HILLS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[149][92]=["TERRAIN_SNOW_HILLS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[148][92]=["TERRAIN_SNOW_HILLS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[147][92]=["TERRAIN_SNOW",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[146][92]=["TERRAIN_SNOW",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,1],-1]                                                                 ;
MapToConvert[145][92]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[144][92]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[143][92]=["TERRAIN_SNOW",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[142][92]=["TERRAIN_SNOW",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,1],-1]                                                                 ;
MapToConvert[141][92]=["TERRAIN_SNOW",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[140][92]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[139][92]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[138][92]=["TERRAIN_SNOW",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,1],-1]                                                                 ;
MapToConvert[137][92]=["TERRAIN_SNOW",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[136][92]=["TERRAIN_SNOW",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[135][92]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[134][92]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[133][92]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,1],-1]                                                                                       ;
MapToConvert[132][92]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                                       ;
MapToConvert[131][92]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[130][92]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[129][92]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[128][92]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[127][92]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[126][92]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[125][92]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[124][92]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[123][92]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[122][92]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[121][92]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[120][92]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[119][92]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[118][92]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[117][92]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[116][92]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[115][92]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[114][92]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[113][92]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[112][92]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[111][92]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[110][92]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[109][92]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[108][92]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[107][92]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[106][92]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[105][92]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[104][92]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[103][92]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[102][92]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[101][92]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[100][92]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                       ;
MapToConvert[99][92]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[98][92]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[97][92]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[96][92]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[95][92]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[94][92]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[93][92]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[92][92]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[91][92]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[90][92]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[89][92]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[88][92]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[87][92]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[86][92]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[85][92]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[84][92]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[83][92]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[82][92]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[81][92]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[80][92]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[79][92]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[78][92]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[77][92]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[76][92]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[75][92]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[74][92]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[73][92]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[72][92]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[71][92]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[70][92]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[69][92]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[68][92]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[67][92]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[66][92]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[65][92]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[64][92]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[63][92]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[62][92]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[61][92]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[60][92]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[59][92]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[58][92]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[57][92]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[56][92]=["TERRAIN_SNOW",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                         ;
MapToConvert[55][92]=["TERRAIN_SNOW",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                         ;
MapToConvert[54][92]=["TERRAIN_SNOW",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                         ;
MapToConvert[53][92]=["TERRAIN_SNOW",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                         ;
MapToConvert[52][92]=["TERRAIN_SNOW",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,1],-1]                                                                         ;
MapToConvert[51][92]=["TERRAIN_SNOW",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                         ;
MapToConvert[50][92]=["TERRAIN_SNOW",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                         ;
MapToConvert[49][92]=["TERRAIN_SNOW",-1,"CONTINENT_EUROPE",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                         ;
MapToConvert[48][92]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[47][92]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                                        ;
MapToConvert[46][92]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[45][92]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[44][92]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[43][92]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[42][92]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[41][92]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[40][92]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[39][92]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[38][92]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[37][92]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[36][92]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[35][92]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[34][92]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[33][92]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[32][92]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[31][92]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                                        ;
MapToConvert[30][92]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[29][92]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[28][92]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[27][92]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                                        ;
MapToConvert[26][92]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                                        ;
MapToConvert[25][92]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                                        ;
MapToConvert[24][92]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[23][92]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[22][92]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[21][92]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[20][92]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[19][92]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[18][92]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[17][92]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[16][92]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[15][92]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[14][92]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[13][92]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[12][92]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[11][92]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[10][92]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[9][92]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                              ;
MapToConvert[8][92]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                              ;
MapToConvert[7][92]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[6][92]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[5][92]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                              ;
MapToConvert[4][92]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[3][92]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[2][92]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[1][92]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                         ;
MapToConvert[0][92]=["TERRAIN_SNOW_MOUNTAIN",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                            ;
MapToConvert[179][93]=["TERRAIN_SNOW_MOUNTAIN",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[178][93]=["TERRAIN_SNOW",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[177][93]=["TERRAIN_SNOW",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[176][93]=["TERRAIN_SNOW",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[175][93]=["TERRAIN_SNOW",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[174][93]=["TERRAIN_SNOW",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[173][93]=["TERRAIN_SNOW",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[172][93]=["TERRAIN_SNOW",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[171][93]=["TERRAIN_SNOW",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[170][93]=["TERRAIN_SNOW",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[169][93]=["TERRAIN_SNOW",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[168][93]=["TERRAIN_SNOW",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[167][93]=["TERRAIN_SNOW",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[166][93]=["TERRAIN_SNOW",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[165][93]=["TERRAIN_SNOW",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[164][93]=["TERRAIN_SNOW",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[163][93]=["TERRAIN_SNOW",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[162][93]=["TERRAIN_SNOW",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[161][93]=["TERRAIN_SNOW",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                   ;
MapToConvert[160][93]=["TERRAIN_SNOW_MOUNTAIN",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[159][93]=["TERRAIN_SNOW_MOUNTAIN",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[158][93]=["TERRAIN_SNOW_MOUNTAIN",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[157][93]=["TERRAIN_SNOW_MOUNTAIN",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                          ;
MapToConvert[156][93]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[155][93]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[154][93]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[153][93]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[152][93]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[151][93]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[150][93]=["TERRAIN_SNOW_HILLS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[149][93]=["TERRAIN_SNOW_HILLS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[148][93]=["TERRAIN_SNOW_HILLS",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                           ;
MapToConvert[147][93]=["TERRAIN_SNOW",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[146][93]=["TERRAIN_SNOW",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[145][93]=["TERRAIN_SNOW",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[144][93]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[143][93]=["TERRAIN_SNOW",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[142][93]=["TERRAIN_SNOW",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[141][93]=["TERRAIN_SNOW",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[140][93]=["TERRAIN_SNOW",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[139][93]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[138][93]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[137][93]=["TERRAIN_SNOW",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[136][93]=["TERRAIN_SNOW",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                 ;
MapToConvert[135][93]=["TERRAIN_SNOW",-1,"CONTINENT_NORTH_AMERICA",[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                 ;
MapToConvert[134][93]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[133][93]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[132][93]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[131][93]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[130][93]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[129][93]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[128][93]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[127][93]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[126][93]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[125][93]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[124][93]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[123][93]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[122][93]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[121][93]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[120][93]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[119][93]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[118][93]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[117][93]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[116][93]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[115][93]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[114][93]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[113][93]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[112][93]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[111][93]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[110][93]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[109][93]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[108][93]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[107][93]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[106][93]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[105][93]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[104][93]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[103][93]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[102][93]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[101][93]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[100][93]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                            ;
MapToConvert[99][93]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[98][93]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[97][93]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[96][93]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[95][93]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[94][93]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[93][93]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[92][93]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[91][93]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[90][93]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[89][93]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[88][93]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[87][93]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[86][93]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[85][93]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[84][93]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[83][93]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[82][93]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[81][93]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[80][93]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[79][93]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[78][93]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[77][93]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[76][93]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[75][93]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[74][93]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[73][93]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[72][93]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[71][93]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[70][93]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[69][93]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[68][93]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[67][93]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[66][93]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[65][93]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[64][93]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[63][93]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[62][93]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[61][93]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[60][93]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[59][93]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[58][93]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[57][93]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[56][93]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[55][93]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[54][93]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[53][93]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,0],-1]                                                                                        ;
MapToConvert[52][93]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[1,0,1],-1]                                                                                        ;
MapToConvert[51][93]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[50][93]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[49][93]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[48][93]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,1],-1]                                                                                        ;
MapToConvert[47][93]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[46][93]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[45][93]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[44][93]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[43][93]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[42][93]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[41][93]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[40][93]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[39][93]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[38][93]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[37][93]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[36][93]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[35][93]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[34][93]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[33][93]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[32][93]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[31][93]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[30][93]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[29][93]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[28][93]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[27][93]=["TERRAIN_COAST",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[26][93]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[25][93]=["TERRAIN_OCEAN",-1,-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                                        ;
MapToConvert[24][93]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[23][93]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[22][93]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[21][93]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[20][93]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[19][93]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[18][93]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[17][93]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[16][93]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[15][93]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[14][93]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[13][93]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[12][93]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[11][93]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[10][93]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                             ;
MapToConvert[9][93]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                              ;
MapToConvert[8][93]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                              ;
MapToConvert[7][93]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                              ;
MapToConvert[6][93]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                              ;
MapToConvert[5][93]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                              ;
MapToConvert[4][93]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                              ;
MapToConvert[3][93]=["TERRAIN_OCEAN","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                              ;
MapToConvert[2][93]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                              ;
MapToConvert[1][93]=["TERRAIN_COAST","FEATURE_ICE",-1,[[0,-1],[0,-1],[0,-1]],[-1,0],[0,0,0],-1]                                                                              ;
MapToConvert[0][93]=["TERRAIN_SNOW_MOUNTAIN",-1,"CONTINENT_GREENLANDIA",[[0,-1],[0,-1],[0,-1]],[-1,0],[0,1,1],-1]                                                            ;

	return MapToConvert;
}

console.log("loaded giant-earth-data.js");
//# sourceMappingURL=file:///base-standard/maps/continents-plus.js.map
